# generated by datamodel-codegen:
#   filename:  <stdin>
#   timestamp: 2023-10-17T16:13:19+00:00

from __future__ import annotations

from datetime import date, datetime
from enum import Enum
from typing import Annotated, Any, Mapping, Sequence

from pydantic import AnyUrl, BaseModel, EmailStr, Extra, Field


class Root(BaseModel):
    current_user_url: str
    current_user_authorizations_html_url: str
    authorizations_url: str
    code_search_url: str
    commit_search_url: str
    emails_url: str
    emojis_url: str
    events_url: str
    feeds_url: str
    followers_url: str
    following_url: str
    gists_url: str
    hub_url: str
    issue_search_url: str
    issues_url: str
    keys_url: str
    label_search_url: str
    notifications_url: str
    organization_url: str
    organization_repositories_url: str
    organization_teams_url: str
    public_gists_url: str
    rate_limit_url: str
    repository_url: str
    repository_search_url: str
    current_user_repositories_url: str
    starred_url: str
    starred_gists_url: str
    topic_search_url: str | None = None
    user_url: str
    user_organizations_url: str
    user_repositories_url: str
    user_search_url: str


class NullableSimpleUser(BaseModel):
    """
    Simple User
    """

    name: str | None = None
    email: str | None = None
    login: Annotated[str, Field(example="octocat")]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDQ6VXNlcjE=")]
    avatar_url: Annotated[
        AnyUrl, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    gravatar_id: Annotated[str, Field(example="41d064eb2195891e12d0413f63227ea7")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/users/octocat")]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat")]
    followers_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/followers")
    ]
    following_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/following{/other_user}"),
    ]
    gists_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/gists{/gist_id}")
    ]
    starred_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/starred{/owner}{/repo}"),
    ]
    subscriptions_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/subscriptions")
    ]
    organizations_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/orgs")
    ]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/repos")
    ]
    events_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/events{/privacy}")
    ]
    received_events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/received_events")
    ]
    type: Annotated[str, Field(example="User")]
    site_admin: bool
    starred_at: Annotated[str | None, Field(example='"2020-07-09T00:17:55Z"')] = None


class Permissions(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    issues: str | None = None
    checks: str | None = None
    metadata: str | None = None
    contents: str | None = None
    deployments: str | None = None


class Integration(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    id: Annotated[int, Field(example=37)]
    """
    Unique identifier of the GitHub app
    """
    slug: Annotated[str | None, Field(example="probot-owners")] = None
    """
    The slug name of the GitHub app
    """
    node_id: Annotated[str, Field(example="MDExOkludGVncmF0aW9uMQ==")]
    owner: NullableSimpleUser
    name: Annotated[str, Field(example="Probot Owners")]
    """
    The name of the GitHub app
    """
    description: Annotated[str, Field(example="The description of the app.")]
    external_url: Annotated[AnyUrl, Field(example="https://example.com")]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/apps/super-ci")]
    created_at: Annotated[datetime, Field(example="2017-07-08T16:18:44-04:00")]
    updated_at: Annotated[datetime, Field(example="2017-07-08T16:18:44-04:00")]
    permissions: Annotated[
        Permissions, Field(example={"issues": "read", "deployments": "write"})
    ]
    """
    The set of permissions for the GitHub app
    """
    events: Annotated[Sequence[str], Field(example=["label", "deployment"])]
    """
    The list of events for the GitHub app
    """
    installations_count: Annotated[int | None, Field(example=5)] = None
    """
    The number of installations associated with the GitHub app
    """
    client_id: Annotated[str | None, Field(example='"Iv1.25b5d1e65ffc4022"')] = None
    client_secret: Annotated[
        str | None, Field(example='"1d4b2097ac622ba702d19de498f005747a8b21d3"')
    ] = None
    webhook_secret: Annotated[
        str | None, Field(example='"6fba8f2fc8a7e8f2cca5577eddd82ca7586b3b6b"')
    ] = None
    pem: Annotated[
        str | None,
        Field(
            example='"-----BEGIN RSA PRIVATE KEY-----\\nMIIEogIBAAKCAQEArYxrNYD/iT5CZVpRJu4rBKmmze3PVmT/gCo2ATUvDvZTPTey\\nxcGJ3vvrJXazKk06pN05TN29o98jrYz4cengG3YGsXPNEpKsIrEl8NhbnxapEnM9\\nJCMRe0P5JcPsfZlX6hmiT7136GRWiGOUba2X9+HKh8QJVLG5rM007TBER9/z9mWm\\nrJuNh+m5l320oBQY/Qq3A7wzdEfZw8qm/mIN0FCeoXH1L6B8xXWaAYBwhTEh6SSn\\nZHlO1Xu1JWDmAvBCi0RO5aRSKM8q9QEkvvHP4yweAtK3N8+aAbZ7ovaDhyGz8r6r\\nzhU1b8Uo0Z2ysf503WqzQgIajr7Fry7/kUwpgQIDAQABAoIBADwJp80Ko1xHPZDy\\nfcCKBDfIuPvkmSW6KumbsLMaQv1aGdHDwwTGv3t0ixSay8CGlxMRtRDyZPib6SvQ\\n6OH/lpfpbMdW2ErkksgtoIKBVrDilfrcAvrNZu7NxRNbhCSvN8q0s4ICecjbbVQh\\nnueSdlA6vGXbW58BHMq68uRbHkP+k+mM9U0mDJ1HMch67wlg5GbayVRt63H7R2+r\\nVxcna7B80J/lCEjIYZznawgiTvp3MSanTglqAYi+m1EcSsP14bJIB9vgaxS79kTu\\noiSo93leJbBvuGo8QEiUqTwMw4tDksmkLsoqNKQ1q9P7LZ9DGcujtPy4EZsamSJT\\ny8OJt0ECgYEA2lxOxJsQk2kI325JgKFjo92mQeUObIvPfSNWUIZQDTjniOI6Gv63\\nGLWVFrZcvQBWjMEQraJA9xjPbblV8PtfO87MiJGLWCHFxmPz2dzoedN+2Coxom8m\\nV95CLz8QUShuao6u/RYcvUaZEoYs5bHcTmy5sBK80JyEmafJPtCQVxMCgYEAy3ar\\nZr3yv4xRPEPMat4rseswmuMooSaK3SKub19WFI5IAtB/e7qR1Rj9JhOGcZz+OQrl\\nT78O2OFYlgOIkJPvRMrPpK5V9lslc7tz1FSh3BZMRGq5jSyD7ETSOQ0c8T2O/s7v\\nbeEPbVbDe4mwvM24XByH0GnWveVxaDl51ABD65sCgYB3ZAspUkOA5egVCh8kNpnd\\nSd6SnuQBE3ySRlT2WEnCwP9Ph6oPgn+oAfiPX4xbRqkL8q/k0BdHQ4h+zNwhk7+h\\nWtPYRAP1Xxnc/F+jGjb+DVaIaKGU18MWPg7f+FI6nampl3Q0KvfxwX0GdNhtio8T\\nTj1E+SnFwh56SRQuxSh2gwKBgHKjlIO5NtNSflsUYFM+hyQiPiqnHzddfhSG+/3o\\nm5nNaSmczJesUYreH5San7/YEy2UxAugvP7aSY2MxB+iGsiJ9WD2kZzTUlDZJ7RV\\nUzWsoqBR+eZfVJ2FUWWvy8TpSG6trh4dFxImNtKejCR1TREpSiTV3Zb1dmahK9GV\\nrK9NAoGAbBxRLoC01xfxCTgt5BDiBcFVh4fp5yYKwavJPLzHSpuDOrrI9jDn1oKN\\nonq5sDU1i391zfQvdrbX4Ova48BN+B7p63FocP/MK5tyyBoT8zQEk2+vWDOw7H/Z\\nu5dTCPxTIsoIwUw1I+7yIxqJzLPFgR2gVBwY1ra/8iAqCj+zeBw=\\n-----END RSA PRIVATE KEY-----\\n"'
        ),
    ] = None


class BasicError(BaseModel):
    """
    Basic Error
    """

    message: str | None = None
    documentation_url: str | None = None
    url: str | None = None
    status: str | None = None


class ValidationErrorSimple(BaseModel):
    """
    Validation Error Simple
    """

    message: str
    documentation_url: str
    errors: Sequence[str] | None = None


class WebhookConfig(BaseModel):
    """
    Configuration object of the webhook
    """

    url: Annotated[AnyUrl | None, Field(example="https://example.com/webhook")] = None
    """
    The URL to which the payloads will be delivered.
    """
    content_type: Annotated[str | None, Field(example='"json"')] = None
    """
    The media type used to serialize the payloads. Supported values include `json` and `form`. The default is `form`.
    """
    secret: Annotated[str | None, Field(example='"********"')] = None
    """
    If provided, the `secret` will be used as the `key` to generate the HMAC hex digest value for [delivery signature headers](https://docs.github.com/webhooks/event-payloads/#delivery-headers).
    """
    insecure_ssl: str | float | None = None


class HookDeliveryItem(BaseModel):
    """
    Delivery made by a webhook, without request and response information.
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the webhook delivery.
    """
    guid: Annotated[str, Field(example="58474f00-b361-11eb-836d-0e4f3503ccbe")]
    """
    Unique identifier for the event (shared with all deliveries for all webhooks that subscribe to this event).
    """
    delivered_at: Annotated[datetime, Field(example="2021-05-12T20:33:44Z")]
    """
    Time when the webhook delivery occurred.
    """
    redelivery: Annotated[bool, Field(example=False)]
    """
    Whether the webhook delivery is a redelivery.
    """
    duration: Annotated[float, Field(example=0.03)]
    """
    Time spent delivering.
    """
    status: Annotated[str, Field(example="failed to connect")]
    """
    Describes the response returned after attempting the delivery.
    """
    status_code: Annotated[int, Field(example=502)]
    """
    Status code received when delivery was made.
    """
    event: Annotated[str, Field(example="issues")]
    """
    The event that triggered the delivery.
    """
    action: Annotated[str, Field(example="opened")]
    """
    The type of activity for the event that triggered the delivery.
    """
    installation_id: Annotated[int, Field(example=123)]
    """
    The id of the GitHub App installation associated with this event.
    """
    repository_id: Annotated[int, Field(example=123)]
    """
    The id of the repository associated with this event.
    """


class ScimError(BaseModel):
    """
    Scim Error
    """

    message: str | None = None
    documentation_url: str | None = None
    detail: str | None = None
    status: int | None = None
    scimType: str | None = None
    schemas: Sequence[str] | None = None


class Error(BaseModel):
    resource: str | None = None
    field: str | None = None
    message: str | None = None
    code: str
    index: int | None = None
    value: str | int | Sequence[str] | None = None


class ValidationError(BaseModel):
    """
    Validation Error
    """

    message: str
    documentation_url: str
    errors: Sequence[Error] | None = None


class Request(BaseModel):
    headers: Mapping[str, Any]
    """
    The request headers sent with the webhook delivery.
    """
    payload: Mapping[str, Any]
    """
    The webhook payload.
    """


class Response(BaseModel):
    headers: Mapping[str, Any]
    """
    The response headers received when the delivery was made.
    """
    payload: str
    """
    The response payload received.
    """


class HookDelivery(BaseModel):
    """
    Delivery made by a webhook.
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the delivery.
    """
    guid: Annotated[str, Field(example="58474f00-b361-11eb-836d-0e4f3503ccbe")]
    """
    Unique identifier for the event (shared with all deliveries for all webhooks that subscribe to this event).
    """
    delivered_at: Annotated[datetime, Field(example="2021-05-12T20:33:44Z")]
    """
    Time when the delivery was delivered.
    """
    redelivery: Annotated[bool, Field(example=False)]
    """
    Whether the delivery is a redelivery.
    """
    duration: Annotated[float, Field(example=0.03)]
    """
    Time spent delivering.
    """
    status: Annotated[str, Field(example="failed to connect")]
    """
    Description of the status of the attempted delivery
    """
    status_code: Annotated[int, Field(example=502)]
    """
    Status code received when delivery was made.
    """
    event: Annotated[str, Field(example="issues")]
    """
    The event that triggered the delivery.
    """
    action: Annotated[str, Field(example="opened")]
    """
    The type of activity for the event that triggered the delivery.
    """
    installation_id: Annotated[int, Field(example=123)]
    """
    The id of the GitHub App installation associated with this event.
    """
    repository_id: Annotated[int, Field(example=123)]
    """
    The id of the repository associated with this event.
    """
    url: Annotated[str | None, Field(example="https://www.example.com")] = None
    """
    The URL target of the delivery.
    """
    request: Request
    response: Response


class SimpleUser(BaseModel):
    """
    Simple User
    """

    name: str | None = None
    email: str | None = None
    login: Annotated[str, Field(example="octocat")]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDQ6VXNlcjE=")]
    avatar_url: Annotated[
        AnyUrl, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    gravatar_id: Annotated[str, Field(example="41d064eb2195891e12d0413f63227ea7")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/users/octocat")]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat")]
    followers_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/followers")
    ]
    following_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/following{/other_user}"),
    ]
    gists_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/gists{/gist_id}")
    ]
    starred_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/starred{/owner}{/repo}"),
    ]
    subscriptions_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/subscriptions")
    ]
    organizations_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/orgs")
    ]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/repos")
    ]
    events_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/events{/privacy}")
    ]
    received_events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/received_events")
    ]
    type: Annotated[str, Field(example="User")]
    site_admin: bool
    starred_at: Annotated[str | None, Field(example='"2020-07-09T00:17:55Z"')] = None


class Enterprise(BaseModel):
    """
    An enterprise account
    """

    description: str | None = None
    """
    A short description of the enterprise.
    """
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/enterprises/octo-business")
    ]
    website_url: AnyUrl | None = None
    """
    The enterprise's website URL.
    """
    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the enterprise
    """
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    name: Annotated[str, Field(example="Octo Business")]
    """
    The name of the enterprise.
    """
    slug: Annotated[str, Field(example="octo-business")]
    """
    The slug url identifier for the enterprise.
    """
    created_at: Annotated[datetime, Field(example="2019-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2019-01-26T19:14:43Z")]
    avatar_url: AnyUrl


class Actions(Enum):
    """
    The level of permission to grant the access token for GitHub Actions workflows, workflow runs, and artifacts.
    """

    read = "read"
    write = "write"


class Administration(Enum):
    """
    The level of permission to grant the access token for repository creation, deletion, settings, teams, and collaborators creation.
    """

    read = "read"
    write = "write"


class Checks(Enum):
    """
    The level of permission to grant the access token for checks on code.
    """

    read = "read"
    write = "write"


class Contents(Enum):
    """
    The level of permission to grant the access token for repository contents, commits, branches, downloads, releases, and merges.
    """

    read = "read"
    write = "write"


class Deployments(Enum):
    """
    The level of permission to grant the access token for deployments and deployment statuses.
    """

    read = "read"
    write = "write"


class Environments(Enum):
    """
    The level of permission to grant the access token for managing repository environments.
    """

    read = "read"
    write = "write"


class Issues(Enum):
    """
    The level of permission to grant the access token for issues and related comments, assignees, labels, and milestones.
    """

    read = "read"
    write = "write"


class Metadata(Enum):
    """
    The level of permission to grant the access token to search repositories, list collaborators, and access repository metadata.
    """

    read = "read"
    write = "write"


class Packages(Enum):
    """
    The level of permission to grant the access token for packages published to GitHub Packages.
    """

    read = "read"
    write = "write"


class Pages(Enum):
    """
    The level of permission to grant the access token to retrieve Pages statuses, configuration, and builds, as well as create new builds.
    """

    read = "read"
    write = "write"


class PullRequests(Enum):
    """
    The level of permission to grant the access token for pull requests and related comments, assignees, labels, milestones, and merges.
    """

    read = "read"
    write = "write"


class RepositoryAnnouncementBanners(Enum):
    """
    The level of permission to grant the access token to view and manage announcement banners for a repository.
    """

    read = "read"
    write = "write"


class RepositoryHooks(Enum):
    """
    The level of permission to grant the access token to manage the post-receive hooks for a repository.
    """

    read = "read"
    write = "write"


class RepositoryProjects(Enum):
    """
    The level of permission to grant the access token to manage repository projects, columns, and cards.
    """

    read = "read"
    write = "write"
    admin = "admin"


class SecretScanningAlerts(Enum):
    """
    The level of permission to grant the access token to view and manage secret scanning alerts.
    """

    read = "read"
    write = "write"


class Secrets(Enum):
    """
    The level of permission to grant the access token to manage repository secrets.
    """

    read = "read"
    write = "write"


class SecurityEvents(Enum):
    """
    The level of permission to grant the access token to view and manage security events like code scanning alerts.
    """

    read = "read"
    write = "write"


class SingleFile(Enum):
    """
    The level of permission to grant the access token to manage just a single file.
    """

    read = "read"
    write = "write"


class Statuses(Enum):
    """
    The level of permission to grant the access token for commit statuses.
    """

    read = "read"
    write = "write"


class VulnerabilityAlerts(Enum):
    """
    The level of permission to grant the access token to manage Dependabot alerts.
    """

    read = "read"
    write = "write"


class Workflows(Enum):
    """
    The level of permission to grant the access token to update GitHub Actions workflow files.
    """

    write = "write"


class Members(Enum):
    """
    The level of permission to grant the access token for organization teams and members.
    """

    read = "read"
    write = "write"


class OrganizationAdministration(Enum):
    """
    The level of permission to grant the access token to manage access to an organization.
    """

    read = "read"
    write = "write"


class OrganizationCustomRoles(Enum):
    """
    The level of permission to grant the access token for custom roles management. This property is in beta and is subject to change.
    """

    read = "read"
    write = "write"


class OrganizationAnnouncementBanners(Enum):
    """
    The level of permission to grant the access token to view and manage announcement banners for an organization.
    """

    read = "read"
    write = "write"


class OrganizationHooks(Enum):
    """
    The level of permission to grant the access token to manage the post-receive hooks for an organization.
    """

    read = "read"
    write = "write"


class OrganizationPlan(Enum):
    """
    The level of permission to grant the access token for viewing an organization's plan.
    """

    read = "read"


class OrganizationProjects(Enum):
    """
    The level of permission to grant the access token to manage organization projects and projects beta (where available).
    """

    read = "read"
    write = "write"
    admin = "admin"


class OrganizationPackages(Enum):
    """
    The level of permission to grant the access token for organization packages published to GitHub Packages.
    """

    read = "read"
    write = "write"


class OrganizationSecrets(Enum):
    """
    The level of permission to grant the access token to manage organization secrets.
    """

    read = "read"
    write = "write"


class OrganizationSelfHostedRunners(Enum):
    """
    The level of permission to grant the access token to view and manage GitHub Actions self-hosted runners available to an organization.
    """

    read = "read"
    write = "write"


class OrganizationUserBlocking(Enum):
    """
    The level of permission to grant the access token to view and manage users blocked by the organization.
    """

    read = "read"
    write = "write"


class TeamDiscussions(Enum):
    """
    The level of permission to grant the access token to manage team discussions and related comments.
    """

    read = "read"
    write = "write"


class AppPermissions(BaseModel):
    """
    The permissions granted to the user-to-server access token.
    """

    actions: Actions | None = None
    """
    The level of permission to grant the access token for GitHub Actions workflows, workflow runs, and artifacts.
    """
    administration: Administration | None = None
    """
    The level of permission to grant the access token for repository creation, deletion, settings, teams, and collaborators creation.
    """
    checks: Checks | None = None
    """
    The level of permission to grant the access token for checks on code.
    """
    contents: Contents | None = None
    """
    The level of permission to grant the access token for repository contents, commits, branches, downloads, releases, and merges.
    """
    deployments: Deployments | None = None
    """
    The level of permission to grant the access token for deployments and deployment statuses.
    """
    environments: Environments | None = None
    """
    The level of permission to grant the access token for managing repository environments.
    """
    issues: Issues | None = None
    """
    The level of permission to grant the access token for issues and related comments, assignees, labels, and milestones.
    """
    metadata: Metadata | None = None
    """
    The level of permission to grant the access token to search repositories, list collaborators, and access repository metadata.
    """
    packages: Packages | None = None
    """
    The level of permission to grant the access token for packages published to GitHub Packages.
    """
    pages: Pages | None = None
    """
    The level of permission to grant the access token to retrieve Pages statuses, configuration, and builds, as well as create new builds.
    """
    pull_requests: PullRequests | None = None
    """
    The level of permission to grant the access token for pull requests and related comments, assignees, labels, milestones, and merges.
    """
    repository_announcement_banners: RepositoryAnnouncementBanners | None = None
    """
    The level of permission to grant the access token to view and manage announcement banners for a repository.
    """
    repository_hooks: RepositoryHooks | None = None
    """
    The level of permission to grant the access token to manage the post-receive hooks for a repository.
    """
    repository_projects: RepositoryProjects | None = None
    """
    The level of permission to grant the access token to manage repository projects, columns, and cards.
    """
    secret_scanning_alerts: SecretScanningAlerts | None = None
    """
    The level of permission to grant the access token to view and manage secret scanning alerts.
    """
    secrets: Secrets | None = None
    """
    The level of permission to grant the access token to manage repository secrets.
    """
    security_events: SecurityEvents | None = None
    """
    The level of permission to grant the access token to view and manage security events like code scanning alerts.
    """
    single_file: SingleFile | None = None
    """
    The level of permission to grant the access token to manage just a single file.
    """
    statuses: Statuses | None = None
    """
    The level of permission to grant the access token for commit statuses.
    """
    vulnerability_alerts: VulnerabilityAlerts | None = None
    """
    The level of permission to grant the access token to manage Dependabot alerts.
    """
    workflows: Workflows | None = None
    """
    The level of permission to grant the access token to update GitHub Actions workflow files.
    """
    members: Members | None = None
    """
    The level of permission to grant the access token for organization teams and members.
    """
    organization_administration: OrganizationAdministration | None = None
    """
    The level of permission to grant the access token to manage access to an organization.
    """
    organization_custom_roles: OrganizationCustomRoles | None = None
    """
    The level of permission to grant the access token for custom roles management. This property is in beta and is subject to change.
    """
    organization_announcement_banners: OrganizationAnnouncementBanners | None = None
    """
    The level of permission to grant the access token to view and manage announcement banners for an organization.
    """
    organization_hooks: OrganizationHooks | None = None
    """
    The level of permission to grant the access token to manage the post-receive hooks for an organization.
    """
    organization_plan: OrganizationPlan | None = None
    """
    The level of permission to grant the access token for viewing an organization's plan.
    """
    organization_projects: OrganizationProjects | None = None
    """
    The level of permission to grant the access token to manage organization projects and projects beta (where available).
    """
    organization_packages: OrganizationPackages | None = None
    """
    The level of permission to grant the access token for organization packages published to GitHub Packages.
    """
    organization_secrets: OrganizationSecrets | None = None
    """
    The level of permission to grant the access token to manage organization secrets.
    """
    organization_self_hosted_runners: OrganizationSelfHostedRunners | None = None
    """
    The level of permission to grant the access token to view and manage GitHub Actions self-hosted runners available to an organization.
    """
    organization_user_blocking: OrganizationUserBlocking | None = None
    """
    The level of permission to grant the access token to view and manage users blocked by the organization.
    """
    team_discussions: TeamDiscussions | None = None
    """
    The level of permission to grant the access token to manage team discussions and related comments.
    """


class RepositorySelection(Enum):
    """
    Describe whether all repositories have been selected or there's a selection involved
    """

    all = "all"
    selected = "selected"


class Installation(BaseModel):
    """
    Installation
    """

    id: Annotated[int, Field(example=1)]
    """
    The ID of the installation.
    """
    account: SimpleUser | Enterprise
    repository_selection: RepositorySelection
    """
    Describe whether all repositories have been selected or there's a selection involved
    """
    access_tokens_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/installations/1/access_tokens")
    ]
    repositories_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/installation/repositories")
    ]
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/organizations/github/settings/installations/1"
        ),
    ]
    app_id: Annotated[int, Field(example=1)]
    target_id: int
    """
    The ID of the user or organization this token is being scoped to.
    """
    target_type: Annotated[str, Field(example="Organization")]
    permissions: AppPermissions
    events: Sequence[str]
    created_at: datetime
    updated_at: datetime
    single_file_name: Annotated[str, Field(example="config.yaml")]
    has_multiple_single_files: Annotated[bool | None, Field(example=True)] = None
    single_file_paths: Annotated[
        Sequence[str] | None, Field(example=["config.yml", ".github/issue_TEMPLATE.md"])
    ] = None
    app_slug: Annotated[str, Field(example="github-actions")]
    suspended_by: NullableSimpleUser
    suspended_at: datetime
    contact_email: Annotated[
        str | None, Field(example='"test_13f1e99741e3e004@d7e1eb0bc0a1ba12.com"')
    ] = None


class NullableLicenseSimple(BaseModel):
    """
    License Simple
    """

    key: Annotated[str, Field(example="mit")]
    name: Annotated[str, Field(example="MIT License")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/licenses/mit")]
    spdx_id: Annotated[str, Field(example="MIT")]
    node_id: Annotated[str, Field(example="MDc6TGljZW5zZW1pdA==")]
    html_url: AnyUrl | None = None


class Permissions1(BaseModel):
    admin: bool
    pull: bool
    triage: bool | None = None
    push: bool
    maintain: bool | None = None


class Owner(BaseModel):
    login: str | None = None
    id: int | None = None
    node_id: str | None = None
    avatar_url: str | None = None
    gravatar_id: str | None = None
    url: str | None = None
    html_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    organizations_url: str | None = None
    repos_url: str | None = None
    events_url: str | None = None
    received_events_url: str | None = None
    type: str | None = None
    site_admin: bool | None = None


class Permissions2(BaseModel):
    admin: bool | None = None
    maintain: bool | None = None
    push: bool | None = None
    triage: bool | None = None
    pull: bool | None = None


class SquashMergeCommitTitle(Enum):
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """

    PR_TITLE = "PR_TITLE"
    COMMIT_OR_PR_TITLE = "COMMIT_OR_PR_TITLE"


class SquashMergeCommitMessage(Enum):
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class MergeCommitTitle(Enum):
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class MergeCommitMessage(Enum):
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class TemplateRepository(BaseModel):
    id: int | None = None
    node_id: str | None = None
    name: str | None = None
    full_name: str | None = None
    owner: Owner | None = None
    private: bool | None = None
    html_url: str | None = None
    description: str | None = None
    fork: bool | None = None
    url: str | None = None
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    forks_url: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    notifications_url: str | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    ssh_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    clone_url: str | None = None
    mirror_url: str | None = None
    hooks_url: str | None = None
    svn_url: str | None = None
    homepage: str | None = None
    language: str | None = None
    forks_count: int | None = None
    stargazers_count: int | None = None
    watchers_count: int | None = None
    size: int | None = None
    default_branch: str | None = None
    open_issues_count: int | None = None
    is_template: bool | None = None
    topics: Sequence[str] | None = None
    has_issues: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    has_pages: bool | None = None
    has_downloads: bool | None = None
    archived: bool | None = None
    disabled: bool | None = None
    visibility: str | None = None
    pushed_at: str | None = None
    created_at: str | None = None
    updated_at: str | None = None
    permissions: Permissions2 | None = None
    allow_rebase_merge: bool | None = None
    temp_clone_token: str | None = None
    allow_squash_merge: bool | None = None
    allow_auto_merge: bool | None = None
    delete_branch_on_merge: bool | None = None
    allow_update_branch: bool | None = None
    use_squash_pr_title_as_default: bool | None = None
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    allow_merge_commit: bool | None = None
    subscribers_count: int | None = None
    network_count: int | None = None


class Repository(BaseModel):
    """
    A git repository
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the repository
    """
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    name: Annotated[str, Field(example="Team Environment")]
    """
    The name of the repository.
    """
    full_name: Annotated[str, Field(example="octocat/Hello-World")]
    license: NullableLicenseSimple
    organization: NullableSimpleUser | None = None
    forks: int
    permissions: Permissions1 | None = None
    owner: SimpleUser
    private: bool
    """
    Whether the repository is private or public.
    """
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat/Hello-World")]
    description: Annotated[str, Field(example="This your first repo!")]
    fork: bool
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World")
    ]
    archive_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/{archive_format}{/ref}"
        ),
    ]
    assignees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/assignees{/user}"
        ),
    ]
    blobs_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/blobs{/sha}"
        ),
    ]
    branches_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/branches{/branch}"
        ),
    ]
    collaborators_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/collaborators{/collaborator}"
        ),
    ]
    comments_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/comments{/number}"
        ),
    ]
    commits_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/commits{/sha}"),
    ]
    compare_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/compare/{base}...{head}"
        ),
    ]
    contents_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/contents/{+path}"
        ),
    ]
    contributors_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/contributors"),
    ]
    deployments_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/deployments"),
    ]
    downloads_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/downloads"),
    ]
    events_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/events")
    ]
    forks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/forks")
    ]
    git_commits_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/commits{/sha}"
        ),
    ]
    git_refs_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/refs{/sha}"),
    ]
    git_tags_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/tags{/sha}"),
    ]
    git_url: Annotated[str, Field(example="git:github.com/octocat/Hello-World.git")]
    issue_comment_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/comments{/number}"
        ),
    ]
    issue_events_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/events{/number}"
        ),
    ]
    issues_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues{/number}"
        ),
    ]
    keys_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/keys{/key_id}"),
    ]
    labels_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/labels{/name}"),
    ]
    languages_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/languages"),
    ]
    merges_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/merges")
    ]
    milestones_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/milestones{/number}"
        ),
    ]
    notifications_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/notifications{?since,all,participating}"
        ),
    ]
    pulls_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/pulls{/number}"),
    ]
    releases_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/releases{/id}"),
    ]
    ssh_url: Annotated[str, Field(example="git@github.com:octocat/Hello-World.git")]
    stargazers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/stargazers"),
    ]
    statuses_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/statuses/{sha}"),
    ]
    subscribers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscribers"),
    ]
    subscription_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscription"),
    ]
    tags_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/tags")
    ]
    teams_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/teams")
    ]
    trees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/trees{/sha}"
        ),
    ]
    clone_url: Annotated[
        str, Field(example="https://github.com/octocat/Hello-World.git")
    ]
    mirror_url: Annotated[
        AnyUrl, Field(example="git:git.example.com/octocat/Hello-World")
    ]
    hooks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/hooks")
    ]
    svn_url: Annotated[
        AnyUrl, Field(example="https://svn.github.com/octocat/Hello-World")
    ]
    homepage: Annotated[AnyUrl, Field(example="https://github.com")]
    language: str
    forks_count: Annotated[int, Field(example=9)]
    stargazers_count: Annotated[int, Field(example=80)]
    watchers_count: Annotated[int, Field(example=80)]
    size: Annotated[int, Field(example=108)]
    """
    The size of the repository. Size is calculated hourly. When a repository is initially created, the size is 0.
    """
    default_branch: Annotated[str, Field(example="master")]
    """
    The default branch of the repository.
    """
    open_issues_count: Annotated[int, Field(example=0)]
    is_template: Annotated[bool | None, Field(example=True)] = False
    """
    Whether this repository acts as a template that can be used to generate new repositories.
    """
    topics: Sequence[str] | None = None
    has_issues: Annotated[bool, Field(example=True)]
    """
    Whether issues are enabled.
    """
    has_projects: Annotated[bool, Field(example=True)]
    """
    Whether projects are enabled.
    """
    has_wiki: Annotated[bool, Field(example=True)]
    """
    Whether the wiki is enabled.
    """
    has_pages: bool
    has_downloads: Annotated[bool, Field(example=True)]
    """
    Whether downloads are enabled.
    """
    archived: bool
    """
    Whether the repository is archived.
    """
    disabled: bool
    """
    Returns whether or not this repository disabled.
    """
    visibility: str | None = "public"
    """
    The repository visibility: public, private, or internal.
    """
    pushed_at: Annotated[datetime, Field(example="2011-01-26T19:06:43Z")]
    created_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2011-01-26T19:14:43Z")]
    allow_rebase_merge: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow rebase merges for pull requests.
    """
    template_repository: TemplateRepository | None = None
    temp_clone_token: str | None = None
    allow_squash_merge: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_auto_merge: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to allow Auto-merge to be used on pull requests.
    """
    delete_branch_on_merge: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to delete head branches when pull requests are merged
    """
    allow_update_branch: Annotated[bool | None, Field(example=False)] = False
    """
    Whether or not a pull request head branch that is behind its base branch can always be updated even if it is not required to be up to date before merging.
    """
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    allow_merge_commit: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow forking this repo
    """
    web_commit_signoff_required: bool | None = False
    """
    Whether to require contributors to sign off on web-based commits
    """
    subscribers_count: int | None = None
    network_count: int | None = None
    open_issues: int
    watchers: int
    master_branch: str | None = None
    starred_at: Annotated[str | None, Field(example='"2020-07-09T00:17:42Z"')] = None
    anonymous_access_enabled: bool | None = None
    """
    Whether anonymous git access is enabled for this repository
    """


class RepositorySelection1(Enum):
    all = "all"
    selected = "selected"


class InstallationToken(BaseModel):
    """
    Authentication token for a GitHub App installed on a user or org.
    """

    token: str
    expires_at: str
    permissions: AppPermissions | None = None
    repository_selection: RepositorySelection1 | None = None
    repositories: Sequence[Repository] | None = None
    single_file: Annotated[str | None, Field(example="README.md")] = None
    has_multiple_single_files: Annotated[bool | None, Field(example=True)] = None
    single_file_paths: Annotated[
        Sequence[str] | None, Field(example=["config.yml", ".github/issue_TEMPLATE.md"])
    ] = None


class RepositorySelection2(Enum):
    """
    Describe whether all repositories have been selected or there's a selection involved
    """

    all = "all"
    selected = "selected"


class NullableScopedInstallation(BaseModel):
    permissions: AppPermissions
    repository_selection: RepositorySelection2
    """
    Describe whether all repositories have been selected or there's a selection involved
    """
    single_file_name: Annotated[str, Field(example="config.yaml")]
    has_multiple_single_files: Annotated[bool | None, Field(example=True)] = None
    single_file_paths: Annotated[
        Sequence[str] | None, Field(example=["config.yml", ".github/issue_TEMPLATE.md"])
    ] = None
    repositories_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/repos")
    ]
    account: SimpleUser


class App(BaseModel):
    client_id: str
    name: str
    url: AnyUrl


class Authorization(BaseModel):
    """
    The authorization for an OAuth app, GitHub App, or a Personal Access Token.
    """

    id: int
    url: AnyUrl
    scopes: Sequence[str]
    """
    A list of scopes that this authorization is in.
    """
    token: str
    token_last_eight: str
    hashed_token: str
    app: App
    note: str
    note_url: AnyUrl
    updated_at: datetime
    created_at: datetime
    fingerprint: str
    user: NullableSimpleUser | None = None
    installation: NullableScopedInstallation | None = None
    expires_at: datetime


class CodeOfConduct(BaseModel):
    """
    Code Of Conduct
    """

    key: Annotated[str, Field(example="contributor_covenant")]
    name: Annotated[str, Field(example="Contributor Covenant")]
    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/codes_of_conduct/contributor_covenant"),
    ]
    body: Annotated[
        str | None,
        Field(
            example="# Contributor Covenant Code of Conduct\n\n## Our Pledge\n\nIn the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation.\n\n## Our Standards\n\nExamples of behavior that contributes to creating a positive environment include:\n\n* Using welcoming and inclusive language\n* Being respectful of differing viewpoints and experiences\n* Gracefully accepting constructive criticism\n* Focusing on what is best for the community\n* Showing empathy towards other community members\n\nExamples of unacceptable behavior by participants include:\n\n* The use of sexualized language or imagery and unwelcome sexual attention or advances\n* Trolling, insulting/derogatory comments, and personal or political attacks\n* Public or private harassment\n* Publishing others' private information, such as a physical or electronic address, without explicit permission\n* Other conduct which could reasonably be considered inappropriate in a professional setting\n\n## Our Responsibilities\n\nProject maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response\n                  to any instances of unacceptable behavior.\n\nProject maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful.\n\n## Scope\n\nThis Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address,\n                  posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers.\n\n## Enforcement\n\nInstances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at [EMAIL]. The project team will review and investigate all complaints, and will respond in a way that it deems appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately.\n\nProject maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project's leadership.\n\n## Attribution\n\nThis Code of Conduct is adapted from the [Contributor Covenant][homepage], version 1.4, available at [http://contributor-covenant.org/version/1/4][version]\n\n[homepage]: http://contributor-covenant.org\n[version]: http://contributor-covenant.org/version/1/4/\n"
        ),
    ] = None
    html_url: AnyUrl


class GithubConnect(BaseModel):
    features_enabled: Sequence[str] | None = None


class Comments(BaseModel):
    total_commit_comments: int | None = None
    total_gist_comments: int | None = None
    total_issue_comments: int | None = None
    total_pull_request_comments: int | None = None


class Gists(BaseModel):
    total_gists: int | None = None
    private_gists: int | None = None
    public_gists: int | None = None


class Hooks(BaseModel):
    total_hooks: int | None = None
    active_hooks: int | None = None
    inactive_hooks: int | None = None


class Issues1(BaseModel):
    total_issues: int | None = None
    open_issues: int | None = None
    closed_issues: int | None = None


class Milestones(BaseModel):
    total_milestones: int | None = None
    open_milestones: int | None = None
    closed_milestones: int | None = None


class Orgs(BaseModel):
    total_orgs: int | None = None
    disabled_orgs: int | None = None
    total_teams: int | None = None
    total_team_members: int | None = None


class Pages1(BaseModel):
    total_pages: int | None = None


class Pulls(BaseModel):
    total_pulls: int | None = None
    merged_pulls: int | None = None
    mergeable_pulls: int | None = None
    unmergeable_pulls: int | None = None


class Repos(BaseModel):
    total_repos: int | None = None
    root_repos: int | None = None
    fork_repos: int | None = None
    org_repos: int | None = None
    total_pushes: int | None = None
    total_wikis: int | None = None


class Users(BaseModel):
    total_users: int | None = None
    admin_users: int | None = None
    suspended_users: int | None = None


class GheStats(BaseModel):
    comments: Comments | None = None
    gists: Gists | None = None
    hooks: Hooks | None = None
    issues: Issues1 | None = None
    milestones: Milestones | None = None
    orgs: Orgs | None = None
    pages: Pages1 | None = None
    pulls: Pulls | None = None
    repos: Repos | None = None
    users: Users | None = None


class DormantUsers(BaseModel):
    total_dormant_users: int | None = None
    dormancy_threshold: str | None = None


class ServerStatistic(BaseModel):
    server_id: str | None = None
    collection_date: str | None = None
    schema_version: str | None = None
    ghes_version: str | None = None
    host_name: str | None = None
    github_connect: GithubConnect | None = None
    ghe_stats: GheStats | None = None
    dormant_users: DormantUsers | None = None


class ServerStatistics(BaseModel):
    """
    Response of S4 Proxy endpoint that provides GHES statistics
    """

    __root__: Annotated[
        Sequence[ServerStatistic], Field(title="Server Statistics Proxy Endpoint")
    ]
    """
    Response of S4 Proxy endpoint that provides GHES statistics
    """


class ActionsCacheUsageOrgEnterprise(BaseModel):
    total_active_caches_count: int
    """
    The count of active caches across all repositories of an enterprise or an organization.
    """
    total_active_caches_size_in_bytes: int
    """
    The total size in bytes of all active cache items across all repositories of an enterprise or an organization.
    """


class EnabledOrganizations(Enum):
    """
    The policy that controls the organizations in the enterprise that are allowed to run GitHub Actions.
    """

    all = "all"
    none = "none"
    selected = "selected"


class AllowedActions(Enum):
    """
    The permissions policy that controls the actions and reusable workflows that are allowed to run.
    """

    all = "all"
    local_only = "local_only"
    selected = "selected"


class ActionsEnterprisePermissions(BaseModel):
    enabled_organizations: EnabledOrganizations
    selected_organizations_url: str | None = None
    """
    The API URL to use to get or set the selected organizations that are allowed to run GitHub Actions, when `enabled_organizations` is set to `selected`.
    """
    allowed_actions: AllowedActions | None = None
    selected_actions_url: str | None = None
    """
    The API URL to use to get or set the actions and reusable workflows that are allowed to run, when `allowed_actions` is set to `selected`.
    """


class OrganizationSimple(BaseModel):
    """
    Organization Simple
    """

    login: Annotated[str, Field(example="github")]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDEyOk9yZ2FuaXphdGlvbjE=")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/orgs/github")]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/github/repos")
    ]
    events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/github/events")
    ]
    hooks_url: Annotated[str, Field(example="https://api.github.com/orgs/github/hooks")]
    issues_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/issues")
    ]
    members_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/members{/member}")
    ]
    public_members_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/public_members{/member}")
    ]
    avatar_url: Annotated[
        str, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    description: Annotated[str, Field(example="A great organization")]


class SelectedActions(BaseModel):
    github_owned_allowed: bool | None = None
    """
    Whether GitHub-owned actions are allowed. For example, this includes the actions in the `actions` organization.
    """
    verified_allowed: bool | None = None
    """
    Whether actions from GitHub Marketplace verified creators are allowed. Set to `true` to allow all actions by GitHub Marketplace verified creators.
    """
    patterns_allowed: Sequence[str] | None = None
    """
    Specifies a list of string-matching patterns to allow specific action(s) and reusable workflow(s). Wildcards, tags, and SHAs are allowed. For example, `monalisa/octocat@*`, `monalisa/octocat@v2`, `monalisa/*`."
    """


class ActionsDefaultWorkflowPermissions(Enum):
    """
    The default workflow permissions granted to the GITHUB_TOKEN when running workflows.
    """

    read = "read"
    write = "write"


class ActionsGetDefaultWorkflowPermissions(BaseModel):
    default_workflow_permissions: ActionsDefaultWorkflowPermissions
    can_approve_pull_request_reviews: bool
    """
    Whether GitHub Actions can approve pull requests. Enabling this can be a security risk.
    """


class ActionsSetDefaultWorkflowPermissions(BaseModel):
    default_workflow_permissions: ActionsDefaultWorkflowPermissions | None = None
    can_approve_pull_request_reviews: bool | None = None
    """
    Whether GitHub Actions can approve pull requests. Enabling this can be a security risk.
    """


class RunnerGroupsEnterprise(BaseModel):
    id: float
    name: str
    visibility: str
    default: bool
    selected_organizations_url: str | None = None
    runners_url: str
    allows_public_repositories: bool
    workflow_restrictions_read_only: bool | None = False
    """
    If `true`, the `restricted_to_workflows` and `selected_workflows` fields cannot be modified.
    """
    restricted_to_workflows: bool | None = False
    """
    If `true`, the runner group will be restricted to running only the workflows specified in the `selected_workflows` array.
    """
    selected_workflows: Sequence[str] | None = None
    """
    List of workflows the runner group should be allowed to run. This setting will be ignored unless `restricted_to_workflows` is set to `true`.
    """


class Type(Enum):
    """
    The type of label. Read-only labels are applied automatically when the runner is configured.
    """

    read_only = "read-only"
    custom = "custom"


class RunnerLabel(BaseModel):
    """
    A label for a self hosted runner
    """

    id: int | None = None
    """
    Unique identifier of the label.
    """
    name: str
    """
    Name of the label.
    """
    type: Type | None = None
    """
    The type of label. Read-only labels are applied automatically when the runner is configured.
    """


class Runner(BaseModel):
    """
    A self hosted runner
    """

    id: Annotated[int, Field(example=5)]
    """
    The id of the runner.
    """
    name: Annotated[str, Field(example="iMac")]
    """
    The name of the runner.
    """
    os: Annotated[str, Field(example="macos")]
    """
    The Operating System of the runner.
    """
    status: Annotated[str, Field(example="online")]
    """
    The status of the runner.
    """
    busy: bool
    labels: Sequence[RunnerLabel]


class RunnerApplication(BaseModel):
    """
    Runner Application
    """

    os: str
    architecture: str
    download_url: str
    filename: str
    temp_download_token: str | None = None
    """
    A short lived bearer token used to download the runner, if needed.
    """
    sha256_checksum: str | None = None


class AuthenticationToken(BaseModel):
    """
    Authentication Token
    """

    token: Annotated[str, Field(example="v1.1f699f1069f60xxx")]
    """
    The token used for authentication
    """
    expires_at: Annotated[datetime, Field(example="2016-07-11T22:14:10Z")]
    """
    The time this token expires
    """
    permissions: Annotated[
        Mapping[str, Any] | None,
        Field(example={"issues": "read", "deployments": "write"}),
    ] = None
    repositories: Sequence[Repository] | None = None
    """
    The repositories this token has access to
    """
    single_file: Annotated[str | None, Field(example="config.yaml")] = None
    repository_selection: RepositorySelection2 | None = None
    """
    Describe whether all repositories have been selected or there's a selection involved
    """


class CodeScanningAlertState(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    closed = "closed"
    dismissed = "dismissed"
    fixed = "fixed"


class CodeScanningAlertDismissedReasonEnum(Enum):
    """
    **Required when the state is dismissed.** The reason for dismissing or closing the alert.
    """

    false_positive = "false positive"
    won_t_fix = "won't fix"
    used_in_tests = "used in tests"


class Severity(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class SecuritySeverityLevel(Enum):
    """
    The security severity of the alert.
    """

    low = "low"
    medium = "medium"
    high = "high"
    critical = "critical"


class CodeScanningAlertRule(BaseModel):
    id: str | None = None
    """
    A unique identifier for the rule used to detect the alert.
    """
    name: str | None = None
    """
    The name of the rule used to detect the alert.
    """
    severity: Severity | None = None
    """
    The severity of the alert.
    """
    security_severity_level: SecuritySeverityLevel | None = None
    """
    The security severity of the alert.
    """
    description: str | None = None
    """
    A short description of the rule used to detect the alert.
    """
    full_description: str | None = None
    """
    description of the rule used to detect the alert.
    """
    tags: Sequence[str] | None = None
    """
    A set of tags applicable for the rule.
    """
    help: str | None = None
    """
    Detailed documentation for the rule as GitHub Flavored Markdown.
    """
    help_uri: str | None = None
    """
    A link to the documentation for the rule used to detect the alert.
    """


class CodeScanningAnalysisTool(BaseModel):
    name: str | None = None
    """
    The name of the tool used to generate the code scanning analysis.
    """
    version: str | None = None
    """
    The version of the tool used to generate the code scanning analysis.
    """
    guid: str | None = None
    """
    The GUID of the tool used to generate the code scanning analysis, if provided in the uploaded SARIF data.
    """


class CodeScanningAlertLocation(BaseModel):
    """
    Describe a region within a file for the alert.
    """

    path: str | None = None
    start_line: int | None = None
    end_line: int | None = None
    start_column: int | None = None
    end_column: int | None = None


class CodeScanningAlertClassification(Enum):
    """
    A classification of the file. For example to identify it as generated.
    """

    source = "source"
    generated = "generated"
    test = "test"
    library = "library"


class Message(BaseModel):
    text: str | None = None


class CodeScanningAlertInstance(BaseModel):
    ref: str | None = None
    """
    The full Git reference, formatted as `refs/heads/<branch name>`,
    `refs/pull/<number>/merge`, or `refs/pull/<number>/head`.
    """
    analysis_key: str | None = None
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    environment: str | None = None
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    category: str | None = None
    """
    Identifies the configuration under which the analysis was executed. Used to distinguish between multiple analyses for the same tool and commit, but performed on different languages or different parts of the code.
    """
    state: CodeScanningAlertState | None = None
    commit_sha: str | None = None
    message: Message | None = None
    location: CodeScanningAlertLocation | None = None
    html_url: str | None = None
    classifications: Sequence[CodeScanningAlertClassification] | None = None
    """
    Classifications that have been applied to the file that triggered the alert.
    For example identifying it as documentation, or a generated file.
    """


class SimpleRepository(BaseModel):
    """
    Simple Repository
    """

    id: Annotated[int, Field(example=1296269)]
    """
    A unique identifier of the repository.
    """
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    """
    The GraphQL identifier of the repository.
    """
    name: Annotated[str, Field(example="Hello-World")]
    """
    The name of the repository.
    """
    full_name: Annotated[str, Field(example="octocat/Hello-World")]
    """
    The full, globally unique, name of the repository.
    """
    owner: SimpleUser
    private: bool
    """
    Whether the repository is private.
    """
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat/Hello-World")]
    """
    The URL to view the repository on GitHub.com.
    """
    description: Annotated[str, Field(example="This your first repo!")]
    """
    The repository description.
    """
    fork: bool
    """
    Whether the repository is a fork.
    """
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World")
    ]
    """
    The URL to get more information about the repository from the GitHub API.
    """
    archive_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/{archive_format}{/ref}"
        ),
    ]
    """
    A template for the API URL to download the repository as an archive.
    """
    assignees_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/assignees{/user}"
        ),
    ]
    """
    A template for the API URL to list the available assignees for issues in the repository.
    """
    blobs_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/git/blobs{/sha}"
        ),
    ]
    """
    A template for the API URL to create or retrieve a raw Git blob in the repository.
    """
    branches_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/branches{/branch}"
        ),
    ]
    """
    A template for the API URL to get information about branches in the repository.
    """
    collaborators_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/collaborators{/collaborator}"
        ),
    ]
    """
    A template for the API URL to get information about collaborators of the repository.
    """
    comments_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/comments{/number}"
        ),
    ]
    """
    A template for the API URL to get information about comments on the repository.
    """
    commits_url: Annotated[
        str,
        Field(example="https://api.github.com/repos/octocat/Hello-World/commits{/sha}"),
    ]
    """
    A template for the API URL to get information about commits on the repository.
    """
    compare_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/compare/{base}...{head}"
        ),
    ]
    """
    A template for the API URL to compare two commits or refs.
    """
    contents_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/contents/{+path}"
        ),
    ]
    """
    A template for the API URL to get the contents of the repository.
    """
    contributors_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/contributors"),
    ]
    """
    A template for the API URL to list the contributors to the repository.
    """
    deployments_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/deployments"),
    ]
    """
    The API URL to list the deployments of the repository.
    """
    downloads_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/downloads"),
    ]
    """
    The API URL to list the downloads on the repository.
    """
    events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World/events")
    ]
    """
    The API URL to list the events of the repository.
    """
    forks_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World/forks")
    ]
    """
    The API URL to list the forks of the repository.
    """
    git_commits_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/git/commits{/sha}"
        ),
    ]
    """
    A template for the API URL to get information about Git commits of the repository.
    """
    git_refs_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/git/refs{/sha}"
        ),
    ]
    """
    A template for the API URL to get information about Git refs of the repository.
    """
    git_tags_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/git/tags{/sha}"
        ),
    ]
    """
    A template for the API URL to get information about Git tags of the repository.
    """
    issue_comment_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/issues/comments{/number}"
        ),
    ]
    """
    A template for the API URL to get information about issue comments on the repository.
    """
    issue_events_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/issues/events{/number}"
        ),
    ]
    """
    A template for the API URL to get information about issue events on the repository.
    """
    issues_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/issues{/number}"
        ),
    ]
    """
    A template for the API URL to get information about issues on the repository.
    """
    keys_url: Annotated[
        str,
        Field(example="https://api.github.com/repos/octocat/Hello-World/keys{/key_id}"),
    ]
    """
    A template for the API URL to get information about deploy keys on the repository.
    """
    labels_url: Annotated[
        str,
        Field(example="https://api.github.com/repos/octocat/Hello-World/labels{/name}"),
    ]
    """
    A template for the API URL to get information about labels of the repository.
    """
    languages_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/languages"),
    ]
    """
    The API URL to get information about the languages of the repository.
    """
    merges_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World/merges")
    ]
    """
    The API URL to merge branches in the repository.
    """
    milestones_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/milestones{/number}"
        ),
    ]
    """
    A template for the API URL to get information about milestones of the repository.
    """
    notifications_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/notifications{?since,all,participating}"
        ),
    ]
    """
    A template for the API URL to get information about notifications on the repository.
    """
    pulls_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls{/number}"
        ),
    ]
    """
    A template for the API URL to get information about pull requests on the repository.
    """
    releases_url: Annotated[
        str,
        Field(example="https://api.github.com/repos/octocat/Hello-World/releases{/id}"),
    ]
    """
    A template for the API URL to get information about releases on the repository.
    """
    stargazers_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/stargazers"),
    ]
    """
    The API URL to list the stargazers on the repository.
    """
    statuses_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/statuses/{sha}"
        ),
    ]
    """
    A template for the API URL to get information about statuses of a commit.
    """
    subscribers_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/subscribers"),
    ]
    """
    The API URL to list the subscribers on the repository.
    """
    subscription_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/subscription"),
    ]
    """
    The API URL to subscribe to notifications for this repository.
    """
    tags_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World/tags")
    ]
    """
    The API URL to get information about tags on the repository.
    """
    teams_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World/teams")
    ]
    """
    The API URL to list the teams on the repository.
    """
    trees_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/git/trees{/sha}"
        ),
    ]
    """
    A template for the API URL to create or retrieve a raw Git tree of the repository.
    """
    hooks_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World/hooks")
    ]
    """
    The API URL to list the hooks on the repository.
    """


class CodeScanningOrganizationAlertItems(BaseModel):
    number: int
    """
    The security alert number.
    """
    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime | None = None
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    url: AnyUrl
    """
    The REST API URL of the alert resource.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances_url: AnyUrl
    """
    The REST API URL for fetching the list of instances for an alert.
    """
    state: CodeScanningAlertState
    fixed_at: datetime | None = None
    """
    The time that the alert was no longer detected and was considered fixed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: NullableSimpleUser
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_reason: CodeScanningAlertDismissedReasonEnum
    """
    **Required when the state is dismissed.** The reason for dismissing or closing the alert.
    """
    dismissed_comment: Annotated[str | None, Field(max_length=280)] = None
    """
    The dismissal comment associated with the dismissal of the alert.
    """
    rule: CodeScanningAlertRule
    tool: CodeScanningAnalysisTool
    most_recent_instance: CodeScanningAlertInstance
    repository: SimpleRepository


class SecretScanningAlertState(Enum):
    """
    Sets the state of the secret scanning alert. You must provide `resolution` when you set the state to `resolved`.
    """

    open = "open"
    resolved = "resolved"


class SecretScanningAlertResolutionEnum(Enum):
    """
    **Required when the `state` is `resolved`.** The reason for resolving the alert.
    """

    false_positive = "false_positive"
    wont_fix = "wont_fix"
    revoked = "revoked"
    used_in_tests = "used_in_tests"


class OrganizationSecretScanningAlert(BaseModel):
    number: int | None = None
    """
    The security alert number.
    """
    created_at: datetime | None = None
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime | None = None
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    url: AnyUrl | None = None
    """
    The REST API URL of the alert resource.
    """
    html_url: AnyUrl | None = None
    """
    The GitHub URL of the alert resource.
    """
    locations_url: AnyUrl | None = None
    """
    The REST API URL of the code locations for this alert.
    """
    state: SecretScanningAlertState | None = None
    resolution: SecretScanningAlertResolutionEnum | None = None
    """
    **Required when the `state` is `resolved`.** The reason for resolving the alert.
    """
    resolved_at: datetime | None = None
    """
    The time that the alert was resolved in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    resolved_by: NullableSimpleUser | None = None
    secret_type: str | None = None
    """
    The type of secret that secret scanning detected.
    """
    secret_type_display_name: str | None = None
    """
    User-friendly name for the detected secret, matching the `secret_type`.
    For a list of built-in patterns, see "[Secret scanning patterns](https://docs.github.com/code-security/secret-scanning/secret-scanning-patterns#supported-secrets-for-advanced-security)."
    """
    secret: str | None = None
    """
    The secret that was detected.
    """
    repository: SimpleRepository | None = None
    push_protection_bypassed: bool | None = None
    """
    Whether push protection was bypassed for the detected secret.
    """
    push_protection_bypassed_by: NullableSimpleUser | None = None
    push_protection_bypassed_at: datetime | None = None
    """
    The time that push protection was bypassed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    resolution_comment: str | None = None
    """
    The comment that was optionally added when this alert was closed
    """


class AdvancedSecurityActiveCommittersUser(BaseModel):
    user_login: str
    last_pushed_date: Annotated[str, Field(example="2021-11-03")]


class AdvancedSecurityActiveCommittersRepository(BaseModel):
    name: Annotated[str, Field(example="octocat/Hello-World")]
    advanced_security_committers: Annotated[int, Field(example=25)]
    advanced_security_committers_breakdown: Sequence[
        AdvancedSecurityActiveCommittersUser
    ]


class AdvancedSecurityActiveCommitters(BaseModel):
    total_advanced_security_committers: Annotated[int | None, Field(example=25)] = None
    total_count: Annotated[int | None, Field(example=2)] = None
    repositories: Sequence[AdvancedSecurityActiveCommittersRepository]


class Actor(BaseModel):
    """
    Actor
    """

    id: int
    login: str
    display_login: str | None = None
    gravatar_id: str
    url: AnyUrl
    avatar_url: AnyUrl


class State(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class NullableMilestone(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/milestones/1"),
    ]
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/milestones/v1.0")
    ]
    labels_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/milestones/1/labels"
        ),
    ]
    id: Annotated[int, Field(example=1002604)]
    node_id: Annotated[str, Field(example="MDk6TWlsZXN0b25lMTAwMjYwNA==")]
    number: Annotated[int, Field(example=42)]
    """
    The number of the milestone.
    """
    state: Annotated[State, Field(example="open")]
    """
    The state of the milestone.
    """
    title: Annotated[str, Field(example="v1.0")]
    """
    The title of the milestone.
    """
    description: Annotated[str, Field(example="Tracking milestone for version 1.0")]
    creator: NullableSimpleUser
    open_issues: Annotated[int, Field(example=4)]
    closed_issues: Annotated[int, Field(example=8)]
    created_at: Annotated[datetime, Field(example="2011-04-10T20:09:31Z")]
    updated_at: Annotated[datetime, Field(example="2014-03-03T18:58:10Z")]
    closed_at: Annotated[datetime, Field(example="2013-02-12T13:22:01Z")]
    due_on: Annotated[datetime, Field(example="2012-10-09T23:39:01Z")]


class Permissions3(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    issues: str | None = None
    checks: str | None = None
    metadata: str | None = None
    contents: str | None = None
    deployments: str | None = None


class NullableIntegration(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    id: Annotated[int, Field(example=37)]
    """
    Unique identifier of the GitHub app
    """
    slug: Annotated[str | None, Field(example="probot-owners")] = None
    """
    The slug name of the GitHub app
    """
    node_id: Annotated[str, Field(example="MDExOkludGVncmF0aW9uMQ==")]
    owner: NullableSimpleUser
    name: Annotated[str, Field(example="Probot Owners")]
    """
    The name of the GitHub app
    """
    description: Annotated[str, Field(example="The description of the app.")]
    external_url: Annotated[AnyUrl, Field(example="https://example.com")]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/apps/super-ci")]
    created_at: Annotated[datetime, Field(example="2017-07-08T16:18:44-04:00")]
    updated_at: Annotated[datetime, Field(example="2017-07-08T16:18:44-04:00")]
    permissions: Annotated[
        Permissions3, Field(example={"issues": "read", "deployments": "write"})
    ]
    """
    The set of permissions for the GitHub app
    """
    events: Annotated[Sequence[str], Field(example=["label", "deployment"])]
    """
    The list of events for the GitHub app
    """
    installations_count: Annotated[int | None, Field(example=5)] = None
    """
    The number of installations associated with the GitHub app
    """
    client_id: Annotated[str | None, Field(example='"Iv1.25b5d1e65ffc4022"')] = None
    client_secret: Annotated[
        str | None, Field(example='"1d4b2097ac622ba702d19de498f005747a8b21d3"')
    ] = None
    webhook_secret: Annotated[
        str | None, Field(example='"6fba8f2fc8a7e8f2cca5577eddd82ca7586b3b6b"')
    ] = None
    pem: Annotated[
        str | None,
        Field(
            example='"-----BEGIN RSA PRIVATE KEY-----\\nMIIEogIBAAKCAQEArYxrNYD/iT5CZVpRJu4rBKmmze3PVmT/gCo2ATUvDvZTPTey\\nxcGJ3vvrJXazKk06pN05TN29o98jrYz4cengG3YGsXPNEpKsIrEl8NhbnxapEnM9\\nJCMRe0P5JcPsfZlX6hmiT7136GRWiGOUba2X9+HKh8QJVLG5rM007TBER9/z9mWm\\nrJuNh+m5l320oBQY/Qq3A7wzdEfZw8qm/mIN0FCeoXH1L6B8xXWaAYBwhTEh6SSn\\nZHlO1Xu1JWDmAvBCi0RO5aRSKM8q9QEkvvHP4yweAtK3N8+aAbZ7ovaDhyGz8r6r\\nzhU1b8Uo0Z2ysf503WqzQgIajr7Fry7/kUwpgQIDAQABAoIBADwJp80Ko1xHPZDy\\nfcCKBDfIuPvkmSW6KumbsLMaQv1aGdHDwwTGv3t0ixSay8CGlxMRtRDyZPib6SvQ\\n6OH/lpfpbMdW2ErkksgtoIKBVrDilfrcAvrNZu7NxRNbhCSvN8q0s4ICecjbbVQh\\nnueSdlA6vGXbW58BHMq68uRbHkP+k+mM9U0mDJ1HMch67wlg5GbayVRt63H7R2+r\\nVxcna7B80J/lCEjIYZznawgiTvp3MSanTglqAYi+m1EcSsP14bJIB9vgaxS79kTu\\noiSo93leJbBvuGo8QEiUqTwMw4tDksmkLsoqNKQ1q9P7LZ9DGcujtPy4EZsamSJT\\ny8OJt0ECgYEA2lxOxJsQk2kI325JgKFjo92mQeUObIvPfSNWUIZQDTjniOI6Gv63\\nGLWVFrZcvQBWjMEQraJA9xjPbblV8PtfO87MiJGLWCHFxmPz2dzoedN+2Coxom8m\\nV95CLz8QUShuao6u/RYcvUaZEoYs5bHcTmy5sBK80JyEmafJPtCQVxMCgYEAy3ar\\nZr3yv4xRPEPMat4rseswmuMooSaK3SKub19WFI5IAtB/e7qR1Rj9JhOGcZz+OQrl\\nT78O2OFYlgOIkJPvRMrPpK5V9lslc7tz1FSh3BZMRGq5jSyD7ETSOQ0c8T2O/s7v\\nbeEPbVbDe4mwvM24XByH0GnWveVxaDl51ABD65sCgYB3ZAspUkOA5egVCh8kNpnd\\nSd6SnuQBE3ySRlT2WEnCwP9Ph6oPgn+oAfiPX4xbRqkL8q/k0BdHQ4h+zNwhk7+h\\nWtPYRAP1Xxnc/F+jGjb+DVaIaKGU18MWPg7f+FI6nampl3Q0KvfxwX0GdNhtio8T\\nTj1E+SnFwh56SRQuxSh2gwKBgHKjlIO5NtNSflsUYFM+hyQiPiqnHzddfhSG+/3o\\nm5nNaSmczJesUYreH5San7/YEy2UxAugvP7aSY2MxB+iGsiJ9WD2kZzTUlDZJ7RV\\nUzWsoqBR+eZfVJ2FUWWvy8TpSG6trh4dFxImNtKejCR1TREpSiTV3Zb1dmahK9GV\\nrK9NAoGAbBxRLoC01xfxCTgt5BDiBcFVh4fp5yYKwavJPLzHSpuDOrrI9jDn1oKN\\nonq5sDU1i391zfQvdrbX4Ova48BN+B7p63FocP/MK5tyyBoT8zQEk2+vWDOw7H/Z\\nu5dTCPxTIsoIwUw1I+7yIxqJzLPFgR2gVBwY1ra/8iAqCj+zeBw=\\n-----END RSA PRIVATE KEY-----\\n"'
        ),
    ] = None


class AuthorAssociation(Enum):
    """
    How the author is associated with the repository.
    """

    COLLABORATOR = "COLLABORATOR"
    CONTRIBUTOR = "CONTRIBUTOR"
    FIRST_TIMER = "FIRST_TIMER"
    FIRST_TIME_CONTRIBUTOR = "FIRST_TIME_CONTRIBUTOR"
    MANNEQUIN = "MANNEQUIN"
    MEMBER = "MEMBER"
    NONE = "NONE"
    OWNER = "OWNER"


class ReactionRollup(BaseModel):
    url: AnyUrl
    total_count: int
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    laugh: int
    confused: int
    heart: int
    hooray: int
    eyes: int
    rocket: int


class StateReason(Enum):
    """
    The reason for the current state
    """

    completed = "completed"
    reopened = "reopened"
    not_planned = "not_planned"


class Label(BaseModel):
    id: int | None = None
    node_id: str | None = None
    url: AnyUrl | None = None
    name: str | None = None
    description: str | None = None
    color: str | None = None
    default: bool | None = None


class PullRequest(BaseModel):
    merged_at: datetime | None = None
    diff_url: AnyUrl
    html_url: AnyUrl
    patch_url: AnyUrl
    url: AnyUrl


class Issue(BaseModel):
    """
    Issues are a great way to keep track of tasks, enhancements, and bugs for your projects.
    """

    id: int
    node_id: str
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repositories/42/issues/1")
    ]
    """
    URL for the issue
    """
    repository_url: AnyUrl
    labels_url: str
    comments_url: AnyUrl
    events_url: AnyUrl
    html_url: AnyUrl
    number: Annotated[int, Field(example=42)]
    """
    Number uniquely identifying the issue within its repository
    """
    state: Annotated[str, Field(example="open")]
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: Annotated[StateReason | None, Field(example="not_planned")] = None
    """
    The reason for the current state
    """
    title: Annotated[str, Field(example="Widget creation fails in Safari on OS X 10.8")]
    """
    Title of the issue
    """
    body: Annotated[
        str | None,
        Field(
            example="It looks like the new widget form is broken on Safari. When I try and create the widget, Safari crashes. This is reproducible on 10.8, but not 10.9. Maybe a browser bug?"
        ),
    ] = None
    """
    Contents of the issue
    """
    user: NullableSimpleUser
    labels: Annotated[Sequence[str | Label], Field(example=["bug", "registration"])]
    """
    Labels to associate with this issue; pass one or more label names to replace the set of labels on this issue; send an empty array to clear all labels from the issue; note that the labels are silently dropped for users without push access to the repository
    """
    assignee: NullableSimpleUser
    assignees: Sequence[SimpleUser] | None = None
    milestone: NullableMilestone
    locked: bool
    active_lock_reason: str | None = None
    comments: int
    pull_request: PullRequest | None = None
    closed_at: datetime
    created_at: datetime
    updated_at: datetime
    draft: bool | None = None
    closed_by: NullableSimpleUser | None = None
    body_html: str | None = None
    body_text: str | None = None
    timeline_url: AnyUrl | None = None
    repository: Repository | None = None
    performed_via_github_app: NullableIntegration | None = None
    author_association: AuthorAssociation
    reactions: ReactionRollup | None = None


class IssueComment(BaseModel):
    """
    Comments provide a way for people to collaborate on an issue.
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the issue comment
    """
    node_id: str
    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repositories/42/issues/comments/1"),
    ]
    """
    URL for the issue comment
    """
    body: Annotated[
        str | None,
        Field(
            example="What version of Safari were you using when you observed this bug?"
        ),
    ] = None
    """
    Contents of the issue comment
    """
    body_text: str | None = None
    body_html: str | None = None
    html_url: AnyUrl
    user: NullableSimpleUser
    created_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    updated_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    issue_url: AnyUrl
    author_association: AuthorAssociation
    performed_via_github_app: NullableIntegration | None = None
    reactions: ReactionRollup | None = None


class Repo(BaseModel):
    id: int
    name: str
    url: AnyUrl


class Page(BaseModel):
    page_name: str | None = None
    title: str | None = None
    summary: str | None = None
    action: str | None = None
    sha: str | None = None
    html_url: str | None = None


class Payload(BaseModel):
    action: str | None = None
    issue: Issue | None = None
    comment: IssueComment | None = None
    pages: Sequence[Page] | None = None


class Event(BaseModel):
    """
    Event
    """

    id: str
    type: str
    actor: Actor
    repo: Repo
    org: Actor | None = None
    payload: Payload
    public: bool
    created_at: datetime


class LinkWithType(BaseModel):
    """
    Hypermedia Link with Type
    """

    href: str
    type: str


class FieldLinks(BaseModel):
    timeline: LinkWithType
    user: LinkWithType
    security_advisories: LinkWithType | None = None
    current_user: LinkWithType | None = None
    current_user_public: LinkWithType | None = None
    current_user_actor: LinkWithType | None = None
    current_user_organization: LinkWithType | None = None
    current_user_organizations: Sequence[LinkWithType] | None = None


class Feed(BaseModel):
    """
    Feed
    """

    timeline_url: Annotated[str, Field(example="https://github.com/timeline")]
    user_url: Annotated[str, Field(example="https://github.com/{user}")]
    current_user_public_url: Annotated[
        str | None, Field(example="https://github.com/octocat")
    ] = None
    current_user_url: Annotated[
        str | None, Field(example="https://github.com/octocat.private?token=abc123")
    ] = None
    current_user_actor_url: Annotated[
        str | None,
        Field(example="https://github.com/octocat.private.actor?token=abc123"),
    ] = None
    current_user_organization_url: Annotated[
        str | None, Field(example="https://github.com/octocat-org")
    ] = None
    current_user_organization_urls: Annotated[
        Sequence[AnyUrl] | None,
        Field(
            example=[
                "https://github.com/organizations/github/octocat.private.atom?token=abc123"
            ]
        ),
    ] = None
    security_advisories_url: Annotated[
        str | None, Field(example="https://github.com/security-advisories")
    ] = None
    field_links: Annotated[FieldLinks, Field(alias="_links")]


class Files(BaseModel):
    filename: str | None = None
    type: str | None = None
    language: str | None = None
    raw_url: str | None = None
    size: int | None = None


class BaseGist(BaseModel):
    """
    Base Gist
    """

    url: AnyUrl
    forks_url: AnyUrl
    commits_url: AnyUrl
    id: str
    node_id: str
    git_pull_url: AnyUrl
    git_push_url: AnyUrl
    html_url: AnyUrl
    files: Mapping[str, Files]
    public: bool
    created_at: datetime
    updated_at: datetime
    description: str
    comments: int
    user: NullableSimpleUser
    comments_url: AnyUrl
    owner: SimpleUser | None = None
    truncated: bool | None = None
    forks: Sequence | None = None
    history: Sequence | None = None


class Plan(BaseModel):
    collaborators: int
    name: str
    space: int
    private_repos: int


class PublicUser(BaseModel):
    """
    Public User
    """

    class Config:
        extra = Extra.forbid

    login: str
    id: int
    node_id: str
    avatar_url: AnyUrl
    gravatar_id: str
    url: AnyUrl
    html_url: AnyUrl
    followers_url: AnyUrl
    following_url: str
    gists_url: str
    starred_url: str
    subscriptions_url: AnyUrl
    organizations_url: AnyUrl
    repos_url: AnyUrl
    events_url: str
    received_events_url: AnyUrl
    type: str
    site_admin: bool
    name: str
    company: str
    blog: str
    location: str
    email: EmailStr
    hireable: bool
    bio: str
    twitter_username: str | None = None
    public_repos: int
    public_gists: int
    followers: int
    following: int
    created_at: datetime
    updated_at: datetime
    plan: Plan | None = None
    suspended_at: datetime | None = None
    private_gists: Annotated[int | None, Field(example=1)] = None
    total_private_repos: Annotated[int | None, Field(example=2)] = None
    owned_private_repos: Annotated[int | None, Field(example=2)] = None
    disk_usage: Annotated[int | None, Field(example=1)] = None
    collaborators: Annotated[int | None, Field(example=3)] = None


class ChangeStatus(BaseModel):
    total: int | None = None
    additions: int | None = None
    deletions: int | None = None


class GistHistory(BaseModel):
    """
    Gist History
    """

    user: NullableSimpleUser | None = None
    version: str | None = None
    committed_at: datetime | None = None
    change_status: ChangeStatus | None = None
    url: AnyUrl | None = None


class Fork(BaseModel):
    id: str | None = None
    url: AnyUrl | None = None
    user: PublicUser | None = None
    created_at: datetime | None = None
    updated_at: datetime | None = None


class ForkOf(BaseModel):
    """
    Gist
    """

    url: AnyUrl
    forks_url: AnyUrl
    commits_url: AnyUrl
    id: str
    node_id: str
    git_pull_url: AnyUrl
    git_push_url: AnyUrl
    html_url: AnyUrl
    files: Mapping[str, Files]
    public: bool
    created_at: datetime
    updated_at: datetime
    description: str
    comments: int
    user: NullableSimpleUser
    comments_url: AnyUrl
    owner: NullableSimpleUser | None = None
    truncated: bool | None = None
    forks: Sequence | None = None
    history: Sequence | None = None


class Files2(BaseModel):
    filename: str | None = None
    type: str | None = None
    language: str | None = None
    raw_url: str | None = None
    size: int | None = None
    truncated: bool | None = None
    content: str | None = None


class GistSimple(BaseModel):
    """
    Gist Simple
    """

    forks: Sequence[Fork] | None = None
    history: Sequence[GistHistory] | None = None
    fork_of: Annotated[ForkOf | None, Field(title="Gist")] = None
    """
    Gist
    """
    url: str | None = None
    forks_url: str | None = None
    commits_url: str | None = None
    id: str | None = None
    node_id: str | None = None
    git_pull_url: str | None = None
    git_push_url: str | None = None
    html_url: str | None = None
    files: Mapping[str, Files2] | None = None
    public: bool | None = None
    created_at: str | None = None
    updated_at: str | None = None
    description: str | None = None
    comments: int | None = None
    user: str | None = None
    comments_url: str | None = None
    owner: SimpleUser | None = None
    truncated: bool | None = None


class GistComment(BaseModel):
    """
    A comment made to a gist.
    """

    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDExOkdpc3RDb21tZW50MQ==")]
    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/gists/a6db0bec360bb87e9418/comments/1"),
    ]
    body: Annotated[str, Field(example="Body of the attachment", max_length=65535)]
    """
    The comment text.
    """
    user: NullableSimpleUser
    created_at: Annotated[datetime, Field(example="2011-04-18T23:23:56Z")]
    updated_at: Annotated[datetime, Field(example="2011-04-18T23:23:56Z")]
    author_association: AuthorAssociation


class GistCommit(BaseModel):
    """
    Gist Commit
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/gists/aa5a315d61ae9438b18d/57a7f021a713b1c5a6a199b54cc514735d2d462f"
        ),
    ]
    version: Annotated[str, Field(example="57a7f021a713b1c5a6a199b54cc514735d2d462f")]
    user: NullableSimpleUser
    change_status: ChangeStatus
    committed_at: Annotated[datetime, Field(example="2010-04-14T02:15:15Z")]


class GitignoreTemplate(BaseModel):
    """
    Gitignore Template
    """

    name: Annotated[str, Field(example="C")]
    source: Annotated[
        str,
        Field(
            example="# Object files\n*.o\n\n# Libraries\n*.lib\n*.a\n\n# Shared objects (inc. Windows DLLs)\n*.dll\n*.so\n*.so.*\n*.dylib\n\n# Executables\n*.exe\n*.out\n*.app\n"
        ),
    ]


class LicenseSimple(BaseModel):
    """
    License Simple
    """

    key: Annotated[str, Field(example="mit")]
    name: Annotated[str, Field(example="MIT License")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/licenses/mit")]
    spdx_id: Annotated[str, Field(example="MIT")]
    node_id: Annotated[str, Field(example="MDc6TGljZW5zZW1pdA==")]
    html_url: AnyUrl | None = None


class License(BaseModel):
    """
    License
    """

    key: Annotated[str, Field(example="mit")]
    name: Annotated[str, Field(example="MIT License")]
    spdx_id: Annotated[str, Field(example="MIT")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/licenses/mit")]
    node_id: Annotated[str, Field(example="MDc6TGljZW5zZW1pdA==")]
    html_url: Annotated[
        AnyUrl, Field(example="http://choosealicense.com/licenses/mit/")
    ]
    description: Annotated[
        str,
        Field(
            example="A permissive license that is short and to the point. It lets people do anything with your code with proper attribution and without warranty."
        ),
    ]
    implementation: Annotated[
        str,
        Field(
            example="Create a text file (typically named LICENSE or LICENSE.txt) in the root of your source code and copy the text of the license into the file. Replace [year] with the current year and [fullname] with the name (or names) of the copyright holders."
        ),
    ]
    permissions: Annotated[
        Sequence[str],
        Field(
            example=[
                "commercial-use",
                "modifications",
                "distribution",
                "sublicense",
                "private-use",
            ]
        ),
    ]
    conditions: Annotated[Sequence[str], Field(example=["include-copyright"])]
    limitations: Annotated[Sequence[str], Field(example=["no-liability"])]
    body: Annotated[
        str,
        Field(
            example='\n\nThe MIT License (MIT)\n\nCopyright (c) [year] [fullname]\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the "Software"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.\n'
        ),
    ]
    featured: Annotated[bool, Field(example=True)]


class MarketplaceListingPlan(BaseModel):
    """
    Marketplace Listing Plan
    """

    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/marketplace_listing/plans/1313")
    ]
    accounts_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/marketplace_listing/plans/1313/accounts"),
    ]
    id: Annotated[int, Field(example=1313)]
    number: Annotated[int, Field(example=3)]
    name: Annotated[str, Field(example="Pro")]
    description: Annotated[str, Field(example="A professional-grade CI solution")]
    monthly_price_in_cents: Annotated[int, Field(example=1099)]
    yearly_price_in_cents: Annotated[int, Field(example=11870)]
    price_model: Annotated[str, Field(example="flat-rate")]
    has_free_trial: Annotated[bool, Field(example=True)]
    unit_name: str
    state: Annotated[str, Field(example="published")]
    bullets: Annotated[
        Sequence[str],
        Field(example=["Up to 25 private repositories", "11 concurrent builds"]),
    ]


class MarketplacePendingChange(BaseModel):
    is_installed: bool | None = None
    effective_date: str | None = None
    unit_count: int | None = None
    id: int | None = None
    plan: MarketplaceListingPlan | None = None


class MarketplacePurchase1(BaseModel):
    billing_cycle: str | None = None
    next_billing_date: str | None = None
    is_installed: bool | None = None
    unit_count: int | None = None
    on_free_trial: bool | None = None
    free_trial_ends_on: str | None = None
    updated_at: str | None = None
    plan: MarketplaceListingPlan | None = None


class MarketplacePurchase(BaseModel):
    """
    Marketplace Purchase
    """

    url: str
    type: str
    id: int
    login: str
    organization_billing_email: str | None = None
    email: str | None = None
    marketplace_pending_change: MarketplacePendingChange | None = None
    marketplace_purchase: MarketplacePurchase1


class SshKeyFingerprints(BaseModel):
    SHA256_RSA: str | None = None
    SHA256_DSA: str | None = None
    SHA256_ECDSA: str | None = None
    SHA256_ED25519: str | None = None


class ApiOverview(BaseModel):
    """
    Api Overview
    """

    verifiable_password_authentication: Annotated[bool, Field(example=True)]
    ssh_key_fingerprints: SshKeyFingerprints | None = None
    ssh_keys: Annotated[
        Sequence[str] | None,
        Field(
            example=[
                "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOMqqnkVzrm0SdG6UOoqKLsabgH5C9okWi0dh2l9GKJl"
            ]
        ),
    ] = None
    hooks: Annotated[Sequence[str] | None, Field(example=["127.0.0.1/32"])] = None
    web: Annotated[Sequence[str] | None, Field(example=["127.0.0.1/32"])] = None
    api: Annotated[Sequence[str] | None, Field(example=["127.0.0.1/32"])] = None
    git: Annotated[Sequence[str] | None, Field(example=["127.0.0.1/32"])] = None
    packages: Annotated[
        Sequence[str] | None,
        Field(example=["13.65.0.0/16", "157.55.204.33/32", "2a01:111:f403:f90c::/62"]),
    ] = None
    pages: Annotated[
        Sequence[str] | None, Field(example=["192.30.252.153/32", "192.30.252.154/32"])
    ] = None
    importer: Annotated[
        Sequence[str] | None, Field(example=["54.158.161.132", "54.226.70.38"])
    ] = None
    actions: Annotated[
        Sequence[str] | None, Field(example=["13.64.0.0/16", "13.65.0.0/16"])
    ] = None
    dependabot: Annotated[
        Sequence[str] | None, Field(example=["192.168.7.15/32", "192.168.7.16/32"])
    ] = None


class Permissions4(BaseModel):
    admin: bool | None = None
    maintain: bool | None = None
    push: bool | None = None
    triage: bool | None = None
    pull: bool | None = None


class License1(BaseModel):
    key: str | None = None
    name: str | None = None
    spdx_id: str | None = None
    url: str | None = None
    node_id: str | None = None


class MinimalRepository(BaseModel):
    """
    Minimal Repository
    """

    id: Annotated[int, Field(example=1296269)]
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    name: Annotated[str, Field(example="Hello-World")]
    full_name: Annotated[str, Field(example="octocat/Hello-World")]
    owner: SimpleUser
    private: bool
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat/Hello-World")]
    description: Annotated[str, Field(example="This your first repo!")]
    fork: bool
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World")
    ]
    archive_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/{archive_format}{/ref}"
        ),
    ]
    assignees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/assignees{/user}"
        ),
    ]
    blobs_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/blobs{/sha}"
        ),
    ]
    branches_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/branches{/branch}"
        ),
    ]
    collaborators_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/collaborators{/collaborator}"
        ),
    ]
    comments_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/comments{/number}"
        ),
    ]
    commits_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/commits{/sha}"),
    ]
    compare_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/compare/{base}...{head}"
        ),
    ]
    contents_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/contents/{+path}"
        ),
    ]
    contributors_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/contributors"),
    ]
    deployments_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/deployments"),
    ]
    downloads_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/downloads"),
    ]
    events_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/events")
    ]
    forks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/forks")
    ]
    git_commits_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/commits{/sha}"
        ),
    ]
    git_refs_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/refs{/sha}"),
    ]
    git_tags_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/tags{/sha}"),
    ]
    git_url: str | None = None
    issue_comment_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/comments{/number}"
        ),
    ]
    issue_events_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/events{/number}"
        ),
    ]
    issues_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues{/number}"
        ),
    ]
    keys_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/keys{/key_id}"),
    ]
    labels_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/labels{/name}"),
    ]
    languages_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/languages"),
    ]
    merges_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/merges")
    ]
    milestones_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/milestones{/number}"
        ),
    ]
    notifications_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/notifications{?since,all,participating}"
        ),
    ]
    pulls_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/pulls{/number}"),
    ]
    releases_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/releases{/id}"),
    ]
    ssh_url: str | None = None
    stargazers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/stargazers"),
    ]
    statuses_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/statuses/{sha}"),
    ]
    subscribers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscribers"),
    ]
    subscription_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscription"),
    ]
    tags_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/tags")
    ]
    teams_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/teams")
    ]
    trees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/trees{/sha}"
        ),
    ]
    clone_url: str | None = None
    mirror_url: str | None = None
    hooks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/hooks")
    ]
    svn_url: str | None = None
    homepage: str | None = None
    language: str | None = None
    forks_count: int | None = None
    stargazers_count: int | None = None
    watchers_count: int | None = None
    size: int | None = None
    """
    The size of the repository. Size is calculated hourly. When a repository is initially created, the size is 0.
    """
    default_branch: str | None = None
    open_issues_count: int | None = None
    is_template: bool | None = None
    topics: Sequence[str] | None = None
    has_issues: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    has_pages: bool | None = None
    has_downloads: bool | None = None
    archived: bool | None = None
    disabled: bool | None = None
    visibility: str | None = None
    pushed_at: Annotated[datetime | None, Field(example="2011-01-26T19:06:43Z")] = None
    created_at: Annotated[datetime | None, Field(example="2011-01-26T19:01:12Z")] = None
    updated_at: Annotated[datetime | None, Field(example="2011-01-26T19:14:43Z")] = None
    permissions: Permissions4 | None = None
    role_name: Annotated[str | None, Field(example="admin")] = None
    temp_clone_token: str | None = None
    delete_branch_on_merge: bool | None = None
    subscribers_count: int | None = None
    network_count: int | None = None
    code_of_conduct: CodeOfConduct | None = None
    license: License1 | None = None
    forks: Annotated[int | None, Field(example=0)] = None
    open_issues: Annotated[int | None, Field(example=0)] = None
    watchers: Annotated[int | None, Field(example=0)] = None
    allow_forking: bool | None = None
    web_commit_signoff_required: Annotated[bool | None, Field(example=False)] = None


class Subject(BaseModel):
    title: str
    url: str
    latest_comment_url: str
    type: str


class Thread(BaseModel):
    """
    Thread
    """

    id: str
    repository: MinimalRepository
    subject: Subject
    reason: str
    unread: bool
    updated_at: str
    last_read_at: str
    url: str
    subscription_url: Annotated[
        str,
        Field(example="https://api.github.com/notifications/threads/2/subscription"),
    ]


class ThreadSubscription(BaseModel):
    """
    Thread Subscription
    """

    subscribed: Annotated[bool, Field(example=True)]
    ignored: bool
    reason: str
    created_at: Annotated[datetime, Field(example="2012-10-06T21:34:12Z")]
    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/notifications/threads/1/subscription"),
    ]
    thread_url: Annotated[
        AnyUrl | None, Field(example="https://api.github.com/notifications/threads/1")
    ] = None
    repository_url: Annotated[
        AnyUrl | None, Field(example="https://api.github.com/repos/1")
    ] = None


class BaseRole(Enum):
    """
    The system role from which this role inherits permissions.
    """

    read = "read"
    triage = "triage"
    write = "write"
    maintain = "maintain"


class OrganizationCustomRepositoryRole(BaseModel):
    """
    Custom repository roles created by organization administrators
    """

    id: int
    """
    The unique identifier of the custom role.
    """
    name: str
    """
    The name of the custom role.
    """
    description: str | None = None
    """
    A short description about who this role is for or what permissions it grants.
    """
    base_role: BaseRole | None = None
    """
    The system role from which this role inherits permissions.
    """
    permissions: Sequence[str] | None = None
    """
    A list of additional permissions included in this role.
    """
    organization: SimpleUser | None = None
    created_at: datetime | None = None
    updated_at: datetime | None = None


class Plan1(BaseModel):
    name: str
    space: int
    private_repos: int
    filled_seats: int | None = None
    seats: int | None = None


class OrganizationFull(BaseModel):
    """
    Organization Full
    """

    login: Annotated[str, Field(example="github")]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDEyOk9yZ2FuaXphdGlvbjE=")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/orgs/github")]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/github/repos")
    ]
    events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/github/events")
    ]
    hooks_url: Annotated[str, Field(example="https://api.github.com/orgs/github/hooks")]
    issues_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/issues")
    ]
    members_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/members{/member}")
    ]
    public_members_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/public_members{/member}")
    ]
    avatar_url: Annotated[
        str, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    description: Annotated[str, Field(example="A great organization")]
    name: Annotated[str | None, Field(example="github")] = None
    company: Annotated[str | None, Field(example="GitHub")] = None
    blog: Annotated[AnyUrl | None, Field(example="https://github.com/blog")] = None
    location: Annotated[str | None, Field(example="San Francisco")] = None
    email: Annotated[EmailStr | None, Field(example="octocat@github.com")] = None
    twitter_username: Annotated[str | None, Field(example="github")] = None
    is_verified: Annotated[bool | None, Field(example=True)] = None
    has_organization_projects: Annotated[bool, Field(example=True)]
    has_repository_projects: Annotated[bool, Field(example=True)]
    public_repos: Annotated[int, Field(example=2)]
    public_gists: Annotated[int, Field(example=1)]
    followers: Annotated[int, Field(example=20)]
    following: Annotated[int, Field(example=0)]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat")]
    created_at: Annotated[datetime, Field(example="2008-01-14T04:33:35Z")]
    type: Annotated[str, Field(example="Organization")]
    total_private_repos: Annotated[int | None, Field(example=100)] = None
    owned_private_repos: Annotated[int | None, Field(example=100)] = None
    private_gists: Annotated[int | None, Field(example=81)] = None
    disk_usage: Annotated[int | None, Field(example=10000)] = None
    collaborators: Annotated[int | None, Field(example=8)] = None
    billing_email: Annotated[EmailStr | None, Field(example="org@example.com")] = None
    plan: Plan1 | None = None
    default_repository_permission: str | None = None
    members_can_create_repositories: Annotated[bool | None, Field(example=True)] = None
    two_factor_requirement_enabled: Annotated[bool | None, Field(example=True)] = None
    members_allowed_repository_creation_type: Annotated[
        str | None, Field(example="all")
    ] = None
    members_can_create_public_repositories: Annotated[
        bool | None, Field(example=True)
    ] = None
    members_can_create_private_repositories: Annotated[
        bool | None, Field(example=True)
    ] = None
    members_can_create_internal_repositories: Annotated[
        bool | None, Field(example=True)
    ] = None
    members_can_create_pages: Annotated[bool | None, Field(example=True)] = None
    members_can_create_public_pages: Annotated[bool | None, Field(example=True)] = None
    members_can_create_private_pages: Annotated[bool | None, Field(example=True)] = None
    members_can_fork_private_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    web_commit_signoff_required: Annotated[bool | None, Field(example=False)] = None
    updated_at: datetime
    advanced_security_enabled_for_new_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    """
    Whether GitHub Advanced Security is enabled for new repositories and repositories transferred to this organization.

    This field is only visible to organization owners or members of a team with the security manager role.
    """
    dependabot_alerts_enabled_for_new_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    """
    Whether GitHub Advanced Security is automatically enabled for new repositories and repositories transferred to
    this organization.

    This field is only visible to organization owners or members of a team with the security manager role.
    """
    dependabot_security_updates_enabled_for_new_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    """
    Whether dependabot security updates are automatically enabled for new repositories and repositories transferred
    to this organization.

    This field is only visible to organization owners or members of a team with the security manager role.
    """
    dependency_graph_enabled_for_new_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    """
    Whether dependency graph is automatically enabled for new repositories and repositories transferred to this
    organization.

    This field is only visible to organization owners or members of a team with the security manager role.
    """
    secret_scanning_enabled_for_new_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    """
    Whether secret scanning is automatically enabled for new repositories and repositories transferred to this
    organization.

    This field is only visible to organization owners or members of a team with the security manager role.
    """
    secret_scanning_push_protection_enabled_for_new_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    """
    Whether secret scanning push protection is automatically enabled for new repositories and repositories
    transferred to this organization.

    This field is only visible to organization owners or members of a team with the security manager role.
    """


class ActionsCacheUsageByRepository(BaseModel):
    """
    GitHub Actions Cache Usage by repository.
    """

    full_name: Annotated[str, Field(example="octo-org/Hello-World")]
    """
    The repository owner and name for the cache usage being shown.
    """
    active_caches_size_in_bytes: Annotated[int, Field(example=2322142)]
    """
    The sum of the size in bytes of all the active cache items in the repository.
    """
    active_caches_count: Annotated[int, Field(example=3)]
    """
    The number of active caches in the repository.
    """


class EnabledRepositories(Enum):
    """
    The policy that controls the repositories in the organization that are allowed to run GitHub Actions.
    """

    all = "all"
    none = "none"
    selected = "selected"


class ActionsOrganizationPermissions(BaseModel):
    enabled_repositories: EnabledRepositories
    selected_repositories_url: str | None = None
    """
    The API URL to use to get or set the selected repositories that are allowed to run GitHub Actions, when `enabled_repositories` is set to `selected`.
    """
    allowed_actions: AllowedActions | None = None
    selected_actions_url: str | None = None
    """
    The API URL to use to get or set the actions and reusable workflows that are allowed to run, when `allowed_actions` is set to `selected`.
    """


class RunnerGroupsOrg(BaseModel):
    id: float
    name: str
    visibility: str
    default: bool
    selected_repositories_url: str | None = None
    """
    Link to the selected repositories resource for this runner group. Not present unless visibility was set to `selected`
    """
    runners_url: str
    inherited: bool
    inherited_allows_public_repositories: bool | None = None
    allows_public_repositories: bool
    workflow_restrictions_read_only: bool | None = False
    """
    If `true`, the `restricted_to_workflows` and `selected_workflows` fields cannot be modified.
    """
    restricted_to_workflows: bool | None = False
    """
    If `true`, the runner group will be restricted to running only the workflows specified in the `selected_workflows` array.
    """
    selected_workflows: Sequence[str] | None = None
    """
    List of workflows the runner group should be allowed to run. This setting will be ignored unless `restricted_to_workflows` is set to `true`.
    """


class Visibility(Enum):
    """
    Visibility of a secret
    """

    all = "all"
    private = "private"
    selected = "selected"


class OrganizationActionsSecret(BaseModel):
    """
    Secrets for GitHub Actions for an organization.
    """

    name: Annotated[str, Field(example="SECRET_TOKEN")]
    """
    The name of the secret.
    """
    created_at: datetime
    updated_at: datetime
    visibility: Visibility
    """
    Visibility of a secret
    """
    selected_repositories_url: Annotated[
        AnyUrl | None,
        Field(
            example="https://api.github.com/organizations/org/secrets/my_secret/repositories"
        ),
    ] = None


class ActionsPublicKey(BaseModel):
    """
    The public key used for setting Actions Secrets.
    """

    key_id: Annotated[str, Field(example="1234567")]
    """
    The identifier for the key.
    """
    key: Annotated[str, Field(example="hBT5WZEj8ZoOv6TYJsfWq7MxTEQopZO5/IT3ZCVQPzs=")]
    """
    The Base64 encoded public key.
    """
    id: Annotated[int | None, Field(example=2)] = None
    url: Annotated[
        str | None, Field(example="https://api.github.com/user/keys/2")
    ] = None
    title: Annotated[str | None, Field(example="ssh-rsa AAAAB3NzaC1yc2EAAA")] = None
    created_at: Annotated[str | None, Field(example="2011-01-26T19:01:12Z")] = None


class EmptyObject(BaseModel):
    """
    An object without any properties.
    """

    class Config:
        extra = Extra.forbid


class PrebuildAvailability(Enum):
    """
    Whether a prebuild is currently available when creating a codespace for this machine and repository. If a branch was not specified as a ref, the default branch will be assumed. Value will be "null" if prebuilds are not supported or prebuild availability could not be determined. Value will be "none" if no prebuild is available. Latest values "ready" and "in_progress" indicate the prebuild availability status.
    """

    none = "none"
    ready = "ready"
    in_progress = "in_progress"


class NullableCodespaceMachine(BaseModel):
    """
    A description of the machine powering a codespace.
    """

    name: Annotated[str, Field(example="standardLinux")]
    """
    The name of the machine.
    """
    display_name: Annotated[str, Field(example="4 cores, 8 GB RAM, 64 GB storage")]
    """
    The display name of the machine includes cores, memory, and storage.
    """
    operating_system: Annotated[str, Field(example="linux")]
    """
    The operating system of the machine.
    """
    storage_in_bytes: Annotated[int, Field(example=68719476736)]
    """
    How much storage is available to the codespace.
    """
    memory_in_bytes: Annotated[int, Field(example=8589934592)]
    """
    How much memory is available to the codespace.
    """
    cpus: Annotated[int, Field(example=4)]
    """
    How many cores are available to the codespace.
    """
    prebuild_availability: Annotated[PrebuildAvailability, Field(example="ready")]
    """
    Whether a prebuild is currently available when creating a codespace for this machine and repository. If a branch was not specified as a ref, the default branch will be assumed. Value will be "null" if prebuilds are not supported or prebuild availability could not be determined. Value will be "none" if no prebuild is available. Latest values "ready" and "in_progress" indicate the prebuild availability status.
    """


class State1(Enum):
    """
    State of this codespace.
    """

    Unknown = "Unknown"
    Created = "Created"
    Queued = "Queued"
    Provisioning = "Provisioning"
    Available = "Available"
    Awaiting = "Awaiting"
    Unavailable = "Unavailable"
    Deleted = "Deleted"
    Moved = "Moved"
    Shutdown = "Shutdown"
    Archived = "Archived"
    Starting = "Starting"
    ShuttingDown = "ShuttingDown"
    Failed = "Failed"
    Exporting = "Exporting"
    Updating = "Updating"
    Rebuilding = "Rebuilding"


class GitStatus(BaseModel):
    """
    Details about the codespace's git repository.
    """

    ahead: Annotated[int | None, Field(example=0)] = None
    """
    The number of commits the local repository is ahead of the remote.
    """
    behind: Annotated[int | None, Field(example=0)] = None
    """
    The number of commits the local repository is behind the remote.
    """
    has_unpushed_changes: bool | None = None
    """
    Whether the local repository has unpushed changes.
    """
    has_uncommitted_changes: bool | None = None
    """
    Whether the local repository has uncommitted changes.
    """
    ref: Annotated[str | None, Field(example="main")] = None
    """
    The current branch (or SHA if in detached HEAD state) of the local repository.
    """


class Location(Enum):
    """
    The Azure region where this codespace is located.
    """

    EastUs = "EastUs"
    SouthEastAsia = "SouthEastAsia"
    WestEurope = "WestEurope"
    WestUs2 = "WestUs2"


class RuntimeConstraints(BaseModel):
    allowed_port_privacy_settings: Sequence[str] | None = None
    """
    The privacy settings a user can select from when forwarding a port.
    """


class Codespace(BaseModel):
    """
    A codespace.
    """

    id: Annotated[int, Field(example=1)]
    name: Annotated[str, Field(example="monalisa-octocat-hello-world-g4wpq6h95q")]
    """
    Automatically generated name of this codespace.
    """
    display_name: Annotated[str | None, Field(example="bookish space pancake")] = None
    """
    Display name for this codespace.
    """
    environment_id: Annotated[
        str, Field(example="26a7c758-7299-4a73-b978-5a92a7ae98a0")
    ]
    """
    UUID identifying this codespace's environment.
    """
    owner: SimpleUser
    billable_owner: SimpleUser
    repository: MinimalRepository
    machine: NullableCodespaceMachine
    devcontainer_path: Annotated[
        str | None, Field(example=".devcontainer/example/devcontainer.json")
    ] = None
    """
    Path to devcontainer.json from repo root used to create Codespace.
    """
    prebuild: Annotated[bool, Field(example=False)]
    """
    Whether the codespace was created from a prebuild.
    """
    created_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    last_used_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    """
    Last known time this codespace was started.
    """
    state: Annotated[State1, Field(example="Available")]
    """
    State of this codespace.
    """
    url: AnyUrl
    """
    API URL for this codespace.
    """
    git_status: GitStatus
    """
    Details about the codespace's git repository.
    """
    location: Annotated[Location, Field(example="WestUs2")]
    """
    The Azure region where this codespace is located.
    """
    idle_timeout_minutes: Annotated[int, Field(example=60)]
    """
    The number of minutes of inactivity after which this codespace will be automatically stopped.
    """
    web_url: AnyUrl
    """
    URL to access this codespace on the web.
    """
    machines_url: AnyUrl
    """
    API URL to access available alternate machine types for this codespace.
    """
    start_url: AnyUrl
    """
    API URL to start this codespace.
    """
    stop_url: AnyUrl
    """
    API URL to stop this codespace.
    """
    pulls_url: AnyUrl
    """
    API URL for the Pull Request associated with this codespace, if any.
    """
    recent_folders: Sequence[str]
    runtime_constraints: RuntimeConstraints | None = None
    pending_operation: bool | None = None
    """
    Whether or not a codespace has a pending async operation. This would mean that the codespace is temporarily unavailable. The only thing that you can do with a codespace in this state is delete it.
    """
    pending_operation_disabled_reason: str | None = None
    """
    Text to show user when codespace is disabled by a pending operation
    """
    idle_timeout_notice: str | None = None
    """
    Text to show user when codespace idle timeout minutes has been overriden by an organization policy
    """
    retention_period_minutes: Annotated[int | None, Field(example=60)] = None
    """
    Duration in minutes after codespace has gone idle in which it will be deleted. Must be integer minutes between 0 and 43200 (30 days).
    """
    retention_expires_at: Annotated[
        datetime | None, Field(example="2011-01-26T20:01:12Z")
    ] = None
    """
    When a codespace will be auto-deleted based on the "retention_period_minutes" and "last_used_at"
    """
    last_known_stop_notice: Annotated[
        str | None,
        Field(example="you've used 100% of your spending limit for Codespaces"),
    ] = None
    """
    The text to display to a user when a codespace has been stopped for a potentially actionable reason.
    """


class Visibility1(Enum):
    """
    The type of repositories in the organization that the secret is visible to
    """

    all = "all"
    private = "private"
    selected = "selected"


class CodespacesOrgSecret(BaseModel):
    """
    Secrets for a GitHub Codespace.
    """

    name: Annotated[str, Field(example="SECRET_NAME")]
    """
    The name of the secret
    """
    created_at: datetime
    """
    The date and time at which the secret was created, in ISO 8601 format':' YYYY-MM-DDTHH:MM:SSZ.
    """
    updated_at: datetime
    """
    The date and time at which the secret was created, in ISO 8601 format':' YYYY-MM-DDTHH:MM:SSZ.
    """
    visibility: Visibility1
    """
    The type of repositories in the organization that the secret is visible to
    """
    selected_repositories_url: Annotated[
        AnyUrl | None,
        Field(
            example="https://api.github.com/orgs/ORGANIZATION/codespaces/secrets/SECRET_NAME/repositories"
        ),
    ] = None
    """
    The API URL at which the list of repositories this secret is visible to can be retrieved
    """


class CodespacesPublicKey(BaseModel):
    """
    The public key used for setting Codespaces secrets.
    """

    key_id: Annotated[str, Field(example="1234567")]
    """
    The identifier for the key.
    """
    key: Annotated[str, Field(example="hBT5WZEj8ZoOv6TYJsfWq7MxTEQopZO5/IT3ZCVQPzs=")]
    """
    The Base64 encoded public key.
    """
    id: Annotated[int | None, Field(example=2)] = None
    url: Annotated[
        str | None, Field(example="https://api.github.com/user/keys/2")
    ] = None
    title: Annotated[str | None, Field(example="ssh-rsa AAAAB3NzaC1yc2EAAA")] = None
    created_at: Annotated[str | None, Field(example="2011-01-26T19:01:12Z")] = None


class DependabotAlertPackage(BaseModel):
    """
    Details for the vulnerable package.
    """

    class Config:
        extra = Extra.forbid

    ecosystem: str
    """
    The package's language or package management ecosystem.
    """
    name: str
    """
    The unique package name within its ecosystem.
    """


class Severity1(Enum):
    """
    The severity of the vulnerability.
    """

    low = "low"
    medium = "medium"
    high = "high"
    critical = "critical"


class FirstPatchedVersion(BaseModel):
    """
    Details pertaining to the package version that patches this vulnerability.
    """

    class Config:
        extra = Extra.forbid

    identifier: str
    """
    The package version that patches this vulnerability.
    """


class DependabotAlertSecurityVulnerability(BaseModel):
    """
    Details pertaining to one vulnerable version range for the advisory.
    """

    class Config:
        extra = Extra.forbid

    package: DependabotAlertPackage
    severity: Severity1
    """
    The severity of the vulnerability.
    """
    vulnerable_version_range: str
    """
    Conditions that identify vulnerable versions of this vulnerability's package.
    """
    first_patched_version: FirstPatchedVersion
    """
    Details pertaining to the package version that patches this vulnerability.
    """


class Severity2(Enum):
    """
    The severity of the advisory.
    """

    low = "low"
    medium = "medium"
    high = "high"
    critical = "critical"


class Cvss(BaseModel):
    """
    Details for the advisory pertaining to the Common Vulnerability Scoring System.
    """

    class Config:
        extra = Extra.forbid

    score: Annotated[float, Field(ge=0.0, le=10.0)]
    """
    The overall CVSS score of the advisory.
    """
    vector_string: str
    """
    The full CVSS vector string for the advisory.
    """


class Cwe(BaseModel):
    """
    A CWE weakness assigned to the advisory.
    """

    class Config:
        extra = Extra.forbid

    cwe_id: str
    """
    The unique CWE ID.
    """
    name: str
    """
    The short, plain text name of the CWE.
    """


class Type1(Enum):
    """
    The type of advisory identifier.
    """

    CVE = "CVE"
    GHSA = "GHSA"


class Identifier(BaseModel):
    """
    An advisory identifier.
    """

    class Config:
        extra = Extra.forbid

    type: Type1
    """
    The type of advisory identifier.
    """
    value: str
    """
    The value of the advisory identifer.
    """


class Reference(BaseModel):
    """
    A link to additional advisory information.
    """

    class Config:
        extra = Extra.forbid

    url: AnyUrl
    """
    The URL of the reference.
    """


class DependabotAlertSecurityAdvisory(BaseModel):
    """
    Details for the GitHub Security Advisory.
    """

    class Config:
        extra = Extra.forbid

    ghsa_id: str
    """
    The unique GitHub Security Advisory ID assigned to the advisory.
    """
    cve_id: str
    """
    The unique CVE ID assigned to the advisory.
    """
    summary: Annotated[str, Field(max_length=1024)]
    """
    A short, plain text summary of the advisory.
    """
    description: str
    """
    A long-form Markdown-supported description of the advisory.
    """
    vulnerabilities: Sequence[DependabotAlertSecurityVulnerability]
    """
    Vulnerable version range information for the advisory.
    """
    severity: Severity2
    """
    The severity of the advisory.
    """
    cvss: Cvss
    """
    Details for the advisory pertaining to the Common Vulnerability Scoring System.
    """
    cwes: Sequence[Cwe]
    """
    Details for the advisory pertaining to Common Weakness Enumeration.
    """
    identifiers: Sequence[Identifier]
    """
    Values that identify this advisory among security information sources.
    """
    references: Sequence[Reference]
    """
    Links to additional advisory information.
    """
    published_at: datetime
    """
    The time that the advisory was published in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime
    """
    The time that the advisory was last modified in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    withdrawn_at: datetime
    """
    The time that the advisory was withdrawn in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """


class State2(Enum):
    """
    The state of the Dependabot alert.
    """

    dismissed = "dismissed"
    fixed = "fixed"
    open = "open"


class Scope(Enum):
    """
    The execution scope of the vulnerable dependency.
    """

    development = "development"
    runtime = "runtime"


class Dependency(BaseModel):
    """
    Details for the vulnerable dependency.
    """

    package: DependabotAlertPackage | None = None
    manifest_path: str | None = None
    """
    The full path to the dependency manifest file, relative to the root of the repository.
    """
    scope: Scope | None = None
    """
    The execution scope of the vulnerable dependency.
    """


class DismissedReason(Enum):
    """
    The reason that the alert was dismissed.
    """

    fix_started = "fix_started"
    inaccurate = "inaccurate"
    no_bandwidth = "no_bandwidth"
    not_used = "not_used"
    tolerable_risk = "tolerable_risk"


class DependabotAlertWithRepository(BaseModel):
    """
    A Dependabot alert.
    """

    class Config:
        extra = Extra.forbid

    number: int
    """
    The security alert number.
    """
    state: State2
    """
    The state of the Dependabot alert.
    """
    dependency: Dependency
    """
    Details for the vulnerable dependency.
    """
    security_advisory: DependabotAlertSecurityAdvisory
    security_vulnerability: DependabotAlertSecurityVulnerability
    url: AnyUrl
    """
    The REST API URL of the alert resource.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: NullableSimpleUser
    dismissed_reason: DismissedReason
    """
    The reason that the alert was dismissed.
    """
    dismissed_comment: Annotated[str, Field(max_length=280)]
    """
    An optional comment associated with the alert's dismissal.
    """
    fixed_at: datetime
    """
    The time that the alert was no longer detected and was considered fixed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    repository: SimpleRepository


class Visibility2(Enum):
    """
    Visibility of a secret
    """

    all = "all"
    private = "private"
    selected = "selected"


class OrganizationDependabotSecret(BaseModel):
    """
    Secrets for GitHub Dependabot for an organization.
    """

    name: Annotated[str, Field(example="SECRET_TOKEN")]
    """
    The name of the secret.
    """
    created_at: datetime
    updated_at: datetime
    visibility: Visibility2
    """
    Visibility of a secret
    """
    selected_repositories_url: Annotated[
        AnyUrl | None,
        Field(
            example="https://api.github.com/organizations/org/dependabot/secrets/my_secret/repositories"
        ),
    ] = None


class DependabotPublicKey(BaseModel):
    """
    The public key used for setting Dependabot Secrets.
    """

    key_id: Annotated[str, Field(example="1234567")]
    """
    The identifier for the key.
    """
    key: Annotated[str, Field(example="hBT5WZEj8ZoOv6TYJsfWq7MxTEQopZO5/IT3ZCVQPzs=")]
    """
    The Base64 encoded public key.
    """


class OrganizationInvitation(BaseModel):
    """
    Organization Invitation
    """

    id: int
    login: str
    email: str
    role: str
    created_at: str
    failed_at: str | None = None
    failed_reason: str | None = None
    inviter: SimpleUser
    team_count: int
    node_id: Annotated[str, Field(example='"MDIyOk9yZ2FuaXphdGlvbkludml0YXRpb24x"')]
    invitation_teams_url: Annotated[
        str,
        Field(example='"https://api.github.com/organizations/16/invitations/1/teams"'),
    ]


class OrganizationFineGrainedPermission(BaseModel):
    """
    Fine-grained permissions available for the organization
    """

    name: str
    description: str


class Config(BaseModel):
    url: Annotated[str | None, Field(example='"http://example.com/2"')] = None
    insecure_ssl: Annotated[str | None, Field(example='"0"')] = None
    content_type: Annotated[str | None, Field(example='"form"')] = None
    secret: Annotated[str | None, Field(example='"********"')] = None


class OrgHook(BaseModel):
    """
    Org Hook
    """

    id: Annotated[int, Field(example=1)]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/orgs/octocat/hooks/1")]
    ping_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/octocat/hooks/1/pings")
    ]
    deliveries_url: Annotated[
        AnyUrl | None,
        Field(example="https://api.github.com/orgs/octocat/hooks/1/deliveries"),
    ] = None
    name: Annotated[str, Field(example="web")]
    events: Annotated[Sequence[str], Field(example=["push", "pull_request"])]
    active: Annotated[bool, Field(example=True)]
    config: Config
    updated_at: Annotated[datetime, Field(example="2011-09-06T20:39:23Z")]
    created_at: Annotated[datetime, Field(example="2011-09-06T17:26:27Z")]
    type: str


class InteractionGroup(Enum):
    """
    The type of GitHub user that can comment, open issues, or create pull requests while the interaction limit is in effect.
    """

    existing_users = "existing_users"
    contributors_only = "contributors_only"
    collaborators_only = "collaborators_only"


class InteractionLimitResponse(BaseModel):
    """
    Interaction limit settings.
    """

    limit: InteractionGroup
    origin: Annotated[str, Field(example="repository")]
    expires_at: Annotated[datetime, Field(example="2018-08-17T04:18:39Z")]


class InteractionExpiry(Enum):
    """
    The duration of the interaction restriction. Default: `one_day`.
    """

    one_day = "one_day"
    three_days = "three_days"
    one_week = "one_week"
    one_month = "one_month"
    six_months = "six_months"


class InteractionLimit(BaseModel):
    """
    Limit interactions to a specific type of user for a specified duration
    """

    limit: InteractionGroup
    expiry: InteractionExpiry | None = None


class NullableTeamSimple(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    id: Annotated[int, Field(example=1)]
    """
    Unique identifier of the team
    """
    node_id: Annotated[str, Field(example="MDQ6VGVhbTE=")]
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/organizations/1/team/1")
    ]
    """
    URL for the team
    """
    members_url: Annotated[
        str,
        Field(example="https://api.github.com/organizations/1/team/1/members{/member}"),
    ]
    name: Annotated[str, Field(example="Justice League")]
    """
    Name of the team
    """
    description: Annotated[str, Field(example="A great team.")]
    """
    Description of the team
    """
    permission: Annotated[str, Field(example="admin")]
    """
    Permission that the team will have for its repositories
    """
    privacy: Annotated[str | None, Field(example="closed")] = None
    """
    The level of privacy this team should have
    """
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/orgs/rails/teams/core")
    ]
    repositories_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/organizations/1/team/1/repos")
    ]
    slug: Annotated[str, Field(example="justice-league")]
    ldap_dn: Annotated[
        str | None, Field(example="uid=example,ou=users,dc=github,dc=com")
    ] = None
    """
    Distinguished Name (DN) that team maps to within LDAP environment
    """


class Permissions5(BaseModel):
    pull: bool
    triage: bool
    push: bool
    maintain: bool
    admin: bool


class Team(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    id: int
    node_id: str
    name: str
    slug: str
    description: str
    privacy: str | None = None
    permission: str
    permissions: Permissions5 | None = None
    url: AnyUrl
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/orgs/rails/teams/core")
    ]
    members_url: str
    repositories_url: AnyUrl
    parent: NullableTeamSimple


class State3(Enum):
    """
    The state of the member in the organization. The `pending` state indicates the user has not yet accepted an invitation.
    """

    active = "active"
    pending = "pending"


class Role(Enum):
    """
    The user's membership type in the organization.
    """

    admin = "admin"
    member = "member"
    billing_manager = "billing_manager"


class Permissions6(BaseModel):
    can_create_repository: bool


class OrgMembership(BaseModel):
    """
    Org Membership
    """

    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/octocat/memberships/defunkt")
    ]
    state: Annotated[State3, Field(example="active")]
    """
    The state of the member in the organization. The `pending` state indicates the user has not yet accepted an invitation.
    """
    role: Annotated[Role, Field(example="admin")]
    """
    The user's membership type in the organization.
    """
    organization_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/octocat")
    ]
    organization: OrganizationSimple
    user: NullableSimpleUser
    permissions: Permissions6 | None = None


class Migration(BaseModel):
    """
    A migration.
    """

    id: Annotated[int, Field(example=79)]
    owner: NullableSimpleUser
    guid: Annotated[str, Field(example="0b989ba4-242f-11e5-81e1-c7b6966d2516")]
    state: Annotated[str, Field(example="pending")]
    lock_repositories: Annotated[bool, Field(example=True)]
    exclude_metadata: bool
    exclude_git_data: bool
    exclude_attachments: bool
    exclude_releases: bool
    exclude_owner_projects: bool
    org_metadata_only: bool
    repositories: Sequence[Repository]
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/octo-org/migrations/79")
    ]
    created_at: Annotated[datetime, Field(example="2015-07-06T15:33:38-07:00")]
    updated_at: Annotated[datetime, Field(example="2015-07-06T15:33:38-07:00")]
    node_id: str
    archive_url: AnyUrl | None = None
    exclude: Sequence | None = None


class Permissions7(BaseModel):
    admin: bool | None = None
    maintain: bool | None = None
    push: bool | None = None
    triage: bool | None = None
    pull: bool | None = None


class NullableMinimalRepository(BaseModel):
    """
    Minimal Repository
    """

    id: Annotated[int, Field(example=1296269)]
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    name: Annotated[str, Field(example="Hello-World")]
    full_name: Annotated[str, Field(example="octocat/Hello-World")]
    owner: SimpleUser
    private: bool
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat/Hello-World")]
    description: Annotated[str, Field(example="This your first repo!")]
    fork: bool
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World")
    ]
    archive_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/{archive_format}{/ref}"
        ),
    ]
    assignees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/assignees{/user}"
        ),
    ]
    blobs_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/blobs{/sha}"
        ),
    ]
    branches_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/branches{/branch}"
        ),
    ]
    collaborators_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/collaborators{/collaborator}"
        ),
    ]
    comments_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/comments{/number}"
        ),
    ]
    commits_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/commits{/sha}"),
    ]
    compare_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/compare/{base}...{head}"
        ),
    ]
    contents_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/contents/{+path}"
        ),
    ]
    contributors_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/contributors"),
    ]
    deployments_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/deployments"),
    ]
    downloads_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/downloads"),
    ]
    events_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/events")
    ]
    forks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/forks")
    ]
    git_commits_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/commits{/sha}"
        ),
    ]
    git_refs_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/refs{/sha}"),
    ]
    git_tags_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/tags{/sha}"),
    ]
    git_url: str | None = None
    issue_comment_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/comments{/number}"
        ),
    ]
    issue_events_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/events{/number}"
        ),
    ]
    issues_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues{/number}"
        ),
    ]
    keys_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/keys{/key_id}"),
    ]
    labels_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/labels{/name}"),
    ]
    languages_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/languages"),
    ]
    merges_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/merges")
    ]
    milestones_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/milestones{/number}"
        ),
    ]
    notifications_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/notifications{?since,all,participating}"
        ),
    ]
    pulls_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/pulls{/number}"),
    ]
    releases_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/releases{/id}"),
    ]
    ssh_url: str | None = None
    stargazers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/stargazers"),
    ]
    statuses_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/statuses/{sha}"),
    ]
    subscribers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscribers"),
    ]
    subscription_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscription"),
    ]
    tags_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/tags")
    ]
    teams_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/teams")
    ]
    trees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/trees{/sha}"
        ),
    ]
    clone_url: str | None = None
    mirror_url: str | None = None
    hooks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/hooks")
    ]
    svn_url: str | None = None
    homepage: str | None = None
    language: str | None = None
    forks_count: int | None = None
    stargazers_count: int | None = None
    watchers_count: int | None = None
    size: int | None = None
    """
    The size of the repository. Size is calculated hourly. When a repository is initially created, the size is 0.
    """
    default_branch: str | None = None
    open_issues_count: int | None = None
    is_template: bool | None = None
    topics: Sequence[str] | None = None
    has_issues: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    has_pages: bool | None = None
    has_downloads: bool | None = None
    archived: bool | None = None
    disabled: bool | None = None
    visibility: str | None = None
    pushed_at: Annotated[datetime | None, Field(example="2011-01-26T19:06:43Z")] = None
    created_at: Annotated[datetime | None, Field(example="2011-01-26T19:01:12Z")] = None
    updated_at: Annotated[datetime | None, Field(example="2011-01-26T19:14:43Z")] = None
    permissions: Permissions7 | None = None
    role_name: Annotated[str | None, Field(example="admin")] = None
    temp_clone_token: str | None = None
    delete_branch_on_merge: bool | None = None
    subscribers_count: int | None = None
    network_count: int | None = None
    code_of_conduct: CodeOfConduct | None = None
    license: License1 | None = None
    forks: Annotated[int | None, Field(example=0)] = None
    open_issues: Annotated[int | None, Field(example=0)] = None
    watchers: Annotated[int | None, Field(example=0)] = None
    allow_forking: bool | None = None
    web_commit_signoff_required: Annotated[bool | None, Field(example=False)] = None


class PackageType(Enum):
    npm = "npm"
    maven = "maven"
    rubygems = "rubygems"
    docker = "docker"
    nuget = "nuget"
    container = "container"


class Visibility3(Enum):
    private = "private"
    public = "public"


class Package(BaseModel):
    """
    A software package
    """

    id: Annotated[int, Field(example=1)]
    """
    Unique identifier of the package.
    """
    name: Annotated[str, Field(example="super-linter")]
    """
    The name of the package.
    """
    package_type: Annotated[PackageType, Field(example="docker")]
    url: Annotated[
        str,
        Field(
            example="https://api.github.com/orgs/github/packages/container/super-linter"
        ),
    ]
    html_url: Annotated[
        str,
        Field(
            example="https://github.com/orgs/github/packages/container/package/super-linter"
        ),
    ]
    version_count: Annotated[int, Field(example=1)]
    """
    The number of versions of the package.
    """
    visibility: Annotated[Visibility3, Field(example="private")]
    owner: NullableSimpleUser | None = None
    repository: NullableMinimalRepository | None = None
    created_at: datetime
    updated_at: datetime


class Container(BaseModel):
    tags: Sequence[str]


class Docker(BaseModel):
    tag: Sequence[str] | None = None


class Metadata1(BaseModel):
    package_type: Annotated[PackageType, Field(example="docker")]
    container: Annotated[Container | None, Field(title="Container Metadata")] = None
    docker: Annotated[Docker | None, Field(title="Docker Metadata")] = None


class PackageVersion(BaseModel):
    """
    A version of a software package
    """

    id: Annotated[int, Field(example=1)]
    """
    Unique identifier of the package version.
    """
    name: Annotated[str, Field(example="latest")]
    """
    The name of the package version.
    """
    url: Annotated[
        str,
        Field(
            example="https://api.github.com/orgs/github/packages/container/super-linter/versions/786068"
        ),
    ]
    package_html_url: Annotated[
        str,
        Field(
            example="https://github.com/orgs/github/packages/container/package/super-linter"
        ),
    ]
    html_url: Annotated[
        str | None,
        Field(
            example="https://github.com/orgs/github/packages/container/super-linter/786068"
        ),
    ] = None
    license: Annotated[str | None, Field(example="MIT")] = None
    description: str | None = None
    created_at: Annotated[datetime, Field(example="2011-04-10T20:09:31Z")]
    updated_at: Annotated[datetime, Field(example="2014-03-03T18:58:10Z")]
    deleted_at: Annotated[datetime | None, Field(example="2014-03-03T18:58:10Z")] = None
    metadata: Annotated[
        Metadata1 | None, Field(title="Package Version Metadata")
    ] = None


class OrganizationPermission(Enum):
    """
    The baseline permission that all organization members have on this project. Only present if owner is an organization.
    """

    read = "read"
    write = "write"
    admin = "admin"
    none = "none"


class Project(BaseModel):
    """
    Projects are a way to organize columns and cards of work.
    """

    owner_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/api-playground/projects-test"),
    ]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/projects/1002604")]
    html_url: Annotated[
        AnyUrl,
        Field(example="https://github.com/api-playground/projects-test/projects/12"),
    ]
    columns_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/projects/1002604/columns")
    ]
    id: Annotated[int, Field(example=1002604)]
    node_id: Annotated[str, Field(example="MDc6UHJvamVjdDEwMDI2MDQ=")]
    name: Annotated[str, Field(example="Week One Sprint")]
    """
    Name of the project
    """
    body: Annotated[
        str,
        Field(
            example="This project represents the sprint of the first week in January"
        ),
    ]
    """
    Body of the project
    """
    number: Annotated[int, Field(example=1)]
    state: Annotated[str, Field(example="open")]
    """
    State of the project; either 'open' or 'closed'
    """
    creator: NullableSimpleUser
    created_at: Annotated[datetime, Field(example="2011-04-10T20:09:31Z")]
    updated_at: Annotated[datetime, Field(example="2014-03-03T18:58:10Z")]
    organization_permission: OrganizationPermission | None = None
    """
    The baseline permission that all organization members have on this project. Only present if owner is an organization.
    """
    private: bool | None = None
    """
    Whether or not this project can be seen by everyone. Only present if owner is an organization.
    """


class TeamSimple(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    id: Annotated[int, Field(example=1)]
    """
    Unique identifier of the team
    """
    node_id: Annotated[str, Field(example="MDQ6VGVhbTE=")]
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/organizations/1/team/1")
    ]
    """
    URL for the team
    """
    members_url: Annotated[
        str,
        Field(example="https://api.github.com/organizations/1/team/1/members{/member}"),
    ]
    name: Annotated[str, Field(example="Justice League")]
    """
    Name of the team
    """
    description: Annotated[str, Field(example="A great team.")]
    """
    Description of the team
    """
    permission: Annotated[str, Field(example="admin")]
    """
    Permission that the team will have for its repositories
    """
    privacy: Annotated[str | None, Field(example="closed")] = None
    """
    The level of privacy this team should have
    """
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/orgs/rails/teams/core")
    ]
    repositories_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/organizations/1/team/1/repos")
    ]
    slug: Annotated[str, Field(example="justice-league")]
    ldap_dn: Annotated[
        str | None, Field(example="uid=example,ou=users,dc=github,dc=com")
    ] = None
    """
    Distinguished Name (DN) that team maps to within LDAP environment
    """


class MinutesUsedBreakdown(BaseModel):
    UBUNTU: int | None = None
    """
    Total minutes used on Ubuntu runner machines.
    """
    MACOS: int | None = None
    """
    Total minutes used on macOS runner machines.
    """
    WINDOWS: int | None = None
    """
    Total minutes used on Windows runner machines.
    """
    ubuntu_4_core: int | None = None
    """
    Total minutes used on Ubuntu 4 core runner machines.
    """
    ubuntu_8_core: int | None = None
    """
    Total minutes used on Ubuntu 8 core runner machines.
    """
    ubuntu_16_core: int | None = None
    """
    Total minutes used on Ubuntu 16 core runner machines.
    """
    ubuntu_32_core: int | None = None
    """
    Total minutes used on Ubuntu 32 core runner machines.
    """
    ubuntu_64_core: int | None = None
    """
    Total minutes used on Ubuntu 64 core runner machines.
    """
    windows_4_core: int | None = None
    """
    Total minutes used on Windows 4 core runner machines.
    """
    windows_8_core: int | None = None
    """
    Total minutes used on Windows 8 core runner machines.
    """
    windows_16_core: int | None = None
    """
    Total minutes used on Windows 16 core runner machines.
    """
    windows_32_core: int | None = None
    """
    Total minutes used on Windows 32 core runner machines.
    """
    windows_64_core: int | None = None
    """
    Total minutes used on Windows 64 core runner machines.
    """
    total: int | None = None
    """
    Total minutes used on all runner machines.
    """


class ActionsBillingUsage(BaseModel):
    total_minutes_used: int
    """
    The sum of the free and paid GitHub Actions minutes used.
    """
    total_paid_minutes_used: int
    """
    The total paid GitHub Actions minutes used.
    """
    included_minutes: int
    """
    The amount of free GitHub Actions minutes available.
    """
    minutes_used_breakdown: MinutesUsedBreakdown


class PackagesBillingUsage(BaseModel):
    total_gigabytes_bandwidth_used: int
    """
    Sum of the free and paid storage space (GB) for GitHuub Packages.
    """
    total_paid_gigabytes_bandwidth_used: int
    """
    Total paid storage space (GB) for GitHuub Packages.
    """
    included_gigabytes_bandwidth: int
    """
    Free storage space (GB) for GitHub Packages.
    """


class CombinedBillingUsage(BaseModel):
    days_left_in_billing_cycle: int
    """
    Numbers of days left in billing cycle.
    """
    estimated_paid_storage_for_month: int
    """
    Estimated storage space (GB) used in billing cycle.
    """
    estimated_storage_for_month: int
    """
    Estimated sum of free and paid storage space (GB) used in billing cycle.
    """


class TeamOrganization(BaseModel):
    """
    Team Organization
    """

    login: Annotated[str, Field(example="github")]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDEyOk9yZ2FuaXphdGlvbjE=")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/orgs/github")]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/github/repos")
    ]
    events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/orgs/github/events")
    ]
    hooks_url: Annotated[str, Field(example="https://api.github.com/orgs/github/hooks")]
    issues_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/issues")
    ]
    members_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/members{/member}")
    ]
    public_members_url: Annotated[
        str, Field(example="https://api.github.com/orgs/github/public_members{/member}")
    ]
    avatar_url: Annotated[
        str, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    description: Annotated[str, Field(example="A great organization")]
    name: Annotated[str | None, Field(example="github")] = None
    company: Annotated[str | None, Field(example="GitHub")] = None
    blog: Annotated[AnyUrl | None, Field(example="https://github.com/blog")] = None
    location: Annotated[str | None, Field(example="San Francisco")] = None
    email: Annotated[EmailStr | None, Field(example="octocat@github.com")] = None
    twitter_username: Annotated[str | None, Field(example="github")] = None
    is_verified: Annotated[bool | None, Field(example=True)] = None
    has_organization_projects: Annotated[bool, Field(example=True)]
    has_repository_projects: Annotated[bool, Field(example=True)]
    public_repos: Annotated[int, Field(example=2)]
    public_gists: Annotated[int, Field(example=1)]
    followers: Annotated[int, Field(example=20)]
    following: Annotated[int, Field(example=0)]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat")]
    created_at: Annotated[datetime, Field(example="2008-01-14T04:33:35Z")]
    type: Annotated[str, Field(example="Organization")]
    total_private_repos: Annotated[int | None, Field(example=100)] = None
    owned_private_repos: Annotated[int | None, Field(example=100)] = None
    private_gists: Annotated[int | None, Field(example=81)] = None
    disk_usage: Annotated[int | None, Field(example=10000)] = None
    collaborators: Annotated[int | None, Field(example=8)] = None
    billing_email: Annotated[EmailStr | None, Field(example="org@example.com")] = None
    plan: Plan1 | None = None
    default_repository_permission: str | None = None
    members_can_create_repositories: Annotated[bool | None, Field(example=True)] = None
    two_factor_requirement_enabled: Annotated[bool | None, Field(example=True)] = None
    members_allowed_repository_creation_type: Annotated[
        str | None, Field(example="all")
    ] = None
    members_can_create_public_repositories: Annotated[
        bool | None, Field(example=True)
    ] = None
    members_can_create_private_repositories: Annotated[
        bool | None, Field(example=True)
    ] = None
    members_can_create_internal_repositories: Annotated[
        bool | None, Field(example=True)
    ] = None
    members_can_create_pages: Annotated[bool | None, Field(example=True)] = None
    members_can_create_public_pages: Annotated[bool | None, Field(example=True)] = None
    members_can_create_private_pages: Annotated[bool | None, Field(example=True)] = None
    members_can_fork_private_repositories: Annotated[
        bool | None, Field(example=False)
    ] = None
    web_commit_signoff_required: Annotated[bool | None, Field(example=False)] = None
    updated_at: datetime


class Privacy(Enum):
    """
    The level of privacy this team should have
    """

    closed = "closed"
    secret = "secret"


class TeamFull(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the team
    """
    node_id: Annotated[str, Field(example="MDQ6VGVhbTE=")]
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/organizations/1/team/1")
    ]
    """
    URL for the team
    """
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/orgs/rails/teams/core")
    ]
    name: Annotated[str, Field(example="Developers")]
    """
    Name of the team
    """
    slug: Annotated[str, Field(example="justice-league")]
    description: Annotated[str, Field(example="A great team.")]
    privacy: Annotated[Privacy | None, Field(example="closed")] = None
    """
    The level of privacy this team should have
    """
    permission: Annotated[str, Field(example="push")]
    """
    Permission that the team will have for its repositories
    """
    members_url: Annotated[
        str,
        Field(example="https://api.github.com/organizations/1/team/1/members{/member}"),
    ]
    repositories_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/organizations/1/team/1/repos")
    ]
    parent: NullableTeamSimple | None = None
    members_count: Annotated[int, Field(example=3)]
    repos_count: Annotated[int, Field(example=10)]
    created_at: Annotated[datetime, Field(example="2017-07-14T16:53:42Z")]
    updated_at: Annotated[datetime, Field(example="2017-08-17T12:37:15Z")]
    organization: TeamOrganization
    ldap_dn: Annotated[
        str | None, Field(example="uid=example,ou=users,dc=github,dc=com")
    ] = None
    """
    Distinguished Name (DN) that team maps to within LDAP environment
    """


class TeamDiscussion(BaseModel):
    """
    A team discussion is a persistent record of a free-form conversation within a team.
    """

    author: NullableSimpleUser
    body: Annotated[
        str, Field(example="Please suggest improvements to our workflow in comments.")
    ]
    """
    The main text of the discussion.
    """
    body_html: Annotated[
        str, Field(example="<p>Hi! This is an area for us to collaborate as a team</p>")
    ]
    body_version: Annotated[str, Field(example="0307116bbf7ced493b8d8a346c650b71")]
    """
    The current version of the body content. If provided, this update operation will be rejected if the given version does not match the latest version on the server.
    """
    comments_count: Annotated[int, Field(example=0)]
    comments_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/organizations/1/team/2343027/discussions/1/comments"
        ),
    ]
    created_at: Annotated[datetime, Field(example="2018-01-25T18:56:31Z")]
    last_edited_at: datetime
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/orgs/github/teams/justice-league/discussions/1"
        ),
    ]
    node_id: Annotated[str, Field(example="MDE0OlRlYW1EaXNjdXNzaW9uMQ==")]
    number: Annotated[int, Field(example=42)]
    """
    The unique sequence number of a team discussion.
    """
    pinned: Annotated[bool, Field(example=True)]
    """
    Whether or not this discussion should be pinned for easy retrieval.
    """
    private: Annotated[bool, Field(example=True)]
    """
    Whether or not this discussion should be restricted to team members and organization administrators.
    """
    team_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/organizations/1/team/2343027")
    ]
    title: Annotated[str, Field(example="How can we improve our workflow?")]
    """
    The title of the discussion.
    """
    updated_at: Annotated[datetime, Field(example="2018-01-25T18:56:31Z")]
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/organizations/1/team/2343027/discussions/1"
        ),
    ]
    reactions: ReactionRollup | None = None


class TeamDiscussionComment(BaseModel):
    """
    A reply to a discussion within a team.
    """

    author: NullableSimpleUser
    body: Annotated[str, Field(example="I agree with this suggestion.")]
    """
    The main text of the comment.
    """
    body_html: Annotated[str, Field(example="<p>Do you like apples?</p>")]
    body_version: Annotated[str, Field(example="0307116bbf7ced493b8d8a346c650b71")]
    """
    The current version of the body content. If provided, this update operation will be rejected if the given version does not match the latest version on the server.
    """
    created_at: Annotated[datetime, Field(example="2018-01-15T23:53:58Z")]
    last_edited_at: datetime
    discussion_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/organizations/1/team/2403582/discussions/1"
        ),
    ]
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/orgs/github/teams/justice-league/discussions/1/comments/1"
        ),
    ]
    node_id: Annotated[str, Field(example="MDIxOlRlYW1EaXNjdXNzaW9uQ29tbWVudDE=")]
    number: Annotated[int, Field(example=42)]
    """
    The unique sequence number of a team discussion comment.
    """
    updated_at: Annotated[datetime, Field(example="2018-01-15T23:53:58Z")]
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/organizations/1/team/2403582/discussions/1/comments/1"
        ),
    ]
    reactions: ReactionRollup | None = None


class Content(Enum):
    """
    The reaction to use
    """

    field_1 = "+1"
    field_1_1 = "-1"
    laugh = "laugh"
    confused = "confused"
    heart = "heart"
    hooray = "hooray"
    rocket = "rocket"
    eyes = "eyes"


class Reaction(BaseModel):
    """
    Reactions to conversations provide a way to help people express their feelings more simply and effectively.
    """

    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDg6UmVhY3Rpb24x")]
    user: NullableSimpleUser
    content: Annotated[Content, Field(example="heart")]
    """
    The reaction to use
    """
    created_at: Annotated[datetime, Field(example="2016-05-20T20:09:31Z")]


class Role1(Enum):
    """
    The role of the user in the team.
    """

    member = "member"
    maintainer = "maintainer"


class State4(Enum):
    """
    The state of the user's membership in the team.
    """

    active = "active"
    pending = "pending"


class TeamMembership(BaseModel):
    """
    Team Membership
    """

    url: AnyUrl
    role: Annotated[Role1, Field(example="member")]
    """
    The role of the user in the team.
    """
    state: State4
    """
    The state of the user's membership in the team.
    """


class Permissions8(BaseModel):
    read: bool
    write: bool
    admin: bool


class TeamProject(BaseModel):
    """
    A team's access to a project.
    """

    owner_url: str
    url: str
    html_url: str
    columns_url: str
    id: int
    node_id: str
    name: str
    body: str
    number: int
    state: str
    creator: SimpleUser
    created_at: str
    updated_at: str
    organization_permission: str | None = None
    """
    The organization permission for this project. Only present when owner is an organization.
    """
    private: bool | None = None
    """
    Whether the project is private or not. Only present when owner is an organization.
    """
    permissions: Permissions8


class Permissions9(BaseModel):
    admin: bool
    pull: bool
    triage: bool | None = None
    push: bool
    maintain: bool | None = None


class Permissions10(BaseModel):
    admin: bool | None = None
    maintain: bool | None = None
    push: bool | None = None
    triage: bool | None = None
    pull: bool | None = None


class TemplateRepository1(BaseModel):
    id: int | None = None
    node_id: str | None = None
    name: str | None = None
    full_name: str | None = None
    owner: Owner | None = None
    private: bool | None = None
    html_url: str | None = None
    description: str | None = None
    fork: bool | None = None
    url: str | None = None
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    forks_url: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    notifications_url: str | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    ssh_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    clone_url: str | None = None
    mirror_url: str | None = None
    hooks_url: str | None = None
    svn_url: str | None = None
    homepage: str | None = None
    language: str | None = None
    forks_count: int | None = None
    stargazers_count: int | None = None
    watchers_count: int | None = None
    size: int | None = None
    default_branch: str | None = None
    open_issues_count: int | None = None
    is_template: bool | None = None
    topics: Sequence[str] | None = None
    has_issues: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    has_pages: bool | None = None
    has_downloads: bool | None = None
    archived: bool | None = None
    disabled: bool | None = None
    visibility: str | None = None
    pushed_at: str | None = None
    created_at: str | None = None
    updated_at: str | None = None
    permissions: Permissions10 | None = None
    allow_rebase_merge: bool | None = None
    temp_clone_token: str | None = None
    allow_squash_merge: bool | None = None
    allow_auto_merge: bool | None = None
    delete_branch_on_merge: bool | None = None
    allow_update_branch: bool | None = None
    use_squash_pr_title_as_default: bool | None = None
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    allow_merge_commit: bool | None = None
    subscribers_count: int | None = None
    network_count: int | None = None


class NullableRepository(BaseModel):
    """
    A git repository
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the repository
    """
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    name: Annotated[str, Field(example="Team Environment")]
    """
    The name of the repository.
    """
    full_name: Annotated[str, Field(example="octocat/Hello-World")]
    license: NullableLicenseSimple
    organization: NullableSimpleUser | None = None
    forks: int
    permissions: Permissions9 | None = None
    owner: SimpleUser
    private: bool
    """
    Whether the repository is private or public.
    """
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat/Hello-World")]
    description: Annotated[str, Field(example="This your first repo!")]
    fork: bool
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World")
    ]
    archive_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/{archive_format}{/ref}"
        ),
    ]
    assignees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/assignees{/user}"
        ),
    ]
    blobs_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/blobs{/sha}"
        ),
    ]
    branches_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/branches{/branch}"
        ),
    ]
    collaborators_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/collaborators{/collaborator}"
        ),
    ]
    comments_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/comments{/number}"
        ),
    ]
    commits_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/commits{/sha}"),
    ]
    compare_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/compare/{base}...{head}"
        ),
    ]
    contents_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/contents/{+path}"
        ),
    ]
    contributors_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/contributors"),
    ]
    deployments_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/deployments"),
    ]
    downloads_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/downloads"),
    ]
    events_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/events")
    ]
    forks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/forks")
    ]
    git_commits_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/commits{/sha}"
        ),
    ]
    git_refs_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/refs{/sha}"),
    ]
    git_tags_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/tags{/sha}"),
    ]
    git_url: Annotated[str, Field(example="git:github.com/octocat/Hello-World.git")]
    issue_comment_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/comments{/number}"
        ),
    ]
    issue_events_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/events{/number}"
        ),
    ]
    issues_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues{/number}"
        ),
    ]
    keys_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/keys{/key_id}"),
    ]
    labels_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/labels{/name}"),
    ]
    languages_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/languages"),
    ]
    merges_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/merges")
    ]
    milestones_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/milestones{/number}"
        ),
    ]
    notifications_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/notifications{?since,all,participating}"
        ),
    ]
    pulls_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/pulls{/number}"),
    ]
    releases_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/releases{/id}"),
    ]
    ssh_url: Annotated[str, Field(example="git@github.com:octocat/Hello-World.git")]
    stargazers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/stargazers"),
    ]
    statuses_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/statuses/{sha}"),
    ]
    subscribers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscribers"),
    ]
    subscription_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscription"),
    ]
    tags_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/tags")
    ]
    teams_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/teams")
    ]
    trees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/trees{/sha}"
        ),
    ]
    clone_url: Annotated[
        str, Field(example="https://github.com/octocat/Hello-World.git")
    ]
    mirror_url: Annotated[
        AnyUrl, Field(example="git:git.example.com/octocat/Hello-World")
    ]
    hooks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/hooks")
    ]
    svn_url: Annotated[
        AnyUrl, Field(example="https://svn.github.com/octocat/Hello-World")
    ]
    homepage: Annotated[AnyUrl, Field(example="https://github.com")]
    language: str
    forks_count: Annotated[int, Field(example=9)]
    stargazers_count: Annotated[int, Field(example=80)]
    watchers_count: Annotated[int, Field(example=80)]
    size: Annotated[int, Field(example=108)]
    """
    The size of the repository. Size is calculated hourly. When a repository is initially created, the size is 0.
    """
    default_branch: Annotated[str, Field(example="master")]
    """
    The default branch of the repository.
    """
    open_issues_count: Annotated[int, Field(example=0)]
    is_template: Annotated[bool | None, Field(example=True)] = False
    """
    Whether this repository acts as a template that can be used to generate new repositories.
    """
    topics: Sequence[str] | None = None
    has_issues: Annotated[bool, Field(example=True)]
    """
    Whether issues are enabled.
    """
    has_projects: Annotated[bool, Field(example=True)]
    """
    Whether projects are enabled.
    """
    has_wiki: Annotated[bool, Field(example=True)]
    """
    Whether the wiki is enabled.
    """
    has_pages: bool
    has_downloads: Annotated[bool, Field(example=True)]
    """
    Whether downloads are enabled.
    """
    archived: bool
    """
    Whether the repository is archived.
    """
    disabled: bool
    """
    Returns whether or not this repository disabled.
    """
    visibility: str | None = "public"
    """
    The repository visibility: public, private, or internal.
    """
    pushed_at: Annotated[datetime, Field(example="2011-01-26T19:06:43Z")]
    created_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2011-01-26T19:14:43Z")]
    allow_rebase_merge: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow rebase merges for pull requests.
    """
    template_repository: TemplateRepository1 | None = None
    temp_clone_token: str | None = None
    allow_squash_merge: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_auto_merge: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to allow Auto-merge to be used on pull requests.
    """
    delete_branch_on_merge: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to delete head branches when pull requests are merged
    """
    allow_update_branch: Annotated[bool | None, Field(example=False)] = False
    """
    Whether or not a pull request head branch that is behind its base branch can always be updated even if it is not required to be up to date before merging.
    """
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    allow_merge_commit: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow forking this repo
    """
    web_commit_signoff_required: bool | None = False
    """
    Whether to require contributors to sign off on web-based commits
    """
    subscribers_count: int | None = None
    network_count: int | None = None
    open_issues: int
    watchers: int
    master_branch: str | None = None
    starred_at: Annotated[str | None, Field(example='"2020-07-09T00:17:42Z"')] = None
    anonymous_access_enabled: bool | None = None
    """
    Whether anonymous git access is enabled for this repository
    """


class Permissions11(BaseModel):
    admin: bool
    pull: bool
    triage: bool | None = None
    push: bool
    maintain: bool | None = None


class TeamRepository(BaseModel):
    """
    A team's access to a repository.
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the repository
    """
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    name: Annotated[str, Field(example="Team Environment")]
    """
    The name of the repository.
    """
    full_name: Annotated[str, Field(example="octocat/Hello-World")]
    license: NullableLicenseSimple
    forks: int
    permissions: Permissions11 | None = None
    role_name: Annotated[str | None, Field(example="admin")] = None
    owner: NullableSimpleUser
    private: bool
    """
    Whether the repository is private or public.
    """
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat/Hello-World")]
    description: Annotated[str, Field(example="This your first repo!")]
    fork: bool
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World")
    ]
    archive_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/{archive_format}{/ref}"
        ),
    ]
    assignees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/assignees{/user}"
        ),
    ]
    blobs_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/blobs{/sha}"
        ),
    ]
    branches_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/branches{/branch}"
        ),
    ]
    collaborators_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/collaborators{/collaborator}"
        ),
    ]
    comments_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/comments{/number}"
        ),
    ]
    commits_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/commits{/sha}"),
    ]
    compare_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/compare/{base}...{head}"
        ),
    ]
    contents_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/contents/{+path}"
        ),
    ]
    contributors_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/contributors"),
    ]
    deployments_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/deployments"),
    ]
    downloads_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/downloads"),
    ]
    events_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/events")
    ]
    forks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/forks")
    ]
    git_commits_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/commits{/sha}"
        ),
    ]
    git_refs_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/refs{/sha}"),
    ]
    git_tags_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/tags{/sha}"),
    ]
    git_url: Annotated[str, Field(example="git:github.com/octocat/Hello-World.git")]
    issue_comment_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/comments{/number}"
        ),
    ]
    issue_events_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/events{/number}"
        ),
    ]
    issues_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues{/number}"
        ),
    ]
    keys_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/keys{/key_id}"),
    ]
    labels_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/labels{/name}"),
    ]
    languages_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/languages"),
    ]
    merges_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/merges")
    ]
    milestones_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/milestones{/number}"
        ),
    ]
    notifications_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/notifications{?since,all,participating}"
        ),
    ]
    pulls_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/pulls{/number}"),
    ]
    releases_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/releases{/id}"),
    ]
    ssh_url: Annotated[str, Field(example="git@github.com:octocat/Hello-World.git")]
    stargazers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/stargazers"),
    ]
    statuses_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/statuses/{sha}"),
    ]
    subscribers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscribers"),
    ]
    subscription_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscription"),
    ]
    tags_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/tags")
    ]
    teams_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/teams")
    ]
    trees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/trees{/sha}"
        ),
    ]
    clone_url: Annotated[
        str, Field(example="https://github.com/octocat/Hello-World.git")
    ]
    mirror_url: Annotated[
        AnyUrl, Field(example="git:git.example.com/octocat/Hello-World")
    ]
    hooks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/hooks")
    ]
    svn_url: Annotated[
        AnyUrl, Field(example="https://svn.github.com/octocat/Hello-World")
    ]
    homepage: Annotated[AnyUrl, Field(example="https://github.com")]
    language: str
    forks_count: Annotated[int, Field(example=9)]
    stargazers_count: Annotated[int, Field(example=80)]
    watchers_count: Annotated[int, Field(example=80)]
    size: Annotated[int, Field(example=108)]
    default_branch: Annotated[str, Field(example="master")]
    """
    The default branch of the repository.
    """
    open_issues_count: Annotated[int, Field(example=0)]
    is_template: Annotated[bool | None, Field(example=True)] = False
    """
    Whether this repository acts as a template that can be used to generate new repositories.
    """
    topics: Sequence[str] | None = None
    has_issues: Annotated[bool, Field(example=True)]
    """
    Whether issues are enabled.
    """
    has_projects: Annotated[bool, Field(example=True)]
    """
    Whether projects are enabled.
    """
    has_wiki: Annotated[bool, Field(example=True)]
    """
    Whether the wiki is enabled.
    """
    has_pages: bool
    has_downloads: Annotated[bool, Field(example=True)]
    """
    Whether downloads are enabled.
    """
    archived: bool
    """
    Whether the repository is archived.
    """
    disabled: bool
    """
    Returns whether or not this repository disabled.
    """
    visibility: str | None = "public"
    """
    The repository visibility: public, private, or internal.
    """
    pushed_at: Annotated[datetime, Field(example="2011-01-26T19:06:43Z")]
    created_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2011-01-26T19:14:43Z")]
    allow_rebase_merge: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow rebase merges for pull requests.
    """
    template_repository: NullableRepository | None = None
    temp_clone_token: str | None = None
    allow_squash_merge: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_auto_merge: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to allow Auto-merge to be used on pull requests.
    """
    delete_branch_on_merge: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to delete head branches when pull requests are merged
    """
    allow_merge_commit: Annotated[bool | None, Field(example=True)] = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_forking: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to allow forking this repo
    """
    web_commit_signoff_required: Annotated[bool | None, Field(example=False)] = False
    """
    Whether to require contributors to sign off on web-based commits
    """
    subscribers_count: int | None = None
    network_count: int | None = None
    open_issues: int
    watchers: int
    master_branch: str | None = None


class ProjectCard(BaseModel):
    """
    Project cards represent a scope of work.
    """

    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/projects/columns/cards/1478")
    ]
    id: Annotated[int, Field(example=42)]
    """
    The project card's ID
    """
    node_id: Annotated[str, Field(example="MDExOlByb2plY3RDYXJkMTQ3OA==")]
    note: Annotated[str, Field(example="Add payload for delete Project column")]
    creator: NullableSimpleUser
    created_at: Annotated[datetime, Field(example="2016-09-05T14:21:06Z")]
    updated_at: Annotated[datetime, Field(example="2016-09-05T14:20:22Z")]
    archived: Annotated[bool | None, Field(example=False)] = None
    """
    Whether or not the card is archived
    """
    column_name: str | None = None
    project_id: str | None = None
    column_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/projects/columns/367")
    ]
    content_url: Annotated[
        AnyUrl | None,
        Field(
            example="https://api.github.com/repos/api-playground/projects-test/issues/3"
        ),
    ] = None
    project_url: Annotated[AnyUrl, Field(example="https://api.github.com/projects/120")]


class ProjectColumn(BaseModel):
    """
    Project columns contain cards of work.
    """

    url: Annotated[AnyUrl, Field(example="https://api.github.com/projects/columns/367")]
    project_url: Annotated[AnyUrl, Field(example="https://api.github.com/projects/120")]
    cards_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/projects/columns/367/cards")
    ]
    id: Annotated[int, Field(example=42)]
    """
    The unique identifier of the project column
    """
    node_id: Annotated[str, Field(example="MDEzOlByb2plY3RDb2x1bW4zNjc=")]
    name: Annotated[str, Field(example="Remaining tasks")]
    """
    Name of the project column
    """
    created_at: Annotated[datetime, Field(example="2016-09-05T14:18:44Z")]
    updated_at: Annotated[datetime, Field(example="2016-09-05T14:22:28Z")]


class ProjectCollaboratorPermission(BaseModel):
    """
    Project Collaborator Permission
    """

    permission: str
    user: NullableSimpleUser


class RateLimit(BaseModel):
    limit: int
    remaining: int
    reset: int
    used: int


class Resources(BaseModel):
    core: RateLimit
    graphql: RateLimit | None = None
    search: RateLimit
    source_import: RateLimit | None = None
    integration_manifest: RateLimit | None = None
    code_scanning_upload: RateLimit | None = None
    actions_runner_registration: RateLimit | None = None
    scim: RateLimit | None = None
    dependency_snapshots: RateLimit | None = None


class RateLimitOverview(BaseModel):
    """
    Rate Limit Overview
    """

    resources: Resources
    rate: RateLimit


class CodeOfConductSimple(BaseModel):
    """
    Code of Conduct Simple
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/github/docs/community/code_of_conduct"
        ),
    ]
    key: Annotated[str, Field(example="citizen_code_of_conduct")]
    name: Annotated[str, Field(example="Citizen Code of Conduct")]
    html_url: Annotated[
        AnyUrl,
        Field(example="https://github.com/github/docs/blob/main/CODE_OF_CONDUCT.md"),
    ]


class Status(Enum):
    enabled = "enabled"
    disabled = "disabled"


class AdvancedSecurity(BaseModel):
    status: Status | None = None


class SecretScanning(BaseModel):
    status: Status | None = None


class SecretScanningPushProtection(BaseModel):
    status: Status | None = None


class SecurityAndAnalysis(BaseModel):
    advanced_security: AdvancedSecurity | None = None
    secret_scanning: SecretScanning | None = None
    secret_scanning_push_protection: SecretScanningPushProtection | None = None


class Permissions12(BaseModel):
    admin: bool
    maintain: bool | None = None
    push: bool
    triage: bool | None = None
    pull: bool


class MergeCommitTitle4(Enum):
    """
    The default value for a merge commit title.

      - `PR_TITLE` - default to the pull request's title.
      - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class FullRepository(BaseModel):
    """
    Full Repository
    """

    id: Annotated[int, Field(example=1296269)]
    node_id: Annotated[str, Field(example="MDEwOlJlcG9zaXRvcnkxMjk2MjY5")]
    name: Annotated[str, Field(example="Hello-World")]
    full_name: Annotated[str, Field(example="octocat/Hello-World")]
    owner: SimpleUser
    private: bool
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat/Hello-World")]
    description: Annotated[str, Field(example="This your first repo!")]
    fork: bool
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/Hello-World")
    ]
    archive_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/{archive_format}{/ref}"
        ),
    ]
    assignees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/assignees{/user}"
        ),
    ]
    blobs_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/blobs{/sha}"
        ),
    ]
    branches_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/branches{/branch}"
        ),
    ]
    collaborators_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/collaborators{/collaborator}"
        ),
    ]
    comments_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/comments{/number}"
        ),
    ]
    commits_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/commits{/sha}"),
    ]
    compare_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/compare/{base}...{head}"
        ),
    ]
    contents_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/contents/{+path}"
        ),
    ]
    contributors_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/contributors"),
    ]
    deployments_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/deployments"),
    ]
    downloads_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/downloads"),
    ]
    events_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/events")
    ]
    forks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/forks")
    ]
    git_commits_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/commits{/sha}"
        ),
    ]
    git_refs_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/refs{/sha}"),
    ]
    git_tags_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/git/tags{/sha}"),
    ]
    git_url: Annotated[str, Field(example="git:github.com/octocat/Hello-World.git")]
    issue_comment_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/comments{/number}"
        ),
    ]
    issue_events_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues/events{/number}"
        ),
    ]
    issues_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/issues{/number}"
        ),
    ]
    keys_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/keys{/key_id}"),
    ]
    labels_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/labels{/name}"),
    ]
    languages_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/languages"),
    ]
    merges_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/merges")
    ]
    milestones_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/milestones{/number}"
        ),
    ]
    notifications_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/notifications{?since,all,participating}"
        ),
    ]
    pulls_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/pulls{/number}"),
    ]
    releases_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/releases{/id}"),
    ]
    ssh_url: Annotated[str, Field(example="git@github.com:octocat/Hello-World.git")]
    stargazers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/stargazers"),
    ]
    statuses_url: Annotated[
        str,
        Field(example="http://api.github.com/repos/octocat/Hello-World/statuses/{sha}"),
    ]
    subscribers_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscribers"),
    ]
    subscription_url: Annotated[
        AnyUrl,
        Field(example="http://api.github.com/repos/octocat/Hello-World/subscription"),
    ]
    tags_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/tags")
    ]
    teams_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/teams")
    ]
    trees_url: Annotated[
        str,
        Field(
            example="http://api.github.com/repos/octocat/Hello-World/git/trees{/sha}"
        ),
    ]
    clone_url: Annotated[
        str, Field(example="https://github.com/octocat/Hello-World.git")
    ]
    mirror_url: Annotated[
        AnyUrl, Field(example="git:git.example.com/octocat/Hello-World")
    ]
    hooks_url: Annotated[
        AnyUrl, Field(example="http://api.github.com/repos/octocat/Hello-World/hooks")
    ]
    svn_url: Annotated[
        AnyUrl, Field(example="https://svn.github.com/octocat/Hello-World")
    ]
    homepage: Annotated[AnyUrl, Field(example="https://github.com")]
    language: str
    forks_count: Annotated[int, Field(example=9)]
    stargazers_count: Annotated[int, Field(example=80)]
    watchers_count: Annotated[int, Field(example=80)]
    size: Annotated[int, Field(example=108)]
    """
    The size of the repository. Size is calculated hourly. When a repository is initially created, the size is 0.
    """
    default_branch: Annotated[str, Field(example="master")]
    open_issues_count: Annotated[int, Field(example=0)]
    is_template: Annotated[bool | None, Field(example=True)] = None
    topics: Annotated[
        Sequence[str] | None, Field(example=["octocat", "atom", "electron", "API"])
    ] = None
    has_issues: Annotated[bool, Field(example=True)]
    has_projects: Annotated[bool, Field(example=True)]
    has_wiki: Annotated[bool, Field(example=True)]
    has_pages: bool
    has_downloads: Annotated[bool, Field(example=True)]
    archived: bool
    disabled: bool
    """
    Returns whether or not this repository disabled.
    """
    visibility: Annotated[str | None, Field(example="public")] = None
    """
    The repository visibility: public, private, or internal.
    """
    pushed_at: Annotated[datetime, Field(example="2011-01-26T19:06:43Z")]
    created_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2011-01-26T19:14:43Z")]
    permissions: Permissions12 | None = None
    allow_rebase_merge: Annotated[bool | None, Field(example=True)] = None
    template_repository: NullableRepository | None = None
    temp_clone_token: str | None = None
    allow_squash_merge: Annotated[bool | None, Field(example=True)] = None
    allow_auto_merge: Annotated[bool | None, Field(example=False)] = None
    delete_branch_on_merge: Annotated[bool | None, Field(example=False)] = None
    allow_merge_commit: Annotated[bool | None, Field(example=True)] = None
    allow_update_branch: Annotated[bool | None, Field(example=True)] = None
    use_squash_pr_title_as_default: Annotated[bool | None, Field(example=False)] = None
    squash_merge_commit_title: Annotated[
        SquashMergeCommitTitle | None, Field(example="PR_TITLE")
    ] = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    squash_merge_commit_message: Annotated[
        SquashMergeCommitMessage | None, Field(example="PR_BODY")
    ] = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: Annotated[
        MergeCommitTitle4 | None, Field(example="PR_TITLE")
    ] = None
    """
    The default value for a merge commit title.

      - `PR_TITLE` - default to the pull request's title.
      - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merge_commit_message: Annotated[
        MergeCommitMessage | None, Field(example="PR_BODY")
    ] = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    allow_forking: Annotated[bool | None, Field(example=True)] = None
    web_commit_signoff_required: Annotated[bool | None, Field(example=False)] = None
    subscribers_count: Annotated[int, Field(example=42)]
    network_count: Annotated[int, Field(example=0)]
    license: NullableLicenseSimple
    organization: NullableSimpleUser | None = None
    parent: Repository | None = None
    source: Repository | None = None
    forks: int
    master_branch: str | None = None
    open_issues: int
    watchers: int
    anonymous_access_enabled: bool | None = True
    """
    Whether anonymous git access is allowed.
    """
    code_of_conduct: CodeOfConductSimple | None = None
    security_and_analysis: SecurityAndAnalysis | None = None


class WorkflowRun(BaseModel):
    id: Annotated[int | None, Field(example=10)] = None
    repository_id: Annotated[int | None, Field(example=42)] = None
    head_repository_id: Annotated[int | None, Field(example=42)] = None
    head_branch: Annotated[str | None, Field(example="main")] = None
    head_sha: Annotated[
        str | None, Field(example="009b8a3a9ccbb128af87f9b1c0f4c62e8a304f6d")
    ] = None


class Artifact(BaseModel):
    """
    An artifact
    """

    id: Annotated[int, Field(example=5)]
    node_id: Annotated[str, Field(example="MDEwOkNoZWNrU3VpdGU1")]
    name: Annotated[str, Field(example="AdventureWorks.Framework")]
    """
    The name of the artifact.
    """
    size_in_bytes: Annotated[int, Field(example=12345)]
    """
    The size in bytes of the artifact.
    """
    url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/artifacts/5"
        ),
    ]
    archive_download_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/artifacts/5/zip"
        ),
    ]
    expired: bool
    """
    Whether or not the artifact has expired.
    """
    created_at: datetime
    expires_at: datetime
    updated_at: datetime
    workflow_run: WorkflowRun | None = None


class ActionsCach(BaseModel):
    id: Annotated[int | None, Field(example=2)] = None
    ref: Annotated[str | None, Field(example="refs/heads/main")] = None
    key: Annotated[
        str | None, Field(example="Linux-node-958aff96db2d75d67787d1e634ae70b659de937b")
    ] = None
    version: Annotated[
        str | None,
        Field(
            example="73885106f58cc52a7df9ec4d4a5622a5614813162cb516c759a30af6bf56e6f0"
        ),
    ] = None
    last_accessed_at: Annotated[
        datetime | None, Field(example="2019-01-24T22:45:36.000Z")
    ] = None
    created_at: Annotated[
        datetime | None, Field(example="2019-01-24T22:45:36.000Z")
    ] = None
    size_in_bytes: Annotated[int | None, Field(example=1024)] = None


class ActionsCacheList(BaseModel):
    """
    Repository actions caches
    """

    total_count: Annotated[int, Field(example=2)]
    """
    Total number of caches
    """
    actions_caches: Sequence[ActionsCach]
    """
    Array of caches
    """


class Status3(Enum):
    """
    The phase of the lifecycle that the job is currently in.
    """

    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"


class Conclusion(Enum):
    """
    The outcome of the job.
    """

    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    skipped = "skipped"
    timed_out = "timed_out"
    action_required = "action_required"


class Step(BaseModel):
    status: Annotated[Status3, Field(example="queued")]
    """
    The phase of the lifecycle that the job is currently in.
    """
    conclusion: Annotated[str, Field(example="success")]
    """
    The outcome of the job.
    """
    name: Annotated[str, Field(example="test-coverage")]
    """
    The name of the job.
    """
    number: Annotated[int, Field(example=1)]
    started_at: Annotated[
        datetime | None, Field(example="2019-08-08T08:00:00-07:00")
    ] = None
    """
    The time that the step started, in ISO 8601 format.
    """
    completed_at: Annotated[
        datetime | None, Field(example="2019-08-08T08:00:00-07:00")
    ] = None
    """
    The time that the job finished, in ISO 8601 format.
    """


class Job(BaseModel):
    """
    Information of a job execution in a workflow run
    """

    id: Annotated[int, Field(example=21)]
    """
    The id of the job.
    """
    run_id: Annotated[int, Field(example=5)]
    """
    The id of the associated workflow run.
    """
    run_url: Annotated[
        str,
        Field(example="https://api.github.com/repos/github/hello-world/actions/runs/5"),
    ]
    run_attempt: Annotated[int | None, Field(example=1)] = None
    """
    Attempt number of the associated workflow run, 1 for first attempt and higher if the workflow was re-run.
    """
    node_id: Annotated[str, Field(example="MDg6Q2hlY2tSdW40")]
    head_sha: Annotated[str, Field(example="009b8a3a9ccbb128af87f9b1c0f4c62e8a304f6d")]
    """
    The SHA of the commit that is being run.
    """
    url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/jobs/21"
        ),
    ]
    html_url: Annotated[
        str, Field(example="https://github.com/github/hello-world/runs/4")
    ]
    status: Annotated[Status3, Field(example="queued")]
    """
    The phase of the lifecycle that the job is currently in.
    """
    conclusion: Annotated[Conclusion, Field(example="success")]
    """
    The outcome of the job.
    """
    started_at: Annotated[datetime, Field(example="2019-08-08T08:00:00-07:00")]
    """
    The time that the job started, in ISO 8601 format.
    """
    completed_at: Annotated[datetime, Field(example="2019-08-08T08:00:00-07:00")]
    """
    The time that the job finished, in ISO 8601 format.
    """
    name: Annotated[str, Field(example="test-coverage")]
    """
    The name of the job.
    """
    steps: Sequence[Step] | None = None
    """
    Steps in this job.
    """
    check_run_url: Annotated[
        str,
        Field(example="https://api.github.com/repos/github/hello-world/check-runs/4"),
    ]
    labels: Annotated[Sequence[str], Field(example=["self-hosted", "foo", "bar"])]
    """
    Labels for the workflow job. Specified by the "runs_on" attribute in the action's workflow file.
    """
    runner_id: Annotated[int, Field(example=1)]
    """
    The ID of the runner to which this job has been assigned. (If a runner hasn't yet been assigned, this will be null.)
    """
    runner_name: Annotated[str, Field(example="my runner")]
    """
    The name of the runner to which this job has been assigned. (If a runner hasn't yet been assigned, this will be null.)
    """
    runner_group_id: Annotated[int, Field(example=2)]
    """
    The ID of the runner group to which this job has been assigned. (If a runner hasn't yet been assigned, this will be null.)
    """
    runner_group_name: Annotated[str, Field(example="my runner group")]
    """
    The name of the runner group to which this job has been assigned. (If a runner hasn't yet been assigned, this will be null.)
    """


class ActionsRepositoryPermissions(BaseModel):
    enabled: bool
    """
    Whether GitHub Actions is enabled on the repository.
    """
    allowed_actions: AllowedActions | None = None
    selected_actions_url: str | None = None
    """
    The API URL to use to get or set the actions and reusable workflows that are allowed to run, when `allowed_actions` is set to `selected`.
    """


class AccessLevel(Enum):
    """
    Defines the level of access that workflows outside of the repository have to actions and reusable workflows within the
    repository. `none` means access is only possible from workflows in this repository.
    """

    none = "none"
    organization = "organization"
    enterprise = "enterprise"


class ActionsWorkflowAccessToRepository(BaseModel):
    access_level: AccessLevel
    """
    Defines the level of access that workflows outside of the repository have to actions and reusable workflows within the
    repository. `none` means access is only possible from workflows in this repository.
    """


class ReferencedWorkflow(BaseModel):
    """
    A workflow referenced/reused by the initial caller workflow
    """

    path: str
    sha: str
    ref: str | None = None


class Repo1(BaseModel):
    id: int
    url: str
    name: str


class Head(BaseModel):
    ref: str
    sha: str
    repo: Repo1


class Base(BaseModel):
    ref: str
    sha: str
    repo: Repo1


class PullRequestMinimal(BaseModel):
    id: int
    number: int
    url: str
    head: Head
    base: Base


class Author(BaseModel):
    name: str
    email: str


class Committer(BaseModel):
    name: str
    email: str


class NullableSimpleCommit(BaseModel):
    """
    Simple Commit
    """

    id: str
    tree_id: str
    message: str
    timestamp: datetime
    author: Author
    committer: Committer


class WorkflowRun1(BaseModel):
    """
    An invocation of a workflow
    """

    id: Annotated[int, Field(example=5)]
    """
    The ID of the workflow run.
    """
    name: Annotated[str | None, Field(example="Build")] = None
    """
    The name of the workflow run.
    """
    node_id: Annotated[str, Field(example="MDEwOkNoZWNrU3VpdGU1")]
    check_suite_id: Annotated[int | None, Field(example=42)] = None
    """
    The ID of the associated check suite.
    """
    check_suite_node_id: Annotated[
        str | None, Field(example="MDEwOkNoZWNrU3VpdGU0Mg==")
    ] = None
    """
    The node ID of the associated check suite.
    """
    head_branch: Annotated[str, Field(example="master")]
    head_sha: Annotated[str, Field(example="009b8a3a9ccbb128af87f9b1c0f4c62e8a304f6d")]
    """
    The SHA of the head commit that points to the version of the workflow being run.
    """
    path: Annotated[
        str, Field(example="octocat/octo-repo/.github/workflows/ci.yml@main")
    ]
    """
    The full path of the workflow
    """
    run_number: Annotated[int, Field(example=106)]
    """
    The auto incrementing run number for the workflow run.
    """
    run_attempt: Annotated[int | None, Field(example=1)] = None
    """
    Attempt number of the run, 1 for first attempt and higher if the workflow was re-run.
    """
    referenced_workflows: Sequence[ReferencedWorkflow] | None = None
    event: Annotated[str, Field(example="push")]
    status: Annotated[str, Field(example="completed")]
    conclusion: Annotated[str, Field(example="neutral")]
    workflow_id: Annotated[int, Field(example=5)]
    """
    The ID of the parent workflow.
    """
    url: Annotated[
        str,
        Field(example="https://api.github.com/repos/github/hello-world/actions/runs/5"),
    ]
    """
    The URL to the workflow run.
    """
    html_url: Annotated[
        str, Field(example="https://github.com/github/hello-world/suites/4")
    ]
    pull_requests: Sequence[PullRequestMinimal]
    created_at: datetime
    updated_at: datetime
    actor: SimpleUser | None = None
    triggering_actor: SimpleUser | None = None
    run_started_at: datetime | None = None
    """
    The start time of the latest run. Resets on re-run.
    """
    jobs_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/runs/5/jobs"
        ),
    ]
    """
    The URL to the jobs for the workflow run.
    """
    logs_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/runs/5/logs"
        ),
    ]
    """
    The URL to download the logs for the workflow run.
    """
    check_suite_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/check-suites/12"
        ),
    ]
    """
    The URL to the associated check suite.
    """
    artifacts_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/runs/5/rerun/artifacts"
        ),
    ]
    """
    The URL to the artifacts for the workflow run.
    """
    cancel_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/runs/5/cancel"
        ),
    ]
    """
    The URL to cancel the workflow run.
    """
    rerun_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/runs/5/rerun"
        ),
    ]
    """
    The URL to rerun the workflow run.
    """
    previous_attempt_url: Annotated[
        str | None,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/runs/5/attempts/3"
        ),
    ] = None
    """
    The URL to the previous attempted run of this workflow, if one exists.
    """
    workflow_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/actions/workflows/main.yaml"
        ),
    ]
    """
    The URL to the workflow.
    """
    head_commit: NullableSimpleCommit
    repository: MinimalRepository
    head_repository: MinimalRepository
    head_repository_id: Annotated[int | None, Field(example=5)] = None
    display_title: Annotated[str, Field(example="Simple Workflow")]
    """
    The event-specific title associated with the run or the run-name if set, or the value of `run-name` if it is set in the workflow.
    """


class Environment(BaseModel):
    id: Annotated[int | None, Field(example=56780428)] = None
    """
    The id of the environment.
    """
    node_id: Annotated[
        str | None, Field(example="MDExOkVudmlyb25tZW50NTY3ODA0Mjg=")
    ] = None
    name: Annotated[str | None, Field(example="staging")] = None
    """
    The name of the environment.
    """
    url: Annotated[
        str | None,
        Field(
            example="https://api.github.com/repos/github/hello-world/environments/staging"
        ),
    ] = None
    html_url: Annotated[
        str | None,
        Field(
            example="https://github.com/github/hello-world/deployments/activity_log?environments_filter=staging"
        ),
    ] = None
    created_at: Annotated[datetime | None, Field(example="2020-11-23T22:00:40Z")] = None
    """
    The time that the environment was created, in ISO 8601 format.
    """
    updated_at: Annotated[datetime | None, Field(example="2020-11-23T22:00:40Z")] = None
    """
    The time that the environment was last updated, in ISO 8601 format.
    """


class State5(Enum):
    """
    Whether deployment to the environment(s) was approved or rejected
    """

    approved = "approved"
    rejected = "rejected"


class EnvironmentApprovals(BaseModel):
    """
    An entry in the reviews log for environment deployments
    """

    environments: Sequence[Environment]
    """
    The list of environments that were approved or rejected
    """
    state: Annotated[State5, Field(example="approved")]
    """
    Whether deployment to the environment(s) was approved or rejected
    """
    user: SimpleUser
    comment: Annotated[str, Field(example="Ship it!")]
    """
    The comment submitted with the deployment review
    """


class DeploymentReviewerType(Enum):
    """
    The type of reviewer.
    """

    User = "User"
    Team = "Team"


class Environment1(BaseModel):
    id: Annotated[int | None, Field(example=56780428)] = None
    """
    The id of the environment.
    """
    node_id: Annotated[
        str | None, Field(example="MDExOkVudmlyb25tZW50NTY3ODA0Mjg=")
    ] = None
    name: Annotated[str | None, Field(example="staging")] = None
    """
    The name of the environment.
    """
    url: Annotated[
        str | None,
        Field(
            example="https://api.github.com/repos/github/hello-world/environments/staging"
        ),
    ] = None
    html_url: Annotated[
        str | None,
        Field(
            example="https://github.com/github/hello-world/deployments/activity_log?environments_filter=staging"
        ),
    ] = None


class Reviewer(BaseModel):
    type: DeploymentReviewerType | None = None
    reviewer: SimpleUser | Team | None = None


class PendingDeployment(BaseModel):
    """
    Details of a deployment that is waiting for protection rules to pass
    """

    environment: Environment1
    wait_timer: Annotated[int, Field(example=30)]
    """
    The set duration of the wait timer
    """
    wait_timer_started_at: Annotated[datetime, Field(example="2020-11-23T22:00:40Z")]
    """
    The time that the wait timer began.
    """
    current_user_can_approve: Annotated[bool, Field(example=True)]
    """
    Whether the currently authenticated user can approve the deployment
    """
    reviewers: Sequence[Reviewer]
    """
    The people or teams that may approve jobs that reference the environment. You can list up to six users or teams as reviewers. The reviewers must have at least read access to the repository. Only one of the required reviewers needs to approve the job for it to proceed.
    """


class Deployment(BaseModel):
    """
    A request for a specific ref(branch,sha,tag) to be deployed
    """

    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/example/deployments/1"),
    ]
    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the deployment
    """
    node_id: Annotated[str, Field(example="MDEwOkRlcGxveW1lbnQx")]
    sha: Annotated[str, Field(example="a84d88e7554fc1fa21bcbc4efae3c782a70d2b9d")]
    ref: Annotated[str, Field(example="topic-branch")]
    """
    The ref to deploy. This can be a branch, tag, or sha.
    """
    task: Annotated[str, Field(example="deploy")]
    """
    Parameter to specify a task to execute
    """
    payload: Mapping[str, Any] | str
    original_environment: Annotated[str | None, Field(example="staging")] = None
    environment: Annotated[str, Field(example="production")]
    """
    Name for the target deployment environment.
    """
    description: Annotated[str, Field(example="Deploy request from hubot")]
    creator: NullableSimpleUser
    created_at: Annotated[datetime, Field(example="2012-07-20T01:19:13Z")]
    updated_at: Annotated[datetime, Field(example="2012-07-20T01:19:13Z")]
    statuses_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/example/deployments/1/statuses"
        ),
    ]
    repository_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/example")
    ]
    transient_environment: Annotated[bool | None, Field(example=True)] = None
    """
    Specifies if the given environment is will no longer exist at some point in the future. Default: false.
    """
    production_environment: Annotated[bool | None, Field(example=True)] = None
    """
    Specifies if the given environment is one that end-users directly interact with. Default: false.
    """
    performed_via_github_app: NullableIntegration | None = None


class JobRun(BaseModel):
    job_id: int
    duration_ms: int


class UBUNTU(BaseModel):
    total_ms: int
    jobs: int
    job_runs: Sequence[JobRun] | None = None


class MACOS(BaseModel):
    total_ms: int
    jobs: int
    job_runs: Sequence[JobRun] | None = None


class WINDOWS(BaseModel):
    total_ms: int
    jobs: int
    job_runs: Sequence[JobRun] | None = None


class Billable(BaseModel):
    UBUNTU: UBUNTU | None = None
    MACOS: MACOS | None = None
    WINDOWS: WINDOWS | None = None


class WorkflowRunUsage(BaseModel):
    """
    Workflow Run Usage
    """

    billable: Billable
    run_duration_ms: int | None = None


class ActionsSecret(BaseModel):
    """
    Set secrets for GitHub Actions.
    """

    name: Annotated[str, Field(example="SECRET_TOKEN")]
    """
    The name of the secret.
    """
    created_at: datetime
    updated_at: datetime


class State6(Enum):
    active = "active"
    deleted = "deleted"
    disabled_fork = "disabled_fork"
    disabled_inactivity = "disabled_inactivity"
    disabled_manually = "disabled_manually"


class Workflow(BaseModel):
    """
    A GitHub Actions workflow
    """

    id: Annotated[int, Field(example=5)]
    node_id: Annotated[str, Field(example="MDg6V29ya2Zsb3cxMg==")]
    name: Annotated[str, Field(example="CI")]
    path: Annotated[str, Field(example="ruby.yaml")]
    state: Annotated[State6, Field(example="active")]
    created_at: Annotated[datetime, Field(example="2019-12-06T14:20:20.000Z")]
    updated_at: Annotated[datetime, Field(example="2019-12-06T14:20:20.000Z")]
    url: Annotated[
        str,
        Field(example="https://api.github.com/repos/actions/setup-ruby/workflows/5"),
    ]
    html_url: Annotated[
        str,
        Field(
            example="https://github.com/actions/setup-ruby/blob/master/.github/workflows/ruby.yaml"
        ),
    ]
    badge_url: Annotated[
        str,
        Field(example="https://github.com/actions/setup-ruby/workflows/CI/badge.svg"),
    ]
    deleted_at: Annotated[
        datetime | None, Field(example="2019-12-06T14:20:20.000Z")
    ] = None


class UBUNTU1(BaseModel):
    total_ms: int | None = None


class MACOS1(BaseModel):
    total_ms: int | None = None


class WINDOWS1(BaseModel):
    total_ms: int | None = None


class Billable1(BaseModel):
    UBUNTU: UBUNTU1 | None = None
    MACOS: MACOS1 | None = None
    WINDOWS: WINDOWS1 | None = None


class WorkflowUsage(BaseModel):
    """
    Workflow Usage
    """

    billable: Billable1


class Autolink(BaseModel):
    """
    An autolink reference.
    """

    id: Annotated[int, Field(example=3)]
    key_prefix: Annotated[str, Field(example="TICKET-")]
    """
    The prefix of a key that is linkified.
    """
    url_template: Annotated[
        str, Field(example="https://example.com/TICKET?query=<num>")
    ]
    """
    A template for the target URL that is generated if a key was found.
    """
    is_alphanumeric: Annotated[bool, Field(example=True)]
    """
    Whether this autolink reference matches alphanumeric characters. If false, this autolink reference only matches numeric characters.
    """


class Check(BaseModel):
    context: str
    app_id: int


class ProtectedBranchRequiredStatusCheck(BaseModel):
    """
    Protected Branch Required Status Check
    """

    url: str | None = None
    enforcement_level: str | None = None
    contexts: Sequence[str]
    checks: Sequence[Check]
    contexts_url: str | None = None
    strict: bool | None = None


class ProtectedBranchAdminEnforced(BaseModel):
    """
    Protected Branch Admin Enforced
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/branches/master/protection/enforce_admins"
        ),
    ]
    enabled: Annotated[bool, Field(example=True)]


class DismissalRestrictions(BaseModel):
    users: Sequence[SimpleUser] | None = None
    """
    The list of users with review dismissal access.
    """
    teams: Sequence[Team] | None = None
    """
    The list of teams with review dismissal access.
    """
    apps: Sequence[Integration] | None = None
    """
    The list of apps with review dismissal access.
    """
    url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/repos/the-org/an-org-repo/branches/master/protection/dismissal_restrictions"'
        ),
    ] = None
    users_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/repos/the-org/an-org-repo/branches/master/protection/dismissal_restrictions/users"'
        ),
    ] = None
    teams_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/repos/the-org/an-org-repo/branches/master/protection/dismissal_restrictions/teams"'
        ),
    ] = None


class BypassPullRequestAllowances(BaseModel):
    """
    Allow specific users, teams, or apps to bypass pull request requirements.
    """

    users: Sequence[SimpleUser] | None = None
    """
    The list of users allowed to bypass pull request requirements.
    """
    teams: Sequence[Team] | None = None
    """
    The list of teams allowed to bypass pull request requirements.
    """
    apps: Sequence[Integration] | None = None
    """
    The list of apps allowed to bypass pull request requirements.
    """


class ProtectedBranchPullRequestReview(BaseModel):
    """
    Protected Branch Pull Request Review
    """

    url: Annotated[
        AnyUrl | None,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/branches/master/protection/dismissal_restrictions"
        ),
    ] = None
    dismissal_restrictions: DismissalRestrictions | None = None
    bypass_pull_request_allowances: BypassPullRequestAllowances | None = None
    """
    Allow specific users, teams, or apps to bypass pull request requirements.
    """
    dismiss_stale_reviews: Annotated[bool, Field(example=True)]
    require_code_owner_reviews: Annotated[bool, Field(example=True)]
    required_approving_review_count: Annotated[
        int | None, Field(example=2, ge=0, le=6)
    ] = None
    require_last_push_approval: Annotated[bool | None, Field(example=True)] = False
    """
    Whether someone other than the person who last pushed to the branch must approve this pull request.
    """


class User(BaseModel):
    login: str | None = None
    id: int | None = None
    node_id: str | None = None
    avatar_url: str | None = None
    gravatar_id: str | None = None
    url: str | None = None
    html_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    organizations_url: str | None = None
    repos_url: str | None = None
    events_url: str | None = None
    received_events_url: str | None = None
    type: str | None = None
    site_admin: bool | None = None


class Team1(BaseModel):
    id: int | None = None
    node_id: str | None = None
    url: str | None = None
    html_url: str | None = None
    name: str | None = None
    slug: str | None = None
    description: str | None = None
    privacy: str | None = None
    permission: str | None = None
    members_url: str | None = None
    repositories_url: str | None = None
    parent: str | None = None


class Owner2(BaseModel):
    login: str | None = None
    id: int | None = None
    node_id: str | None = None
    url: str | None = None
    repos_url: str | None = None
    events_url: str | None = None
    hooks_url: str | None = None
    issues_url: str | None = None
    members_url: str | None = None
    public_members_url: str | None = None
    avatar_url: str | None = None
    description: str | None = None
    gravatar_id: Annotated[str | None, Field(example='""')] = None
    html_url: Annotated[
        str | None, Field(example='"https://github.com/testorg-ea8ec76d71c3af4b"')
    ] = None
    followers_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/users/testorg-ea8ec76d71c3af4b/followers"'
        ),
    ] = None
    following_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/users/testorg-ea8ec76d71c3af4b/following{/other_user}"'
        ),
    ] = None
    gists_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/users/testorg-ea8ec76d71c3af4b/gists{/gist_id}"'
        ),
    ] = None
    starred_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/users/testorg-ea8ec76d71c3af4b/starred{/owner}{/repo}"'
        ),
    ] = None
    subscriptions_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/users/testorg-ea8ec76d71c3af4b/subscriptions"'
        ),
    ] = None
    organizations_url: Annotated[
        str | None,
        Field(example='"https://api.github.com/users/testorg-ea8ec76d71c3af4b/orgs"'),
    ] = None
    received_events_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/users/testorg-ea8ec76d71c3af4b/received_events"'
        ),
    ] = None
    type: Annotated[str | None, Field(example='"Organization"')] = None
    site_admin: Annotated[bool | None, Field(example=False)] = None


class Permissions13(BaseModel):
    metadata: str | None = None
    contents: str | None = None
    issues: str | None = None
    single_file: str | None = None


class App1(BaseModel):
    id: int | None = None
    slug: str | None = None
    node_id: str | None = None
    owner: Owner2 | None = None
    name: str | None = None
    description: str | None = None
    external_url: str | None = None
    html_url: str | None = None
    created_at: str | None = None
    updated_at: str | None = None
    permissions: Permissions13 | None = None
    events: Sequence[str] | None = None


class BranchRestrictionPolicy(BaseModel):
    """
    Branch Restriction Policy
    """

    url: AnyUrl
    users_url: AnyUrl
    teams_url: AnyUrl
    apps_url: AnyUrl
    users: Sequence[User]
    teams: Sequence[Team1]
    apps: Sequence[App1]


class RequiredLinearHistory(BaseModel):
    enabled: bool | None = None


class AllowForcePushes(BaseModel):
    enabled: bool | None = None


class AllowDeletions(BaseModel):
    enabled: bool | None = None


class BlockCreations(BaseModel):
    enabled: bool | None = None


class RequiredConversationResolution(BaseModel):
    enabled: bool | None = None


class RequiredSignatures(BaseModel):
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/branches/master/protection/required_signatures"
        ),
    ]
    enabled: Annotated[bool, Field(example=True)]


class LockBranch(BaseModel):
    """
    Whether to set the branch as read-only. If this is true, users will not be able to push to the branch.
    """

    enabled: bool | None = False


class AllowForkSyncing(BaseModel):
    """
    Whether users can pull changes from upstream when the branch is locked. Set to `true` to allow fork syncing. Set to `false` to prevent fork syncing.
    """

    enabled: bool | None = False


class BranchProtection(BaseModel):
    """
    Branch Protection
    """

    url: str | None = None
    enabled: bool | None = None
    required_status_checks: ProtectedBranchRequiredStatusCheck | None = None
    enforce_admins: ProtectedBranchAdminEnforced | None = None
    required_pull_request_reviews: ProtectedBranchPullRequestReview | None = None
    restrictions: BranchRestrictionPolicy | None = None
    required_linear_history: RequiredLinearHistory | None = None
    allow_force_pushes: AllowForcePushes | None = None
    allow_deletions: AllowDeletions | None = None
    block_creations: BlockCreations | None = None
    required_conversation_resolution: RequiredConversationResolution | None = None
    name: Annotated[str | None, Field(example='"branch/with/protection"')] = None
    protection_url: Annotated[
        str | None,
        Field(
            example='"https://api.github.com/repos/owner-79e94e2d36b3fd06a32bb213/AAA_Public_Repo/branches/branch/with/protection/protection"'
        ),
    ] = None
    required_signatures: RequiredSignatures | None = None
    lock_branch: LockBranch | None = None
    """
    Whether to set the branch as read-only. If this is true, users will not be able to push to the branch.
    """
    allow_fork_syncing: AllowForkSyncing | None = None
    """
    Whether users can pull changes from upstream when the branch is locked. Set to `true` to allow fork syncing. Set to `false` to prevent fork syncing.
    """


class Commit(BaseModel):
    sha: str
    url: AnyUrl


class ShortBranch(BaseModel):
    """
    Short Branch
    """

    name: str
    commit: Commit
    protected: bool
    protection: BranchProtection | None = None
    protection_url: AnyUrl | None = None


class NullableGitUser(BaseModel):
    """
    Metaproperties for Git author/committer information.
    """

    name: Annotated[str | None, Field(example='"Chris Wanstrath"')] = None
    email: Annotated[str | None, Field(example='"chris@ozmm.org"')] = None
    date: Annotated[str | None, Field(example='"2007-10-29T02:42:39.000-07:00"')] = None


class Verification(BaseModel):
    verified: bool
    reason: str
    payload: str
    signature: str


class Status5(Enum):
    added = "added"
    removed = "removed"
    modified = "modified"
    renamed = "renamed"
    copied = "copied"
    changed = "changed"
    unchanged = "unchanged"


class DiffEntry(BaseModel):
    """
    Diff Entry
    """

    sha: Annotated[str, Field(example="bbcd538c8e72b8c175046e27cc8f907076331401")]
    filename: Annotated[str, Field(example="file1.txt")]
    status: Annotated[Status5, Field(example="added")]
    additions: Annotated[int, Field(example=103)]
    deletions: Annotated[int, Field(example=21)]
    changes: Annotated[int, Field(example=124)]
    blob_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/blob/6dcb09b5b57875f334f61aebed695e2e4193db5e/file1.txt"
        ),
    ]
    raw_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/raw/6dcb09b5b57875f334f61aebed695e2e4193db5e/file1.txt"
        ),
    ]
    contents_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/contents/file1.txt?ref=6dcb09b5b57875f334f61aebed695e2e4193db5e"
        ),
    ]
    patch: Annotated[
        str | None,
        Field(
            example="@@ -132,7 +132,7 @@ module Test @@ -1000,7 +1000,7 @@ module Test"
        ),
    ] = None
    previous_filename: Annotated[str | None, Field(example="file.txt")] = None


class Tree(BaseModel):
    sha: Annotated[str, Field(example="827efc6d56897b048c772eb4087f854f46256132")]
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/tree/827efc6d56897b048c772eb4087f854f46256132"
        ),
    ]


class Commit2(BaseModel):
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/commits/6dcb09b5b57875f334f61aebed695e2e4193db5e"
        ),
    ]
    author: NullableGitUser
    committer: NullableGitUser
    message: Annotated[str, Field(example="Fix all the bugs")]
    comment_count: Annotated[int, Field(example=0)]
    tree: Tree
    verification: Verification | None = None


class Parent(BaseModel):
    sha: Annotated[str, Field(example="7638417db6d59f3c431d3e1f261cc637155684cd")]
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/commits/7638417db6d59f3c431d3e1f261cc637155684cd"
        ),
    ]
    html_url: Annotated[
        AnyUrl | None,
        Field(
            example="https://github.com/octocat/Hello-World/commit/7638417db6d59f3c431d3e1f261cc637155684cd"
        ),
    ] = None


class Stats(BaseModel):
    additions: int | None = None
    deletions: int | None = None
    total: int | None = None


class Commit1(BaseModel):
    """
    Commit
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/commits/6dcb09b5b57875f334f61aebed695e2e4193db5e"
        ),
    ]
    sha: Annotated[str, Field(example="6dcb09b5b57875f334f61aebed695e2e4193db5e")]
    node_id: Annotated[
        str,
        Field(
            example="MDY6Q29tbWl0NmRjYjA5YjViNTc4NzVmMzM0ZjYxYWViZWQ2OTVlMmU0MTkzZGI1ZQ=="
        ),
    ]
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/commit/6dcb09b5b57875f334f61aebed695e2e4193db5e"
        ),
    ]
    comments_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/commits/6dcb09b5b57875f334f61aebed695e2e4193db5e/comments"
        ),
    ]
    commit: Commit2
    author: NullableSimpleUser
    committer: NullableSimpleUser
    parents: Sequence[Parent]
    stats: Stats | None = None
    files: Sequence[DiffEntry] | None = None


class FieldLinks1(BaseModel):
    html: str
    self: AnyUrl


class BranchWithProtection(BaseModel):
    """
    Branch With Protection
    """

    name: str
    commit: Commit1
    field_links: Annotated[FieldLinks1, Field(alias="_links")]
    protected: bool
    protection: BranchProtection
    protection_url: AnyUrl
    pattern: Annotated[str | None, Field(example='"mas*"')] = None
    required_approving_review_count: Annotated[int | None, Field(example=1)] = None


class Check1(BaseModel):
    context: Annotated[str, Field(example="continuous-integration/travis-ci")]
    app_id: int


class StatusCheckPolicy(BaseModel):
    """
    Status Check Policy
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/branches/master/protection/required_status_checks"
        ),
    ]
    strict: Annotated[bool, Field(example=True)]
    contexts: Annotated[
        Sequence[str], Field(example=["continuous-integration/travis-ci"])
    ]
    checks: Sequence[Check1]
    contexts_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/branches/master/protection/required_status_checks/contexts"
        ),
    ]


class DismissalRestrictions1(BaseModel):
    url: AnyUrl
    users_url: AnyUrl
    teams_url: AnyUrl
    users: Sequence[SimpleUser]
    teams: Sequence[Team]
    apps: Sequence[Integration] | None = None


class BypassPullRequestAllowances1(BaseModel):
    users: Sequence[SimpleUser]
    teams: Sequence[Team]
    apps: Sequence[Integration] | None = None


class RequiredPullRequestReviews(BaseModel):
    url: AnyUrl
    dismiss_stale_reviews: bool | None = None
    require_code_owner_reviews: bool | None = None
    required_approving_review_count: int | None = None
    require_last_push_approval: bool | None = False
    """
    Whether someone other than the person who last pushed to the branch must approve this pull request.
    """
    dismissal_restrictions: DismissalRestrictions1 | None = None
    bypass_pull_request_allowances: BypassPullRequestAllowances1 | None = None


class EnforceAdmins(BaseModel):
    class Config:
        extra = Extra.forbid

    url: AnyUrl
    enabled: bool


class RequiredLinearHistory1(BaseModel):
    class Config:
        extra = Extra.forbid

    enabled: bool


class AllowForcePushes1(BaseModel):
    class Config:
        extra = Extra.forbid

    enabled: bool


class AllowDeletions1(BaseModel):
    class Config:
        extra = Extra.forbid

    enabled: bool


class RequiredConversationResolution1(BaseModel):
    class Config:
        extra = Extra.forbid

    enabled: bool | None = None


class BlockCreations1(BaseModel):
    class Config:
        extra = Extra.forbid

    enabled: bool


class LockBranch1(BaseModel):
    """
    Whether to set the branch as read-only. If this is true, users will not be able to push to the branch.
    """

    class Config:
        extra = Extra.forbid

    enabled: bool | None = False


class AllowForkSyncing1(BaseModel):
    """
    Whether users can pull changes from upstream when the branch is locked. Set to `true` to allow fork syncing. Set to `false` to prevent fork syncing.
    """

    class Config:
        extra = Extra.forbid

    enabled: bool | None = False


class ProtectedBranch(BaseModel):
    """
    Branch protections protect branches
    """

    url: AnyUrl
    required_status_checks: StatusCheckPolicy | None = None
    required_pull_request_reviews: RequiredPullRequestReviews | None = None
    required_signatures: RequiredSignatures | None = None
    enforce_admins: EnforceAdmins | None = None
    required_linear_history: RequiredLinearHistory1 | None = None
    allow_force_pushes: AllowForcePushes1 | None = None
    allow_deletions: AllowDeletions1 | None = None
    restrictions: BranchRestrictionPolicy | None = None
    required_conversation_resolution: RequiredConversationResolution1 | None = None
    block_creations: BlockCreations1 | None = None
    lock_branch: LockBranch1 | None = None
    """
    Whether to set the branch as read-only. If this is true, users will not be able to push to the branch.
    """
    allow_fork_syncing: AllowForkSyncing1 | None = None
    """
    Whether users can pull changes from upstream when the branch is locked. Set to `true` to allow fork syncing. Set to `false` to prevent fork syncing.
    """


class DeploymentSimple(BaseModel):
    """
    A deployment created as the result of an Actions check run from a workflow that references an environment
    """

    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/example/deployments/1"),
    ]
    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the deployment
    """
    node_id: Annotated[str, Field(example="MDEwOkRlcGxveW1lbnQx")]
    task: Annotated[str, Field(example="deploy")]
    """
    Parameter to specify a task to execute
    """
    original_environment: Annotated[str | None, Field(example="staging")] = None
    environment: Annotated[str, Field(example="production")]
    """
    Name for the target deployment environment.
    """
    description: Annotated[str, Field(example="Deploy request from hubot")]
    created_at: Annotated[datetime, Field(example="2012-07-20T01:19:13Z")]
    updated_at: Annotated[datetime, Field(example="2012-07-20T01:19:13Z")]
    statuses_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/example/deployments/1/statuses"
        ),
    ]
    repository_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/example")
    ]
    transient_environment: Annotated[bool | None, Field(example=True)] = None
    """
    Specifies if the given environment is will no longer exist at some point in the future. Default: false.
    """
    production_environment: Annotated[bool | None, Field(example=True)] = None
    """
    Specifies if the given environment is one that end-users directly interact with. Default: false.
    """
    performed_via_github_app: NullableIntegration | None = None


class Status6(Enum):
    """
    The phase of the lifecycle that the check is currently in.
    """

    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"


class Conclusion1(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    skipped = "skipped"
    timed_out = "timed_out"
    action_required = "action_required"


class Output(BaseModel):
    title: str
    summary: str
    text: str
    annotations_count: int
    annotations_url: AnyUrl


class CheckSuite(BaseModel):
    id: int


class CheckRun(BaseModel):
    """
    A check performed on the code of a given code change
    """

    id: Annotated[int, Field(example=21)]
    """
    The id of the check.
    """
    head_sha: Annotated[str, Field(example="009b8a3a9ccbb128af87f9b1c0f4c62e8a304f6d")]
    """
    The SHA of the commit that is being checked.
    """
    node_id: Annotated[str, Field(example="MDg6Q2hlY2tSdW40")]
    external_id: Annotated[str, Field(example="42")]
    url: Annotated[
        str,
        Field(example="https://api.github.com/repos/github/hello-world/check-runs/4"),
    ]
    html_url: Annotated[
        str, Field(example="https://github.com/github/hello-world/runs/4")
    ]
    details_url: Annotated[str, Field(example="https://example.com")]
    status: Annotated[Status6, Field(example="queued")]
    """
    The phase of the lifecycle that the check is currently in.
    """
    conclusion: Annotated[Conclusion1, Field(example="neutral")]
    started_at: Annotated[datetime, Field(example="2018-05-04T01:14:52Z")]
    completed_at: Annotated[datetime, Field(example="2018-05-04T01:14:52Z")]
    output: Output
    name: Annotated[str, Field(example="test-coverage")]
    """
    The name of the check.
    """
    check_suite: CheckSuite
    app: NullableIntegration
    pull_requests: Sequence[PullRequestMinimal]
    deployment: DeploymentSimple | None = None


class CheckAnnotation(BaseModel):
    """
    Check Annotation
    """

    path: Annotated[str, Field(example="README.md")]
    start_line: Annotated[int, Field(example=2)]
    end_line: Annotated[int, Field(example=2)]
    start_column: Annotated[int, Field(example=5)]
    end_column: Annotated[int, Field(example=10)]
    annotation_level: Annotated[str, Field(example="warning")]
    title: Annotated[str, Field(example="Spell Checker")]
    message: Annotated[str, Field(example="Check your spelling for 'banaas'.")]
    raw_details: Annotated[str, Field(example="Do you mean 'bananas' or 'banana'?")]
    blob_href: str


class SimpleCommit(BaseModel):
    """
    Simple Commit
    """

    id: str
    tree_id: str
    message: str
    timestamp: datetime
    author: Author
    committer: Committer


class Status7(Enum):
    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"


class CheckSuite1(BaseModel):
    """
    A suite of checks performed on the code of a given code change
    """

    id: Annotated[int, Field(example=5)]
    node_id: Annotated[str, Field(example="MDEwOkNoZWNrU3VpdGU1")]
    head_branch: Annotated[str, Field(example="master")]
    head_sha: Annotated[str, Field(example="009b8a3a9ccbb128af87f9b1c0f4c62e8a304f6d")]
    """
    The SHA of the head commit that is being checked.
    """
    status: Annotated[Status7, Field(example="completed")]
    conclusion: Annotated[Conclusion1, Field(example="neutral")]
    url: Annotated[
        str,
        Field(example="https://api.github.com/repos/github/hello-world/check-suites/5"),
    ]
    before: Annotated[str, Field(example="146e867f55c26428e5f9fade55a9bbf5e95a7912")]
    after: Annotated[str, Field(example="d6fde92930d4715a2b49857d24b940956b26d2d3")]
    pull_requests: Sequence[PullRequestMinimal]
    app: NullableIntegration
    repository: MinimalRepository
    created_at: datetime
    updated_at: datetime
    head_commit: SimpleCommit
    latest_check_runs_count: int
    check_runs_url: str
    rerequestable: bool | None = None
    runs_rerequestable: bool | None = None


class AutoTriggerCheck(BaseModel):
    app_id: int
    setting: bool


class Preferences(BaseModel):
    auto_trigger_checks: Sequence[AutoTriggerCheck] | None = None


class CheckSuitePreference(BaseModel):
    """
    Check suite configuration preferences for a repository.
    """

    preferences: Preferences
    repository: MinimalRepository


class Severity3(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class CodeScanningAlertRuleSummary(BaseModel):
    id: str | None = None
    """
    A unique identifier for the rule used to detect the alert.
    """
    name: str | None = None
    """
    The name of the rule used to detect the alert.
    """
    tags: Sequence[str] | None = None
    """
    A set of tags applicable for the rule.
    """
    severity: Severity3 | None = None
    """
    The severity of the alert.
    """
    description: str | None = None
    """
    A short description of the rule used to detect the alert.
    """


class CodeScanningAlertItems(BaseModel):
    number: int
    """
    The security alert number.
    """
    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime | None = None
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    url: AnyUrl
    """
    The REST API URL of the alert resource.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances_url: AnyUrl
    """
    The REST API URL for fetching the list of instances for an alert.
    """
    state: CodeScanningAlertState
    fixed_at: datetime | None = None
    """
    The time that the alert was no longer detected and was considered fixed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: NullableSimpleUser
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_reason: CodeScanningAlertDismissedReasonEnum
    """
    **Required when the state is dismissed.** The reason for dismissing or closing the alert.
    """
    dismissed_comment: Annotated[str | None, Field(max_length=280)] = None
    """
    The dismissal comment associated with the dismissal of the alert.
    """
    rule: CodeScanningAlertRuleSummary
    tool: CodeScanningAnalysisTool
    most_recent_instance: CodeScanningAlertInstance


class CodeScanningAlert(BaseModel):
    number: int
    """
    The security alert number.
    """
    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime | None = None
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    url: AnyUrl
    """
    The REST API URL of the alert resource.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances_url: AnyUrl
    """
    The REST API URL for fetching the list of instances for an alert.
    """
    state: CodeScanningAlertState
    fixed_at: datetime | None = None
    """
    The time that the alert was no longer detected and was considered fixed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: NullableSimpleUser
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_reason: CodeScanningAlertDismissedReasonEnum
    """
    **Required when the state is dismissed.** The reason for dismissing or closing the alert.
    """
    dismissed_comment: Annotated[str | None, Field(max_length=280)] = None
    """
    The dismissal comment associated with the dismissal of the alert.
    """
    rule: CodeScanningAlertRule
    tool: CodeScanningAnalysisTool
    most_recent_instance: CodeScanningAlertInstance


class CodeScanningAlertSetState(Enum):
    """
    Sets the state of the code scanning alert. You must provide `dismissed_reason` when you set the state to `dismissed`.
    """

    open = "open"
    dismissed = "dismissed"


class CodeScanningAnalysis(BaseModel):
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`,
    `refs/pull/<number>/merge`, or `refs/pull/<number>/head`.
    """
    commit_sha: Annotated[
        str, Field(max_length=40, min_length=40, regex="^[0-9a-fA-F]+$")
    ]
    """
    The SHA of the commit to which the analysis you are uploading relates.
    """
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    environment: str
    """
    Identifies the variable values associated with the environment in which this analysis was performed.
    """
    category: str | None = None
    """
    Identifies the configuration under which the analysis was executed. Used to distinguish between multiple analyses for the same tool and commit, but performed on different languages or different parts of the code.
    """
    error: Annotated[str, Field(example="error reading field xyz")]
    created_at: datetime
    """
    The time that the analysis was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    results_count: int
    """
    The total number of results in the analysis.
    """
    rules_count: int
    """
    The total number of rules used in the analysis.
    """
    id: int
    """
    Unique identifier for this analysis.
    """
    url: AnyUrl
    """
    The REST API URL of the analysis resource.
    """
    sarif_id: Annotated[str, Field(example="6c81cd8e-b078-4ac3-a3be-1dad7dbd0b53")]
    """
    An identifier for the upload.
    """
    tool: CodeScanningAnalysisTool
    deletable: bool
    warning: Annotated[str, Field(example="123 results were ignored")]
    """
    Warning generated when processing the analysis
    """


class CodeScanningAnalysisDeletion(BaseModel):
    """
    Successful deletion of a code scanning analysis
    """

    next_analysis_url: AnyUrl
    """
    Next deletable analysis in chain, without last analysis deletion confirmation
    """
    confirm_delete_url: AnyUrl
    """
    Next deletable analysis in chain, with last analysis deletion confirmation
    """


class CodeScanningCodeqlDatabase(BaseModel):
    """
    A CodeQL database.
    """

    id: int
    """
    The ID of the CodeQL database.
    """
    name: str
    """
    The name of the CodeQL database.
    """
    language: str
    """
    The language of the CodeQL database.
    """
    uploader: SimpleUser
    content_type: str
    """
    The MIME type of the CodeQL database file.
    """
    size: int
    """
    The size of the CodeQL database file in bytes.
    """
    created_at: datetime
    """
    The date and time at which the CodeQL database was created, in ISO 8601 format':' YYYY-MM-DDTHH:MM:SSZ.
    """
    updated_at: datetime
    """
    The date and time at which the CodeQL database was last updated, in ISO 8601 format':' YYYY-MM-DDTHH:MM:SSZ.
    """
    url: AnyUrl
    """
    The URL at which to download the CodeQL database. The `Accept` header must be set to the value of the `content_type` property.
    """


class CodeScanningAnalysisSarifFile(BaseModel):
    __root__: str
    """
    A Base64 string representing the SARIF file to upload. You must first compress your SARIF file using [`gzip`](http://www.gnu.org/software/gzip/manual/gzip.html) and then translate the contents of the file into a Base64 encoding string. For more information, see "[SARIF support for code scanning](https://docs.github.com/code-security/secure-coding/sarif-support-for-code-scanning)."
    """


class CodeScanningSarifsReceipt(BaseModel):
    id: Annotated[
        str | None, Field(example="6c81cd8e-b078-4ac3-a3be-1dad7dbd0b53")
    ] = None
    """
    An identifier for the upload.
    """
    url: AnyUrl | None = None
    """
    The REST API URL for checking the status of the upload.
    """


class ProcessingStatus(Enum):
    """
    `pending` files have not yet been processed, while `complete` means results from the SARIF have been stored. `failed` files have either not been processed at all, or could only be partially processed.
    """

    pending = "pending"
    complete = "complete"
    failed = "failed"


class CodeScanningSarifsStatus(BaseModel):
    processing_status: ProcessingStatus | None = None
    """
    `pending` files have not yet been processed, while `complete` means results from the SARIF have been stored. `failed` files have either not been processed at all, or could only be partially processed.
    """
    analyses_url: AnyUrl | None = None
    """
    The REST API URL for getting the analyses associated with the upload.
    """
    errors: Sequence[str] | None = None
    """
    Any errors that ocurred during processing of the delivery.
    """


class Error1(BaseModel):
    line: Annotated[int, Field(example=7)]
    """
    The line number where this errors occurs.
    """
    column: Annotated[int, Field(example=3)]
    """
    The column number where this errors occurs.
    """
    source: Annotated[str | None, Field(example="* user")] = None
    """
    The contents of the line where the error occurs.
    """
    kind: Annotated[str, Field(example="Invalid owner")]
    """
    The type of error.
    """
    suggestion: Annotated[
        str | None,
        Field(
            example="The pattern `/` will never match anything, did you mean `*` instead?"
        ),
    ] = None
    """
    Suggested action to fix the error. This will usually be `null`, but is provided for some common errors.
    """
    message: Annotated[
        str, Field(example="Invalid owner on line 7:\n\n  * user\n    ^")
    ]
    """
    A human-readable description of the error, combining information from multiple fields, laid out for display in a monospaced typeface (for example, a command-line setting).
    """
    path: Annotated[str, Field(example=".github/CODEOWNERS")]
    """
    The path of the file where the error occured.
    """


class CodeownersErrors(BaseModel):
    """
    A list of errors found in a repo's CODEOWNERS file
    """

    errors: Sequence[Error1]


class CodespaceMachine(BaseModel):
    """
    A description of the machine powering a codespace.
    """

    name: Annotated[str, Field(example="standardLinux")]
    """
    The name of the machine.
    """
    display_name: Annotated[str, Field(example="4 cores, 8 GB RAM, 64 GB storage")]
    """
    The display name of the machine includes cores, memory, and storage.
    """
    operating_system: Annotated[str, Field(example="linux")]
    """
    The operating system of the machine.
    """
    storage_in_bytes: Annotated[int, Field(example=68719476736)]
    """
    How much storage is available to the codespace.
    """
    memory_in_bytes: Annotated[int, Field(example=8589934592)]
    """
    How much memory is available to the codespace.
    """
    cpus: Annotated[int, Field(example=4)]
    """
    How many cores are available to the codespace.
    """
    prebuild_availability: Annotated[PrebuildAvailability, Field(example="ready")]
    """
    Whether a prebuild is currently available when creating a codespace for this machine and repository. If a branch was not specified as a ref, the default branch will be assumed. Value will be "null" if prebuilds are not supported or prebuild availability could not be determined. Value will be "none" if no prebuild is available. Latest values "ready" and "in_progress" indicate the prebuild availability status.
    """


class RepoCodespacesSecret(BaseModel):
    """
    Set repository secrets for GitHub Codespaces.
    """

    name: Annotated[str, Field(example="SECRET_TOKEN")]
    """
    The name of the secret.
    """
    created_at: datetime
    updated_at: datetime


class Permissions14(BaseModel):
    pull: bool
    triage: bool | None = None
    push: bool
    maintain: bool | None = None
    admin: bool


class Collaborator(BaseModel):
    """
    Collaborator
    """

    login: Annotated[str, Field(example="octocat")]
    id: Annotated[int, Field(example=1)]
    email: str | None = None
    name: str | None = None
    node_id: Annotated[str, Field(example="MDQ6VXNlcjE=")]
    avatar_url: Annotated[
        AnyUrl, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    gravatar_id: Annotated[str, Field(example="41d064eb2195891e12d0413f63227ea7")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/users/octocat")]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat")]
    followers_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/followers")
    ]
    following_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/following{/other_user}"),
    ]
    gists_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/gists{/gist_id}")
    ]
    starred_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/starred{/owner}{/repo}"),
    ]
    subscriptions_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/subscriptions")
    ]
    organizations_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/orgs")
    ]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/repos")
    ]
    events_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/events{/privacy}")
    ]
    received_events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/received_events")
    ]
    type: Annotated[str, Field(example="User")]
    site_admin: bool
    permissions: Permissions14 | None = None
    role_name: Annotated[str, Field(example="admin")]


class Permissions15(Enum):
    """
    The permission associated with the invitation.
    """

    read = "read"
    write = "write"
    admin = "admin"
    triage = "triage"
    maintain = "maintain"


class RepositoryInvitation(BaseModel):
    """
    Repository invitations let you manage who you collaborate with.
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the repository invitation.
    """
    repository: MinimalRepository
    invitee: NullableSimpleUser
    inviter: NullableSimpleUser
    permissions: Annotated[Permissions15, Field(example="read")]
    """
    The permission associated with the invitation.
    """
    created_at: Annotated[datetime, Field(example="2016-06-13T14:52:50-05:00")]
    expired: bool | None = None
    """
    Whether or not the invitation has expired
    """
    url: Annotated[
        str, Field(example="https://api.github.com/user/repository-invitations/1")
    ]
    """
    URL for the repository invitation
    """
    html_url: Annotated[
        str, Field(example="https://github.com/octocat/Hello-World/invitations")
    ]
    node_id: str


class Permissions16(BaseModel):
    pull: bool
    triage: bool | None = None
    push: bool
    maintain: bool | None = None
    admin: bool


class NullableCollaborator(BaseModel):
    """
    Collaborator
    """

    login: Annotated[str, Field(example="octocat")]
    id: Annotated[int, Field(example=1)]
    email: str | None = None
    name: str | None = None
    node_id: Annotated[str, Field(example="MDQ6VXNlcjE=")]
    avatar_url: Annotated[
        AnyUrl, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    gravatar_id: Annotated[str, Field(example="41d064eb2195891e12d0413f63227ea7")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/users/octocat")]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat")]
    followers_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/followers")
    ]
    following_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/following{/other_user}"),
    ]
    gists_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/gists{/gist_id}")
    ]
    starred_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/starred{/owner}{/repo}"),
    ]
    subscriptions_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/subscriptions")
    ]
    organizations_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/orgs")
    ]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/repos")
    ]
    events_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/events{/privacy}")
    ]
    received_events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/received_events")
    ]
    type: Annotated[str, Field(example="User")]
    site_admin: bool
    permissions: Permissions16 | None = None
    role_name: Annotated[str, Field(example="admin")]


class RepositoryCollaboratorPermission(BaseModel):
    """
    Repository Collaborator Permission
    """

    permission: str
    role_name: Annotated[str, Field(example="admin")]
    user: NullableCollaborator


class CommitComment(BaseModel):
    """
    Commit Comment
    """

    html_url: AnyUrl
    url: AnyUrl
    id: int
    node_id: str
    body: str
    path: str
    position: int
    line: int
    commit_id: str
    user: NullableSimpleUser
    created_at: datetime
    updated_at: datetime
    author_association: AuthorAssociation
    reactions: ReactionRollup | None = None


class Commit3(BaseModel):
    sha: str
    url: str


class BranchShort(BaseModel):
    """
    Branch Short
    """

    name: str
    commit: Commit3
    protected: bool


class Link(BaseModel):
    """
    Hypermedia Link
    """

    href: str


class MergeMethod(Enum):
    """
    The merge method to use.
    """

    merge = "merge"
    squash = "squash"
    rebase = "rebase"


class AutoMerge(BaseModel):
    """
    The status of auto merging a pull request.
    """

    enabled_by: SimpleUser
    merge_method: MergeMethod
    """
    The merge method to use.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    commit_message: str
    """
    Commit message for the merge commit.
    """


class Label1(BaseModel):
    id: int
    node_id: str
    url: str
    name: str
    description: str
    color: str
    default: bool


class Head1(BaseModel):
    label: str
    ref: str
    repo: Repository
    sha: str
    user: NullableSimpleUser


class Base1(BaseModel):
    label: str
    ref: str
    repo: Repository
    sha: str
    user: NullableSimpleUser


class FieldLinks2(BaseModel):
    comments: Link
    commits: Link
    statuses: Link
    html: Link
    issue: Link
    review_comments: Link
    review_comment: Link
    self: Link


class PullRequestSimple(BaseModel):
    """
    Pull Request Simple
    """

    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/pulls/1347"),
    ]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDExOlB1bGxSZXF1ZXN0MQ==")]
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/pull/1347")
    ]
    diff_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/pull/1347.diff")
    ]
    patch_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/pull/1347.patch")
    ]
    issue_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/issues/1347"),
    ]
    commits_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/1347/commits"
        ),
    ]
    review_comments_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/1347/comments"
        ),
    ]
    review_comment_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/comments{/number}"
        ),
    ]
    comments_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/issues/1347/comments"
        ),
    ]
    statuses_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/statuses/6dcb09b5b57875f334f61aebed695e2e4193db5e"
        ),
    ]
    number: Annotated[int, Field(example=1347)]
    state: Annotated[str, Field(example="open")]
    locked: Annotated[bool, Field(example=True)]
    title: Annotated[str, Field(example="new-feature")]
    user: NullableSimpleUser
    body: Annotated[str, Field(example="Please pull these awesome changes")]
    labels: Sequence[Label1]
    milestone: NullableMilestone
    active_lock_reason: Annotated[str | None, Field(example="too heated")] = None
    created_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    closed_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    merged_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    merge_commit_sha: Annotated[
        str, Field(example="e5bd3914e2e596debea16f433f57875b5b90bcd6")
    ]
    assignee: NullableSimpleUser
    assignees: Sequence[SimpleUser] | None = None
    requested_reviewers: Sequence[SimpleUser] | None = None
    requested_teams: Sequence[Team] | None = None
    head: Head1
    base: Base1
    field_links: Annotated[FieldLinks2, Field(alias="_links")]
    author_association: AuthorAssociation
    auto_merge: AutoMerge
    draft: Annotated[bool | None, Field(example=False)] = None
    """
    Indicates whether or not the pull request is a draft.
    """


class SimpleCommitStatus(BaseModel):
    description: str
    id: int
    node_id: str
    state: str
    context: str
    target_url: AnyUrl
    required: bool | None = None
    avatar_url: AnyUrl
    url: AnyUrl
    created_at: datetime
    updated_at: datetime


class CombinedCommitStatus(BaseModel):
    """
    Combined Commit Status
    """

    state: str
    statuses: Sequence[SimpleCommitStatus]
    sha: str
    total_count: int
    repository: MinimalRepository
    commit_url: AnyUrl
    url: AnyUrl


class Status8(BaseModel):
    """
    The status of a commit.
    """

    url: str
    avatar_url: str
    id: int
    node_id: str
    state: str
    description: str
    target_url: str
    context: str
    created_at: str
    updated_at: str
    creator: NullableSimpleUser


class NullableCodeOfConductSimple(BaseModel):
    """
    Code of Conduct Simple
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/github/docs/community/code_of_conduct"
        ),
    ]
    key: Annotated[str, Field(example="citizen_code_of_conduct")]
    name: Annotated[str, Field(example="Citizen Code of Conduct")]
    html_url: Annotated[
        AnyUrl,
        Field(example="https://github.com/github/docs/blob/main/CODE_OF_CONDUCT.md"),
    ]


class NullableCommunityHealthFile(BaseModel):
    url: AnyUrl
    html_url: AnyUrl


class Files3(BaseModel):
    code_of_conduct: NullableCodeOfConductSimple
    code_of_conduct_file: NullableCommunityHealthFile
    license: NullableLicenseSimple
    contributing: NullableCommunityHealthFile
    readme: NullableCommunityHealthFile
    issue_template: NullableCommunityHealthFile
    pull_request_template: NullableCommunityHealthFile


class CommunityProfile(BaseModel):
    """
    Community Profile
    """

    health_percentage: Annotated[int, Field(example=100)]
    description: Annotated[str, Field(example="My first repository on GitHub!")]
    documentation: Annotated[str, Field(example="example.com")]
    files: Files3
    updated_at: Annotated[datetime, Field(example="2017-02-28T19:09:29Z")]
    content_reports_enabled: Annotated[bool | None, Field(example=True)] = None


class Status9(Enum):
    diverged = "diverged"
    ahead = "ahead"
    behind = "behind"
    identical = "identical"


class CommitComparison(BaseModel):
    """
    Commit Comparison
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/compare/master...topic"
        ),
    ]
    html_url: Annotated[
        AnyUrl,
        Field(example="https://github.com/octocat/Hello-World/compare/master...topic"),
    ]
    permalink_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/compare/octocat:bbcd538c8e72b8c175046e27cc8f907076331401...octocat:0328041d1152db8ae77652d1618a02e57f745f17"
        ),
    ]
    diff_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/compare/master...topic.diff"
        ),
    ]
    patch_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/compare/master...topic.patch"
        ),
    ]
    base_commit: Commit1
    merge_base_commit: Commit1
    status: Annotated[Status9, Field(example="ahead")]
    ahead_by: Annotated[int, Field(example=4)]
    behind_by: Annotated[int, Field(example=5)]
    total_commits: Annotated[int, Field(example=6)]
    commits: Sequence[Commit1]
    files: Sequence[DiffEntry] | None = None


class FieldLinks3(BaseModel):
    git: AnyUrl
    html: AnyUrl
    self: AnyUrl


class Entry(BaseModel):
    type: str
    size: int
    name: str
    path: str
    content: str | None = None
    sha: str
    url: AnyUrl
    git_url: AnyUrl
    html_url: AnyUrl
    download_url: AnyUrl
    field_links: Annotated[FieldLinks3, Field(alias="_links")]


class ContentTree(BaseModel):
    """
    Content Tree
    """

    type: str
    size: int
    name: str
    path: str
    sha: str
    url: AnyUrl
    git_url: AnyUrl
    html_url: AnyUrl
    download_url: AnyUrl
    entries: Sequence[Entry] | None = None
    field_links: Annotated[FieldLinks3, Field(alias="_links")]


class Type2(Enum):
    dir = "dir"
    file = "file"
    submodule = "submodule"
    symlink = "symlink"


class ContentDirectoryItem(BaseModel):
    type: Type2
    size: int
    name: str
    path: str
    content: str | None = None
    sha: str
    url: AnyUrl
    git_url: AnyUrl
    html_url: AnyUrl
    download_url: AnyUrl
    field_links: Annotated[FieldLinks3, Field(alias="_links")]


class ContentDirectory(BaseModel):
    """
    A list of directory items
    """

    __root__: Annotated[
        Sequence[ContentDirectoryItem], Field(title="Content Directory")
    ]
    """
    A list of directory items
    """


class Type3(Enum):
    file = "file"


class ContentFile(BaseModel):
    """
    Content File
    """

    type: Type3
    encoding: str
    size: int
    name: str
    path: str
    content: str
    sha: str
    url: AnyUrl
    git_url: AnyUrl
    html_url: AnyUrl
    download_url: AnyUrl
    field_links: Annotated[FieldLinks3, Field(alias="_links")]
    target: Annotated[str | None, Field(example='"actual/actual.md"')] = None
    submodule_git_url: Annotated[
        str | None, Field(example='"git://example.com/defunkt/dotjs.git"')
    ] = None


class Type4(Enum):
    symlink = "symlink"


class ContentSymlink(BaseModel):
    """
    An object describing a symlink
    """

    type: Type4
    target: str
    size: int
    name: str
    path: str
    sha: str
    url: AnyUrl
    git_url: AnyUrl
    html_url: AnyUrl
    download_url: AnyUrl
    field_links: Annotated[FieldLinks3, Field(alias="_links")]


class Type5(Enum):
    submodule = "submodule"


class ContentSubmodule(BaseModel):
    """
    An object describing a submodule
    """

    type: Type5
    submodule_git_url: AnyUrl
    size: int
    name: str
    path: str
    sha: str
    url: AnyUrl
    git_url: AnyUrl
    html_url: AnyUrl
    download_url: AnyUrl
    field_links: Annotated[FieldLinks3, Field(alias="_links")]


class FieldLinks9(BaseModel):
    self: str | None = None
    git: str | None = None
    html: str | None = None


class Content1(BaseModel):
    name: str | None = None
    path: str | None = None
    sha: str | None = None
    size: int | None = None
    url: str | None = None
    html_url: str | None = None
    git_url: str | None = None
    download_url: str | None = None
    type: str | None = None
    field_links: Annotated[FieldLinks9 | None, Field(alias="_links")] = None


class Author2(BaseModel):
    date: str | None = None
    name: str | None = None
    email: str | None = None


class Committer2(BaseModel):
    date: str | None = None
    name: str | None = None
    email: str | None = None


class Tree1(BaseModel):
    url: str | None = None
    sha: str | None = None


class Parent1(BaseModel):
    url: str | None = None
    html_url: str | None = None
    sha: str | None = None


class Verification1(BaseModel):
    verified: bool | None = None
    reason: str | None = None
    signature: str | None = None
    payload: str | None = None


class Commit4(BaseModel):
    sha: str | None = None
    node_id: str | None = None
    url: str | None = None
    html_url: str | None = None
    author: Author2 | None = None
    committer: Committer2 | None = None
    message: str | None = None
    tree: Tree1 | None = None
    parents: Sequence[Parent1] | None = None
    verification: Verification1 | None = None


class FileCommit(BaseModel):
    """
    File Commit
    """

    content: Content1
    commit: Commit4


class Contributor(BaseModel):
    """
    Contributor
    """

    login: str | None = None
    id: int | None = None
    node_id: str | None = None
    avatar_url: AnyUrl | None = None
    gravatar_id: str | None = None
    url: AnyUrl | None = None
    html_url: AnyUrl | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    organizations_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    events_url: str | None = None
    received_events_url: AnyUrl | None = None
    type: str
    site_admin: bool | None = None
    contributions: int
    email: str | None = None
    name: str | None = None


class State7(Enum):
    """
    The state of the Dependabot alert.
    """

    dismissed = "dismissed"
    fixed = "fixed"
    open = "open"


class Dependency1(BaseModel):
    """
    Details for the vulnerable dependency.
    """

    package: DependabotAlertPackage | None = None
    manifest_path: str | None = None
    """
    The full path to the dependency manifest file, relative to the root of the repository.
    """
    scope: Scope | None = None
    """
    The execution scope of the vulnerable dependency.
    """


class DependabotAlert(BaseModel):
    """
    A Dependabot alert.
    """

    class Config:
        extra = Extra.forbid

    number: int
    """
    The security alert number.
    """
    state: State7
    """
    The state of the Dependabot alert.
    """
    dependency: Dependency1
    """
    Details for the vulnerable dependency.
    """
    security_advisory: DependabotAlertSecurityAdvisory
    security_vulnerability: DependabotAlertSecurityVulnerability
    url: AnyUrl
    """
    The REST API URL of the alert resource.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: NullableSimpleUser
    dismissed_reason: DismissedReason
    """
    The reason that the alert was dismissed.
    """
    dismissed_comment: Annotated[str, Field(max_length=280)]
    """
    An optional comment associated with the alert's dismissal.
    """
    fixed_at: datetime
    """
    The time that the alert was no longer detected and was considered fixed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """


class DependabotSecret(BaseModel):
    """
    Set secrets for Dependabot.
    """

    name: Annotated[str, Field(example="MY_ARTIFACTORY_PASSWORD")]
    """
    The name of the secret.
    """
    created_at: datetime
    updated_at: datetime


class ChangeType(Enum):
    added = "added"
    removed = "removed"


class Vulnerability(BaseModel):
    severity: Annotated[str, Field(example="critical")]
    advisory_ghsa_id: Annotated[str, Field(example="GHSA-rf4j-j272-fj86")]
    advisory_summary: Annotated[str, Field(example="A summary of the advisory.")]
    advisory_url: Annotated[
        str, Field(example="https://github.com/advisories/GHSA-rf4j-j272-fj86")
    ]


class Scope2(Enum):
    """
    Where the dependency is utilized. `development` means that the dependency is only utilized in the development environment. `runtime` means that the dependency is utilized at runtime and in the development environment.
    """

    unknown = "unknown"
    runtime = "runtime"
    development = "development"


class DependencyGraphDiffItem(BaseModel):
    change_type: ChangeType
    manifest: Annotated[str, Field(example="path/to/package-lock.json")]
    ecosystem: Annotated[str, Field(example="npm")]
    name: Annotated[str, Field(example="@actions/core")]
    version: Annotated[str, Field(example="1.0.0")]
    package_url: Annotated[str, Field(example="pkg:/npm/%40actions/core@1.1.0")]
    license: Annotated[str, Field(example="MIT")]
    source_repository_url: Annotated[
        str, Field(example="https://github.com/github/actions")
    ]
    vulnerabilities: Sequence[Vulnerability]
    scope: Scope2
    """
    Where the dependency is utilized. `development` means that the dependency is only utilized in the development environment. `runtime` means that the dependency is utilized at runtime and in the development environment.
    """


class DependencyGraphDiff(BaseModel):
    """
    A diff of the dependencies between two commits.
    """

    __root__: Annotated[
        Sequence[DependencyGraphDiffItem], Field(title="Dependency Graph Diff")
    ]
    """
    A diff of the dependencies between two commits.
    """


class Relationship(Enum):
    """
    A notation of whether a dependency is requested directly by this manifest or is a dependency of another dependency.
    """

    direct = "direct"
    indirect = "indirect"


class Scope3(Enum):
    """
    A notation of whether the dependency is required for the primary build artifact (runtime) or is only used for development. Future versions of this specification may allow for more granular scopes.
    """

    runtime = "runtime"
    development = "development"


class Dependency2(BaseModel):
    class Config:
        extra = Extra.forbid

    package_url: Annotated[
        str | None,
        Field(example="pkg:/npm/%40actions/http-client@1.0.11", regex="^pkg"),
    ] = None
    """
    Package-url (PURL) of dependency. See https://github.com/package-url/purl-spec for more details.
    """
    metadata: Mapping[str, str | float | bool] | None = None
    relationship: Annotated[Relationship | None, Field(example="direct")] = None
    """
    A notation of whether a dependency is requested directly by this manifest or is a dependency of another dependency.
    """
    scope: Annotated[Scope3 | None, Field(example="runtime")] = None
    """
    A notation of whether the dependency is required for the primary build artifact (runtime) or is only used for development. Future versions of this specification may allow for more granular scopes.
    """
    dependencies: Annotated[
        Sequence[str] | None, Field(example="@actions/http-client")
    ] = None
    """
    Array of package-url (PURLs) of direct child dependencies.
    """


class File(BaseModel):
    class Config:
        extra = Extra.forbid

    source_location: Annotated[
        str | None, Field(example="/src/build/package-lock.json")
    ] = None
    """
    The path of the manifest file relative to the root of the Git repository.
    """


class Manifest(BaseModel):
    class Config:
        extra = Extra.forbid

    name: Annotated[str, Field(example="package-lock.json")]
    """
    The name of the manifest.
    """
    file: File | None = None
    metadata: Mapping[str, str | float | bool] | None = None
    resolved: Mapping[str, Dependency2] | None = None
    """
    A collection of resolved package dependencies.
    """


class Job1(BaseModel):
    class Config:
        extra = Extra.forbid

    id: Annotated[str, Field(example="5622a2b0-63f6-4732-8c34-a1ab27e102a11")]
    """
    The external ID of the job.
    """
    correlator: Annotated[str, Field(example="yourworkflowname_yourjobname")]
    """
    Correlator provides a key that is used to group snapshots submitted over time. Only the "latest" submitted snapshot for a given combination of `job.correlator` and `detector.name` will be considered when calculating a repository's current dependencies. Correlator should be as unique as it takes to distinguish all detection runs for a given "wave" of CI workflow you run. If you're using GitHub Actions, a good default value for this could be the environment variables GITHUB_WORKFLOW and GITHUB_JOB concatenated together. If you're using a build matrix, then you'll also need to add additional key(s) to distinguish between each submission inside a matrix variation.
    """
    html_url: Annotated[str | None, Field(example="http://example.com/build")] = None
    """
    The url for the job.
    """


class Detector(BaseModel):
    """
    A description of the detector used.
    """

    class Config:
        extra = Extra.forbid

    name: Annotated[str, Field(example="docker buildtime detector")]
    """
    The name of the detector used.
    """
    version: Annotated[str, Field(example="1.0.0")]
    """
    The version of the detector used.
    """
    url: Annotated[str, Field(example="http://example.com/docker-buildtimer-detector")]
    """
    The url of the detector used.
    """


class Snapshot(BaseModel):
    """
    Create a new snapshot of a repository's dependencies.
    """

    class Config:
        extra = Extra.forbid

    version: int
    """
    The version of the repository snapshot submission.
    """
    job: Job1
    sha: Annotated[
        str, Field(example="ddc951f4b1293222421f2c8df679786153acf689", min_length=40)
    ]
    """
    The commit SHA associated with this dependency snapshot.
    """
    ref: Annotated[str, Field(example="refs/heads/main", regex="^refs/")]
    """
    The repository branch that triggered this snapshot.
    """
    detector: Detector
    """
    A description of the detector used.
    """
    metadata: Mapping[str, str | float | bool] | None = None
    manifests: Mapping[str, Manifest] | None = None
    """
    A collection of package manifests, which are a collection of related dependencies declared in a file or representing a logical group of dependencies.
    """
    scanned: Annotated[datetime, Field(example="2020-06-13T14:52:50-05:00")]
    """
    The time at which the snapshot was scanned.
    """


class State8(Enum):
    """
    The state of the status.
    """

    error = "error"
    failure = "failure"
    inactive = "inactive"
    pending = "pending"
    success = "success"
    queued = "queued"
    in_progress = "in_progress"


class DeploymentStatus(BaseModel):
    """
    The status of a deployment.
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/example/deployments/42/statuses/1"
        ),
    ]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDE2OkRlcGxveW1lbnRTdGF0dXMx")]
    state: Annotated[State8, Field(example="success")]
    """
    The state of the status.
    """
    creator: NullableSimpleUser
    description: Annotated[
        str, Field(example="Deployment finished successfully.", max_length=140)
    ]
    """
    A short description of the status.
    """
    environment: Annotated[str | None, Field(example="production")] = ""
    """
    The environment of the deployment that the status is for.
    """
    target_url: Annotated[
        AnyUrl, Field(example="https://example.com/deployment/42/output")
    ]
    """
    Deprecated: the URL to associate with this status.
    """
    created_at: Annotated[datetime, Field(example="2012-07-20T01:19:13Z")]
    updated_at: Annotated[datetime, Field(example="2012-07-20T01:19:13Z")]
    deployment_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/example/deployments/42"),
    ]
    repository_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/example")
    ]
    environment_url: Annotated[
        AnyUrl | None, Field(example="https://staging.example.com/")
    ] = ""
    """
    The URL for accessing your environment.
    """
    log_url: Annotated[
        AnyUrl | None, Field(example="https://example.com/deployment/42/output")
    ] = ""
    """
    The URL to associate with this status.
    """
    performed_via_github_app: NullableIntegration | None = None


class DeploymentBranchPolicySettings(BaseModel):
    """
    The type of deployment branch policy for this environment. To allow all branches to deploy, set to `null`.
    """

    protected_branches: bool
    """
    Whether only branches with branch protection rules can deploy to this environment. If `protected_branches` is `true`, `custom_branch_policies` must be `false`; if `protected_branches` is `false`, `custom_branch_policies` must be `true`.
    """
    custom_branch_policies: bool
    """
    Whether only branches that match the specified name patterns can deploy to this environment.  If `custom_branch_policies` is `true`, `protected_branches` must be `false`; if `custom_branch_policies` is `false`, `protected_branches` must be `true`.
    """


class ProtectionRule(BaseModel):
    id: Annotated[int, Field(example=3515)]
    node_id: Annotated[str, Field(example="MDQ6R2F0ZTM1MTU=")]
    type: Annotated[str, Field(example="wait_timer")]
    wait_timer: Annotated[int | None, Field(example=30)] = None
    """
    The amount of time to delay a job after the job is initially triggered. The time (in minutes) must be an integer between 0 and 43,200 (30 days).
    """


class ProtectionRule1(BaseModel):
    id: Annotated[int, Field(example=3755)]
    node_id: Annotated[str, Field(example="MDQ6R2F0ZTM3NTU=")]
    type: Annotated[str, Field(example="required_reviewers")]
    reviewers: Sequence[Reviewer] | None = None
    """
    The people or teams that may approve jobs that reference the environment. You can list up to six users or teams as reviewers. The reviewers must have at least read access to the repository. Only one of the required reviewers needs to approve the job for it to proceed.
    """


class ProtectionRule2(BaseModel):
    id: Annotated[int, Field(example=3515)]
    node_id: Annotated[str, Field(example="MDQ6R2F0ZTM1MTU=")]
    type: Annotated[str, Field(example="branch_policy")]


class Environment2(BaseModel):
    """
    Details of a deployment environment
    """

    id: Annotated[int, Field(example=56780428)]
    """
    The id of the environment.
    """
    node_id: Annotated[str, Field(example="MDExOkVudmlyb25tZW50NTY3ODA0Mjg=")]
    name: Annotated[str, Field(example="staging")]
    """
    The name of the environment.
    """
    url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/github/hello-world/environments/staging"
        ),
    ]
    html_url: Annotated[
        str,
        Field(
            example="https://github.com/github/hello-world/deployments/activity_log?environments_filter=staging"
        ),
    ]
    created_at: Annotated[datetime, Field(example="2020-11-23T22:00:40Z")]
    """
    The time that the environment was created, in ISO 8601 format.
    """
    updated_at: Annotated[datetime, Field(example="2020-11-23T22:00:40Z")]
    """
    The time that the environment was last updated, in ISO 8601 format.
    """
    protection_rules: Sequence[
        ProtectionRule | ProtectionRule1 | ProtectionRule2
    ] | None = None
    deployment_branch_policy: DeploymentBranchPolicySettings | None = None


class DeploymentBranchPolicy(BaseModel):
    """
    Details of a deployment branch policy.
    """

    id: Annotated[int | None, Field(example=361471)] = None
    """
    The unique identifier of the branch policy.
    """
    node_id: Annotated[
        str | None, Field(example="MDE2OkdhdGVCcmFuY2hQb2xpY3kzNjE0NzE=")
    ] = None
    name: Annotated[str | None, Field(example="release/*")] = None
    """
    The name pattern that branches must match in order to deploy to the environment.
    """


class DeploymentBranchPolicyNamePattern(BaseModel):
    name: Annotated[str, Field(example="release/*")]
    """
    The name pattern that branches must match in order to deploy to the environment.

    Wildcard characters will not match `/`. For example, to match branches that begin with `release/` and contain an additional single slash, use `release/*/*`.
    For more information about pattern matching syntax, see the [Ruby File.fnmatch documentation](https://ruby-doc.org/core-2.5.1/File.html#method-c-fnmatch).
    """


class ShortBlob(BaseModel):
    """
    Short Blob
    """

    url: str
    sha: str


class Blob(BaseModel):
    """
    Blob
    """

    content: str
    encoding: str
    url: AnyUrl
    sha: str
    size: int
    node_id: str
    highlighted_content: str | None = None


class Author3(BaseModel):
    """
    Identifying information for the git-user
    """

    date: Annotated[datetime, Field(example="2014-08-09T08:02:04+12:00")]
    """
    Timestamp of the commit
    """
    email: Annotated[str, Field(example="monalisa.octocat@example.com")]
    """
    Git email address of the user
    """
    name: Annotated[str, Field(example="Monalisa Octocat")]
    """
    Name of the git user
    """


class Committer3(BaseModel):
    """
    Identifying information for the git-user
    """

    date: Annotated[datetime, Field(example="2014-08-09T08:02:04+12:00")]
    """
    Timestamp of the commit
    """
    email: Annotated[str, Field(example="monalisa.octocat@example.com")]
    """
    Git email address of the user
    """
    name: Annotated[str, Field(example="Monalisa Octocat")]
    """
    Name of the git user
    """


class Tree2(BaseModel):
    sha: Annotated[str, Field(example="7638417db6d59f3c431d3e1f261cc637155684cd")]
    """
    SHA for the commit
    """
    url: AnyUrl


class Parent2(BaseModel):
    sha: Annotated[str, Field(example="7638417db6d59f3c431d3e1f261cc637155684cd")]
    """
    SHA for the commit
    """
    url: AnyUrl
    html_url: AnyUrl


class Verification2(BaseModel):
    verified: bool
    reason: str
    signature: str
    payload: str


class GitCommit(BaseModel):
    """
    Low-level Git commit operations within a repository
    """

    sha: Annotated[str, Field(example="7638417db6d59f3c431d3e1f261cc637155684cd")]
    """
    SHA for the commit
    """
    node_id: str
    url: AnyUrl
    author: Author3
    """
    Identifying information for the git-user
    """
    committer: Committer3
    """
    Identifying information for the git-user
    """
    message: Annotated[str, Field(example="Fix #42")]
    """
    Message describing the purpose of the commit
    """
    tree: Tree2
    parents: Sequence[Parent2]
    verification: Verification2
    html_url: AnyUrl


class Object(BaseModel):
    type: str
    sha: Annotated[
        str,
        Field(
            example="7638417db6d59f3c431d3e1f261cc637155684cd",
            max_length=40,
            min_length=40,
        ),
    ]
    """
    SHA for the reference
    """
    url: AnyUrl


class GitRef(BaseModel):
    """
    Git references within a repository
    """

    ref: str
    node_id: str
    url: AnyUrl
    object: Object


class Tagger(BaseModel):
    date: str
    email: str
    name: str


class Object1(BaseModel):
    sha: str
    type: str
    url: AnyUrl


class GitTag(BaseModel):
    """
    Metadata for a Git tag
    """

    node_id: Annotated[
        str,
        Field(
            example="MDM6VGFnOTQwYmQzMzYyNDhlZmFlMGY5ZWU1YmM3YjJkNWM5ODU4ODdiMTZhYw=="
        ),
    ]
    tag: Annotated[str, Field(example="v0.0.1")]
    """
    Name of the tag
    """
    sha: Annotated[str, Field(example="940bd336248efae0f9ee5bc7b2d5c985887b16ac")]
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repositories/42/git/tags/940bd336248efae0f9ee5bc7b2d5c985887b16ac"
        ),
    ]
    """
    URL for the tag
    """
    message: Annotated[str, Field(example="Initial public release")]
    """
    Message describing the purpose of the tag
    """
    tagger: Tagger
    object: Object1
    verification: Verification | None = None


class TreeItem(BaseModel):
    path: Annotated[str | None, Field(example="test/file.rb")] = None
    mode: Annotated[str | None, Field(example="040000")] = None
    type: Annotated[str | None, Field(example="tree")] = None
    sha: Annotated[
        str | None, Field(example="23f6827669e43831def8a7ad935069c8bd418261")
    ] = None
    size: Annotated[int | None, Field(example=12)] = None
    url: Annotated[
        str | None,
        Field(
            example="https://api.github.com/repos/owner-482f3203ecf01f67e9deb18e/BBB_Private_Repo/git/blobs/23f6827669e43831def8a7ad935069c8bd418261"
        ),
    ] = None


class GitTree(BaseModel):
    """
    The hierarchy between files in a Git repository.
    """

    sha: str
    url: AnyUrl
    truncated: bool
    tree: Annotated[
        Sequence[TreeItem],
        Field(
            example=[
                {
                    "path": "file.rb",
                    "mode": "100644",
                    "type": "blob",
                    "size": 30,
                    "sha": "44b4fc6d56897b048c772eb4087f854f46256132",
                    "url": "https://api.github.com/repos/octocat/Hello-World/git/blobs/44b4fc6d56897b048c772eb4087f854f46256132",
                    "properties": {
                        "path": {"type": "string"},
                        "mode": {"type": "string"},
                        "type": {"type": "string"},
                        "size": {"type": "integer"},
                        "sha": {"type": "string"},
                        "url": {"type": "string"},
                    },
                    "required": ["path", "mode", "type", "sha", "url", "size"],
                }
            ]
        ),
    ]
    """
    Objects specifying a tree structure
    """


class HookResponse(BaseModel):
    code: int
    status: str
    message: str


class Config1(BaseModel):
    email: Annotated[str | None, Field(example='"foo@bar.com"')] = None
    password: Annotated[str | None, Field(example='"foo"')] = None
    room: Annotated[str | None, Field(example='"roomer"')] = None
    subdomain: Annotated[str | None, Field(example='"foo"')] = None
    url: Annotated[AnyUrl | None, Field(example="https://example.com/webhook")] = None
    """
    The URL to which the payloads will be delivered.
    """
    insecure_ssl: str | float | None = None
    content_type: Annotated[str | None, Field(example='"json"')] = None
    """
    The media type used to serialize the payloads. Supported values include `json` and `form`. The default is `form`.
    """
    digest: Annotated[str | None, Field(example='"sha256"')] = None
    secret: Annotated[str | None, Field(example='"********"')] = None
    """
    If provided, the `secret` will be used as the `key` to generate the HMAC hex digest value for [delivery signature headers](https://docs.github.com/webhooks/event-payloads/#delivery-headers).
    """
    token: Annotated[str | None, Field(example='"abc"')] = None


class Hook(BaseModel):
    """
    Webhooks for repositories.
    """

    type: str
    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the webhook.
    """
    name: Annotated[str, Field(example="web")]
    """
    The name of a valid service, use 'web' for a webhook.
    """
    active: Annotated[bool, Field(example=True)]
    """
    Determines whether the hook is actually triggered on pushes.
    """
    events: Annotated[Sequence[str], Field(example=["push", "pull_request"])]
    """
    Determines what events the hook is triggered for. Default: ['push'].
    """
    config: Config1
    updated_at: Annotated[datetime, Field(example="2011-09-06T20:39:23Z")]
    created_at: Annotated[datetime, Field(example="2011-09-06T17:26:27Z")]
    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/hooks/1"),
    ]
    test_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/hooks/1/test"),
    ]
    ping_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/hooks/1/pings"),
    ]
    deliveries_url: Annotated[
        AnyUrl | None,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/hooks/1/deliveries"
        ),
    ] = None
    last_response: HookResponse


class Status10(Enum):
    auth = "auth"
    error = "error"
    none = "none"
    detecting = "detecting"
    choose = "choose"
    auth_failed = "auth_failed"
    importing = "importing"
    mapping = "mapping"
    waiting_to_push = "waiting_to_push"
    pushing = "pushing"
    complete = "complete"
    setup = "setup"
    unknown = "unknown"
    detection_found_multiple = "detection_found_multiple"
    detection_found_nothing = "detection_found_nothing"
    detection_needs_auth = "detection_needs_auth"


class ProjectChoice(BaseModel):
    vcs: str | None = None
    tfvc_project: str | None = None
    human_name: str | None = None


class Import(BaseModel):
    """
    A repository import from an external source.
    """

    vcs: str
    use_lfs: bool | None = None
    vcs_url: str
    """
    The URL of the originating repository.
    """
    svc_root: str | None = None
    tfvc_project: str | None = None
    status: Status10
    status_text: str | None = None
    failed_step: str | None = None
    error_message: str | None = None
    import_percent: int | None = None
    commit_count: int | None = None
    push_percent: int | None = None
    has_large_files: bool | None = None
    large_files_size: int | None = None
    large_files_count: int | None = None
    project_choices: Sequence[ProjectChoice] | None = None
    message: str | None = None
    authors_count: int | None = None
    url: AnyUrl
    html_url: AnyUrl
    authors_url: AnyUrl
    repository_url: AnyUrl
    svn_root: str | None = None


class PorterAuthor(BaseModel):
    """
    Porter Author
    """

    id: int
    remote_id: str
    remote_name: str
    email: str
    name: str
    url: AnyUrl
    import_url: AnyUrl


class PorterLargeFile(BaseModel):
    """
    Porter Large File
    """

    ref_name: str
    path: str
    oid: str
    size: int


class Label2(BaseModel):
    id: int | None = None
    node_id: str | None = None
    url: AnyUrl | None = None
    name: str | None = None
    description: str | None = None
    color: str | None = None
    default: bool | None = None


class NullableIssue(BaseModel):
    """
    Issues are a great way to keep track of tasks, enhancements, and bugs for your projects.
    """

    id: int
    node_id: str
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repositories/42/issues/1")
    ]
    """
    URL for the issue
    """
    repository_url: AnyUrl
    labels_url: str
    comments_url: AnyUrl
    events_url: AnyUrl
    html_url: AnyUrl
    number: Annotated[int, Field(example=42)]
    """
    Number uniquely identifying the issue within its repository
    """
    state: Annotated[str, Field(example="open")]
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: Annotated[StateReason | None, Field(example="not_planned")] = None
    """
    The reason for the current state
    """
    title: Annotated[str, Field(example="Widget creation fails in Safari on OS X 10.8")]
    """
    Title of the issue
    """
    body: Annotated[
        str | None,
        Field(
            example="It looks like the new widget form is broken on Safari. When I try and create the widget, Safari crashes. This is reproducible on 10.8, but not 10.9. Maybe a browser bug?"
        ),
    ] = None
    """
    Contents of the issue
    """
    user: NullableSimpleUser
    labels: Annotated[Sequence[str | Label2], Field(example=["bug", "registration"])]
    """
    Labels to associate with this issue; pass one or more label names to replace the set of labels on this issue; send an empty array to clear all labels from the issue; note that the labels are silently dropped for users without push access to the repository
    """
    assignee: NullableSimpleUser
    assignees: Sequence[SimpleUser] | None = None
    milestone: NullableMilestone
    locked: bool
    active_lock_reason: str | None = None
    comments: int
    pull_request: PullRequest | None = None
    closed_at: datetime
    created_at: datetime
    updated_at: datetime
    draft: bool | None = None
    closed_by: NullableSimpleUser | None = None
    body_html: str | None = None
    body_text: str | None = None
    timeline_url: AnyUrl | None = None
    repository: Repository | None = None
    performed_via_github_app: NullableIntegration | None = None
    author_association: AuthorAssociation
    reactions: ReactionRollup | None = None


class IssueEventLabel(BaseModel):
    """
    Issue Event Label
    """

    name: str
    color: str


class IssueEventDismissedReview(BaseModel):
    state: str
    review_id: int
    dismissal_message: str
    dismissal_commit_id: str | None = None


class IssueEventMilestone(BaseModel):
    """
    Issue Event Milestone
    """

    title: str


class IssueEventProjectCard(BaseModel):
    """
    Issue Event Project Card
    """

    url: AnyUrl
    id: int
    project_url: AnyUrl
    project_id: int
    column_name: str
    previous_column_name: str | None = None


class IssueEventRename(BaseModel):
    """
    Issue Event Rename
    """

    from_: Annotated[str, Field(alias="from")]
    to: str


class IssueEvent(BaseModel):
    """
    Issue Event
    """

    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDEwOklzc3VlRXZlbnQx")]
    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/issues/events/1"
        ),
    ]
    actor: NullableSimpleUser
    event: Annotated[str, Field(example="closed")]
    commit_id: Annotated[str, Field(example="6dcb09b5b57875f334f61aebed695e2e4193db5e")]
    commit_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/commits/6dcb09b5b57875f334f61aebed695e2e4193db5e"
        ),
    ]
    created_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    issue: NullableIssue | None = None
    label: IssueEventLabel | None = None
    assignee: NullableSimpleUser | None = None
    assigner: NullableSimpleUser | None = None
    review_requester: NullableSimpleUser | None = None
    requested_reviewer: NullableSimpleUser | None = None
    requested_team: Team | None = None
    dismissed_review: IssueEventDismissedReview | None = None
    milestone: IssueEventMilestone | None = None
    project_card: IssueEventProjectCard | None = None
    rename: IssueEventRename | None = None
    author_association: AuthorAssociation | None = None
    lock_reason: str | None = None
    performed_via_github_app: NullableIntegration | None = None


class Label3(BaseModel):
    name: str
    color: str


class LabeledIssueEvent(BaseModel):
    """
    Labeled Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    label: Label3


class UnlabeledIssueEvent(BaseModel):
    """
    Unlabeled Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    label: Label3


class AssignedIssueEvent(BaseModel):
    """
    Assigned Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: Integration
    assignee: SimpleUser
    assigner: SimpleUser


class UnassignedIssueEvent(BaseModel):
    """
    Unassigned Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    assignee: SimpleUser
    assigner: SimpleUser


class Milestone(BaseModel):
    title: str


class MilestonedIssueEvent(BaseModel):
    """
    Milestoned Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    milestone: Milestone


class DemilestonedIssueEvent(BaseModel):
    """
    Demilestoned Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    milestone: Milestone


class Rename(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    to: str


class RenamedIssueEvent(BaseModel):
    """
    Renamed Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    rename: Rename


class ReviewRequestedIssueEvent(BaseModel):
    """
    Review Requested Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    review_requester: SimpleUser
    requested_team: Team | None = None
    requested_reviewer: SimpleUser | None = None


class ReviewRequestRemovedIssueEvent(BaseModel):
    """
    Review Request Removed Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    review_requester: SimpleUser
    requested_team: Team | None = None
    requested_reviewer: SimpleUser | None = None


class DismissedReview(BaseModel):
    state: str
    review_id: int
    dismissal_message: str
    dismissal_commit_id: str | None = None


class ReviewDismissedIssueEvent(BaseModel):
    """
    Review Dismissed Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    dismissed_review: DismissedReview


class LockedIssueEvent(BaseModel):
    """
    Locked Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    lock_reason: Annotated[str, Field(example='"off-topic"')]


class ProjectCard1(BaseModel):
    id: int
    url: AnyUrl
    project_id: int
    project_url: AnyUrl
    column_name: str
    previous_column_name: str | None = None


class AddedToProjectIssueEvent(BaseModel):
    """
    Added to Project Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    project_card: ProjectCard1 | None = None


class MovedColumnInProjectIssueEvent(BaseModel):
    """
    Moved Column in Project Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    project_card: ProjectCard1 | None = None


class RemovedFromProjectIssueEvent(BaseModel):
    """
    Removed from Project Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    project_card: ProjectCard1 | None = None


class ConvertedNoteToIssueIssueEvent(BaseModel):
    """
    Converted Note to Issue Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: Integration
    project_card: ProjectCard1 | None = None


class IssueEventForIssue(BaseModel):
    __root__: Annotated[
        LabeledIssueEvent
        | UnlabeledIssueEvent
        | AssignedIssueEvent
        | UnassignedIssueEvent
        | MilestonedIssueEvent
        | DemilestonedIssueEvent
        | RenamedIssueEvent
        | ReviewRequestedIssueEvent
        | ReviewRequestRemovedIssueEvent
        | ReviewDismissedIssueEvent
        | LockedIssueEvent
        | AddedToProjectIssueEvent
        | MovedColumnInProjectIssueEvent
        | RemovedFromProjectIssueEvent
        | ConvertedNoteToIssueIssueEvent,
        Field(title="Issue Event for Issue"),
    ]
    """
    Issue Event for Issue
    """


class Label5(BaseModel):
    """
    Color-coded labels help you categorize and filter your issues (just like labels in Gmail).
    """

    id: Annotated[int, Field(example=208045946)]
    node_id: Annotated[str, Field(example="MDU6TGFiZWwyMDgwNDU5NDY=")]
    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repositories/42/labels/bug")
    ]
    """
    URL for the label
    """
    name: Annotated[str, Field(example="bug")]
    """
    The name of the label.
    """
    description: Annotated[str, Field(example="Something isn't working")]
    color: Annotated[str, Field(example="FFFFFF")]
    """
    6-character hex code, without the leading #, identifying the color
    """
    default: Annotated[bool, Field(example=True)]


class TimelineCommentEvent(BaseModel):
    """
    Timeline Comment Event
    """

    event: str
    actor: SimpleUser
    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the issue comment
    """
    node_id: str
    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repositories/42/issues/comments/1"),
    ]
    """
    URL for the issue comment
    """
    body: Annotated[
        str | None,
        Field(
            example="What version of Safari were you using when you observed this bug?"
        ),
    ] = None
    """
    Contents of the issue comment
    """
    body_text: str | None = None
    body_html: str | None = None
    html_url: AnyUrl
    user: SimpleUser
    created_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    updated_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    issue_url: AnyUrl
    author_association: AuthorAssociation
    performed_via_github_app: NullableIntegration | None = None
    reactions: ReactionRollup | None = None


class Source(BaseModel):
    type: str | None = None
    issue: Issue | None = None


class TimelineCrossReferencedEvent(BaseModel):
    """
    Timeline Cross Referenced Event
    """

    event: str
    actor: SimpleUser | None = None
    created_at: datetime
    updated_at: datetime
    source: Source


class TimelineCommittedEvent(BaseModel):
    """
    Timeline Committed Event
    """

    event: str | None = None
    sha: Annotated[str, Field(example="7638417db6d59f3c431d3e1f261cc637155684cd")]
    """
    SHA for the commit
    """
    node_id: str
    url: AnyUrl
    author: Author3
    """
    Identifying information for the git-user
    """
    committer: Committer3
    """
    Identifying information for the git-user
    """
    message: Annotated[str, Field(example="Fix #42")]
    """
    Message describing the purpose of the commit
    """
    tree: Tree2
    parents: Sequence[Parent2]
    verification: Verification2
    html_url: AnyUrl


class Html(BaseModel):
    href: str


class PullRequest2(BaseModel):
    href: str


class FieldLinks10(BaseModel):
    html: Html
    pull_request: PullRequest2


class TimelineReviewedEvent(BaseModel):
    """
    Timeline Reviewed Event
    """

    event: str
    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the review
    """
    node_id: Annotated[str, Field(example="MDE3OlB1bGxSZXF1ZXN0UmV2aWV3ODA=")]
    user: SimpleUser
    body: Annotated[str, Field(example="This looks great.")]
    """
    The text of the review.
    """
    state: Annotated[str, Field(example="CHANGES_REQUESTED")]
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/pull/12#pullrequestreview-80"
        ),
    ]
    pull_request_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/pulls/12"),
    ]
    field_links: Annotated[FieldLinks10, Field(alias="_links")]
    submitted_at: datetime | None = None
    commit_id: Annotated[str, Field(example="54bb654c9e6025347f57900a4a5c2313a96b8035")]
    """
    A commit SHA for the review.
    """
    body_html: str | None = None
    body_text: str | None = None
    author_association: AuthorAssociation


class Self(BaseModel):
    href: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/comments/1"
        ),
    ]


class Html1(BaseModel):
    href: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/pull/1#discussion-diff-1"
        ),
    ]


class PullRequest3(BaseModel):
    href: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/pulls/1"),
    ]


class FieldLinks11(BaseModel):
    self: Self
    html: Html1
    pull_request: PullRequest3


class StartSide(Enum):
    """
    The side of the first line of the range for a multi-line comment.
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class Side(Enum):
    """
    The side of the diff to which the comment applies. The side of the last line of the range for a multi-line comment
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class PullRequestReviewComment(BaseModel):
    """
    Pull Request Review Comments are comments on a portion of the Pull Request's diff.
    """

    url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/comments/1"
        ),
    ]
    """
    URL for the pull request review comment
    """
    pull_request_review_id: Annotated[int, Field(example=42)]
    """
    The ID of the pull request review to which the comment belongs.
    """
    id: Annotated[int, Field(example=1)]
    """
    The ID of the pull request review comment.
    """
    node_id: Annotated[str, Field(example="MDI0OlB1bGxSZXF1ZXN0UmV2aWV3Q29tbWVudDEw")]
    """
    The node ID of the pull request review comment.
    """
    diff_hunk: Annotated[
        str,
        Field(example="@@ -16,33 +16,40 @@ public class Connection : IConnection..."),
    ]
    """
    The diff of the line that the comment refers to.
    """
    path: Annotated[str, Field(example="config/database.yaml")]
    """
    The relative path of the file to which the comment applies.
    """
    position: Annotated[int, Field(example=1)]
    """
    The line index in the diff to which the comment applies. This field is deprecated; use `line` instead.
    """
    original_position: Annotated[int, Field(example=4)]
    """
    The index of the original line in the diff to which the comment applies. This field is deprecated; use `original_line` instead.
    """
    commit_id: Annotated[str, Field(example="6dcb09b5b57875f334f61aebed695e2e4193db5e")]
    """
    The SHA of the commit to which the comment applies.
    """
    original_commit_id: Annotated[
        str, Field(example="9c48853fa3dc5c1c3d6f1f1cd1f2743e72652840")
    ]
    """
    The SHA of the original commit to which the comment applies.
    """
    in_reply_to_id: Annotated[int | None, Field(example=8)] = None
    """
    The comment ID to reply to.
    """
    user: SimpleUser
    body: Annotated[
        str, Field(example="We should probably include a check for null values here.")
    ]
    """
    The text of the comment.
    """
    created_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    updated_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/pull/1#discussion-diff-1"
        ),
    ]
    """
    HTML URL for the pull request review comment.
    """
    pull_request_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/pulls/1"),
    ]
    """
    URL for the pull request that the review comment belongs to.
    """
    author_association: AuthorAssociation
    field_links: Annotated[FieldLinks11, Field(alias="_links")]
    start_line: Annotated[int | None, Field(example=2)] = None
    """
    The first line of the range for a multi-line comment.
    """
    original_start_line: Annotated[int | None, Field(example=2)] = None
    """
    The first line of the range for a multi-line comment.
    """
    start_side: StartSide | None = "RIGHT"
    """
    The side of the first line of the range for a multi-line comment.
    """
    line: Annotated[int | None, Field(example=2)] = None
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    original_line: Annotated[int | None, Field(example=2)] = None
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    side: Side | None = "RIGHT"
    """
    The side of the diff to which the comment applies. The side of the last line of the range for a multi-line comment
    """
    reactions: ReactionRollup | None = None
    body_html: Annotated[str | None, Field(example='"<p>comment body</p>"')] = None
    body_text: Annotated[str | None, Field(example='"comment body"')] = None


class TimelineLineCommentedEvent(BaseModel):
    """
    Timeline Line Commented Event
    """

    event: str | None = None
    node_id: str | None = None
    comments: Sequence[PullRequestReviewComment] | None = None


class TimelineCommitCommentedEvent(BaseModel):
    """
    Timeline Commit Commented Event
    """

    event: str | None = None
    node_id: str | None = None
    commit_id: str | None = None
    comments: Sequence[CommitComment] | None = None


class TimelineAssignedIssueEvent(BaseModel):
    """
    Timeline Assigned Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    assignee: SimpleUser


class TimelineUnassignedIssueEvent(BaseModel):
    """
    Timeline Unassigned Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    assignee: SimpleUser


class StateChangeIssueEvent(BaseModel):
    """
    State Change Issue Event
    """

    id: int
    node_id: str
    url: str
    actor: SimpleUser
    event: str
    commit_id: str
    commit_url: str
    created_at: str
    performed_via_github_app: NullableIntegration
    state_reason: str | None = None


class TimelineIssueEvents(BaseModel):
    __root__: Annotated[
        LabeledIssueEvent
        | UnlabeledIssueEvent
        | MilestonedIssueEvent
        | DemilestonedIssueEvent
        | RenamedIssueEvent
        | ReviewRequestedIssueEvent
        | ReviewRequestRemovedIssueEvent
        | ReviewDismissedIssueEvent
        | LockedIssueEvent
        | AddedToProjectIssueEvent
        | MovedColumnInProjectIssueEvent
        | RemovedFromProjectIssueEvent
        | ConvertedNoteToIssueIssueEvent
        | TimelineCommentEvent
        | TimelineCrossReferencedEvent
        | TimelineCommittedEvent
        | TimelineReviewedEvent
        | TimelineLineCommentedEvent
        | TimelineCommitCommentedEvent
        | TimelineAssignedIssueEvent
        | TimelineUnassignedIssueEvent
        | StateChangeIssueEvent,
        Field(title="Timeline Event"),
    ]
    """
    Timeline Event
    """


class DeployKey(BaseModel):
    """
    An SSH key granting access to a single repository.
    """

    id: int
    key: str
    url: str
    title: str
    verified: bool
    created_at: str
    read_only: bool
    added_by: str | None = None
    last_used: str | None = None


class Language(BaseModel):
    """
    Language
    """

    __root__: Mapping[str, int] | None = None


class FieldLinks12(BaseModel):
    git: AnyUrl
    html: AnyUrl
    self: AnyUrl


class LicenseContent(BaseModel):
    """
    License Content
    """

    name: str
    path: str
    sha: str
    size: int
    url: AnyUrl
    html_url: AnyUrl
    git_url: AnyUrl
    download_url: AnyUrl
    type: str
    content: str
    encoding: str
    field_links: Annotated[FieldLinks12, Field(alias="_links")]
    license: NullableLicenseSimple


class MergeType(Enum):
    merge = "merge"
    fast_forward = "fast-forward"
    none = "none"


class MergedUpstream(BaseModel):
    """
    Results of a successful merge upstream request
    """

    message: str | None = None
    merge_type: MergeType | None = None
    base_branch: str | None = None


class State9(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone2(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/milestones/1"),
    ]
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/milestones/v1.0")
    ]
    labels_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/milestones/1/labels"
        ),
    ]
    id: Annotated[int, Field(example=1002604)]
    node_id: Annotated[str, Field(example="MDk6TWlsZXN0b25lMTAwMjYwNA==")]
    number: Annotated[int, Field(example=42)]
    """
    The number of the milestone.
    """
    state: Annotated[State9, Field(example="open")]
    """
    The state of the milestone.
    """
    title: Annotated[str, Field(example="v1.0")]
    """
    The title of the milestone.
    """
    description: Annotated[str, Field(example="Tracking milestone for version 1.0")]
    creator: NullableSimpleUser
    open_issues: Annotated[int, Field(example=4)]
    closed_issues: Annotated[int, Field(example=8)]
    created_at: Annotated[datetime, Field(example="2011-04-10T20:09:31Z")]
    updated_at: Annotated[datetime, Field(example="2014-03-03T18:58:10Z")]
    closed_at: Annotated[datetime, Field(example="2013-02-12T13:22:01Z")]
    due_on: Annotated[datetime, Field(example="2012-10-09T23:39:01Z")]


class PagesSourceHash(BaseModel):
    branch: str
    path: str


class State10(Enum):
    new = "new"
    authorization_created = "authorization_created"
    authorization_pending = "authorization_pending"
    authorized = "authorized"
    authorization_revoked = "authorization_revoked"
    issued = "issued"
    uploaded = "uploaded"
    approved = "approved"
    errored = "errored"
    bad_authz = "bad_authz"
    destroy_pending = "destroy_pending"
    dns_changed = "dns_changed"


class PagesHttpsCertificate(BaseModel):
    state: Annotated[State10, Field(example="approved")]
    description: Annotated[str, Field(example="Certificate is approved")]
    domains: Annotated[Sequence[str], Field(example=["example.com", "www.example.com"])]
    """
    Array of the domain set and its alternate name (if it is configured)
    """
    expires_at: date | None = None


class Status11(Enum):
    """
    The status of the most recent build of the Page.
    """

    built = "built"
    building = "building"
    errored = "errored"


class ProtectedDomainState(Enum):
    """
    The state if the domain is verified
    """

    pending = "pending"
    verified = "verified"
    unverified = "unverified"


class BuildType(Enum):
    """
    The process in which the Page will be built.
    """

    legacy = "legacy"
    workflow = "workflow"


class Page1(BaseModel):
    """
    The configuration for GitHub Pages for a repository.
    """

    url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/github/hello-world/pages")
    ]
    """
    The API address for accessing this Page resource.
    """
    status: Annotated[Status11, Field(example="built")]
    """
    The status of the most recent build of the Page.
    """
    cname: Annotated[str, Field(example="example.com")]
    """
    The Pages site's custom domain
    """
    protected_domain_state: Annotated[
        ProtectedDomainState | None, Field(example="pending")
    ] = None
    """
    The state if the domain is verified
    """
    pending_domain_unverified_at: datetime | None = None
    """
    The timestamp when a pending domain becomes unverified.
    """
    custom_404: Annotated[bool, Field(example=False)]
    """
    Whether the Page has a custom 404 page.
    """
    html_url: Annotated[AnyUrl | None, Field(example="https://example.com")] = None
    """
    The web address the Page can be accessed from.
    """
    build_type: Annotated[BuildType | None, Field(example="legacy")] = None
    """
    The process in which the Page will be built.
    """
    source: PagesSourceHash | None = None
    public: Annotated[bool, Field(example=True)]
    """
    Whether the GitHub Pages site is publicly visible. If set to `true`, the site is accessible to anyone on the internet. If set to `false`, the site will only be accessible to users who have at least `read` access to the repository that published the site.
    """
    https_certificate: PagesHttpsCertificate | None = None
    https_enforced: Annotated[bool | None, Field(example=True)] = None
    """
    Whether https is enabled on the domain
    """


class Error2(BaseModel):
    message: str


class PageBuild(BaseModel):
    """
    Page Build
    """

    url: AnyUrl
    status: str
    error: Error2
    pusher: NullableSimpleUser
    commit: str
    duration: int
    created_at: datetime
    updated_at: datetime


class PageBuildStatus(BaseModel):
    """
    Page Build Status
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/github/hello-world/pages/builds/latest"
        ),
    ]
    status: Annotated[str, Field(example="queued")]


class PageDeployment(BaseModel):
    """
    The GitHub Pages deployment status.
    """

    status_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/github/hello-world/pages/deployments/4fd754f7e594640989b406850d0bc8f06a121251/status"
        ),
    ]
    """
    The URI to monitor GitHub Pages deployment status.
    """
    page_url: Annotated[AnyUrl, Field(example="hello-world.github.io")]
    """
    The URI to the deployed GitHub Pages.
    """
    preview_url: Annotated[
        AnyUrl | None, Field(example="monalisa-1231a2312sa32-23sda74.drafts.github.io")
    ] = None
    """
    The URI to the deployed GitHub Pages preview.
    """


class Domain(BaseModel):
    host: str | None = None
    uri: str | None = None
    nameservers: str | None = None
    dns_resolves: bool | None = None
    is_proxied: bool | None = None
    is_cloudflare_ip: bool | None = None
    is_fastly_ip: bool | None = None
    is_old_ip_address: bool | None = None
    is_a_record: bool | None = None
    has_cname_record: bool | None = None
    has_mx_records_present: bool | None = None
    is_valid_domain: bool | None = None
    is_apex_domain: bool | None = None
    should_be_a_record: bool | None = None
    is_cname_to_github_user_domain: bool | None = None
    is_cname_to_pages_dot_github_dot_com: bool | None = None
    is_cname_to_fastly: bool | None = None
    is_pointed_to_github_pages_ip: bool | None = None
    is_non_github_pages_ip_present: bool | None = None
    is_pages_domain: bool | None = None
    is_served_by_pages: bool | None = None
    is_valid: bool | None = None
    reason: str | None = None
    responds_to_https: bool | None = None
    enforces_https: bool | None = None
    https_error: str | None = None
    is_https_eligible: bool | None = None
    caa_error: str | None = None


class AltDomain(BaseModel):
    host: str | None = None
    uri: str | None = None
    nameservers: str | None = None
    dns_resolves: bool | None = None
    is_proxied: bool | None = None
    is_cloudflare_ip: bool | None = None
    is_fastly_ip: bool | None = None
    is_old_ip_address: bool | None = None
    is_a_record: bool | None = None
    has_cname_record: bool | None = None
    has_mx_records_present: bool | None = None
    is_valid_domain: bool | None = None
    is_apex_domain: bool | None = None
    should_be_a_record: bool | None = None
    is_cname_to_github_user_domain: bool | None = None
    is_cname_to_pages_dot_github_dot_com: bool | None = None
    is_cname_to_fastly: bool | None = None
    is_pointed_to_github_pages_ip: bool | None = None
    is_non_github_pages_ip_present: bool | None = None
    is_pages_domain: bool | None = None
    is_served_by_pages: bool | None = None
    is_valid: bool | None = None
    reason: str | None = None
    responds_to_https: bool | None = None
    enforces_https: bool | None = None
    https_error: str | None = None
    is_https_eligible: bool | None = None
    caa_error: str | None = None


class PagesHealthCheck(BaseModel):
    """
    Pages Health Check Status
    """

    domain: Domain | None = None
    alt_domain: AltDomain | None = None


class State11(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class Label6(BaseModel):
    id: int
    node_id: str
    url: str
    name: str
    description: str
    color: str
    default: bool


class Owner3(BaseModel):
    avatar_url: AnyUrl
    events_url: str
    followers_url: AnyUrl
    following_url: str
    gists_url: str
    gravatar_id: str
    html_url: AnyUrl
    id: int
    node_id: str
    login: str
    organizations_url: AnyUrl
    received_events_url: AnyUrl
    repos_url: AnyUrl
    site_admin: bool
    starred_url: str
    subscriptions_url: AnyUrl
    type: str
    url: AnyUrl


class Permissions17(BaseModel):
    admin: bool
    maintain: bool | None = None
    push: bool
    triage: bool | None = None
    pull: bool


class License3(BaseModel):
    key: str
    name: str
    url: AnyUrl
    spdx_id: str
    node_id: str


class Repo3(BaseModel):
    archive_url: str
    assignees_url: str
    blobs_url: str
    branches_url: str
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    deployments_url: AnyUrl
    description: str
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    node_id: str
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    languages_url: AnyUrl
    merges_url: AnyUrl
    milestones_url: str
    name: str
    notifications_url: str
    owner: Owner3
    private: bool
    pulls_url: str
    releases_url: str
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    trees_url: str
    url: AnyUrl
    clone_url: str
    default_branch: str
    forks: int
    forks_count: int
    git_url: str
    has_downloads: bool
    has_issues: bool
    has_projects: bool
    has_wiki: bool
    has_pages: bool
    homepage: AnyUrl
    language: str
    master_branch: str | None = None
    archived: bool
    disabled: bool
    visibility: str | None = None
    """
    The repository visibility: public, private, or internal.
    """
    mirror_url: AnyUrl
    open_issues: int
    open_issues_count: int
    permissions: Permissions17 | None = None
    temp_clone_token: str | None = None
    allow_merge_commit: bool | None = None
    allow_squash_merge: bool | None = None
    allow_rebase_merge: bool | None = None
    license: License3
    pushed_at: datetime
    size: int
    ssh_url: str
    stargazers_count: int
    svn_url: AnyUrl
    topics: Sequence[str] | None = None
    watchers: int
    watchers_count: int
    created_at: datetime
    updated_at: datetime
    allow_forking: bool | None = None
    is_template: bool | None = None
    web_commit_signoff_required: bool | None = None


class User1(BaseModel):
    avatar_url: AnyUrl
    events_url: str
    followers_url: AnyUrl
    following_url: str
    gists_url: str
    gravatar_id: str
    html_url: AnyUrl
    id: int
    node_id: str
    login: str
    organizations_url: AnyUrl
    received_events_url: AnyUrl
    repos_url: AnyUrl
    site_admin: bool
    starred_url: str
    subscriptions_url: AnyUrl
    type: str
    url: AnyUrl


class Head2(BaseModel):
    label: str
    ref: str
    repo: Repo3
    sha: str
    user: User1


class Repo4(BaseModel):
    archive_url: str
    assignees_url: str
    blobs_url: str
    branches_url: str
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    deployments_url: AnyUrl
    description: str
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    is_template: bool | None = None
    node_id: str
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    languages_url: AnyUrl
    merges_url: AnyUrl
    milestones_url: str
    name: str
    notifications_url: str
    owner: Owner3
    private: bool
    pulls_url: str
    releases_url: str
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    trees_url: str
    url: AnyUrl
    clone_url: str
    default_branch: str
    forks: int
    forks_count: int
    git_url: str
    has_downloads: bool
    has_issues: bool
    has_projects: bool
    has_wiki: bool
    has_pages: bool
    homepage: AnyUrl
    language: str
    master_branch: str | None = None
    archived: bool
    disabled: bool
    visibility: str | None = None
    """
    The repository visibility: public, private, or internal.
    """
    mirror_url: AnyUrl
    open_issues: int
    open_issues_count: int
    permissions: Permissions17 | None = None
    temp_clone_token: str | None = None
    allow_merge_commit: bool | None = None
    allow_squash_merge: bool | None = None
    allow_rebase_merge: bool | None = None
    license: NullableLicenseSimple
    pushed_at: datetime
    size: int
    ssh_url: str
    stargazers_count: int
    svn_url: AnyUrl
    topics: Sequence[str] | None = None
    watchers: int
    watchers_count: int
    created_at: datetime
    updated_at: datetime
    allow_forking: bool | None = None
    web_commit_signoff_required: bool | None = None


class Base2(BaseModel):
    label: str
    ref: str
    repo: Repo4
    sha: str
    user: User1


class FieldLinks13(BaseModel):
    comments: Link
    commits: Link
    statuses: Link
    html: Link
    issue: Link
    review_comments: Link
    review_comment: Link
    self: Link


class PullRequest4(BaseModel):
    """
    Pull requests let you tell others about changes you've pushed to a repository on GitHub. Once a pull request is sent, interested parties can review the set of changes, discuss potential modifications, and even push follow-up commits if necessary.
    """

    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/pulls/1347"),
    ]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDExOlB1bGxSZXF1ZXN0MQ==")]
    html_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/pull/1347")
    ]
    diff_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/pull/1347.diff")
    ]
    patch_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/pull/1347.patch")
    ]
    issue_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/issues/1347"),
    ]
    commits_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/1347/commits"
        ),
    ]
    review_comments_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/1347/comments"
        ),
    ]
    review_comment_url: Annotated[
        str,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/comments{/number}"
        ),
    ]
    comments_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/issues/1347/comments"
        ),
    ]
    statuses_url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/statuses/6dcb09b5b57875f334f61aebed695e2e4193db5e"
        ),
    ]
    number: Annotated[int, Field(example=42)]
    """
    Number uniquely identifying the pull request within its repository.
    """
    state: Annotated[State11, Field(example="open")]
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    locked: Annotated[bool, Field(example=True)]
    title: Annotated[str, Field(example="Amazing new feature")]
    """
    The title of the pull request.
    """
    user: NullableSimpleUser
    body: Annotated[str, Field(example="Please pull these awesome changes")]
    labels: Sequence[Label6]
    milestone: NullableMilestone
    active_lock_reason: Annotated[str | None, Field(example="too heated")] = None
    created_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    updated_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    closed_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    merged_at: Annotated[datetime, Field(example="2011-01-26T19:01:12Z")]
    merge_commit_sha: Annotated[
        str, Field(example="e5bd3914e2e596debea16f433f57875b5b90bcd6")
    ]
    assignee: NullableSimpleUser
    assignees: Sequence[SimpleUser] | None = None
    requested_reviewers: Sequence[SimpleUser] | None = None
    requested_teams: Sequence[TeamSimple] | None = None
    head: Head2
    base: Base2
    field_links: Annotated[FieldLinks13, Field(alias="_links")]
    author_association: AuthorAssociation
    auto_merge: AutoMerge
    draft: Annotated[bool | None, Field(example=False)] = None
    """
    Indicates whether or not the pull request is a draft.
    """
    merged: bool
    mergeable: Annotated[bool, Field(example=True)]
    rebaseable: Annotated[bool | None, Field(example=True)] = None
    mergeable_state: Annotated[str, Field(example="clean")]
    merged_by: NullableSimpleUser
    comments: Annotated[int, Field(example=10)]
    review_comments: Annotated[int, Field(example=0)]
    maintainer_can_modify: Annotated[bool, Field(example=True)]
    """
    Indicates whether maintainers can modify the pull request.
    """
    commits: Annotated[int, Field(example=3)]
    additions: Annotated[int, Field(example=100)]
    deletions: Annotated[int, Field(example=3)]
    changed_files: Annotated[int, Field(example=5)]


class PullRequestMergeResult(BaseModel):
    """
    Pull Request Merge Result
    """

    sha: str
    merged: bool
    message: str


class PullRequestReviewRequest(BaseModel):
    """
    Pull Request Review Request
    """

    users: Sequence[SimpleUser]
    teams: Sequence[Team]


class Html2(BaseModel):
    href: str


class PullRequest5(BaseModel):
    href: str


class FieldLinks14(BaseModel):
    html: Html2
    pull_request: PullRequest5


class PullRequestReview(BaseModel):
    """
    Pull Request Reviews are reviews on pull requests.
    """

    id: Annotated[int, Field(example=42)]
    """
    Unique identifier of the review
    """
    node_id: Annotated[str, Field(example="MDE3OlB1bGxSZXF1ZXN0UmV2aWV3ODA=")]
    user: NullableSimpleUser
    body: Annotated[str, Field(example="This looks great.")]
    """
    The text of the review.
    """
    state: Annotated[str, Field(example="CHANGES_REQUESTED")]
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/pull/12#pullrequestreview-80"
        ),
    ]
    pull_request_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/pulls/12"),
    ]
    field_links: Annotated[FieldLinks14, Field(alias="_links")]
    submitted_at: datetime | None = None
    commit_id: Annotated[str, Field(example="54bb654c9e6025347f57900a4a5c2313a96b8035")]
    """
    A commit SHA for the review.
    """
    body_html: str | None = None
    body_text: str | None = None
    author_association: AuthorAssociation


class FieldLinks15(BaseModel):
    self: Link
    html: Link
    pull_request: Link


class Side1(Enum):
    """
    The side of the first line of the range for a multi-line comment.
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class ReviewComment(BaseModel):
    """
    Legacy Review Comment
    """

    url: Annotated[
        AnyUrl,
        Field(
            example="https://api.github.com/repos/octocat/Hello-World/pulls/comments/1"
        ),
    ]
    pull_request_review_id: Annotated[int, Field(example=42)]
    id: Annotated[int, Field(example=10)]
    node_id: Annotated[str, Field(example="MDI0OlB1bGxSZXF1ZXN0UmV2aWV3Q29tbWVudDEw")]
    diff_hunk: Annotated[
        str,
        Field(example="@@ -16,33 +16,40 @@ public class Connection : IConnection..."),
    ]
    path: Annotated[str, Field(example="file1.txt")]
    position: Annotated[int, Field(example=1)]
    original_position: Annotated[int, Field(example=4)]
    commit_id: Annotated[str, Field(example="6dcb09b5b57875f334f61aebed695e2e4193db5e")]
    original_commit_id: Annotated[
        str, Field(example="9c48853fa3dc5c1c3d6f1f1cd1f2743e72652840")
    ]
    in_reply_to_id: Annotated[int | None, Field(example=8)] = None
    user: NullableSimpleUser
    body: Annotated[str, Field(example="Great stuff")]
    created_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    updated_at: Annotated[datetime, Field(example="2011-04-14T16:00:49Z")]
    html_url: Annotated[
        AnyUrl,
        Field(
            example="https://github.com/octocat/Hello-World/pull/1#discussion-diff-1"
        ),
    ]
    pull_request_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/Hello-World/pulls/1"),
    ]
    author_association: AuthorAssociation
    field_links: Annotated[FieldLinks15, Field(alias="_links")]
    body_text: str | None = None
    body_html: str | None = None
    reactions: ReactionRollup | None = None
    side: Side1 | None = "RIGHT"
    """
    The side of the first line of the range for a multi-line comment.
    """
    start_side: StartSide | None = "RIGHT"
    """
    The side of the first line of the range for a multi-line comment.
    """
    line: Annotated[int | None, Field(example=2)] = None
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    original_line: Annotated[int | None, Field(example=2)] = None
    """
    The original line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    start_line: Annotated[int | None, Field(example=2)] = None
    """
    The first line of the range for a multi-line comment.
    """
    original_start_line: Annotated[int | None, Field(example=2)] = None
    """
    The original first line of the range for a multi-line comment.
    """


class State12(Enum):
    """
    State of the release asset.
    """

    uploaded = "uploaded"
    open = "open"


class ReleaseAsset(BaseModel):
    """
    Data related to a release.
    """

    url: AnyUrl
    browser_download_url: AnyUrl
    id: int
    node_id: str
    name: Annotated[str, Field(example="Team Environment")]
    """
    The file name of the asset.
    """
    label: str
    state: State12
    """
    State of the release asset.
    """
    content_type: str
    size: int
    download_count: int
    created_at: datetime
    updated_at: datetime
    uploader: NullableSimpleUser


class Release(BaseModel):
    """
    A release.
    """

    url: AnyUrl
    html_url: AnyUrl
    assets_url: AnyUrl
    upload_url: str
    tarball_url: AnyUrl
    zipball_url: AnyUrl
    id: int
    node_id: str
    tag_name: Annotated[str, Field(example="v1.0.0")]
    """
    The name of the tag.
    """
    target_commitish: Annotated[str, Field(example="master")]
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    name: str
    body: str | None = None
    draft: Annotated[bool, Field(example=False)]
    """
    true to create a draft (unpublished) release, false to create a published one.
    """
    prerelease: Annotated[bool, Field(example=False)]
    """
    Whether to identify the release as a prerelease or a full release.
    """
    created_at: datetime
    published_at: datetime
    author: SimpleUser
    assets: Sequence[ReleaseAsset]
    body_html: str | None = None
    body_text: str | None = None
    mentions_count: int | None = None
    discussion_url: AnyUrl | None = None
    """
    The URL of the release discussion.
    """
    reactions: ReactionRollup | None = None


class ReleaseNotesContent(BaseModel):
    """
    Generated name and body describing a release
    """

    name: Annotated[str, Field(example="Release v1.0.0 is now available!")]
    """
    The generated name of the release
    """
    body: str
    """
    The generated body describing the contents of the release supporting markdown formatting
    """


class SecretScanningAlert(BaseModel):
    number: int | None = None
    """
    The security alert number.
    """
    created_at: datetime | None = None
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    updated_at: datetime | None = None
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    url: AnyUrl | None = None
    """
    The REST API URL of the alert resource.
    """
    html_url: AnyUrl | None = None
    """
    The GitHub URL of the alert resource.
    """
    locations_url: AnyUrl | None = None
    """
    The REST API URL of the code locations for this alert.
    """
    state: SecretScanningAlertState | None = None
    resolution: SecretScanningAlertResolutionEnum | None = None
    """
    **Required when the `state` is `resolved`.** The reason for resolving the alert.
    """
    resolved_at: datetime | None = None
    """
    The time that the alert was resolved in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    resolved_by: NullableSimpleUser | None = None
    resolution_comment: str | None = None
    """
    An optional comment to resolve an alert.
    """
    secret_type: str | None = None
    """
    The type of secret that secret scanning detected.
    """
    secret_type_display_name: str | None = None
    """
    User-friendly name for the detected secret, matching the `secret_type`.
    For a list of built-in patterns, see "[Secret scanning patterns](https://docs.github.com/code-security/secret-scanning/secret-scanning-patterns#supported-secrets-for-advanced-security)."
    """
    secret: str | None = None
    """
    The secret that was detected.
    """
    push_protection_bypassed: bool | None = None
    """
    Whether push protection was bypassed for the detected secret.
    """
    push_protection_bypassed_by: NullableSimpleUser | None = None
    push_protection_bypassed_at: datetime | None = None
    """
    The time that push protection was bypassed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """


class SecretScanningAlertResolutionComment(BaseModel):
    __root__: str | None = None
    """
    An optional comment when closing an alert. Cannot be updated or deleted. Must be `null` when changing `state` to `open`.
    """


class SecretScanningLocationCommit(BaseModel):
    """
    Represents a 'commit' secret scanning location type. This location type shows that a secret was detected inside a commit to a repository.
    """

    path: Annotated[str, Field(example="/example/secrets.txt")]
    """
    The file path in the repository
    """
    start_line: float
    """
    Line number at which the secret starts in the file
    """
    end_line: float
    """
    Line number at which the secret ends in the file
    """
    start_column: float
    """
    The column at which the secret starts within the start line when the file is interpreted as 8BIT ASCII
    """
    end_column: float
    """
    The column at which the secret ends within the end line when the file is interpreted as 8BIT ASCII
    """
    blob_sha: Annotated[str, Field(example="af5626b4a114abcb82d63db7c8082c3c4756e51b")]
    """
    SHA-1 hash ID of the associated blob
    """
    blob_url: str
    """
    The API URL to get the associated blob resource
    """
    commit_sha: Annotated[
        str, Field(example="af5626b4a114abcb82d63db7c8082c3c4756e51b")
    ]
    """
    SHA-1 hash ID of the associated commit
    """
    commit_url: str
    """
    The API URL to get the associated commit resource
    """


class Type6(Enum):
    """
    The location type. Because secrets may be found in different types of resources (ie. code, comments, issues), this field identifies the type of resource where the secret was found.
    """

    commit = "commit"


class SecretScanningLocation(BaseModel):
    type: Annotated[Type6, Field(example="commit")]
    """
    The location type. Because secrets may be found in different types of resources (ie. code, comments, issues), this field identifies the type of resource where the secret was found.
    """
    details: SecretScanningLocationCommit


class Stargazer(BaseModel):
    """
    Stargazer
    """

    starred_at: datetime
    user: NullableSimpleUser


class CodeFrequencyStat(BaseModel):
    """
    Code Frequency Stat
    """

    __root__: Annotated[Sequence[int], Field(title="Code Frequency Stat")]
    """
    Code Frequency Stat
    """


class CommitActivity(BaseModel):
    """
    Commit Activity
    """

    days: Annotated[Sequence[int], Field(example=[0, 3, 26, 20, 39, 1, 0])]
    total: Annotated[int, Field(example=89)]
    week: Annotated[int, Field(example=1336280400)]


class Week(BaseModel):
    w: int | None = None
    a: int | None = None
    d: int | None = None
    c: int | None = None


class ContributorActivity(BaseModel):
    """
    Contributor Activity
    """

    author: NullableSimpleUser
    total: Annotated[int, Field(example=135)]
    weeks: Annotated[
        Sequence[Week],
        Field(example=[{"w": "1367712000", "a": 6898, "d": 77, "c": 10}]),
    ]


class ParticipationStats(BaseModel):
    all: Sequence[int]
    owner: Sequence[int]


class RepositorySubscription(BaseModel):
    """
    Repository invitations let you manage who you collaborate with.
    """

    subscribed: Annotated[bool, Field(example=True)]
    """
    Determines if notifications should be received from this repository.
    """
    ignored: bool
    """
    Determines if all notifications should be blocked from this repository.
    """
    reason: str
    created_at: Annotated[datetime, Field(example="2012-10-06T21:34:12Z")]
    url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/repos/octocat/example/subscription"),
    ]
    repository_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/repos/octocat/example")
    ]


class Commit5(BaseModel):
    sha: str
    url: AnyUrl


class Tag(BaseModel):
    """
    Tag
    """

    name: Annotated[str, Field(example="v0.1")]
    commit: Commit5
    zipball_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/zipball/v0.1")
    ]
    tarball_url: Annotated[
        AnyUrl, Field(example="https://github.com/octocat/Hello-World/tarball/v0.1")
    ]
    node_id: str


class TagProtection(BaseModel):
    """
    Tag protection
    """

    id: Annotated[int | None, Field(example=2)] = None
    created_at: Annotated[str | None, Field(example="2011-01-26T19:01:12Z")] = None
    updated_at: Annotated[str | None, Field(example="2011-01-26T19:01:12Z")] = None
    enabled: Annotated[bool | None, Field(example=True)] = None
    pattern: Annotated[str, Field(example="v1.*")]


class Topic(BaseModel):
    """
    A topic aggregates entities that are related to a subject.
    """

    names: Sequence[str]


class Traffic(BaseModel):
    timestamp: datetime
    uniques: int
    count: int


class CloneTraffic(BaseModel):
    """
    Clone Traffic
    """

    count: Annotated[int, Field(example=173)]
    uniques: Annotated[int, Field(example=128)]
    clones: Sequence[Traffic]


class ContentTraffic(BaseModel):
    """
    Content Traffic
    """

    path: Annotated[str, Field(example="/github/hubot")]
    title: Annotated[
        str, Field(example="github/hubot: A customizable life embetterment robot.")
    ]
    count: Annotated[int, Field(example=3542)]
    uniques: Annotated[int, Field(example=2225)]


class ReferrerTraffic(BaseModel):
    """
    Referrer Traffic
    """

    referrer: Annotated[str, Field(example="Google")]
    count: Annotated[int, Field(example=4)]
    uniques: Annotated[int, Field(example=3)]


class ViewTraffic(BaseModel):
    """
    View Traffic
    """

    count: Annotated[int, Field(example=14850)]
    uniques: Annotated[int, Field(example=3782)]
    views: Sequence[Traffic]


class Match(BaseModel):
    text: str | None = None
    indices: Sequence[int] | None = None


class SearchResultTextMatch(BaseModel):
    object_url: str | None = None
    object_type: str | None = None
    property: str | None = None
    fragment: str | None = None
    matches: Sequence[Match] | None = None


class CodeSearchResultItem(BaseModel):
    """
    Code Search Result Item
    """

    name: str
    path: str
    sha: str
    url: AnyUrl
    git_url: AnyUrl
    html_url: AnyUrl
    repository: MinimalRepository
    score: float
    file_size: int | None = None
    language: str | None = None
    last_modified_at: datetime | None = None
    line_numbers: Annotated[
        Sequence[str] | None, Field(example=["73..77", "77..78"])
    ] = None
    text_matches: Annotated[
        Sequence[SearchResultTextMatch] | None,
        Field(title="Search Result Text Matches"),
    ] = None


class Author5(BaseModel):
    name: str
    email: str
    date: datetime


class Tree4(BaseModel):
    sha: str
    url: AnyUrl


class Commit6(BaseModel):
    author: Author5
    committer: NullableGitUser
    comment_count: int
    message: str
    tree: Tree4
    url: AnyUrl
    verification: Verification | None = None


class Parent4(BaseModel):
    url: str | None = None
    html_url: str | None = None
    sha: str | None = None


class CommitSearchResultItem(BaseModel):
    """
    Commit Search Result Item
    """

    url: AnyUrl
    sha: str
    html_url: AnyUrl
    comments_url: AnyUrl
    commit: Commit6
    author: NullableSimpleUser
    committer: NullableGitUser
    parents: Sequence[Parent4]
    repository: MinimalRepository
    score: float
    node_id: str
    text_matches: Annotated[
        Sequence[SearchResultTextMatch] | None,
        Field(title="Search Result Text Matches"),
    ] = None


class Label7(BaseModel):
    id: int | None = None
    node_id: str | None = None
    url: str | None = None
    name: str | None = None
    color: str | None = None
    default: bool | None = None
    description: str | None = None


class PullRequest6(BaseModel):
    merged_at: datetime | None = None
    diff_url: AnyUrl
    html_url: AnyUrl
    patch_url: AnyUrl
    url: AnyUrl


class IssueSearchResultItem(BaseModel):
    """
    Issue Search Result Item
    """

    url: AnyUrl
    repository_url: AnyUrl
    labels_url: str
    comments_url: AnyUrl
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    node_id: str
    number: int
    title: str
    locked: bool
    active_lock_reason: str | None = None
    assignees: Sequence[SimpleUser] | None = None
    user: NullableSimpleUser
    labels: Sequence[Label7]
    state: str
    state_reason: str | None = None
    assignee: NullableSimpleUser
    milestone: NullableMilestone
    comments: int
    created_at: datetime
    updated_at: datetime
    closed_at: datetime
    text_matches: Annotated[
        Sequence[SearchResultTextMatch] | None,
        Field(title="Search Result Text Matches"),
    ] = None
    pull_request: PullRequest6 | None = None
    body: str | None = None
    score: float
    author_association: AuthorAssociation
    draft: bool | None = None
    repository: Repository | None = None
    body_html: str | None = None
    body_text: str | None = None
    timeline_url: AnyUrl | None = None
    performed_via_github_app: NullableIntegration | None = None
    reactions: ReactionRollup | None = None


class LabelSearchResultItem(BaseModel):
    """
    Label Search Result Item
    """

    id: int
    node_id: str
    url: AnyUrl
    name: str
    color: str
    default: bool
    description: str
    score: float
    text_matches: Annotated[
        Sequence[SearchResultTextMatch] | None,
        Field(title="Search Result Text Matches"),
    ] = None


class RepoSearchResultItem(BaseModel):
    """
    Repo Search Result Item
    """

    id: int
    node_id: str
    name: str
    full_name: str
    owner: NullableSimpleUser
    private: bool
    html_url: AnyUrl
    description: str
    fork: bool
    url: AnyUrl
    created_at: datetime
    updated_at: datetime
    pushed_at: datetime
    homepage: AnyUrl
    size: int
    stargazers_count: int
    watchers_count: int
    language: str
    forks_count: int
    open_issues_count: int
    master_branch: str | None = None
    default_branch: str
    score: float
    forks_url: AnyUrl
    keys_url: str
    collaborators_url: str
    teams_url: AnyUrl
    hooks_url: AnyUrl
    issue_events_url: str
    events_url: AnyUrl
    assignees_url: str
    branches_url: str
    tags_url: AnyUrl
    blobs_url: str
    git_tags_url: str
    git_refs_url: str
    trees_url: str
    statuses_url: str
    languages_url: AnyUrl
    stargazers_url: AnyUrl
    contributors_url: AnyUrl
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    commits_url: str
    git_commits_url: str
    comments_url: str
    issue_comment_url: str
    contents_url: str
    compare_url: str
    merges_url: AnyUrl
    archive_url: str
    downloads_url: AnyUrl
    issues_url: str
    pulls_url: str
    milestones_url: str
    notifications_url: str
    labels_url: str
    releases_url: str
    deployments_url: AnyUrl
    git_url: str
    ssh_url: str
    clone_url: str
    svn_url: AnyUrl
    forks: int
    open_issues: int
    watchers: int
    topics: Sequence[str] | None = None
    mirror_url: AnyUrl
    has_issues: bool
    has_projects: bool
    has_pages: bool
    has_wiki: bool
    has_downloads: bool
    archived: bool
    disabled: bool
    """
    Returns whether or not this repository disabled.
    """
    visibility: str | None = None
    """
    The repository visibility: public, private, or internal.
    """
    license: NullableLicenseSimple
    permissions: Permissions17 | None = None
    text_matches: Annotated[
        Sequence[SearchResultTextMatch] | None,
        Field(title="Search Result Text Matches"),
    ] = None
    temp_clone_token: str | None = None
    allow_merge_commit: bool | None = None
    allow_squash_merge: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_auto_merge: bool | None = None
    delete_branch_on_merge: bool | None = None
    allow_forking: bool | None = None
    is_template: bool | None = None
    web_commit_signoff_required: Annotated[bool | None, Field(example=False)] = None


class TopicRelation(BaseModel):
    id: int | None = None
    name: str | None = None
    topic_id: int | None = None
    relation_type: str | None = None


class RelatedItem(BaseModel):
    topic_relation: TopicRelation | None = None


class Alias(BaseModel):
    topic_relation: TopicRelation | None = None


class TopicSearchResultItem(BaseModel):
    """
    Topic Search Result Item
    """

    name: str
    display_name: str
    short_description: str
    description: str
    created_by: str
    released: str
    created_at: datetime
    updated_at: datetime
    featured: bool
    curated: bool
    score: float
    repository_count: int | None = None
    logo_url: AnyUrl | None = None
    text_matches: Annotated[
        Sequence[SearchResultTextMatch] | None,
        Field(title="Search Result Text Matches"),
    ] = None
    related: Sequence[RelatedItem] | None = None
    aliases: Sequence[Alias] | None = None


class UserSearchResultItem(BaseModel):
    """
    User Search Result Item
    """

    login: str
    id: int
    node_id: str
    avatar_url: AnyUrl
    gravatar_id: str
    url: AnyUrl
    html_url: AnyUrl
    followers_url: AnyUrl
    subscriptions_url: AnyUrl
    organizations_url: AnyUrl
    repos_url: AnyUrl
    received_events_url: AnyUrl
    type: str
    score: float
    following_url: str
    gists_url: str
    starred_url: str
    events_url: str
    public_repos: int | None = None
    public_gists: int | None = None
    followers: int | None = None
    following: int | None = None
    created_at: datetime | None = None
    updated_at: datetime | None = None
    name: str | None = None
    bio: str | None = None
    email: EmailStr | None = None
    location: str | None = None
    site_admin: bool
    hireable: bool | None = None
    text_matches: Annotated[
        Sequence[SearchResultTextMatch] | None,
        Field(title="Search Result Text Matches"),
    ] = None
    blog: str | None = None
    company: str | None = None
    suspended_at: datetime | None = None


class Plan3(BaseModel):
    collaborators: int
    name: str
    space: int
    private_repos: int


class PrivateUser(BaseModel):
    """
    Private User
    """

    login: Annotated[str, Field(example="octocat")]
    id: Annotated[int, Field(example=1)]
    node_id: Annotated[str, Field(example="MDQ6VXNlcjE=")]
    avatar_url: Annotated[
        AnyUrl, Field(example="https://github.com/images/error/octocat_happy.gif")
    ]
    gravatar_id: Annotated[str, Field(example="41d064eb2195891e12d0413f63227ea7")]
    url: Annotated[AnyUrl, Field(example="https://api.github.com/users/octocat")]
    html_url: Annotated[AnyUrl, Field(example="https://github.com/octocat")]
    followers_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/followers")
    ]
    following_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/following{/other_user}"),
    ]
    gists_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/gists{/gist_id}")
    ]
    starred_url: Annotated[
        str,
        Field(example="https://api.github.com/users/octocat/starred{/owner}{/repo}"),
    ]
    subscriptions_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/subscriptions")
    ]
    organizations_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/orgs")
    ]
    repos_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/repos")
    ]
    events_url: Annotated[
        str, Field(example="https://api.github.com/users/octocat/events{/privacy}")
    ]
    received_events_url: Annotated[
        AnyUrl, Field(example="https://api.github.com/users/octocat/received_events")
    ]
    type: Annotated[str, Field(example="User")]
    site_admin: bool
    name: Annotated[str, Field(example="monalisa octocat")]
    company: Annotated[str, Field(example="GitHub")]
    blog: Annotated[str, Field(example="https://github.com/blog")]
    location: Annotated[str, Field(example="San Francisco")]
    email: Annotated[EmailStr, Field(example="octocat@github.com")]
    hireable: bool
    bio: Annotated[str, Field(example="There once was...")]
    twitter_username: Annotated[str | None, Field(example="monalisa")] = None
    public_repos: Annotated[int, Field(example=2)]
    public_gists: Annotated[int, Field(example=1)]
    followers: Annotated[int, Field(example=20)]
    following: Annotated[int, Field(example=0)]
    created_at: Annotated[datetime, Field(example="2008-01-14T04:33:35Z")]
    updated_at: Annotated[datetime, Field(example="2008-01-14T04:33:35Z")]
    private_gists: Annotated[int, Field(example=81)]
    total_private_repos: Annotated[int, Field(example=100)]
    owned_private_repos: Annotated[int, Field(example=100)]
    disk_usage: Annotated[int, Field(example=10000)]
    collaborators: Annotated[int, Field(example=8)]
    two_factor_authentication: Annotated[bool, Field(example=True)]
    plan: Plan3 | None = None
    suspended_at: datetime | None = None
    business_plus: bool | None = None
    ldap_dn: str | None = None


class Visibility4(Enum):
    """
    The type of repositories in the organization that the secret is visible to
    """

    all = "all"
    private = "private"
    selected = "selected"


class CodespacesSecret(BaseModel):
    """
    Secrets for a GitHub Codespace.
    """

    name: Annotated[str, Field(example="SECRET_NAME")]
    """
    The name of the secret
    """
    created_at: datetime
    """
    The date and time at which the secret was created, in ISO 8601 format':' YYYY-MM-DDTHH:MM:SSZ.
    """
    updated_at: datetime
    """
    The date and time at which the secret was last updated, in ISO 8601 format':' YYYY-MM-DDTHH:MM:SSZ.
    """
    visibility: Visibility4
    """
    The type of repositories in the organization that the secret is visible to
    """
    selected_repositories_url: Annotated[
        AnyUrl,
        Field(example="https://api.github.com/user/secrets/SECRET_NAME/repositories"),
    ]
    """
    The API URL at which the list of repositories this secret is visible to can be retrieved
    """


class CodespacesUserPublicKey(BaseModel):
    """
    The public key used for setting user Codespaces' Secrets.
    """

    key_id: Annotated[str, Field(example="1234567")]
    """
    The identifier for the key.
    """
    key: Annotated[str, Field(example="hBT5WZEj8ZoOv6TYJsfWq7MxTEQopZO5/IT3ZCVQPzs=")]
    """
    The Base64 encoded public key.
    """


class CodespaceExportDetails(BaseModel):
    """
    An export of a codespace. Also, latest export details for a codespace can be fetched with id = latest
    """

    state: Annotated[
        str | None, Field(example="succeeded | failed | in_progress")
    ] = None
    """
    State of the latest export
    """
    completed_at: Annotated[
        datetime | None, Field(example="2021-01-01T19:01:12Z")
    ] = None
    """
    Completion time of the last export operation
    """
    branch: Annotated[
        str | None, Field(example="codespace-monalisa-octocat-hello-world-g4wpq6h95q")
    ] = None
    """
    Name of the exported branch
    """
    sha: Annotated[
        str | None, Field(example="fd95a81ca01e48ede9f39c799ecbcef817b8a3b2")
    ] = None
    """
    Git commit SHA of the exported branch
    """
    id: Annotated[str | None, Field(example="latest")] = None
    """
    Id for the export details
    """
    export_url: Annotated[
        str | None,
        Field(example="https://api.github.com/user/codespaces/:name/exports/latest"),
    ] = None
    """
    Url for fetching export details
    """
    html_url: Annotated[
        str | None, Field(example="https://github.com/octocat/hello-world/tree/:branch")
    ] = None
    """
    Web url for the exported branch
    """


class Email(BaseModel):
    """
    Email
    """

    email: Annotated[EmailStr, Field(example="octocat@github.com")]
    primary: Annotated[bool, Field(example=True)]
    verified: Annotated[bool, Field(example=True)]
    visibility: Annotated[str, Field(example="public")]


class Email1(BaseModel):
    email: str | None = None
    verified: bool | None = None


class Subkey(BaseModel):
    id: int | None = None
    primary_key_id: int | None = None
    key_id: str | None = None
    public_key: str | None = None
    emails: Sequence | None = None
    subkeys: Sequence | None = None
    can_sign: bool | None = None
    can_encrypt_comms: bool | None = None
    can_encrypt_storage: bool | None = None
    can_certify: bool | None = None
    created_at: str | None = None
    expires_at: str | None = None
    raw_key: str | None = None
    revoked: bool | None = None


class GpgKey(BaseModel):
    """
    A unique encryption key
    """

    id: Annotated[int, Field(example=3)]
    name: Annotated[str | None, Field(example="Octocat's GPG Key")] = None
    primary_key_id: int
    key_id: Annotated[str, Field(example="3262EFF25BA0D270")]
    public_key: Annotated[str, Field(example="xsBNBFayYZ...")]
    emails: Annotated[
        Sequence[Email1],
        Field(
            example=[{"email": "octocat@users.noreply.github.com", "verified": True}]
        ),
    ]
    subkeys: Annotated[
        Sequence[Subkey],
        Field(
            example=[
                {
                    "id": 4,
                    "primary_key_id": 3,
                    "key_id": "4A595D4C72EE49C7",
                    "public_key": "zsBNBFayYZ...",
                    "emails": [],
                    "subkeys": [],
                    "can_sign": False,
                    "can_encrypt_comms": True,
                    "can_encrypt_storage": True,
                    "can_certify": False,
                    "created_at": "2016-03-24T11:31:04-06:00",
                    "expires_at": None,
                    "revoked": False,
                }
            ]
        ),
    ]
    can_sign: Annotated[bool, Field(example=True)]
    can_encrypt_comms: bool
    can_encrypt_storage: bool
    can_certify: Annotated[bool, Field(example=True)]
    created_at: Annotated[datetime, Field(example="2016-03-24T11:31:04-06:00")]
    expires_at: datetime
    revoked: Annotated[bool, Field(example=True)]
    raw_key: str


class Key(BaseModel):
    """
    Key
    """

    key: str
    id: int
    url: str
    title: str
    created_at: datetime
    verified: bool
    read_only: bool


class MarketplaceAccount(BaseModel):
    url: AnyUrl
    id: int
    type: str
    node_id: str | None = None
    login: str
    email: EmailStr | None = None
    organization_billing_email: EmailStr | None = None


class UserMarketplacePurchase(BaseModel):
    """
    User Marketplace Purchase
    """

    billing_cycle: Annotated[str, Field(example="monthly")]
    next_billing_date: Annotated[datetime, Field(example="2017-11-11T00:00:00Z")]
    unit_count: int
    on_free_trial: Annotated[bool, Field(example=True)]
    free_trial_ends_on: Annotated[datetime, Field(example="2017-11-11T00:00:00Z")]
    updated_at: Annotated[datetime, Field(example="2017-11-02T01:12:12Z")]
    account: MarketplaceAccount
    plan: MarketplaceListingPlan


class SshSigningKey(BaseModel):
    """
    A public SSH key used to sign Git commits
    """

    key: str
    id: int
    title: str
    created_at: datetime


class StarredRepository(BaseModel):
    """
    Starred Repository
    """

    starred_at: datetime
    repo: Repository


class Context(BaseModel):
    message: str
    octicon: str


class Hovercard(BaseModel):
    """
    Hovercard
    """

    contexts: Sequence[Context]


class KeySimple(BaseModel):
    """
    Key Simple
    """

    id: int
    key: str


class SimpleInstallation(BaseModel):
    """
    Simple Installation
    """

    id: Annotated[int, Field(example=1)]
    """
    The ID of the installation.
    """
    node_id: Annotated[str, Field(example="MDQ6VXNlcjU4MzIzMQ==")]
    """
    The global node ID of the installation.
    """


class Conclusion3(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    skipped = "skipped"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    startup_failure = "startup_failure"


class Status12(Enum):
    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"
    pending = "pending"
    waiting = "waiting"


class SimpleCheckSuite(BaseModel):
    """
    A suite of checks performed on the code of a given code change
    """

    after: Annotated[
        str | None, Field(example="d6fde92930d4715a2b49857d24b940956b26d2d3")
    ] = None
    app: Integration | None = None
    before: Annotated[
        str | None, Field(example="146e867f55c26428e5f9fade55a9bbf5e95a7912")
    ] = None
    conclusion: Annotated[Conclusion3 | None, Field(example="neutral")] = None
    created_at: datetime | None = None
    head_branch: Annotated[str | None, Field(example="master")] = None
    head_sha: Annotated[
        str | None, Field(example="009b8a3a9ccbb128af87f9b1c0f4c62e8a304f6d")
    ] = None
    """
    The SHA of the head commit that is being checked.
    """
    id: Annotated[int | None, Field(example=5)] = None
    node_id: Annotated[str | None, Field(example="MDEwOkNoZWNrU3VpdGU1")] = None
    pull_requests: Sequence[PullRequestMinimal] | None = None
    repository: MinimalRepository | None = None
    status: Annotated[Status12 | None, Field(example="completed")] = None
    updated_at: datetime | None = None
    url: Annotated[
        str | None,
        Field(example="https://api.github.com/repos/github/hello-world/check-suites/5"),
    ] = None


class Conclusion4(Enum):
    waiting = "waiting"
    pending = "pending"
    startup_failure = "startup_failure"
    stale = "stale"
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    skipped = "skipped"
    timed_out = "timed_out"
    action_required = "action_required"


class Output1(BaseModel):
    annotations_count: int
    annotations_url: AnyUrl
    summary: str
    text: str
    title: str


class Status13(Enum):
    """
    The phase of the lifecycle that the check is currently in.
    """

    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"
    pending = "pending"


class CheckRunWithSimpleCheckSuite(BaseModel):
    """
    A check performed on the code of a given code change
    """

    app: NullableIntegration
    check_suite: SimpleCheckSuite
    completed_at: Annotated[datetime, Field(example="2018-05-04T01:14:52Z")]
    conclusion: Annotated[Conclusion4, Field(example="neutral")]
    deployment: DeploymentSimple | None = None
    details_url: Annotated[str, Field(example="https://example.com")]
    external_id: Annotated[str, Field(example="42")]
    head_sha: Annotated[str, Field(example="009b8a3a9ccbb128af87f9b1c0f4c62e8a304f6d")]
    """
    The SHA of the commit that is being checked.
    """
    html_url: Annotated[
        str, Field(example="https://github.com/github/hello-world/runs/4")
    ]
    id: Annotated[int, Field(example=21)]
    """
    The id of the check.
    """
    name: Annotated[str, Field(example="test-coverage")]
    """
    The name of the check.
    """
    node_id: Annotated[str, Field(example="MDg6Q2hlY2tSdW40")]
    output: Output1
    pull_requests: Sequence[PullRequestMinimal]
    started_at: Annotated[datetime, Field(example="2018-05-04T01:14:52Z")]
    status: Annotated[Status13, Field(example="queued")]
    """
    The phase of the lifecycle that the check is currently in.
    """
    url: Annotated[
        str,
        Field(example="https://api.github.com/repos/github/hello-world/check-runs/4"),
    ]


class ProjectsV2ItemContentType(Enum):
    """
    The type of content tracked in a project item
    """

    Issue = "Issue"
    PullRequest = "PullRequest"
    DraftIssue = "DraftIssue"


class ProjectsV2Item(BaseModel):
    """
    An item belonging to a project
    """

    id: float
    node_id: str | None = None
    project_node_id: str | None = None
    content_node_id: str
    content_type: ProjectsV2ItemContentType
    creator: SimpleUser | None = None
    created_at: Annotated[datetime, Field(example="2022-04-28T12:00:00Z")]
    updated_at: Annotated[datetime, Field(example="2022-04-28T12:00:00Z")]
    archived_at: Annotated[datetime, Field(example="2022-04-28T12:00:00Z")]


class Action(Enum):
    created = "created"


class AllowDeletionsEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class AllowForcePushesEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class LinearHistoryRequirementEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class MergeQueueEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class PullRequestReviewsEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class RequiredConversationResolutionLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class RequiredDeploymentsEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class RequiredStatusChecksEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class SignatureRequirementEnforcementLevel(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class Rule(BaseModel):
    """
    The branch protection rule. Includes a `name` and all the [branch protection settings](https://docs.github.com/en/github/administering-a-repository/defining-the-mergeability-of-pull-requests/about-protected-branches#about-branch-protection-settings) applied to branches that match the name. Binary settings are boolean. Multi-level configurations are one of `off`, `non_admins`, or `everyone`. Actor and build lists are arrays of strings.
    """

    admin_enforced: bool
    allow_deletions_enforcement_level: AllowDeletionsEnforcementLevel
    allow_force_pushes_enforcement_level: AllowForcePushesEnforcementLevel
    authorized_actor_names: Sequence[str]
    authorized_actors_only: bool
    authorized_dismissal_actors_only: bool
    create_protected: bool | None = None
    created_at: datetime
    dismiss_stale_reviews_on_push: bool
    id: int
    ignore_approvals_from_contributors: bool
    linear_history_requirement_enforcement_level: LinearHistoryRequirementEnforcementLevel
    merge_queue_enforcement_level: MergeQueueEnforcementLevel
    name: str
    pull_request_reviews_enforcement_level: PullRequestReviewsEnforcementLevel
    repository_id: int
    require_code_owner_review: bool
    required_approving_review_count: int
    required_conversation_resolution_level: RequiredConversationResolutionLevel
    required_deployments_enforcement_level: RequiredDeploymentsEnforcementLevel
    required_status_checks: Sequence[str]
    required_status_checks_enforcement_level: RequiredStatusChecksEnforcementLevel
    signature_requirement_enforcement_level: SignatureRequirementEnforcementLevel
    strict_required_status_checks_policy: bool
    updated_at: datetime


class WebhookBranchProtectionRuleCreated(BaseModel):
    action: Action
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    rule: Annotated[Rule, Field(title="branch protection rule")]
    """
    The branch protection rule. Includes a `name` and all the [branch protection settings](https://docs.github.com/en/github/administering-a-repository/defining-the-mergeability-of-pull-requests/about-protected-branches#about-branch-protection-settings) applied to branches that match the name. Binary settings are boolean. Multi-level configurations are one of `off`, `non_admins`, or `everyone`. Actor and build lists are arrays of strings.
    """
    sender: SimpleUser


class Action1(Enum):
    deleted = "deleted"


class Rule1(BaseModel):
    """
    The branch protection rule. Includes a `name` and all the [branch protection settings](https://docs.github.com/en/github/administering-a-repository/defining-the-mergeability-of-pull-requests/about-protected-branches#about-branch-protection-settings) applied to branches that match the name. Binary settings are boolean. Multi-level configurations are one of `off`, `non_admins`, or `everyone`. Actor and build lists are arrays of strings.
    """

    admin_enforced: bool
    allow_deletions_enforcement_level: AllowDeletionsEnforcementLevel
    allow_force_pushes_enforcement_level: AllowForcePushesEnforcementLevel
    authorized_actor_names: Sequence[str]
    authorized_actors_only: bool
    authorized_dismissal_actors_only: bool
    create_protected: bool | None = None
    created_at: datetime
    dismiss_stale_reviews_on_push: bool
    id: int
    ignore_approvals_from_contributors: bool
    linear_history_requirement_enforcement_level: LinearHistoryRequirementEnforcementLevel
    merge_queue_enforcement_level: MergeQueueEnforcementLevel
    name: str
    pull_request_reviews_enforcement_level: PullRequestReviewsEnforcementLevel
    repository_id: int
    require_code_owner_review: bool
    required_approving_review_count: int
    required_conversation_resolution_level: RequiredConversationResolutionLevel
    required_deployments_enforcement_level: RequiredDeploymentsEnforcementLevel
    required_status_checks: Sequence[str]
    required_status_checks_enforcement_level: RequiredStatusChecksEnforcementLevel
    signature_requirement_enforcement_level: SignatureRequirementEnforcementLevel
    strict_required_status_checks_policy: bool
    updated_at: datetime


class WebhookBranchProtectionRuleDeleted(BaseModel):
    action: Action1
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    rule: Annotated[Rule1, Field(title="branch protection rule")]
    """
    The branch protection rule. Includes a `name` and all the [branch protection settings](https://docs.github.com/en/github/administering-a-repository/defining-the-mergeability-of-pull-requests/about-protected-branches#about-branch-protection-settings) applied to branches that match the name. Binary settings are boolean. Multi-level configurations are one of `off`, `non_admins`, or `everyone`. Actor and build lists are arrays of strings.
    """
    sender: SimpleUser


class Action2(Enum):
    edited = "edited"


class AdminEnforced(BaseModel):
    from_: Annotated[bool, Field(alias="from")]


class AuthorizedActorNames(BaseModel):
    from_: Annotated[Sequence[str], Field(alias="from")]


class AuthorizedActorsOnly(BaseModel):
    from_: Annotated[bool, Field(alias="from")]


class AuthorizedDismissalActorsOnly(BaseModel):
    from_: Annotated[bool, Field(alias="from")]


class From(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class LinearHistoryRequirementEnforcementLevel2(BaseModel):
    from_: Annotated[From, Field(alias="from")]


class RequiredStatusChecks(BaseModel):
    from_: Annotated[Sequence[str], Field(alias="from")]


class RequiredStatusChecksEnforcementLevel2(BaseModel):
    from_: Annotated[From, Field(alias="from")]


class Changes(BaseModel):
    """
    If the action was `edited`, the changes to the rule.
    """

    admin_enforced: AdminEnforced | None = None
    authorized_actor_names: AuthorizedActorNames | None = None
    authorized_actors_only: AuthorizedActorsOnly | None = None
    authorized_dismissal_actors_only: AuthorizedDismissalActorsOnly | None = None
    linear_history_requirement_enforcement_level: LinearHistoryRequirementEnforcementLevel2 | None = (
        None
    )
    required_status_checks: RequiredStatusChecks | None = None
    required_status_checks_enforcement_level: RequiredStatusChecksEnforcementLevel2 | None = (
        None
    )


class LinearHistoryRequirementEnforcementLevel3(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class RequiredStatusChecksEnforcementLevel3(Enum):
    off = "off"
    non_admins = "non_admins"
    everyone = "everyone"


class Rule2(BaseModel):
    """
    The branch protection rule. Includes a `name` and all the [branch protection settings](https://docs.github.com/en/github/administering-a-repository/defining-the-mergeability-of-pull-requests/about-protected-branches#about-branch-protection-settings) applied to branches that match the name. Binary settings are boolean. Multi-level configurations are one of `off`, `non_admins`, or `everyone`. Actor and build lists are arrays of strings.
    """

    admin_enforced: bool
    allow_deletions_enforcement_level: AllowDeletionsEnforcementLevel
    allow_force_pushes_enforcement_level: AllowForcePushesEnforcementLevel
    authorized_actor_names: Sequence[str]
    authorized_actors_only: bool
    authorized_dismissal_actors_only: bool
    create_protected: bool | None = None
    created_at: datetime
    dismiss_stale_reviews_on_push: bool
    id: int
    ignore_approvals_from_contributors: bool
    linear_history_requirement_enforcement_level: LinearHistoryRequirementEnforcementLevel3
    merge_queue_enforcement_level: MergeQueueEnforcementLevel
    name: str
    pull_request_reviews_enforcement_level: PullRequestReviewsEnforcementLevel
    repository_id: int
    require_code_owner_review: bool
    required_approving_review_count: int
    required_conversation_resolution_level: RequiredConversationResolutionLevel
    required_deployments_enforcement_level: RequiredDeploymentsEnforcementLevel
    required_status_checks: Sequence[str]
    required_status_checks_enforcement_level: RequiredStatusChecksEnforcementLevel3
    signature_requirement_enforcement_level: SignatureRequirementEnforcementLevel
    strict_required_status_checks_policy: bool
    updated_at: datetime


class WebhookBranchProtectionRuleEdited(BaseModel):
    action: Action2
    changes: Changes | None = None
    """
    If the action was `edited`, the changes to the rule.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    rule: Annotated[Rule2, Field(title="branch protection rule")]
    """
    The branch protection rule. Includes a `name` and all the [branch protection settings](https://docs.github.com/en/github/administering-a-repository/defining-the-mergeability-of-pull-requests/about-protected-branches#about-branch-protection-settings) applied to branches that match the name. Binary settings are boolean. Multi-level configurations are one of `off`, `non_admins`, or `everyone`. Actor and build lists are arrays of strings.
    """
    sender: SimpleUser


class Action3(Enum):
    completed = "completed"


class WebhookCheckRunCompleted(BaseModel):
    """
    The status of the check run is now `completed`.
    """

    action: Action3 | None = None
    check_run: CheckRunWithSimpleCheckSuite
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class WebhookCheckRunCompletedFormEncoded(BaseModel):
    """
    The check_run.completed webhook encoded with URL encoding
    """

    payload: str
    """
    A URL-encoded string of the check_run.completed JSON payload. The decoded payload is a JSON object.
    """


class Action4(Enum):
    created = "created"


class WebhookCheckRunCreated(BaseModel):
    """
    A new check run was created.
    """

    action: Action4 | None = None
    check_run: CheckRunWithSimpleCheckSuite
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class WebhookCheckRunCreatedFormEncoded(BaseModel):
    """
    The check_run.created webhook encoded with URL encoding
    """

    payload: str
    """
    A URL-encoded string of the check_run.created JSON payload. The decoded payload is a JSON object.
    """


class Action5(Enum):
    completed = "completed"


class Event1(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    merge_group = "merge_group"
    pull_request_review_thread = "pull_request_review_thread"
    workflow_job = "workflow_job"
    merge_queue_entry = "merge_queue_entry"
    security_and_analysis = "security_and_analysis"
    projects_v2_item = "projects_v2_item"
    secret_scanning_alert_location = "secret_scanning_alert_location"


class Type7(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Actions1(Enum):
    read = "read"
    write = "write"


class Administration1(Enum):
    read = "read"
    write = "write"


class Checks1(Enum):
    read = "read"
    write = "write"


class ContentReferences(Enum):
    read = "read"
    write = "write"


class Contents1(Enum):
    read = "read"
    write = "write"


class Deployments1(Enum):
    read = "read"
    write = "write"


class Discussions(Enum):
    read = "read"
    write = "write"


class Emails(Enum):
    read = "read"
    write = "write"


class Environments1(Enum):
    read = "read"
    write = "write"


class Issues2(Enum):
    read = "read"
    write = "write"


class Keys(Enum):
    read = "read"
    write = "write"


class Members1(Enum):
    read = "read"
    write = "write"


class Metadata3(Enum):
    read = "read"
    write = "write"


class OrganizationAdministration1(Enum):
    read = "read"
    write = "write"


class OrganizationHooks1(Enum):
    read = "read"
    write = "write"


class OrganizationPackages1(Enum):
    read = "read"
    write = "write"


class OrganizationPlan1(Enum):
    read = "read"
    write = "write"


class OrganizationProjects1(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class OrganizationSecrets1(Enum):
    read = "read"
    write = "write"


class OrganizationSelfHostedRunners1(Enum):
    read = "read"
    write = "write"


class OrganizationUserBlocking1(Enum):
    read = "read"
    write = "write"


class Packages1(Enum):
    read = "read"
    write = "write"


class Pages2(Enum):
    read = "read"
    write = "write"


class PullRequests1(Enum):
    read = "read"
    write = "write"


class RepositoryHooks1(Enum):
    read = "read"
    write = "write"


class RepositoryProjects1(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class SecretScanningAlerts1(Enum):
    read = "read"
    write = "write"


class Secrets1(Enum):
    read = "read"
    write = "write"


class SecurityEvents1(Enum):
    read = "read"
    write = "write"


class SecurityScanningAlert(Enum):
    read = "read"
    write = "write"


class SingleFile1(Enum):
    read = "read"
    write = "write"


class Statuses1(Enum):
    read = "read"
    write = "write"


class TeamDiscussions1(Enum):
    read = "read"
    write = "write"


class VulnerabilityAlerts1(Enum):
    read = "read"
    write = "write"


class Workflows1(Enum):
    read = "read"
    write = "write"


class Permissions20(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects1 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects1 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class App2(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event1] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner5, Field(title="User")]
    permissions: Permissions20 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Conclusion5Enum(Enum):
    """
    The summary conclusion for all check runs that are part of the check suite. Can be one of `success`, `failure`, `neutral`, `cancelled`, `timed_out`, `action_required` or `stale`. This value will be `null` until the check run has `completed`.
    """

    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    skipped = "skipped"
    startup_failure = "startup_failure"


class Author6(BaseModel):
    """
    Metaproperties for Git author/committer information.
    """

    date: datetime | None = None
    email: EmailStr
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class Committer5(BaseModel):
    """
    Metaproperties for Git author/committer information.
    """

    date: datetime | None = None
    email: EmailStr
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class HeadCommit(BaseModel):
    author: Annotated[Author6, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    committer: Annotated[Committer5, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    id: str
    message: str
    timestamp: str
    tree_id: str


class Repo5(BaseModel):
    id: int
    name: str
    url: AnyUrl


class Base3(BaseModel):
    ref: str
    repo: Annotated[Repo5, Field(title="Repo Ref")]
    sha: str


class Head3(BaseModel):
    ref: str
    repo: Annotated[Repo5, Field(title="Repo Ref")]
    sha: str


class PullRequest7(BaseModel):
    base: Base3
    head: Head3
    id: int
    number: int
    url: AnyUrl


class Status14Enum(Enum):
    """
    The summary status for all check runs that are part of the check suite. Can be `requested`, `in_progress`, or `completed`.
    """

    requested = "requested"
    in_progress = "in_progress"
    completed = "completed"
    queued = "queued"
    pending = "pending"


class CheckSuite2(BaseModel):
    """
    The [check_suite](https://docs.github.com/en/rest/reference/checks#suites).
    """

    after: str
    app: Annotated[App2, Field(title="App")]
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    before: str
    check_runs_url: AnyUrl
    conclusion: Conclusion5Enum
    """
    The summary conclusion for all check runs that are part of the check suite. Can be one of `success`, `failure`, `neutral`, `cancelled`, `timed_out`, `action_required` or `stale`. This value will be `null` until the check run has `completed`.
    """
    created_at: datetime
    head_branch: str
    """
    The head branch name the changes are on.
    """
    head_commit: Annotated[HeadCommit, Field(title="SimpleCommit")]
    head_sha: str
    """
    The SHA of the head commit that is being checked.
    """
    id: int
    latest_check_runs_count: int
    node_id: str
    pull_requests: Sequence[PullRequest7]
    """
    An array of pull requests that match this check suite. A pull request matches a check suite if they have the same `head_sha` and `head_branch`. When the check suite's `head_branch` is in a forked repository it will be `null` and the `pull_requests` array will be empty.
    """
    rerequestable: bool | None = None
    runs_rerequestable: bool | None = None
    status: Status14Enum
    """
    The summary status for all check runs that are part of the check suite. Can be `requested`, `in_progress`, or `completed`.
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL that points to the check suite API resource.
    """


class WebhookCheckSuiteCompleted(BaseModel):
    action: Action5
    actions_meta: Mapping[str, Any] | None = None
    check_suite: CheckSuite2
    """
    The [check_suite](https://docs.github.com/en/rest/reference/checks#suites).
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action6(Enum):
    appeared_in_branch = "appeared_in_branch"


class DismissedBy(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class DismissedReason2Enum(Enum):
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """

    false_positive = "false positive"
    won_t_fix = "won't fix"
    used_in_tests = "used in tests"


class Location1(BaseModel):
    end_column: int | None = None
    end_line: int | None = None
    path: str | None = None
    start_column: int | None = None
    start_line: int | None = None


class State13(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    dismissed = "dismissed"
    fixed = "fixed"


class Instance(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State13
    """
    State of a code scanning alert.
    """


class MostRecentInstance(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State13
    """
    State of a code scanning alert.
    """


class Severity4Enum(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class Rule3(BaseModel):
    description: str
    """
    A short description of the rule used to detect the alert.
    """
    id: str
    """
    A unique identifier for the rule used to detect the alert.
    """
    severity: Severity4Enum
    """
    The severity of the alert.
    """


class Tool(BaseModel):
    name: str
    """
    The name of the tool used to generate the code scanning analysis alert.
    """
    version: str
    """
    The version of the tool used to detect the alert.
    """


class Alert(BaseModel):
    """
    The code scanning alert involved in the event.
    """

    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ.`
    """
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: Annotated[DismissedBy, Field(title="User")]
    dismissed_reason: DismissedReason2Enum
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances: Sequence[Instance] | None = None
    most_recent_instance: Annotated[
        MostRecentInstance | None, Field(title="Alert Instance")
    ] = None
    number: int
    """
    The code scanning alert number.
    """
    rule: Rule3
    state: State13
    """
    State of a code scanning alert.
    """
    tool: Tool
    url: AnyUrl


class WebhookCodeScanningAlertAppearedInBranch(BaseModel):
    action: Action6
    alert: Alert
    """
    The code scanning alert involved in the event.
    """
    commit_oid: str
    """
    The commit SHA of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    ref: str
    """
    The Git reference of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    repository: Repository
    sender: SimpleUser


class Action7(Enum):
    closed_by_user = "closed_by_user"


class DismissedBy1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class DismissedReason3Enum(Enum):
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """

    false_positive = "false positive"
    won_t_fix = "won't fix"
    used_in_tests = "used in tests"


class State16(Enum):
    dismissed = "dismissed"


class Instance1(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State16
    """
    State of a code scanning alert.
    """


class State17(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    dismissed = "dismissed"
    fixed = "fixed"


class MostRecentInstance1(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State17
    """
    State of a code scanning alert.
    """


class Severity5Enum(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class Rule4(BaseModel):
    description: str
    """
    A short description of the rule used to detect the alert.
    """
    full_description: str | None = None
    help: str | None = None
    help_uri: str | None = None
    """
    A link to the documentation for the rule used to detect the alert.
    """
    id: str
    """
    A unique identifier for the rule used to detect the alert.
    """
    name: str | None = None
    severity: Severity5Enum
    """
    The severity of the alert.
    """
    tags: Sequence[str] | None = None


class State18(Enum):
    """
    State of a code scanning alert.
    """

    dismissed = "dismissed"
    fixed = "fixed"


class Tool1(BaseModel):
    guid: str | None = None
    name: str
    """
    The name of the tool used to generate the code scanning analysis alert.
    """
    version: str
    """
    The version of the tool used to detect the alert.
    """


class Alert1(BaseModel):
    """
    The code scanning alert involved in the event.
    """

    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ.`
    """
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: Annotated[DismissedBy1, Field(title="User")]
    dismissed_reason: DismissedReason3Enum
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances: Sequence[Instance1] | None = None
    most_recent_instance: Annotated[
        MostRecentInstance1 | None, Field(title="Alert Instance")
    ] = None
    number: int
    """
    The code scanning alert number.
    """
    rule: Rule4
    state: State18
    """
    State of a code scanning alert.
    """
    tool: Tool1
    url: AnyUrl


class WebhookCodeScanningAlertClosedByUser(BaseModel):
    action: Action7
    alert: Alert1
    """
    The code scanning alert involved in the event.
    """
    commit_oid: str
    """
    The commit SHA of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    ref: str
    """
    The Git reference of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    repository: Repository
    sender: SimpleUser


class Action8(Enum):
    created = "created"


class State19(Enum):
    open = "open"
    dismissed = "dismissed"


class Instance2(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State19
    """
    State of a code scanning alert.
    """


class State20(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    dismissed = "dismissed"
    fixed = "fixed"


class MostRecentInstance2(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State20
    """
    State of a code scanning alert.
    """


class Severity6Enum(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class Rule5(BaseModel):
    description: str
    """
    A short description of the rule used to detect the alert.
    """
    full_description: str | None = None
    help: str | None = None
    help_uri: str | None = None
    """
    A link to the documentation for the rule used to detect the alert.
    """
    id: str
    """
    A unique identifier for the rule used to detect the alert.
    """
    name: str | None = None
    severity: Severity6Enum
    """
    The severity of the alert.
    """
    tags: Sequence[str] | None = None


class State21(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    dismissed = "dismissed"


class Alert2(BaseModel):
    """
    The code scanning alert involved in the event.
    """

    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ.`
    """
    dismissed_at: Any
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: Any
    dismissed_comment: Annotated[str | None, Field(max_length=280)] = None
    """
    The dismissal comment associated with the dismissal of the alert.
    """
    dismissed_reason: Any
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """
    fixed_at: Any | None = None
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances: Sequence[Instance2] | None = None
    instances_url: str | None = None
    most_recent_instance: Annotated[
        MostRecentInstance2 | None, Field(title="Alert Instance")
    ] = None
    number: int
    """
    The code scanning alert number.
    """
    rule: Rule5
    state: State21
    """
    State of a code scanning alert.
    """
    tool: Tool1
    updated_at: str | None = None
    url: AnyUrl


class WebhookCodeScanningAlertCreated(BaseModel):
    action: Action8
    alert: Alert2
    """
    The code scanning alert involved in the event.
    """
    commit_oid: str
    """
    The commit SHA of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    ref: str
    """
    The Git reference of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    repository: Repository
    sender: SimpleUser


class Action9(Enum):
    fixed = "fixed"


class DismissedBy2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class DismissedReason4Enum(Enum):
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """

    false_positive = "false positive"
    won_t_fix = "won't fix"
    used_in_tests = "used in tests"


class State22(Enum):
    fixed = "fixed"


class Instance3(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State22
    """
    State of a code scanning alert.
    """


class State23(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    dismissed = "dismissed"
    fixed = "fixed"


class MostRecentInstance3(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State23
    """
    State of a code scanning alert.
    """


class Severity7Enum(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class Rule6(BaseModel):
    description: str
    """
    A short description of the rule used to detect the alert.
    """
    full_description: str | None = None
    help: str | None = None
    help_uri: str | None = None
    """
    A link to the documentation for the rule used to detect the alert.
    """
    id: str
    """
    A unique identifier for the rule used to detect the alert.
    """
    name: str | None = None
    severity: Severity7Enum
    """
    The severity of the alert.
    """
    tags: Sequence[str] | None = None


class State24(Enum):
    """
    State of a code scanning alert.
    """

    fixed = "fixed"


class Alert3(BaseModel):
    """
    The code scanning alert involved in the event.
    """

    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ.`
    """
    dismissed_at: datetime
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: Annotated[DismissedBy2, Field(title="User")]
    dismissed_reason: DismissedReason4Enum
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances: Sequence[Instance3] | None = None
    instances_url: AnyUrl | None = None
    most_recent_instance: Annotated[
        MostRecentInstance3 | None, Field(title="Alert Instance")
    ] = None
    number: int
    """
    The code scanning alert number.
    """
    rule: Rule6
    state: State24
    """
    State of a code scanning alert.
    """
    tool: Tool1
    url: AnyUrl


class WebhookCodeScanningAlertFixed(BaseModel):
    action: Action9
    alert: Alert3
    """
    The code scanning alert involved in the event.
    """
    commit_oid: str
    """
    The commit SHA of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    ref: str
    """
    The Git reference of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    repository: Repository
    sender: SimpleUser


class Action10(Enum):
    reopened = "reopened"


class State25(Enum):
    open = "open"


class Instance4(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State25
    """
    State of a code scanning alert.
    """


class State26(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    dismissed = "dismissed"
    fixed = "fixed"


class MostRecentInstance4(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State26
    """
    State of a code scanning alert.
    """


class Severity8Enum(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class Rule7(BaseModel):
    description: str
    """
    A short description of the rule used to detect the alert.
    """
    full_description: str | None = None
    help: str | None = None
    help_uri: str | None = None
    """
    A link to the documentation for the rule used to detect the alert.
    """
    id: str
    """
    A unique identifier for the rule used to detect the alert.
    """
    name: str | None = None
    severity: Severity8Enum
    """
    The severity of the alert.
    """
    tags: Sequence[str] | None = None


class Alert4(BaseModel):
    """
    The code scanning alert involved in the event.
    """

    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ.`
    """
    dismissed_at: str
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: Mapping[str, Any]
    dismissed_reason: str
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances: Sequence[Instance4] | None = None
    most_recent_instance: Annotated[
        MostRecentInstance4 | None, Field(title="Alert Instance")
    ] = None
    number: int
    """
    The code scanning alert number.
    """
    rule: Rule7
    state: State26
    """
    State of a code scanning alert.
    """
    tool: Tool1
    url: AnyUrl


class WebhookCodeScanningAlertReopened(BaseModel):
    action: Action10
    alert: Alert4
    """
    The code scanning alert involved in the event.
    """
    commit_oid: str
    """
    The commit SHA of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    ref: str
    """
    The Git reference of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    repository: Repository
    sender: SimpleUser


class Action11(Enum):
    reopened_by_user = "reopened_by_user"


class State28(Enum):
    open = "open"


class Instance5(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State28
    """
    State of a code scanning alert.
    """


class State29(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    dismissed = "dismissed"
    fixed = "fixed"


class MostRecentInstance5(BaseModel):
    analysis_key: str
    """
    Identifies the configuration under which the analysis was executed. For example, in GitHub Actions this includes the workflow filename and job name.
    """
    classifications: Sequence[str] | None = None
    commit_sha: str | None = None
    environment: str
    """
    Identifies the variable values associated with the environment in which the analysis that generated this alert instance was performed, such as the language that was analyzed.
    """
    location: Location1 | None = None
    message: Message | None = None
    ref: str
    """
    The full Git reference, formatted as `refs/heads/<branch name>`.
    """
    state: State29
    """
    State of a code scanning alert.
    """


class Severity9Enum(Enum):
    """
    The severity of the alert.
    """

    none = "none"
    note = "note"
    warning = "warning"
    error = "error"


class Rule8(BaseModel):
    description: str
    """
    A short description of the rule used to detect the alert.
    """
    id: str
    """
    A unique identifier for the rule used to detect the alert.
    """
    severity: Severity9Enum
    """
    The severity of the alert.
    """


class State30(Enum):
    """
    State of a code scanning alert.
    """

    open = "open"
    fixed = "fixed"


class Tool5(BaseModel):
    name: str
    """
    The name of the tool used to generate the code scanning analysis alert.
    """
    version: str
    """
    The version of the tool used to detect the alert.
    """


class Alert5(BaseModel):
    """
    The code scanning alert involved in the event.
    """

    created_at: datetime
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ.`
    """
    dismissed_at: Any
    """
    The time that the alert was dismissed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    dismissed_by: Any
    dismissed_reason: Any
    """
    The reason for dismissing or closing the alert. Can be one of: `false positive`, `won't fix`, and `used in tests`.
    """
    html_url: AnyUrl
    """
    The GitHub URL of the alert resource.
    """
    instances: Sequence[Instance5] | None = None
    most_recent_instance: Annotated[
        MostRecentInstance5 | None, Field(title="Alert Instance")
    ] = None
    number: int
    """
    The code scanning alert number.
    """
    rule: Rule8
    state: State30
    """
    State of a code scanning alert.
    """
    tool: Tool5
    url: AnyUrl


class WebhookCodeScanningAlertReopenedByUser(BaseModel):
    action: Action11
    alert: Alert5
    """
    The code scanning alert involved in the event.
    """
    commit_oid: str
    """
    The commit SHA of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    ref: str
    """
    The Git reference of the code scanning alert. When the action is `reopened_by_user` or `closed_by_user`, the event was triggered by the `sender` and this value will be empty.
    """
    repository: Repository
    sender: SimpleUser


class Action12(Enum):
    """
    The action performed. Can be `created`.
    """

    created = "created"


class Reactions(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class User3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Comment(BaseModel):
    """
    The [commit comment](https://docs.github.com/en/rest/reference/repos#get-a-commit-comment) resource.
    """

    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the comment.
    """
    commit_id: str
    """
    The SHA of the commit to which the comment applies.
    """
    created_at: str
    html_url: AnyUrl
    id: int
    """
    The ID of the commit comment.
    """
    line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    node_id: str
    """
    The node ID of the commit comment.
    """
    path: str
    """
    The relative path of the file to which the comment applies.
    """
    position: int
    """
    The line index in the diff to which the comment applies.
    """
    reactions: Annotated[Reactions | None, Field(title="Reactions")] = None
    updated_at: str
    url: AnyUrl
    user: Annotated[User3, Field(title="User")]


class WebhookCommitCommentCreated(BaseModel):
    """
    A commit comment is created. The type of activity is specified in the `action` property.
    """

    action: Action12
    """
    The action performed. Can be `created`.
    """
    comment: Comment
    """
    The [commit comment](https://docs.github.com/en/rest/reference/repos#get-a-commit-comment) resource.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class RefType(Enum):
    """
    The type of Git ref object created in the repository.
    """

    tag = "tag"
    branch = "branch"


class WebhookCreate(BaseModel):
    """
    A Git branch or tag is created.
    """

    description: str
    """
    The repository's current description.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    master_branch: str
    """
    The name of the repository's default branch (usually `main`).
    """
    organization: OrganizationSimple | None = None
    pusher_type: str
    """
    The pusher type for the event. Can be either `user` or a deploy key.
    """
    ref: str
    """
    The [`git ref`](https://docs.github.com/en/rest/reference/git#get-a-reference) resource.
    """
    ref_type: RefType
    """
    The type of Git ref object created in the repository.
    """
    repository: Repository
    sender: SimpleUser


class RefType1(Enum):
    """
    The type of Git ref object deleted in the repository.
    """

    tag = "tag"
    branch = "branch"


class WebhookDelete(BaseModel):
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pusher_type: str
    """
    The pusher type for the event. Can be either `user` or a deploy key.
    """
    ref: str
    """
    The [`git ref`](https://docs.github.com/en/rest/reference/git#get-a-reference) resource.
    """
    ref_type: RefType1
    """
    The type of Git ref object deleted in the repository.
    """
    repository: Repository
    sender: SimpleUser


class Action13(Enum):
    created = "created"


class WebhookDependabotAlertCreated(BaseModel):
    action: Action13
    alert: DependabotAlert
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    enterprise: Enterprise | None = None
    repository: Repository
    sender: SimpleUser


class Action14(Enum):
    dismissed = "dismissed"


class WebhookDependabotAlertDismissed(BaseModel):
    action: Action14
    alert: DependabotAlert
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    enterprise: Enterprise | None = None
    repository: Repository
    sender: SimpleUser


class Action15(Enum):
    fixed = "fixed"


class WebhookDependabotAlertFixed(BaseModel):
    action: Action15
    alert: DependabotAlert
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    enterprise: Enterprise | None = None
    repository: Repository
    sender: SimpleUser


class Action16(Enum):
    reintroduced = "reintroduced"


class WebhookDependabotAlertReintroduced(BaseModel):
    action: Action16
    alert: DependabotAlert
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    enterprise: Enterprise | None = None
    repository: Repository
    sender: SimpleUser


class Action17(Enum):
    reopened = "reopened"


class WebhookDependabotAlertReopened(BaseModel):
    action: Action17
    alert: DependabotAlert
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    enterprise: Enterprise | None = None
    repository: Repository
    sender: SimpleUser


class Action18(Enum):
    created = "created"


class Key1(BaseModel):
    """
    The [`deploy key`](https://docs.github.com/en/rest/reference/deployments#get-a-deploy-key) resource.
    """

    added_by: str | None = None
    created_at: str
    id: int
    key: str
    last_used: str | None = None
    read_only: bool
    title: str
    url: AnyUrl
    verified: bool


class WebhookDeployKeyCreated(BaseModel):
    action: Action18
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    key: Key1
    """
    The [`deploy key`](https://docs.github.com/en/rest/reference/deployments#get-a-deploy-key) resource.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action19(Enum):
    deleted = "deleted"


class WebhookDeployKeyDeleted(BaseModel):
    action: Action19
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    key: Key1
    """
    The [`deploy key`](https://docs.github.com/en/rest/reference/deployments#get-a-deploy-key) resource.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action20(Enum):
    created = "created"


class Creator(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Event2(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    workflow_job = "workflow_job"
    pull_request_review_thread = "pull_request_review_thread"
    merge_queue_entry = "merge_queue_entry"
    secret_scanning_alert_location = "secret_scanning_alert_location"
    merge_group = "merge_group"


class Owner6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class OrganizationProjects2(Enum):
    read = "read"
    write = "write"


class RepositoryProjects2(Enum):
    read = "read"
    write = "write"


class Permissions21(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects2 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects2 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event2] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner6, Field(title="User")]
    permissions: Permissions21 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Deployment1(BaseModel):
    """
    The [deployment](https://docs.github.com/en/rest/reference/deployments#list-deployments).
    """

    created_at: str
    creator: Annotated[Creator, Field(title="User")]
    description: str
    environment: str
    id: int
    node_id: str
    original_environment: str
    payload: Mapping[str, Any] | str
    performed_via_github_app: Annotated[
        PerformedViaGithubApp | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    production_environment: bool | None = None
    ref: str
    repository_url: AnyUrl
    sha: str
    statuses_url: AnyUrl
    task: str
    transient_environment: bool | None = None
    updated_at: str
    url: AnyUrl


class Workflow1(BaseModel):
    badge_url: AnyUrl
    created_at: datetime
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    path: str
    state: str
    updated_at: datetime
    url: AnyUrl


class Actor1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Conclusion6Enum(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"


class Owner7(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class HeadRepository(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: Any | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner7 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Base4(BaseModel):
    ref: str
    repo: Annotated[Repo5, Field(title="Repo Ref")]
    sha: str


class Head4(BaseModel):
    ref: str
    repo: Annotated[Repo5, Field(title="Repo Ref")]
    sha: str


class PullRequest8(BaseModel):
    base: Base4
    head: Head4
    id: int
    number: int
    url: AnyUrl


class ReferencedWorkflow1(BaseModel):
    path: str
    ref: str | None = None
    sha: str


class Repository1(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: Any | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner7 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Status15(Enum):
    requested = "requested"
    in_progress = "in_progress"
    completed = "completed"
    queued = "queued"
    waiting = "waiting"
    pending = "pending"


class TriggeringActor(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class WorkflowRun2(BaseModel):
    actor: Annotated[Actor1, Field(title="User")]
    artifacts_url: str | None = None
    cancel_url: str | None = None
    check_suite_id: int
    check_suite_node_id: str
    check_suite_url: str | None = None
    conclusion: Conclusion6Enum
    created_at: datetime
    display_title: str
    event: str
    head_branch: str
    head_commit: Any | None = None
    head_repository: HeadRepository | None = None
    head_sha: str
    html_url: AnyUrl
    id: int
    jobs_url: str | None = None
    logs_url: str | None = None
    name: str
    node_id: str
    path: str
    previous_attempt_url: Any | None = None
    pull_requests: Sequence[PullRequest8]
    referenced_workflows: Sequence[ReferencedWorkflow1] | None = None
    repository: Repository1 | None = None
    rerun_url: str | None = None
    run_attempt: int
    run_number: int
    run_started_at: datetime
    status: Status15
    triggering_actor: Annotated[TriggeringActor | None, Field(title="User")] = None
    updated_at: datetime
    url: AnyUrl
    workflow_id: int
    workflow_url: str | None = None


class WebhookDeploymentCreated(BaseModel):
    action: Action20
    deployment: Annotated[Deployment1, Field(title="Deployment")]
    """
    The [deployment](https://docs.github.com/en/rest/reference/deployments#list-deployments).
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow: Annotated[Workflow1, Field(title="Workflow")]
    workflow_run: Annotated[WorkflowRun2, Field(title="Deployment Workflow Run")]


class Conclusion7Enum(Enum):
    """
    The result of the completed check run. Can be one of `success`, `failure`, `neutral`, `cancelled`, `timed_out`, `action_required` or `stale`. This value will be `null` until the check run has completed.
    """

    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    skipped = "skipped"


class Status16(Enum):
    """
    The current status of the check run. Can be `queued`, `in_progress`, or `completed`.
    """

    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"
    waiting = "waiting"
    pending = "pending"


class CheckRun1(BaseModel):
    completed_at: datetime
    conclusion: Conclusion7Enum
    """
    The result of the completed check run. Can be one of `success`, `failure`, `neutral`, `cancelled`, `timed_out`, `action_required` or `stale`. This value will be `null` until the check run has completed.
    """
    details_url: AnyUrl
    external_id: str
    head_sha: str
    """
    The SHA of the commit that is being checked.
    """
    html_url: AnyUrl
    id: int
    """
    The id of the check.
    """
    name: str
    """
    The name of the check run.
    """
    node_id: str
    started_at: datetime
    status: Status16
    """
    The current status of the check run. Can be `queued`, `in_progress`, or `completed`.
    """
    url: AnyUrl


class Creator1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Event3(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    merge_queue_entry = "merge_queue_entry"
    workflow_job = "workflow_job"
    pull_request_review_thread = "pull_request_review_thread"
    secret_scanning_alert_location = "secret_scanning_alert_location"
    merge_group = "merge_group"


class Owner9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Permissions22(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects2 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects2 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp1(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event3] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner9, Field(title="User")]
    permissions: Permissions22 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Deployment2(BaseModel):
    """
    The [deployment](https://docs.github.com/en/rest/reference/deployments#list-deployments).
    """

    created_at: str
    creator: Annotated[Creator1, Field(title="User")]
    description: str
    environment: str
    id: int
    node_id: str
    original_environment: str
    payload: str | Mapping[str, Any]
    performed_via_github_app: Annotated[
        PerformedViaGithubApp1 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    production_environment: bool | None = None
    ref: str
    repository_url: AnyUrl
    sha: str
    statuses_url: AnyUrl
    task: str
    transient_environment: bool | None = None
    updated_at: str
    url: AnyUrl


class Creator2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Event4(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    pull_request_review_thread = "pull_request_review_thread"
    merge_queue_entry = "merge_queue_entry"
    workflow_job = "workflow_job"
    merge_group = "merge_group"
    secret_scanning_alert_location = "secret_scanning_alert_location"


class Owner10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Permissions23(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects2 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects2 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp2(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event4] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner10, Field(title="User")]
    permissions: Permissions23 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class DeploymentStatus1(BaseModel):
    """
    The [deployment status](https://docs.github.com/en/rest/reference/deployments#list-deployment-statuses).
    """

    created_at: str
    creator: Annotated[Creator2, Field(title="User")]
    deployment_url: AnyUrl
    description: str
    """
    The optional human-readable description added to the status.
    """
    environment: str
    environment_url: AnyUrl | None = None
    id: int
    log_url: AnyUrl | None = None
    node_id: str
    performed_via_github_app: Annotated[
        PerformedViaGithubApp2 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    repository_url: AnyUrl
    state: str
    """
    The new state. Can be `pending`, `success`, `failure`, or `error`.
    """
    target_url: str
    """
    The optional link added to the status.
    """
    updated_at: str
    url: AnyUrl


class Actor2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Conclusion8Enum(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    startup_failure = "startup_failure"


class Owner11(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class HeadRepository1(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: Any | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner11 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Base5(BaseModel):
    ref: str
    repo: Annotated[Repo5, Field(title="Repo Ref")]
    sha: str


class Head5(BaseModel):
    ref: str
    repo: Annotated[Repo5, Field(title="Repo Ref")]
    sha: str


class PullRequest9(BaseModel):
    base: Base5
    head: Head5
    id: int
    number: int
    url: AnyUrl


class Repository2(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: Any | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner11 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Status17(Enum):
    requested = "requested"
    in_progress = "in_progress"
    completed = "completed"
    queued = "queued"
    waiting = "waiting"
    pending = "pending"


class TriggeringActor1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class WorkflowRun3(BaseModel):
    actor: Annotated[Actor2, Field(title="User")]
    artifacts_url: str | None = None
    cancel_url: str | None = None
    check_suite_id: int
    check_suite_node_id: str
    check_suite_url: str | None = None
    conclusion: Conclusion8Enum
    created_at: datetime
    display_title: str
    event: str
    head_branch: str
    head_commit: Any | None = None
    head_repository: HeadRepository1 | None = None
    head_sha: str
    html_url: AnyUrl
    id: int
    jobs_url: str | None = None
    logs_url: str | None = None
    name: str
    node_id: str
    path: str
    previous_attempt_url: Any | None = None
    pull_requests: Sequence[PullRequest9]
    referenced_workflows: Sequence[ReferencedWorkflow1] | None = None
    repository: Repository2 | None = None
    rerun_url: str | None = None
    run_attempt: int
    run_number: int
    run_started_at: datetime
    status: Status17
    triggering_actor: Annotated[TriggeringActor1, Field(title="User")]
    updated_at: datetime
    url: AnyUrl
    workflow_id: int
    workflow_url: str | None = None


class WebhookDeploymentStatusCreated(BaseModel):
    action: Action20
    check_run: CheckRun1 | None = None
    deployment: Annotated[Deployment2, Field(title="Deployment")]
    """
    The [deployment](https://docs.github.com/en/rest/reference/deployments#list-deployments).
    """
    deployment_status: DeploymentStatus1
    """
    The [deployment status](https://docs.github.com/en/rest/reference/deployments#list-deployment-statuses).
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow: Annotated[Workflow1 | None, Field(title="Workflow")] = None
    workflow_run: Annotated[
        WorkflowRun3 | None, Field(title="Deployment Workflow Run")
    ] = None


class Action22(Enum):
    answered = "answered"


class User4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Answer(BaseModel):
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    child_comment_count: int
    created_at: datetime
    discussion_id: int
    html_url: str
    id: int
    node_id: str
    parent_id: Any
    reactions: Annotated[Reactions | None, Field(title="Reactions")] = None
    repository_url: str
    updated_at: datetime
    user: Annotated[User4, Field(title="User")]


class AnswerChosenBy(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category(BaseModel):
    created_at: str | None = None
    description: str | None = None
    emoji: str | None = None
    id: int | None = None
    is_answerable: IsAnswerable
    name: str | None = None
    node_id: str | None = None
    repository_id: int | None = None
    slug: str | None = None
    updated_at: str | None = None


class Reactions2(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State31(Enum):
    open = "open"
    locked = "locked"
    converting = "converting"
    transferring = "transferring"


class User5(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class IsAnswerable(Enum):
    boolean_True = True


class Discussion(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions2 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State31
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User5, Field(title="User")]


class WebhookDiscussionAnswered(BaseModel):
    action: Action22
    answer: Answer
    discussion: Discussion
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action23(Enum):
    category_changed = "category_changed"


class From2(BaseModel):
    created_at: datetime
    description: str
    emoji: str
    id: int
    is_answerable: bool
    name: str
    node_id: str | None = None
    repository_id: int
    slug: str
    updated_at: str


class Category1(BaseModel):
    from_: Annotated[From2, Field(alias="from")]


class Changes1(BaseModel):
    category: Category1


class AnswerChosenBy1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category2(BaseModel):
    created_at: datetime
    description: str
    emoji: str
    id: int
    is_answerable: bool
    name: str
    node_id: str | None = None
    repository_id: int
    slug: str
    updated_at: str


class Reactions3(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class User6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion1(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy1, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category2
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions3 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State31
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User6, Field(title="User")]


class WebhookDiscussionCategoryChanged(BaseModel):
    action: Action23
    changes: Changes1
    discussion: Annotated[Discussion1, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action24(Enum):
    created = "created"


class User7(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Comment1(BaseModel):
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    child_comment_count: int
    created_at: str
    discussion_id: int
    html_url: str
    id: int
    node_id: str
    parent_id: int
    reactions: Annotated[Reactions3, Field(title="Reactions")]
    repository_url: str
    updated_at: str
    user: Annotated[User7, Field(title="User")]


class AnswerChosenBy2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class User8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion2(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy2, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category2
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions3 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State31
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User8, Field(title="User")]


class WebhookDiscussionCommentCreated(BaseModel):
    action: Action24
    comment: Comment1
    discussion: Annotated[Discussion2, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action25(Enum):
    deleted = "deleted"


class User9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Comment2(BaseModel):
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    child_comment_count: int
    created_at: str
    discussion_id: int
    html_url: str
    id: int
    node_id: str
    parent_id: int
    reactions: Annotated[Reactions3, Field(title="Reactions")]
    repository_url: str
    updated_at: str
    user: Annotated[User9, Field(title="User")]


class AnswerChosenBy3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class User10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion3(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy3, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category2
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions3 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State31
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User10, Field(title="User")]


class WebhookDiscussionCommentDeleted(BaseModel):
    action: Action25
    comment: Comment2
    discussion: Annotated[Discussion3, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action26(Enum):
    edited = "edited"


class Body(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Changes2(BaseModel):
    body: Body


class User11(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Comment3(BaseModel):
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    child_comment_count: int
    created_at: str
    discussion_id: int
    html_url: str
    id: int
    node_id: str
    parent_id: int
    reactions: Annotated[Reactions3, Field(title="Reactions")]
    repository_url: str
    updated_at: str
    user: Annotated[User11, Field(title="User")]


class AnswerChosenBy4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class User12(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion4(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy4, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category2
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions3 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State31
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User12, Field(title="User")]


class WebhookDiscussionCommentEdited(BaseModel):
    action: Action26
    changes: Changes2
    comment: Comment3
    discussion: Annotated[Discussion4, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action27(Enum):
    created = "created"


class AnswerChosenBy5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category6(BaseModel):
    created_at: str | None = None
    description: str | None = None
    emoji: str | None = None
    id: int | None = None
    is_answerable: bool | None = None
    name: str | None = None
    node_id: str | None = None
    repository_id: int | None = None
    slug: str | None = None
    updated_at: str | None = None


class Reactions10(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State36(Enum):
    open = "open"
    converting = "converting"
    transferring = "transferring"


class User13(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Locked(Enum):
    boolean_False = False


class Discussion5(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy5, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category6
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions10 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State36
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User13, Field(title="User")]


class WebhookDiscussionCreated(BaseModel):
    action: Action27
    discussion: Discussion5
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action28(Enum):
    deleted = "deleted"


class AnswerChosenBy6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category7(BaseModel):
    created_at: datetime
    description: str
    emoji: str
    id: int
    is_answerable: bool
    name: str
    node_id: str | None = None
    repository_id: int
    slug: str
    updated_at: str


class Reactions11(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State37(Enum):
    open = "open"
    locked = "locked"
    converting = "converting"
    transferring = "transferring"


class User14(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion6(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy6, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category7
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions11 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State37
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User14, Field(title="User")]


class WebhookDiscussionDeleted(BaseModel):
    action: Action28
    discussion: Annotated[Discussion6, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action29(Enum):
    edited = "edited"


class Title(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Changes3(BaseModel):
    body: Body | None = None
    title: Title | None = None


class AnswerChosenBy7(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class User15(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion7(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy7, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category7
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions11 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State37
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User15, Field(title="User")]


class WebhookDiscussionEdited(BaseModel):
    action: Action29
    changes: Changes3 | None = None
    discussion: Annotated[Discussion7, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action30(Enum):
    labeled = "labeled"


class AnswerChosenBy8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class User16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion8(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy8, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category7
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions11 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State37
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User16, Field(title="User")]


class Label8(BaseModel):
    color: str
    """
    6-character hex code, without the leading #, identifying the color
    """
    default: bool
    description: str
    id: int
    name: str
    """
    The name of the label.
    """
    node_id: str
    url: AnyUrl
    """
    URL for the label
    """


class WebhookDiscussionLabeled(BaseModel):
    action: Action30
    discussion: Annotated[Discussion8, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    label: Annotated[Label8, Field(title="Label")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action31(Enum):
    locked = "locked"


class AnswerChosenBy9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category10(BaseModel):
    created_at: str | None = None
    description: str | None = None
    emoji: str | None = None
    id: int | None = None
    is_answerable: bool | None = None
    name: str | None = None
    node_id: str | None = None
    repository_id: int | None = None
    slug: str | None = None
    updated_at: str | None = None


class Reactions14(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State40(Enum):
    locked = "locked"


class User17(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Locked1(Enum):
    boolean_True = True


class Discussion9(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy9, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category10
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions14 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State40
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User17, Field(title="User")]


class WebhookDiscussionLocked(BaseModel):
    action: Action31
    discussion: Discussion9
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action32(Enum):
    pinned = "pinned"


class AnswerChosenBy10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category11(BaseModel):
    created_at: datetime
    description: str
    emoji: str
    id: int
    is_answerable: bool
    name: str
    node_id: str | None = None
    repository_id: int
    slug: str
    updated_at: str


class Reactions15(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State41(Enum):
    open = "open"
    locked = "locked"
    converting = "converting"
    transferring = "transferring"


class User18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion10(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy10, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category11
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions15 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State41
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User18, Field(title="User")]


class WebhookDiscussionPinned(BaseModel):
    action: Action32
    discussion: Annotated[Discussion10, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action33(Enum):
    transferred = "transferred"


class AnswerChosenBy11(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class User19(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class NewDiscussion(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy11, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category11
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions15 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State41
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User19, Field(title="User")]


class License4(BaseModel):
    key: str
    name: str
    node_id: str
    spdx_id: str
    url: AnyUrl


class Owner13(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Permissions24(BaseModel):
    admin: bool
    maintain: bool | None = None
    pull: bool
    push: bool
    triage: bool | None = None


class Visibility5(Enum):
    public = "public"
    private = "private"
    internal = "internal"


class NewRepository(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner13, Field(title="User")]
    permissions: Permissions24 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class Changes4(BaseModel):
    new_discussion: Annotated[NewDiscussion, Field(title="Discussion")]
    new_repository: Annotated[NewRepository, Field(title="Repository")]
    """
    A git repository
    """


class AnswerChosenBy12(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class User20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion11(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy12, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category11
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions15 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State41
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User20, Field(title="User")]


class WebhookDiscussionTransferred(BaseModel):
    action: Action33
    changes: Changes4
    discussion: Annotated[Discussion11, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action34(Enum):
    unanswered = "unanswered"


class AnswerChosenBy13(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category14(BaseModel):
    created_at: str | None = None
    description: str | None = None
    emoji: str | None = None
    id: int | None = None
    is_answerable: IsAnswerable
    name: str | None = None
    node_id: str | None = None
    repository_id: int | None = None
    slug: str | None = None
    updated_at: str | None = None


class Reactions18(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class User21(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Discussion12(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy13, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category14
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions18 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State41
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User21, Field(title="User")]


class Reactions19(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class User22(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class OldAnswer(BaseModel):
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    child_comment_count: int
    created_at: datetime
    discussion_id: int
    html_url: str
    id: int
    node_id: str
    parent_id: Any
    reactions: Annotated[Reactions19 | None, Field(title="Reactions")] = None
    repository_url: str
    updated_at: datetime
    user: Annotated[User22, Field(title="User")]


class WebhookDiscussionUnanswered(BaseModel):
    action: Action34
    discussion: Discussion12
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    old_answer: OldAnswer
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser | None = None


class Action35(Enum):
    unlabeled = "unlabeled"


class AnswerChosenBy14(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category15(BaseModel):
    created_at: datetime
    description: str
    emoji: str
    id: int
    is_answerable: bool
    name: str
    node_id: str | None = None
    repository_id: int
    slug: str
    updated_at: str


class User23(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion13(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy14, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category15
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions19 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State41
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User23, Field(title="User")]


class WebhookDiscussionUnlabeled(BaseModel):
    action: Action35
    discussion: Annotated[Discussion13, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    label: Annotated[Label8, Field(title="Label")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action36(Enum):
    unlocked = "unlocked"


class AnswerChosenBy15(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category16(BaseModel):
    created_at: str | None = None
    description: str | None = None
    emoji: str | None = None
    id: int | None = None
    is_answerable: bool | None = None
    name: str | None = None
    node_id: str | None = None
    repository_id: int | None = None
    slug: str | None = None
    updated_at: str | None = None


class Reactions21(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State46(Enum):
    open = "open"


class User24(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Locked2(Enum):
    boolean_False = False


class Discussion14(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy15, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category16
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions21 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State46
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User24, Field(title="User")]


class WebhookDiscussionUnlocked(BaseModel):
    action: Action36
    discussion: Discussion14
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action37(Enum):
    unpinned = "unpinned"


class AnswerChosenBy16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Category17(BaseModel):
    created_at: datetime
    description: str
    emoji: str
    id: int
    is_answerable: bool
    name: str
    node_id: str | None = None
    repository_id: int
    slug: str
    updated_at: str


class Reactions22(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State47(Enum):
    open = "open"
    locked = "locked"
    converting = "converting"
    transferring = "transferring"


class User25(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Discussion15(BaseModel):
    active_lock_reason: str
    answer_chosen_at: str
    answer_chosen_by: Annotated[AnswerChosenBy16, Field(title="User")]
    answer_html_url: str
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    category: Category17
    comments: int
    created_at: datetime
    html_url: str
    id: int
    locked: bool
    node_id: str
    number: int
    reactions: Annotated[Reactions22 | None, Field(title="Reactions")] = None
    repository_url: str
    state: State47
    timeline_url: str | None = None
    title: str
    updated_at: datetime
    user: Annotated[User25, Field(title="User")]


class WebhookDiscussionUnpinned(BaseModel):
    action: Action37
    discussion: Annotated[Discussion15, Field(title="Discussion")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Owner14(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Fork1(Enum):
    boolean_True = True


class Forkee(BaseModel):
    """
    The created [`repository`](https://docs.github.com/en/rest/reference/repos#get-a-repository) resource.
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner14, Field(title="User")]
    permissions: Permissions24 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class WebhookFork(BaseModel):
    """
    A user forks a repository.
    """

    enterprise: Enterprise | None = None
    forkee: Forkee
    """
    The created [`repository`](https://docs.github.com/en/rest/reference/repos#get-a-repository) resource.
    """
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action38(Enum):
    revoked = "revoked"


class WebhookGithubAppAuthorizationRevoked(BaseModel):
    action: Action38
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser


class Action39(Enum):
    """
    The action that was performed on the page. Can be `created` or `edited`.
    """

    created = "created"
    edited = "edited"


class Page2(BaseModel):
    action: Action39
    """
    The action that was performed on the page. Can be `created` or `edited`.
    """
    html_url: AnyUrl
    """
    Points to the HTML wiki page.
    """
    page_name: str
    """
    The name of the page.
    """
    sha: str
    """
    The latest commit SHA of the page.
    """
    summary: str
    title: str
    """
    The current page title.
    """


class WebhookGollum(BaseModel):
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pages: Sequence[Page2]
    """
    The pages that were updated.
    """
    repository: Repository
    sender: SimpleUser


class Action40(Enum):
    created = "created"


class Repository3(BaseModel):
    full_name: str
    id: int
    """
    Unique identifier of the repository
    """
    name: str
    """
    The name of the repository.
    """
    node_id: str
    private: bool
    """
    Whether the repository is private or public.
    """


class Requester(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class WebhookInstallationCreated(BaseModel):
    action: Action40
    enterprise: Enterprise | None = None
    installation: Installation
    organization: OrganizationSimple | None = None
    repositories: Sequence[Repository3] | None = None
    """
    An array of repository objects that the installation can access.
    """
    repository: Repository | None = None
    requester: Annotated[Requester | None, Field(title="User")] = None
    sender: SimpleUser


class Action41(Enum):
    deleted = "deleted"


class WebhookInstallationDeleted(BaseModel):
    action: Action41
    enterprise: Enterprise | None = None
    installation: Installation
    organization: OrganizationSimple | None = None
    repositories: Sequence[Repository3] | None = None
    """
    An array of repository objects that the installation can access.
    """
    repository: Repository | None = None
    requester: Any | None = None
    sender: SimpleUser


class Action42(Enum):
    new_permissions_accepted = "new_permissions_accepted"


class WebhookInstallationNewPermissionsAccepted(BaseModel):
    action: Action42
    enterprise: Enterprise | None = None
    installation: Installation
    organization: OrganizationSimple | None = None
    repositories: Sequence[Repository3] | None = None
    """
    An array of repository objects that the installation can access.
    """
    repository: Repository | None = None
    requester: Any | None = None
    sender: SimpleUser


class Action43(Enum):
    added = "added"


class RepositoriesAddedItem(BaseModel):
    full_name: str
    id: int
    """
    Unique identifier of the repository
    """
    name: str
    """
    The name of the repository.
    """
    node_id: str
    private: bool
    """
    Whether the repository is private or public.
    """


class RepositoriesRemovedItem(BaseModel):
    full_name: str | None = None
    id: int | None = None
    """
    Unique identifier of the repository
    """
    name: str | None = None
    """
    The name of the repository.
    """
    node_id: str | None = None
    private: bool | None = None
    """
    Whether the repository is private or public.
    """


class Requester1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class WebhookInstallationRepositoriesAdded(BaseModel):
    action: Action43
    enterprise: Enterprise | None = None
    installation: Installation
    organization: OrganizationSimple | None = None
    repositories_added: Sequence[RepositoriesAddedItem]
    """
    An array of repository objects, which were added to the installation.
    """
    repositories_removed: Sequence[RepositoriesRemovedItem]
    """
    An array of repository objects, which were removed from the installation.
    """
    repository: Repository | None = None
    repository_selection: RepositorySelection2
    """
    Describe whether all repositories have been selected or there's a selection involved
    """
    requester: Annotated[Requester1, Field(title="User")]
    sender: SimpleUser


class Action44(Enum):
    removed = "removed"


class RepositoriesRemovedItem1(BaseModel):
    full_name: str
    id: int
    """
    Unique identifier of the repository
    """
    name: str
    """
    The name of the repository.
    """
    node_id: str
    private: bool
    """
    Whether the repository is private or public.
    """


class Requester2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class WebhookInstallationRepositoriesRemoved(BaseModel):
    action: Action44
    enterprise: Enterprise | None = None
    installation: Installation
    organization: OrganizationSimple | None = None
    repositories_added: Sequence[RepositoriesAddedItem]
    """
    An array of repository objects, which were added to the installation.
    """
    repositories_removed: Sequence[RepositoriesRemovedItem1]
    """
    An array of repository objects, which were removed from the installation.
    """
    repository: Repository | None = None
    repository_selection: RepositorySelection2
    """
    Describe whether all repositories have been selected or there's a selection involved
    """
    requester: Annotated[Requester2, Field(title="User")]
    sender: SimpleUser


class Action45(Enum):
    suspend = "suspend"


class WebhookInstallationSuspend(BaseModel):
    action: Action45
    enterprise: Enterprise | None = None
    installation: Installation
    organization: OrganizationSimple | None = None
    repositories: Sequence[Repository3] | None = None
    """
    An array of repository objects that the installation can access.
    """
    repository: Repository | None = None
    requester: Any | None = None
    sender: SimpleUser


class Account(BaseModel):
    avatar_url: str
    created_at: str | None = None
    description: Any | None = None
    events_url: str | None = None
    followers: int | None = None
    followers_url: str | None = None
    following: int | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    has_organization_projects: bool | None = None
    has_repository_projects: bool | None = None
    hooks_url: str | None = None
    html_url: str
    id: int
    is_verified: bool | None = None
    issues_url: str | None = None
    login: str | None = None
    members_url: str | None = None
    name: str | None = None
    node_id: str
    organizations_url: str | None = None
    public_gists: int | None = None
    public_members_url: str | None = None
    public_repos: int | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    slug: str | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    updated_at: str | None = None
    url: str | None = None
    website_url: Any | None = None


class Login(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Slug(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Changes5(BaseModel):
    login: Login | None = None
    slug: Slug | None = None


class WebhookInstallationTargetRenamed(BaseModel):
    account: Account
    action: str
    changes: Changes5
    enterprise: Enterprise | None = None
    installation: SimpleInstallation
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser | None = None
    target_type: str


class Action46(Enum):
    unsuspend = "unsuspend"


class WebhookInstallationUnsuspend(BaseModel):
    action: Action46
    enterprise: Enterprise | None = None
    installation: Installation
    organization: OrganizationSimple | None = None
    repositories: Sequence[Repository3] | None = None
    """
    An array of repository objects that the installation can access.
    """
    repository: Repository | None = None
    requester: Any | None = None
    sender: SimpleUser


class Action47(Enum):
    created = "created"


class User26(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type7 | None = None
    url: AnyUrl | None = None


class Comment4(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/issues#comments) itself.
    """

    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue comment
    """
    created_at: datetime
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the issue comment
    """
    issue_url: AnyUrl
    node_id: str
    performed_via_github_app: NullableIntegration
    reactions: Annotated[Reactions22, Field(title="Reactions")]
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue comment
    """
    user: Annotated[User26, Field(title="User")]


class ActiveLockReasonEnum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type67(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type67 | None = None
    url: AnyUrl | None = None


class Assignee1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type67 | None = None
    url: AnyUrl | None = None


class Creator3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type67 | None = None
    url: AnyUrl | None = None


class State48(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone3(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator3, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State48
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event5(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    reminder = "reminder"
    pull_request_review_thread = "pull_request_review_thread"


class Type70(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner15(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type70 | None = None
    url: AnyUrl | None = None


class OrganizationProjects5(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class RepositoryProjects5(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class Permissions26(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects5 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects5 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp3(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event5] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner15, Field(title="User")]
    permissions: Permissions26 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class PullRequest10(BaseModel):
    diff_url: AnyUrl | None = None
    html_url: AnyUrl | None = None
    merged_at: datetime | None = None
    patch_url: AnyUrl | None = None
    url: AnyUrl | None = None


class Reactions24(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State49(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type71(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User27(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Issue1(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) the comment belongs to.
    """

    active_lock_reason: ActiveLockReasonEnum
    assignee: Annotated[Assignee | None, Field(title="User")] = None
    assignees: Sequence[Assignee1]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone3, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp3 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions24, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State49 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User27, Field(title="User")]


class WebhookIssueCommentCreated(BaseModel):
    action: Action47
    comment: Annotated[Comment4, Field(title="issue comment")]
    """
    The [comment](https://docs.github.com/en/rest/reference/issues#comments) itself.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue1
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) the comment belongs to.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action48(Enum):
    deleted = "deleted"


class Reactions25(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class User28(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type71 | None = None
    url: AnyUrl | None = None


class Comment5(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/issues#comments) itself.
    """

    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue comment
    """
    created_at: datetime
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the issue comment
    """
    issue_url: AnyUrl
    node_id: str
    performed_via_github_app: NullableIntegration
    reactions: Annotated[Reactions25, Field(title="Reactions")]
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue comment
    """
    user: Annotated[User28, Field(title="User")]


class ActiveLockReason1Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type71 | None = None
    url: AnyUrl | None = None


class Assignee3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type71 | None = None
    url: AnyUrl | None = None


class Creator4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type71 | None = None
    url: AnyUrl | None = None


class State50(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone4(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator4, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State50
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event6(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"


class Type76(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type76 | None = None
    url: AnyUrl | None = None


class OrganizationProjects6(Enum):
    read = "read"
    write = "write"


class RepositoryProjects6(Enum):
    read = "read"
    write = "write"


class Permissions27(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects6 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp4(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event6] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner16, Field(title="User")]
    permissions: Permissions27 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions26(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State51(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type77(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User29(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Issue2(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) the comment belongs to.
    """

    active_lock_reason: ActiveLockReason1Enum
    assignee: Annotated[Assignee2 | None, Field(title="User")] = None
    assignees: Sequence[Assignee3]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone4, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp4 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions26, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State51 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User29, Field(title="User")]


class WebhookIssueCommentDeleted(BaseModel):
    action: Action48
    comment: Annotated[Comment5, Field(title="issue comment")]
    """
    The [comment](https://docs.github.com/en/rest/reference/issues#comments) itself.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue2
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) the comment belongs to.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action49(Enum):
    edited = "edited"


class Body2(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the body.
    """


class Changes6(BaseModel):
    """
    The changes to the comment.
    """

    body: Body2 | None = None


class Reactions27(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class User30(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type77 | None = None
    url: AnyUrl | None = None


class Comment6(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/issues#comments) itself.
    """

    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue comment
    """
    created_at: datetime
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the issue comment
    """
    issue_url: AnyUrl
    node_id: str
    performed_via_github_app: NullableIntegration
    reactions: Annotated[Reactions27, Field(title="Reactions")]
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue comment
    """
    user: Annotated[User30, Field(title="User")]


class ActiveLockReason2Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type77 | None = None
    url: AnyUrl | None = None


class Assignee5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type77 | None = None
    url: AnyUrl | None = None


class Creator5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type77 | None = None
    url: AnyUrl | None = None


class State52(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone5(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator5, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State52
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event7(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    reminder = "reminder"
    pull_request_review_thread = "pull_request_review_thread"


class Type82(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner17(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type82 | None = None
    url: AnyUrl | None = None


class OrganizationProjects7(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class Permissions28(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects7 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp5(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event7] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner17, Field(title="User")]
    permissions: Permissions28 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions28(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State53(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type83(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User31(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Issue3(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) the comment belongs to.
    """

    active_lock_reason: ActiveLockReason2Enum
    assignee: Annotated[Assignee4 | None, Field(title="User")] = None
    assignees: Sequence[Assignee5]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone5, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp5 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions28, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State53 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User31, Field(title="User")]


class WebhookIssueCommentEdited(BaseModel):
    action: Action49
    changes: Changes6
    """
    The changes to the comment.
    """
    comment: Annotated[Comment6, Field(title="issue comment")]
    """
    The [comment](https://docs.github.com/en/rest/reference/issues#comments) itself.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue3
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) the comment belongs to.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action50(Enum):
    """
    The action that was performed.
    """

    assigned = "assigned"


class Type84(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type84 | None = None
    url: AnyUrl | None = None


class ActiveLockReason3Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type85(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee7(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type85 | None = None
    url: AnyUrl | None = None


class Assignee8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type85 | None = None
    url: AnyUrl | None = None


class Creator6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type85 | None = None
    url: AnyUrl | None = None


class State54(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone6(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator6, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State54
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type88(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type88 | None = None
    url: AnyUrl | None = None


class Permissions29(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects7 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp6(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event7] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner18, Field(title="User")]
    permissions: Permissions29 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions29(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State55(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type89(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User32(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type89 | None = None
    url: AnyUrl | None = None


class Issue4(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason3Enum
    assignee: Annotated[Assignee7 | None, Field(title="User")] = None
    assignees: Sequence[Assignee8]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone6, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp6 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions29, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State55 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User32, Field(title="User")]


class WebhookIssuesAssigned(BaseModel):
    action: Action50
    """
    The action that was performed.
    """
    assignee: Annotated[Assignee6 | None, Field(title="User")] = None
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue4, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action51(Enum):
    """
    The action that was performed.
    """

    closed = "closed"


class ActiveLockReason4Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type89 | None = None
    url: AnyUrl | None = None


class Assignee10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type89 | None = None
    url: AnyUrl | None = None


class Creator7(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type89 | None = None
    url: AnyUrl | None = None


class State56(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone7(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator7, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State56
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event9(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    security_and_analysis = "security_and_analysis"
    reminder = "reminder"
    pull_request_review_thread = "pull_request_review_thread"


class Type93(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner19(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type93 | None = None
    url: AnyUrl | None = None


class Permissions30(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects7 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp7(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event9] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner19, Field(title="User")]
    permissions: Permissions30 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions30(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State57(Enum):
    closed = "closed"
    open = "open"


class Type94(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User33(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Issue5(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason4Enum
    assignee: Annotated[Assignee9 | None, Field(title="User")] = None
    assignees: Sequence[Assignee10]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone7, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp7 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions30, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State57 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User33, Field(title="User")]


class WebhookIssuesClosed(BaseModel):
    action: Action51
    """
    The action that was performed.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue5
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action52(Enum):
    deleted = "deleted"


class ActiveLockReason5Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type95(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee11(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type95 | None = None
    url: AnyUrl | None = None


class Assignee12(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type95 | None = None
    url: AnyUrl | None = None


class Creator8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type95 | None = None
    url: AnyUrl | None = None


class State58(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone8(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator8, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State58
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event10(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    reminder = "reminder"


class Owner20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type95 | None = None
    url: AnyUrl | None = None


class OrganizationProjects10(Enum):
    read = "read"
    write = "write"


class Permissions31(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects10 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp8(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event10] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner20, Field(title="User")]
    permissions: Permissions31 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions31(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State59(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User34(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type95 | None = None
    url: AnyUrl | None = None


class Issue6(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason5Enum
    assignee: Annotated[Assignee11 | None, Field(title="User")] = None
    assignees: Sequence[Assignee12]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone8, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp8 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions31, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State59 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User34, Field(title="User")]


class WebhookIssuesDeleted(BaseModel):
    action: Action52
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue6, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action53(Enum):
    demilestoned = "demilestoned"


class ActiveLockReason6Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type100(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee13(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type100 | None = None
    url: AnyUrl | None = None


class Assignee14(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type100 | None = None
    url: AnyUrl | None = None


class Creator9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type100 | None = None
    url: AnyUrl | None = None


class State60(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone9(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator9, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State60
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event11(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"


class Type103(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner21(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type103 | None = None
    url: AnyUrl | None = None


class OrganizationProjects11(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class Permissions32(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects11 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp9(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event11] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner21, Field(title="User")]
    permissions: Permissions32 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions32(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State61(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type104(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User35(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Issue7(BaseModel):
    active_lock_reason: ActiveLockReason6Enum
    assignee: Annotated[Assignee13 | None, Field(title="User")] = None
    assignees: Sequence[Assignee14]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone9, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp9 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions32, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State61 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User35, Field(title="User")]


class Creator10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type104 | None = None
    url: AnyUrl | None = None


class State62(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone10(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator10, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State62
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class WebhookIssuesDemilestoned(BaseModel):
    action: Action53
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue7
    milestone: Annotated[Milestone10 | None, Field(title="Milestone")] = None
    """
    A collection of related issues and pull requests.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action54(Enum):
    edited = "edited"


class Title1(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the title.
    """


class Changes7(BaseModel):
    """
    The changes to the issue.
    """

    body: Body2 | None = None
    title: Title1 | None = None


class ActiveLockReason7Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee15(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type104 | None = None
    url: AnyUrl | None = None


class Assignee16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type104 | None = None
    url: AnyUrl | None = None


class Creator11(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type104 | None = None
    url: AnyUrl | None = None


class Milestone11(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator11, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State62
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event12(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    security_and_analysis = "security_and_analysis"
    pull_request_review_thread = "pull_request_review_thread"
    reminder = "reminder"


class Type109(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner22(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type109 | None = None
    url: AnyUrl | None = None


class Permissions33(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects11 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp10(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event12] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner22, Field(title="User")]
    permissions: Permissions33 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions33(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State64(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type110(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User36(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type110 | None = None
    url: AnyUrl | None = None


class Issue8(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason7Enum
    assignee: Annotated[Assignee15 | None, Field(title="User")] = None
    assignees: Sequence[Assignee16]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone11, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp10 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions33, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State64 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User36, Field(title="User")]


class WebhookIssuesEdited(BaseModel):
    action: Action54
    changes: Changes7
    """
    The changes to the issue.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue8, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    label: Annotated[Label8 | None, Field(title="Label")] = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action55(Enum):
    labeled = "labeled"


class ActiveLockReason8Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee17(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type110 | None = None
    url: AnyUrl | None = None


class Assignee18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type110 | None = None
    url: AnyUrl | None = None


class Creator12(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type110 | None = None
    url: AnyUrl | None = None


class State65(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone12(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator12, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State65
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event13(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    pull_request_review_thread = "pull_request_review_thread"
    reminder = "reminder"


class Type114(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner23(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type114 | None = None
    url: AnyUrl | None = None


class Permissions34(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects11 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp11(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event13] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner23, Field(title="User")]
    permissions: Permissions34 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class State66(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type115(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User37(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type115 | None = None
    url: AnyUrl | None = None


class Issue9(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason8Enum
    assignee: Annotated[Assignee17 | None, Field(title="User")] = None
    assignees: Sequence[Assignee18]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone12, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp11 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions33, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State66 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User37, Field(title="User")]


class WebhookIssuesLabeled(BaseModel):
    action: Action55
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue9, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    label: Annotated[Label8 | None, Field(title="Label")] = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action56(Enum):
    locked = "locked"


class ActiveLockReason9Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class ActiveLockReason9(BaseModel):
    __root__: ActiveLockReason9Enum | None = None


class Type116(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee19(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type116 | None = None
    url: AnyUrl | None = None


class Assignee20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type116 | None = None
    url: AnyUrl | None = None


class Creator13(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type116 | None = None
    url: AnyUrl | None = None


class State67(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone13(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator13, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State67
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event14(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    reminder = "reminder"
    security_and_analysis = "security_and_analysis"


class Owner24(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type116 | None = None
    url: AnyUrl | None = None


class OrganizationProjects14(Enum):
    read = "read"
    write = "write"


class Permissions35(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects14 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp12(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event14] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner24, Field(title="User")]
    permissions: Permissions35 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions35(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State68(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User38(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Locked3(Enum):
    boolean_True = True


class Issue10(BaseModel):
    active_lock_reason: ActiveLockReason9Enum
    assignee: Annotated[Assignee19 | None, Field(title="User")] = None
    assignees: Sequence[Assignee20]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone13, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp12 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions35, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State68 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User38, Field(title="User")]


class WebhookIssuesLocked(BaseModel):
    action: Action56
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue10
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action57(Enum):
    milestoned = "milestoned"


class ActiveLockReason10Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee21(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type116 | None = None
    url: AnyUrl | None = None


class Assignee22(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type116 | None = None
    url: AnyUrl | None = None


class Type123(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator14(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type123 | None = None
    url: AnyUrl | None = None


class State69(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone14(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator14, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State69
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event15(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    reminder = "reminder"


class Type124(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner25(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type124 | None = None
    url: AnyUrl | None = None


class OrganizationProjects15(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class Permissions36(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects15 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp13(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event15] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner25, Field(title="User")]
    permissions: Permissions36 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class State70(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Issue11(BaseModel):
    active_lock_reason: ActiveLockReason10Enum
    assignee: Annotated[Assignee21 | None, Field(title="User")] = None
    assignees: Sequence[Assignee22]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone14, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp13 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions35, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State70 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User38, Field(title="User")]


class Type126(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator15(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type126 | None = None
    url: AnyUrl | None = None


class State71(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone15(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator15, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State71
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class WebhookIssuesMilestoned(BaseModel):
    action: Action57
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue11
    milestone: Annotated[Milestone15, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action58(Enum):
    opened = "opened"


class ActiveLockReason11Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type127(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee23(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class Assignee24(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class Creator16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class Milestone16(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator16, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State71
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event16(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"


class Owner26(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class OrganizationProjects16(Enum):
    read = "read"
    write = "write"


class Permissions37(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects16 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp14(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event16] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner26, Field(title="User")]
    permissions: Permissions37 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions37(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State73(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User40(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class OldIssue(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason11Enum
    assignee: Annotated[Assignee23 | None, Field(title="User")] = None
    assignees: Sequence[Assignee24]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone16, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp14 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions37, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State73 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User40, Field(title="User")]


class Owner27(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class Permissions38(BaseModel):
    admin: bool
    maintain: bool | None = None
    pull: bool
    push: bool
    triage: bool | None = None


class OldRepository(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner27, Field(title="User")]
    permissions: Permissions38 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class Changes8(BaseModel):
    old_issue: Annotated[OldIssue, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    old_repository: Annotated[OldRepository, Field(title="Repository")]
    """
    A git repository
    """


class ActiveLockReason12Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee25(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class Assignee26(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type127 | None = None
    url: AnyUrl | None = None


class Type135(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator17(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type135 | None = None
    url: AnyUrl | None = None


class State74(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone17(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator17, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State74
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event17(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    security_and_analysis = "security_and_analysis"
    pull_request_review_thread = "pull_request_review_thread"
    reminder = "reminder"


class Type136(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner28(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type136 | None = None
    url: AnyUrl | None = None


class OrganizationProjects17(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class Permissions39(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects17 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp15(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event17] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner28, Field(title="User")]
    permissions: Permissions39 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions38(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State75(Enum):
    open = "open"
    closed = "closed"


class User41(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Issue12(BaseModel):
    active_lock_reason: ActiveLockReason12Enum
    assignee: Annotated[Assignee25 | None, Field(title="User")] = None
    assignees: Sequence[Assignee26]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone17, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp15 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions38, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State75 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User41, Field(title="User")]


class WebhookIssuesOpened(BaseModel):
    action: Action58
    changes: Changes8 | None = None
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue12
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action59(Enum):
    pinned = "pinned"


class ActiveLockReason13Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee27(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type136 | None = None
    url: AnyUrl | None = None


class Assignee28(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type136 | None = None
    url: AnyUrl | None = None


class Creator18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type136 | None = None
    url: AnyUrl | None = None


class State76(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone18(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator18, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State76
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event18(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"


class Owner29(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type136 | None = None
    url: AnyUrl | None = None


class OrganizationProjects18(Enum):
    read = "read"
    write = "write"


class Permissions40(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects18 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects6 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp16(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event18] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner29, Field(title="User")]
    permissions: Permissions40 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions39(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State77(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User42(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type136 | None = None
    url: AnyUrl | None = None


class Issue13(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason13Enum
    assignee: Annotated[Assignee27 | None, Field(title="User")] = None
    assignees: Sequence[Assignee28]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone18, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp16 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions39, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State77 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User42, Field(title="User")]


class WebhookIssuesPinned(BaseModel):
    action: Action59
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue13, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action60(Enum):
    reopened = "reopened"


class ActiveLockReason14Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee29(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type136 | None = None
    url: AnyUrl | None = None


class Type144(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee30(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type144 | None = None
    url: AnyUrl | None = None


class Creator19(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type144 | None = None
    url: AnyUrl | None = None


class State78(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone19(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator19, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State78
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event19(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    pull_request_review_thread = "pull_request_review_thread"
    reminder = "reminder"


class Type146(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner30(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type146 | None = None
    url: AnyUrl | None = None


class OrganizationProjects19(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class RepositoryProjects19(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class Permissions41(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects19 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects19 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp17(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event19] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner30, Field(title="User")]
    permissions: Permissions41 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions40(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State79(Enum):
    open = "open"
    closed = "closed"


class Type147(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User43(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Issue14(BaseModel):
    active_lock_reason: ActiveLockReason14Enum
    assignee: Annotated[Assignee29 | None, Field(title="User")] = None
    assignees: Sequence[Assignee30]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone19, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp17 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions40, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State79 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User43, Field(title="User")]


class WebhookIssuesReopened(BaseModel):
    action: Action60
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue14
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action61(Enum):
    transferred = "transferred"


class ActiveLockReason15Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type148(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee31(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class Assignee32(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class Creator20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class State80(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone20(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator20, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State80
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event20(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"


class Owner31(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class OrganizationProjects20(Enum):
    read = "read"
    write = "write"


class RepositoryProjects20(Enum):
    read = "read"
    write = "write"


class Permissions42(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects20 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects20 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp18(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event20] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner31, Field(title="User")]
    permissions: Permissions42 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions41(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State81(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User44(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class NewIssue(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason15Enum
    assignee: Annotated[Assignee31 | None, Field(title="User")] = None
    assignees: Sequence[Assignee32]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone20, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp18 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions41, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State81 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User44, Field(title="User")]


class Owner32(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class Permissions43(BaseModel):
    admin: bool
    maintain: bool | None = None
    pull: bool
    push: bool
    triage: bool | None = None


class NewRepository1(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner32, Field(title="User")]
    permissions: Permissions43 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class Changes9(BaseModel):
    new_issue: Annotated[NewIssue, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    new_repository: Annotated[NewRepository1, Field(title="Repository")]
    """
    A git repository
    """


class ActiveLockReason16Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee33(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class Assignee34(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class Creator21(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class State82(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone21(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator21, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State82
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Owner33(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class Permissions44(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects20 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects20 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp19(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event20] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner33, Field(title="User")]
    permissions: Permissions44 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class State83(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User45(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type148 | None = None
    url: AnyUrl | None = None


class Issue15(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason16Enum
    assignee: Annotated[Assignee33 | None, Field(title="User")] = None
    assignees: Sequence[Assignee34]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone21, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp19 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions41, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State83 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User45, Field(title="User")]


class WebhookIssuesTransferred(BaseModel):
    action: Action61
    changes: Changes9
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue15, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action62(Enum):
    """
    The action that was performed.
    """

    unassigned = "unassigned"


class Type159(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee35(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type159 | None = None
    url: AnyUrl | None = None


class ActiveLockReason17Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee36(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type159 | None = None
    url: AnyUrl | None = None


class Assignee37(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type159 | None = None
    url: AnyUrl | None = None


class Creator22(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type159 | None = None
    url: AnyUrl | None = None


class State84(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone22(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator22, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State84
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event22(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"
    reminder = "reminder"
    pull_request_review_thread = "pull_request_review_thread"


class Type163(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner34(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type163 | None = None
    url: AnyUrl | None = None


class OrganizationProjects22(Enum):
    read = "read"
    write = "write"
    admin = "admin"


class Permissions45(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects22 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects20 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp20(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event22] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner34, Field(title="User")]
    permissions: Permissions45 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class State85(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type164(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User46(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type164 | None = None
    url: AnyUrl | None = None


class Issue16(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason17Enum
    assignee: Annotated[Assignee36 | None, Field(title="User")] = None
    assignees: Sequence[Assignee37]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone22, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp20 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions41, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State85 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User46, Field(title="User")]


class WebhookIssuesUnassigned(BaseModel):
    action: Action62
    """
    The action that was performed.
    """
    assignee: Annotated[Assignee35 | None, Field(title="User")] = None
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue16, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action63(Enum):
    unlabeled = "unlabeled"


class ActiveLockReason18Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee38(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type164 | None = None
    url: AnyUrl | None = None


class Assignee39(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type164 | None = None
    url: AnyUrl | None = None


class Creator23(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type164 | None = None
    url: AnyUrl | None = None


class State86(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone23(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator23, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State86
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type168(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Owner35(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type168 | None = None
    url: AnyUrl | None = None


class Permissions46(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects22 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects20 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp21(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event22] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner35, Field(title="User")]
    permissions: Permissions46 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class State87(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Type169(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User47(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type169 | None = None
    url: AnyUrl | None = None


class Issue17(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason18Enum
    assignee: Annotated[Assignee38 | None, Field(title="User")] = None
    assignees: Sequence[Assignee39]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone23, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp21 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions41, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State87 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User47, Field(title="User")]


class WebhookIssuesUnlabeled(BaseModel):
    action: Action63
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue17, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    label: Annotated[Label8 | None, Field(title="Label")] = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action64(Enum):
    unlocked = "unlocked"


class ActiveLockReason19Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type170(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee40(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Assignee41(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Creator24(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class State88(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone24(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator24, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State88
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Event24(Enum):
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    content_reference = "content_reference"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_review = "deployment_review"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_dispatch = "repository_dispatch"
    secret_scanning_alert = "secret_scanning_alert"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_dispatch = "workflow_dispatch"
    workflow_run = "workflow_run"


class Owner36(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class OrganizationProjects24(Enum):
    read = "read"
    write = "write"


class Permissions47(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects24 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects20 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp22(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event24] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner36, Field(title="User")]
    permissions: Permissions47 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions45(BaseModel):
    field_1: Annotated[int | None, Field(alias="+1")] = None
    field_1_1: Annotated[int | None, Field(alias="-1")] = None
    confused: int | None = None
    eyes: int | None = None
    heart: int | None = None
    hooray: int | None = None
    laugh: int | None = None
    rocket: int | None = None
    total_count: int | None = None
    url: str | None = None


class State89(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User48(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Locked4(Enum):
    boolean_False = False


class Issue18(BaseModel):
    active_lock_reason: ActiveLockReason19Enum
    assignee: Annotated[Assignee40 | None, Field(title="User")] = None
    assignees: Sequence[Assignee41]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone24, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp22 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions45, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State89 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User48, Field(title="User")]


class WebhookIssuesUnlocked(BaseModel):
    action: Action64
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Issue18
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action65(Enum):
    unpinned = "unpinned"


class ActiveLockReason20Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee42(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Assignee43(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Creator25(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class State90(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone25(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator25, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State90
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Owner37(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Permissions48(BaseModel):
    """
    The set of permissions for the GitHub app
    """

    actions: Actions1 | None = None
    administration: Administration1 | None = None
    checks: Checks1 | None = None
    content_references: ContentReferences | None = None
    contents: Contents1 | None = None
    deployments: Deployments1 | None = None
    discussions: Discussions | None = None
    emails: Emails | None = None
    environments: Environments1 | None = None
    issues: Issues2 | None = None
    keys: Keys | None = None
    members: Members1 | None = None
    metadata: Metadata3 | None = None
    organization_administration: OrganizationAdministration1 | None = None
    organization_hooks: OrganizationHooks1 | None = None
    organization_packages: OrganizationPackages1 | None = None
    organization_plan: OrganizationPlan1 | None = None
    organization_projects: OrganizationProjects24 | None = None
    organization_secrets: OrganizationSecrets1 | None = None
    organization_self_hosted_runners: OrganizationSelfHostedRunners1 | None = None
    organization_user_blocking: OrganizationUserBlocking1 | None = None
    packages: Packages1 | None = None
    pages: Pages2 | None = None
    pull_requests: PullRequests1 | None = None
    repository_hooks: RepositoryHooks1 | None = None
    repository_projects: RepositoryProjects20 | None = None
    secret_scanning_alerts: SecretScanningAlerts1 | None = None
    secrets: Secrets1 | None = None
    security_events: SecurityEvents1 | None = None
    security_scanning_alert: SecurityScanningAlert | None = None
    single_file: SingleFile1 | None = None
    statuses: Statuses1 | None = None
    team_discussions: TeamDiscussions1 | None = None
    vulnerability_alerts: VulnerabilityAlerts1 | None = None
    workflows: Workflows1 | None = None


class PerformedViaGithubApp23(BaseModel):
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """

    created_at: datetime
    description: str
    events: Sequence[Event24] | None = None
    """
    The list of events for the GitHub app
    """
    external_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the GitHub app
    """
    name: str
    """
    The name of the GitHub app
    """
    node_id: str
    owner: Annotated[Owner37, Field(title="User")]
    permissions: Permissions48 | None = None
    """
    The set of permissions for the GitHub app
    """
    slug: str | None = None
    """
    The slug name of the GitHub app
    """
    updated_at: datetime


class Reactions46(BaseModel):
    field_1: Annotated[int, Field(alias="+1")]
    field_1_1: Annotated[int, Field(alias="-1")]
    confused: int
    eyes: int
    heart: int
    hooray: int
    laugh: int
    rocket: int
    total_count: int
    url: AnyUrl


class State91(Enum):
    """
    State of the issue; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class User49(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Issue19(BaseModel):
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """

    active_lock_reason: ActiveLockReason20Enum
    assignee: Annotated[Assignee42 | None, Field(title="User")] = None
    assignees: Sequence[Assignee43]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    Contents of the issue
    """
    closed_at: datetime
    comments: int
    comments_url: AnyUrl
    created_at: datetime
    draft: bool | None = None
    events_url: AnyUrl
    html_url: AnyUrl
    id: int
    labels: Sequence[Label8] | None = None
    labels_url: str
    locked: bool | None = None
    milestone: Annotated[Milestone25, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    performed_via_github_app: Annotated[
        PerformedViaGithubApp23 | None, Field(title="App")
    ] = None
    """
    GitHub apps are a new way to extend GitHub. They can be installed directly on organizations and user accounts and granted access to specific repositories. They come with granular permissions and built-in webhooks. GitHub apps are first class actors within GitHub.
    """
    pull_request: PullRequest10 | None = None
    reactions: Annotated[Reactions46, Field(title="Reactions")]
    repository_url: AnyUrl
    state: State91 | None = None
    """
    State of the issue; either 'open' or 'closed'
    """
    state_reason: str | None = None
    timeline_url: AnyUrl | None = None
    title: str
    """
    Title of the issue
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the issue
    """
    user: Annotated[User49, Field(title="User")]


class WebhookIssuesUnpinned(BaseModel):
    action: Action65
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    issue: Annotated[Issue19, Field(title="Issue")]
    """
    The [issue](https://docs.github.com/en/rest/reference/issues) itself.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action66(Enum):
    created = "created"


class WebhookLabelCreated(BaseModel):
    action: Action66
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    label: Annotated[Label8, Field(title="Label")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser | None = None


class Action67(Enum):
    deleted = "deleted"


class WebhookLabelDeleted(BaseModel):
    action: Action67
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    label: Annotated[Label8, Field(title="Label")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action68(Enum):
    edited = "edited"


class Color(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the color if the action was `edited`.
    """


class Description(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the description if the action was `edited`.
    """


class Name(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the name if the action was `edited`.
    """


class Changes10(BaseModel):
    """
    The changes to the label if the action was `edited`.
    """

    color: Color | None = None
    description: Description | None = None
    name: Name | None = None


class WebhookLabelEdited(BaseModel):
    action: Action68
    changes: Changes10 | None = None
    """
    The changes to the label if the action was `edited`.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    label: Annotated[Label8, Field(title="Label")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action69(Enum):
    cancelled = "cancelled"


class Account1(BaseModel):
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organization_billing_email: str | None = None
    type: str | None = None


class Plan4(BaseModel):
    bullets: Sequence[str] | None = None
    description: str | None = None
    has_free_trial: bool | None = None
    id: int | None = None
    monthly_price_in_cents: int | None = None
    name: str | None = None
    price_model: str | None = None
    unit_name: str | None = None
    yearly_price_in_cents: int | None = None


class MarketplacePurchase2(BaseModel):
    account: Account1
    billing_cycle: str
    free_trial_ends_on: str
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan4
    unit_count: int


class Account2(BaseModel):
    id: int
    login: str
    node_id: str
    organization_billing_email: str
    type: str


class Plan5(BaseModel):
    bullets: Sequence[str]
    description: str
    has_free_trial: bool
    id: int
    monthly_price_in_cents: int
    name: str
    price_model: str
    unit_name: str
    yearly_price_in_cents: int


class PreviousMarketplacePurchase(BaseModel):
    account: Account2
    billing_cycle: str
    free_trial_ends_on: Any
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan5
    unit_count: int


class WebhookMarketplacePurchaseCancelled(BaseModel):
    action: Action69
    effective_date: str
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    marketplace_purchase: MarketplacePurchase2
    organization: OrganizationSimple | None = None
    previous_marketplace_purchase: Annotated[
        PreviousMarketplacePurchase | None, Field(title="Marketplace Purchase")
    ] = None
    repository: Repository | None = None
    sender: SimpleUser


class Action70(Enum):
    changed = "changed"


class Account3(BaseModel):
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organization_billing_email: str | None = None
    type: str | None = None


class Plan6(BaseModel):
    bullets: Sequence[str] | None = None
    description: str | None = None
    has_free_trial: bool | None = None
    id: int | None = None
    monthly_price_in_cents: int | None = None
    name: str | None = None
    price_model: str | None = None
    unit_name: str | None = None
    yearly_price_in_cents: int | None = None


class MarketplacePurchase3(BaseModel):
    account: Account3
    billing_cycle: str
    free_trial_ends_on: str
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan6
    unit_count: int


class Account4(BaseModel):
    id: int
    login: str
    node_id: str
    organization_billing_email: str
    type: str


class Plan7(BaseModel):
    bullets: Sequence[str]
    description: str
    has_free_trial: bool
    id: int
    monthly_price_in_cents: int
    name: str
    price_model: str
    unit_name: str
    yearly_price_in_cents: int


class PreviousMarketplacePurchase1(BaseModel):
    account: Account4
    billing_cycle: str
    free_trial_ends_on: str
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan7
    unit_count: int


class WebhookMarketplacePurchaseChanged(BaseModel):
    action: Action70
    effective_date: str
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    marketplace_purchase: MarketplacePurchase3
    organization: OrganizationSimple | None = None
    previous_marketplace_purchase: Annotated[
        PreviousMarketplacePurchase1 | None, Field(title="Marketplace Purchase")
    ] = None
    repository: Repository | None = None
    sender: SimpleUser


class Action71(Enum):
    pending_change = "pending_change"


class Account5(BaseModel):
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organization_billing_email: str | None = None
    type: str | None = None


class Plan8(BaseModel):
    bullets: Sequence[str] | None = None
    description: str | None = None
    has_free_trial: bool | None = None
    id: int | None = None
    monthly_price_in_cents: int | None = None
    name: str | None = None
    price_model: str | None = None
    unit_name: str | None = None
    yearly_price_in_cents: int | None = None


class MarketplacePurchase4(BaseModel):
    account: Account5
    billing_cycle: str
    free_trial_ends_on: str
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan8
    unit_count: int


class Account6(BaseModel):
    id: int
    login: str
    node_id: str
    organization_billing_email: str
    type: str


class Plan9(BaseModel):
    bullets: Sequence[str]
    description: str
    has_free_trial: bool
    id: int
    monthly_price_in_cents: int
    name: str
    price_model: str
    unit_name: str
    yearly_price_in_cents: int


class PreviousMarketplacePurchase2(BaseModel):
    account: Account6
    billing_cycle: str
    free_trial_ends_on: str
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan9
    unit_count: int


class WebhookMarketplacePurchasePendingChange(BaseModel):
    action: Action71
    effective_date: str
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    marketplace_purchase: MarketplacePurchase4
    organization: OrganizationSimple | None = None
    previous_marketplace_purchase: Annotated[
        PreviousMarketplacePurchase2 | None, Field(title="Marketplace Purchase")
    ] = None
    repository: Repository | None = None
    sender: SimpleUser


class Action72(Enum):
    pending_change_cancelled = "pending_change_cancelled"


class MarketplacePurchase5(BaseModel):
    account: Account6
    billing_cycle: str
    free_trial_ends_on: Any
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan9
    unit_count: int


class PreviousMarketplacePurchase3(BaseModel):
    account: Account6
    billing_cycle: str
    free_trial_ends_on: Any
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan9
    unit_count: int


class WebhookMarketplacePurchasePendingChangeCancelled(BaseModel):
    action: Action72
    effective_date: str
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    marketplace_purchase: MarketplacePurchase5
    organization: OrganizationSimple | None = None
    previous_marketplace_purchase: Annotated[
        PreviousMarketplacePurchase3 | None, Field(title="Marketplace Purchase")
    ] = None
    repository: Repository | None = None
    sender: SimpleUser


class Action73(Enum):
    purchased = "purchased"


class Account9(BaseModel):
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organization_billing_email: str | None = None
    type: str | None = None


class Plan12(BaseModel):
    bullets: Sequence[str] | None = None
    description: str | None = None
    has_free_trial: bool | None = None
    id: int | None = None
    monthly_price_in_cents: int | None = None
    name: str | None = None
    price_model: str | None = None
    unit_name: str | None = None
    yearly_price_in_cents: int | None = None


class MarketplacePurchase6(BaseModel):
    account: Account9
    billing_cycle: str
    free_trial_ends_on: str
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan12
    unit_count: int


class Account10(BaseModel):
    id: int
    login: str
    node_id: str
    organization_billing_email: str
    type: str


class Plan13(BaseModel):
    bullets: Sequence[str]
    description: str
    has_free_trial: bool
    id: int
    monthly_price_in_cents: int
    name: str
    price_model: str
    unit_name: str
    yearly_price_in_cents: int


class PreviousMarketplacePurchase4(BaseModel):
    account: Account10
    billing_cycle: str
    free_trial_ends_on: Any
    next_billing_date: str | None = None
    on_free_trial: bool
    plan: Plan13
    unit_count: int


class WebhookMarketplacePurchasePurchased(BaseModel):
    action: Action73
    effective_date: str
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    marketplace_purchase: MarketplacePurchase6
    organization: OrganizationSimple | None = None
    previous_marketplace_purchase: Annotated[
        PreviousMarketplacePurchase4 | None, Field(title="Marketplace Purchase")
    ] = None
    repository: Repository | None = None
    sender: SimpleUser


class Action74(Enum):
    added = "added"


class To(Enum):
    write = "write"
    admin = "admin"
    read = "read"


class Permission(BaseModel):
    to: To


class Changes11(BaseModel):
    permission: Permission | None = None


class Member(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class WebhookMemberAdded(BaseModel):
    """
    Activity related to repository collaborators. The type of activity is specified in the action property.
    """

    action: Action74
    changes: Changes11 | None = None
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    member: Annotated[Member, Field(title="User")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action75(Enum):
    edited = "edited"


class OldPermission(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous permissions of the collaborator if the action was edited.
    """


class Permission1(BaseModel):
    from_: Annotated[str | None, Field(alias="from")] = None
    to: str | None = None


class Changes12(BaseModel):
    """
    The changes to the collaborator permissions
    """

    old_permission: OldPermission | None = None
    permission: Permission1 | None = None


class Member1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class WebhookMemberEdited(BaseModel):
    action: Action75
    changes: Changes12
    """
    The changes to the collaborator permissions
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    member: Annotated[Member1, Field(title="User")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action76(Enum):
    removed = "removed"


class Member2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class WebhookMemberRemoved(BaseModel):
    action: Action76
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    member: Annotated[Member2, Field(title="User")]
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action77(Enum):
    added = "added"


class Member3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Scope4(Enum):
    """
    The scope of the membership. Currently, can only be `team`.
    """

    team = "team"


class Sender(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Privacy1(Enum):
    open = "open"
    closed = "closed"
    secret = "secret"


class Parent5(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team2(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent5 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookMembershipAdded(BaseModel):
    action: Action77
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    member: Annotated[Member3, Field(title="User")]
    organization: OrganizationSimple
    repository: Repository | None = None
    scope: Scope4
    """
    The scope of the membership. Currently, can only be `team`.
    """
    sender: Annotated[Sender, Field(title="User")]
    team: Annotated[Team2, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class Action78(Enum):
    removed = "removed"


class Member4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Scope5(Enum):
    """
    The scope of the membership. Currently, can only be `team`.
    """

    team = "team"
    organization = "organization"


class Sender1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type170 | None = None
    url: AnyUrl | None = None


class Parent6(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team3(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent6 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookMembershipRemoved(BaseModel):
    action: Action78
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    member: Annotated[Member4, Field(title="User")]
    organization: OrganizationSimple
    repository: Repository | None = None
    scope: Scope5
    """
    The scope of the membership. Currently, can only be `team`.
    """
    sender: Annotated[Sender1, Field(title="User")]
    team: Annotated[Team3, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class HeadCommit1(BaseModel):
    author: Annotated[Author6, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    committer: Annotated[Committer5, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    id: str
    message: str
    timestamp: str
    tree_id: str


class MergeGroup(BaseModel):
    head_sha: str
    """
    The SHA of the merge group.
    """
    head_ref: str
    """
    The full ref of the merge group.
    """
    base_sha: str
    """
    The SHA of the merge group's parent commit.
    """
    base_ref: str
    """
    The full ref of the branch the merge group will be merged into.
    """
    head_commit: Annotated[HeadCommit1, Field(title="SimpleCommit")]


class WebhookMergeGroupChecksRequested(BaseModel):
    action: str
    installation: SimpleInstallation | None = None
    merge_group: Annotated[MergeGroup, Field(title="MergeGroup")]
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser | None = None


class Action79(Enum):
    deleted = "deleted"


class ContentType(Enum):
    json = "json"
    form = "form"


class Config2(BaseModel):
    content_type: ContentType
    insecure_ssl: str
    secret: str | None = None
    url: AnyUrl


class Event26(Enum):
    field_ = "*"
    branch_protection_rule = "branch_protection_rule"
    check_run = "check_run"
    check_suite = "check_suite"
    code_scanning_alert = "code_scanning_alert"
    commit_comment = "commit_comment"
    create = "create"
    delete = "delete"
    deployment = "deployment"
    deployment_status = "deployment_status"
    deploy_key = "deploy_key"
    discussion = "discussion"
    discussion_comment = "discussion_comment"
    fork = "fork"
    gollum = "gollum"
    issues = "issues"
    issue_comment = "issue_comment"
    label = "label"
    member = "member"
    membership = "membership"
    meta = "meta"
    milestone = "milestone"
    organization = "organization"
    org_block = "org_block"
    package = "package"
    page_build = "page_build"
    project = "project"
    project_card = "project_card"
    project_column = "project_column"
    public = "public"
    pull_request = "pull_request"
    pull_request_review = "pull_request_review"
    pull_request_review_comment = "pull_request_review_comment"
    pull_request_review_thread = "pull_request_review_thread"
    push = "push"
    registry_package = "registry_package"
    release = "release"
    repository = "repository"
    repository_import = "repository_import"
    repository_vulnerability_alert = "repository_vulnerability_alert"
    secret_scanning_alert = "secret_scanning_alert"
    secret_scanning_alert_location = "secret_scanning_alert_location"
    security_and_analysis = "security_and_analysis"
    star = "star"
    status = "status"
    team = "team"
    team_add = "team_add"
    watch = "watch"
    workflow_job = "workflow_job"
    workflow_run = "workflow_run"
    repository_dispatch = "repository_dispatch"
    projects_v2_item = "projects_v2_item"


class Hook1(BaseModel):
    """
    The modified webhook. This will contain different keys based on the type of webhook it is: repository, organization, business, app, or GitHub Marketplace.
    """

    active: bool
    config: Config2
    created_at: str
    events: Sequence[Event26]
    id: int
    name: str
    type: str
    updated_at: str


class WebhookMetaDeleted(BaseModel):
    action: Action79
    enterprise: Enterprise | None = None
    hook: Hook1
    """
    The modified webhook. This will contain different keys based on the type of webhook it is: repository, organization, business, app, or GitHub Marketplace.
    """
    hook_id: int
    """
    The id of the modified webhook.
    """
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: NullableRepository | None = None
    sender: SimpleUser | None = None


class Action80(Enum):
    closed = "closed"


class Type187(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator26(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type187 | None = None
    url: AnyUrl | None = None


class State92(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone26(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator26, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State92
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class WebhookMilestoneClosed(BaseModel):
    action: Action80
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    milestone: Annotated[Milestone26, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action81(Enum):
    created = "created"


class Type188(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Creator27(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type188 | None = None
    url: AnyUrl | None = None


class Milestone27(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator27, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State92
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class WebhookMilestoneCreated(BaseModel):
    action: Action81
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    milestone: Annotated[Milestone27, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action82(Enum):
    deleted = "deleted"


class Type189(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator28(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type189 | None = None
    url: AnyUrl | None = None


class Milestone28(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator28, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State92
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class WebhookMilestoneDeleted(BaseModel):
    action: Action82
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    milestone: Annotated[Milestone28, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action83(Enum):
    edited = "edited"


class DueOn(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the due date if the action was `edited`.
    """


class Title2(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the title if the action was `edited`.
    """


class Changes13(BaseModel):
    """
    The changes to the milestone if the action was `edited`.
    """

    description: Description | None = None
    due_on: DueOn | None = None
    title: Title2 | None = None


class Creator29(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type189 | None = None
    url: AnyUrl | None = None


class Milestone29(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator29, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State92
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class WebhookMilestoneEdited(BaseModel):
    action: Action83
    changes: Changes13
    """
    The changes to the milestone if the action was `edited`.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    milestone: Annotated[Milestone29, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action84(Enum):
    opened = "opened"


class Type191(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Creator30(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Milestone30(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator30, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State92
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class WebhookMilestoneOpened(BaseModel):
    action: Action84
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    milestone: Annotated[Milestone30, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action85(Enum):
    blocked = "blocked"


class BlockedUser(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class WebhookOrgBlockBlocked(BaseModel):
    action: Action85
    blocked_user: Annotated[BlockedUser, Field(title="User")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    repository: Repository | None = None
    sender: SimpleUser


class Action86(Enum):
    unblocked = "unblocked"


class BlockedUser1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class WebhookOrgBlockUnblocked(BaseModel):
    action: Action86
    blocked_user: Annotated[BlockedUser1, Field(title="User")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    repository: Repository | None = None
    sender: SimpleUser


class Action87(Enum):
    deleted = "deleted"


class User50(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Membership(BaseModel):
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """

    organization_url: AnyUrl
    role: str
    state: str
    url: AnyUrl
    user: Annotated[User50, Field(title="User")]


class WebhookOrganizationDeleted(BaseModel):
    action: Action87
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    membership: Annotated[Membership | None, Field(title="Membership")] = None
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """
    organization: OrganizationSimple
    repository: Repository | None = None
    sender: SimpleUser


class Action88(Enum):
    member_added = "member_added"


class User51(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Membership1(BaseModel):
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """

    organization_url: AnyUrl
    role: str
    state: str
    url: AnyUrl
    user: Annotated[User51, Field(title="User")]


class WebhookOrganizationMemberAdded(BaseModel):
    action: Action88
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    membership: Annotated[Membership1, Field(title="Membership")]
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """
    organization: OrganizationSimple
    repository: Repository | None = None
    sender: SimpleUser


class Action89(Enum):
    member_invited = "member_invited"


class Inviter(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Invitation(BaseModel):
    """
    The invitation for the user or email if the action is `member_invited`.
    """

    created_at: datetime
    email: str
    failed_at: datetime
    failed_reason: str
    id: float
    invitation_teams_url: AnyUrl
    inviter: Annotated[Inviter, Field(title="User")]
    login: str
    node_id: str
    role: str
    team_count: float


class User52(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class WebhookOrganizationMemberInvited(BaseModel):
    action: Action89
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    invitation: Invitation
    """
    The invitation for the user or email if the action is `member_invited`.
    """
    organization: OrganizationSimple
    repository: Repository | None = None
    sender: SimpleUser
    user: Annotated[User52 | None, Field(title="User")] = None


class Action90(Enum):
    member_removed = "member_removed"


class User53(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Membership2(BaseModel):
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """

    organization_url: AnyUrl
    role: str
    state: str
    url: AnyUrl
    user: Annotated[User53, Field(title="User")]


class WebhookOrganizationMemberRemoved(BaseModel):
    action: Action90
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    membership: Annotated[Membership2, Field(title="Membership")]
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """
    organization: OrganizationSimple
    repository: Repository | None = None
    sender: SimpleUser


class Action91(Enum):
    renamed = "renamed"


class Login1(BaseModel):
    from_: Annotated[str | None, Field(alias="from")] = None


class Changes14(BaseModel):
    login: Login1 | None = None


class User54(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Membership3(BaseModel):
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """

    organization_url: AnyUrl
    role: str
    state: str
    url: AnyUrl
    user: Annotated[User54, Field(title="User")]


class WebhookOrganizationRenamed(BaseModel):
    action: Action91
    changes: Changes14 | None = None
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    membership: Annotated[Membership3 | None, Field(title="Membership")] = None
    """
    The membership between the user and the organization. Not present when the action is `member_invited`.
    """
    organization: OrganizationSimple
    repository: Repository | None = None
    sender: SimpleUser


class Action92(Enum):
    published = "published"


class Owner38(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Author8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Tag1(BaseModel):
    digest: str | None = None
    name: str | None = None


class ContainerMetadata(BaseModel):
    labels: Mapping[str, Any] | None = None
    manifest: Mapping[str, Any] | None = None
    tag: Tag1 | None = None


class NpmMetadata(BaseModel):
    name: str | None = None
    version: str | None = None
    npm_user: str | None = None
    author: Mapping[str, Any] | None = None
    bugs: Mapping[str, Any] | None = None
    dependencies: Mapping[str, Any] | None = None
    dev_dependencies: Mapping[str, Any] | None = None
    peer_dependencies: Mapping[str, Any] | None = None
    optional_dependencies: Mapping[str, Any] | None = None
    description: str | None = None
    dist: Mapping[str, Any] | None = None
    git_head: str | None = None
    homepage: str | None = None
    license: str | None = None
    main: str | None = None
    repository: Mapping[str, Any] | None = None
    scripts: Mapping[str, Any] | None = None
    id: str | None = None
    node_version: str | None = None
    npm_version: str | None = None
    has_shrinkwrap: bool | None = None
    maintainers: Sequence[Mapping[str, Any]] | None = None
    contributors: Sequence[Mapping[str, Any]] | None = None
    engines: Mapping[str, Any] | None = None
    keywords: Sequence[str] | None = None
    files: Sequence[str] | None = None
    bin: Mapping[str, Any] | None = None
    man: Mapping[str, Any] | None = None
    directories: Mapping[str, Any] | None = None
    os: Sequence[str] | None = None
    cpu: Sequence[str] | None = None
    readme: str | None = None
    installation_command: str | None = None
    release_id: int | None = None
    commit_oid: str | None = None
    published_via_actions: bool | None = None
    deleted_by_id: int | None = None


class ValueItem(BaseModel):
    url: str | None = None
    branch: str | None = None
    commit: str | None = None
    type: str | None = None


class NugetMetadatum(BaseModel):
    id: int | str | None = None
    name: str | None = None
    value: bool | str | int | ValueItem | None = None


class PackageFile(BaseModel):
    content_type: str
    created_at: str
    download_url: AnyUrl
    id: int
    md5: str
    name: str
    sha1: str
    sha256: str
    size: int
    state: str
    updated_at: str


class Author9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Release1(BaseModel):
    author: Annotated[Author9, Field(title="User")]
    created_at: str
    draft: bool
    html_url: AnyUrl
    id: int
    name: str
    prerelease: bool
    published_at: str
    tag_name: str
    target_commitish: str
    url: AnyUrl


class PackageVersion1(BaseModel):
    author: Annotated[Author8 | None, Field(title="User")] = None
    body: str | Mapping[str, Any] | None = None
    body_html: str | None = None
    container_metadata: ContainerMetadata | None = None
    created_at: str | None = None
    description: str
    docker_metadata: Sequence | None = None
    draft: bool | None = None
    html_url: AnyUrl
    id: int
    installation_command: str
    manifest: str | None = None
    metadata: Sequence[Mapping[str, Any]]
    name: str
    npm_metadata: NpmMetadata | None = None
    nuget_metadata: Sequence[NugetMetadatum] | None = None
    package_files: Sequence[PackageFile]
    package_url: str | None = None
    prerelease: bool | None = None
    release: Release1 | None = None
    rubygems_metadata: Sequence | None = None
    source_url: str | None = None
    summary: str
    tag_name: str | None = None
    target_commitish: str | None = None
    target_oid: str | None = None
    updated_at: str | None = None
    version: str


class Registry(BaseModel):
    about_url: AnyUrl
    name: str
    type: str
    url: AnyUrl
    vendor: str


class Package1(BaseModel):
    """
    Information about the package.
    """

    created_at: str
    description: str
    ecosystem: str
    html_url: AnyUrl
    id: int
    name: str
    namespace: str
    owner: Annotated[Owner38, Field(title="User")]
    package_type: str
    package_version: PackageVersion1
    registry: Registry
    updated_at: str


class WebhookPackagePublished(BaseModel):
    action: Action92
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    package: Package1
    """
    Information about the package.
    """
    repository: Repository | None = None
    sender: SimpleUser


class Action93(Enum):
    updated = "updated"


class Owner39(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Author10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Author11(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Release2(BaseModel):
    author: Annotated[Author11, Field(title="User")]
    created_at: str
    draft: bool
    html_url: AnyUrl
    id: int
    name: str
    prerelease: bool
    published_at: str
    tag_name: str
    target_commitish: str
    url: AnyUrl


class PackageVersion2(BaseModel):
    author: Annotated[Author10, Field(title="User")]
    body: str
    body_html: str
    created_at: str
    description: str
    docker_metadata: Sequence | None = None
    draft: bool | None = None
    html_url: AnyUrl
    id: int
    installation_command: str
    manifest: str | None = None
    metadata: Sequence
    name: str
    package_files: Sequence[PackageFile]
    package_url: str | None = None
    prerelease: bool | None = None
    release: Release2 | None = None
    rubygems_metadata: Sequence | None = None
    source_url: AnyUrl | None = None
    summary: str
    tag_name: str | None = None
    target_commitish: str
    target_oid: str
    updated_at: str
    version: str


class Package2(BaseModel):
    """
    Information about the package.
    """

    created_at: str
    description: str
    ecosystem: str
    html_url: AnyUrl
    id: int
    name: str
    namespace: str
    owner: Annotated[Owner39, Field(title="User")]
    package_type: str
    package_version: PackageVersion2
    registry: Registry
    updated_at: str


class WebhookPackageUpdated(BaseModel):
    action: Action93
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    package: Package2
    """
    Information about the package.
    """
    repository: Repository
    sender: SimpleUser


class Action94(Enum):
    create = "create"


class AllLabels(BaseModel):
    com_github_base_image_id: Annotated[
        str | None, Field(alias="com.github.base_image.id")
    ] = None
    com_github_base_image_repo_digest: Annotated[
        str | None, Field(alias="com.github.base_image.repo_digest")
    ] = None
    com_github_repo_branch: Annotated[
        str | None, Field(alias="com.github.repo.branch")
    ] = None
    ghes_licenses_path: Annotated[str | None, Field(alias="ghes.licenses.path")] = None
    org_opencontainers_image_created: Annotated[
        str | None, Field(alias="org.opencontainers.image.created")
    ] = None
    org_opencontainers_image_description: Annotated[
        str | None, Field(alias="org.opencontainers.image.description")
    ] = None
    org_opencontainers_image_documentation: Annotated[
        str | None, Field(alias="org.opencontainers.image.documentation")
    ] = None
    org_opencontainers_image_revision: Annotated[
        str | None, Field(alias="org.opencontainers.image.revision")
    ] = None
    org_opencontainers_image_source: Annotated[
        str | None, Field(alias="org.opencontainers.image.source")
    ] = None


class Labels(BaseModel):
    all_labels: AllLabels
    description: str
    image_url: str
    licenses: str
    revision: str
    source: str


class Config3(BaseModel):
    digest: str
    media_type: str
    size: int


class Layer(BaseModel):
    digest: str
    media_type: str
    size: int


class Manifest1(BaseModel):
    config: Config3
    digest: str
    layers: Sequence[Layer]
    media_type: str
    size: int
    uri: str


class Tag2(BaseModel):
    digest: str
    name: str


class ContainerMetadata1(BaseModel):
    labels: Labels
    manifest: Manifest1
    tag: Tag2


class PackageVersion3(BaseModel):
    blob_store: str
    container_metadata: ContainerMetadata1 | None = None
    created_at: str
    description: str
    html_url: str
    id: int
    name: str
    updated_at: str


class Package3(BaseModel):
    created_at: str
    description: str
    ecosystem: str
    html_url: str
    id: int
    name: str
    namespace: str
    package_version: PackageVersion3
    updated_at: str


class WebhookPackageV2Create(BaseModel):
    action: Action94
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    package: Package3
    repository: Repository | None = None
    sender: SimpleUser


class Pusher(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class Build(BaseModel):
    """
    The [List GitHub Pages builds](https://docs.github.com/en/rest/reference/repos#list-github-pages-builds) itself.
    """

    commit: str
    created_at: str
    duration: int
    error: Error2
    pusher: Annotated[Pusher, Field(title="User")]
    status: str
    updated_at: str
    url: AnyUrl


class WebhookPageBuild(BaseModel):
    """
    Page Build
    """

    build: Build
    """
    The [List GitHub Pages builds](https://docs.github.com/en/rest/reference/repos#list-github-pages-builds) itself.
    """
    enterprise: Enterprise | None = None
    id: int
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Config4(BaseModel):
    content_type: Annotated[str | None, Field(example='"json"')] = None
    """
    The media type used to serialize the payloads. Supported values include `json` and `form`. The default is `form`.
    """
    insecure_ssl: str | float | None = None
    secret: Annotated[str | None, Field(example='"********"')] = None
    """
    If provided, the `secret` will be used as the `key` to generate the HMAC hex digest value for [delivery signature headers](https://docs.github.com/webhooks/event-payloads/#delivery-headers).
    """
    url: Annotated[AnyUrl | None, Field(example="https://example.com/webhook")] = None
    """
    The URL to which the payloads will be delivered.
    """


class Name1(Enum):
    """
    The type of webhook. The only valid value is 'web'.
    """

    web = "web"


class Hook2(BaseModel):
    """
    The webhook that is being pinged
    """

    active: bool
    """
    Determines whether the hook is actually triggered for the events it subscribes to.
    """
    app_id: int | None = None
    """
    Only included for GitHub Apps. When you register a new GitHub App, GitHub sends a ping event to the webhook URL you specified during registration. The GitHub App ID sent in this field is required for authenticating an app.
    """
    config: Config4
    created_at: datetime
    deliveries_url: AnyUrl | None = None
    events: Sequence[str]
    """
    Determines what events the hook is triggered for. Default: ['push'].
    """
    id: int
    """
    Unique identifier of the webhook.
    """
    last_response: HookResponse | None = None
    name: Name1
    """
    The type of webhook. The only valid value is 'web'.
    """
    ping_url: AnyUrl | None = None
    test_url: AnyUrl | None = None
    type: str
    updated_at: datetime
    url: AnyUrl | None = None


class WebhookPing(BaseModel):
    """
    The webhooks ping payload
    """

    hook: Annotated[Hook2 | None, Field(title="Webhook")] = None
    """
    The webhook that is being pinged
    """
    hook_id: int | None = None
    """
    The ID of the webhook that triggered the ping.
    """
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser | None = None
    zen: str | None = None
    """
    Random string of GitHub zen.
    """


class WebhookPingFormEncoded(BaseModel):
    """
    The webhooks ping payload encoded with URL encoding.
    """

    payload: str
    """
    A URL-encoded string of the ping JSON payload. The decoded payload is a JSON object.
    """


class Action95(Enum):
    converted = "converted"


class Note(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Changes15(BaseModel):
    note: Note


class Creator31(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class ProjectCard5(BaseModel):
    after_id: int | None = None
    archived: bool
    """
    Whether or not the card is archived
    """
    column_id: int
    column_url: AnyUrl
    content_url: AnyUrl | None = None
    created_at: datetime
    creator: Annotated[Creator31, Field(title="User")]
    id: int
    """
    The project card's ID
    """
    node_id: str
    note: str
    project_url: AnyUrl
    updated_at: datetime
    url: AnyUrl


class WebhookProjectCardConverted(BaseModel):
    action: Action95
    changes: Changes15
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_card: Annotated[ProjectCard5, Field(title="Project Card")]
    repository: Repository | None = None
    sender: SimpleUser


class Action96(Enum):
    created = "created"


class Creator32(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type191 | None = None
    url: AnyUrl | None = None


class ProjectCard6(BaseModel):
    after_id: int | None = None
    archived: bool
    """
    Whether or not the card is archived
    """
    column_id: int
    column_url: AnyUrl
    content_url: AnyUrl | None = None
    created_at: datetime
    creator: Annotated[Creator32, Field(title="User")]
    id: int
    """
    The project card's ID
    """
    node_id: str
    note: str
    project_url: AnyUrl
    updated_at: datetime
    url: AnyUrl


class WebhookProjectCardCreated(BaseModel):
    action: Action96
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_card: Annotated[ProjectCard6, Field(title="Project Card")]
    repository: Repository | None = None
    sender: SimpleUser


class Action97(Enum):
    deleted = "deleted"


class Type209(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator33(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type209 | None = None
    url: AnyUrl | None = None


class ProjectCard7(BaseModel):
    after_id: int | None = None
    archived: bool
    """
    Whether or not the card is archived
    """
    column_id: int
    column_url: AnyUrl
    content_url: AnyUrl | None = None
    created_at: datetime
    creator: Annotated[Creator33, Field(title="User")]
    id: int
    """
    The project card's ID
    """
    node_id: str
    note: str
    project_url: AnyUrl
    updated_at: datetime
    url: AnyUrl


class WebhookProjectCardDeleted(BaseModel):
    action: Action97
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_card: Annotated[ProjectCard7, Field(title="Project Card")]
    repository: NullableRepository | None = None
    sender: SimpleUser


class Action98(Enum):
    edited = "edited"


class Changes16(BaseModel):
    note: Note


class Type210(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Creator34(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type210 | None = None
    url: AnyUrl | None = None


class ProjectCard8(BaseModel):
    after_id: int | None = None
    archived: bool
    """
    Whether or not the card is archived
    """
    column_id: int
    column_url: AnyUrl
    content_url: AnyUrl | None = None
    created_at: datetime
    creator: Annotated[Creator34, Field(title="User")]
    id: int
    """
    The project card's ID
    """
    node_id: str
    note: str
    project_url: AnyUrl
    updated_at: datetime
    url: AnyUrl


class WebhookProjectCardEdited(BaseModel):
    action: Action98
    changes: Changes16
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_card: Annotated[ProjectCard8, Field(title="Project Card")]
    repository: Repository | None = None
    sender: SimpleUser


class Action99(Enum):
    moved = "moved"


class ColumnId(BaseModel):
    from_: Annotated[int, Field(alias="from")]


class Changes17(BaseModel):
    column_id: ColumnId


class Type211(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator35(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class ProjectCard9(BaseModel):
    after_id: int | None = None
    archived: bool
    """
    Whether or not the card is archived
    """
    column_id: int
    column_url: AnyUrl
    content_url: AnyUrl | None = None
    created_at: datetime
    creator: Annotated[Creator35, Field(title="User")]
    id: int
    """
    The project card's ID
    """
    node_id: str
    note: str
    project_url: AnyUrl
    updated_at: datetime
    url: AnyUrl


class WebhookProjectCardMoved(BaseModel):
    action: Action99
    changes: Changes17 | None = None
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_card: ProjectCard9
    repository: Repository | None = None
    sender: SimpleUser


class Action100(Enum):
    closed = "closed"


class Type212(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Creator36(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type212 | None = None
    url: AnyUrl | None = None


class State97(Enum):
    """
    State of the project; either 'open' or 'closed'
    """

    open = "open"
    closed = "closed"


class Project1(BaseModel):
    body: str
    """
    Body of the project
    """
    columns_url: AnyUrl
    created_at: datetime
    creator: Annotated[Creator36, Field(title="User")]
    html_url: AnyUrl
    id: int
    name: str
    """
    Name of the project
    """
    node_id: str
    number: int
    owner_url: AnyUrl
    state: State97
    """
    State of the project; either 'open' or 'closed'
    """
    updated_at: datetime
    url: AnyUrl


class WebhookProjectClosed(BaseModel):
    action: Action100
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project: Annotated[Project1, Field(title="Project")]
    repository: Repository | None = None
    sender: SimpleUser


class Action101(Enum):
    created = "created"


class ProjectColumn1(BaseModel):
    after_id: int | None = None
    cards_url: AnyUrl
    created_at: datetime
    id: int
    """
    The unique identifier of the project column
    """
    name: str
    """
    Name of the project column
    """
    node_id: str
    project_url: AnyUrl
    updated_at: datetime
    url: AnyUrl


class WebhookProjectColumnCreated(BaseModel):
    action: Action101
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_column: Annotated[ProjectColumn1, Field(title="Project Column")]
    repository: Repository | None = None
    sender: SimpleUser | None = None


class Action102(Enum):
    deleted = "deleted"


class WebhookProjectColumnDeleted(BaseModel):
    action: Action102
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_column: Annotated[ProjectColumn1, Field(title="Project Column")]
    repository: NullableRepository | None = None
    sender: SimpleUser | None = None


class Action103(Enum):
    edited = "edited"


class Name2(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Changes18(BaseModel):
    name: Name2 | None = None


class WebhookProjectColumnEdited(BaseModel):
    action: Action103
    changes: Changes18
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_column: Annotated[ProjectColumn1, Field(title="Project Column")]
    repository: Repository | None = None
    sender: SimpleUser | None = None


class Action104(Enum):
    moved = "moved"


class WebhookProjectColumnMoved(BaseModel):
    action: Action104
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project_column: Annotated[ProjectColumn1, Field(title="Project Column")]
    repository: Repository | None = None
    sender: SimpleUser


class Action105(Enum):
    created = "created"


class Creator37(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type212 | None = None
    url: AnyUrl | None = None


class Project2(BaseModel):
    body: str
    """
    Body of the project
    """
    columns_url: AnyUrl
    created_at: datetime
    creator: Annotated[Creator37, Field(title="User")]
    html_url: AnyUrl
    id: int
    name: str
    """
    Name of the project
    """
    node_id: str
    number: int
    owner_url: AnyUrl
    state: State97
    """
    State of the project; either 'open' or 'closed'
    """
    updated_at: datetime
    url: AnyUrl


class WebhookProjectCreated(BaseModel):
    action: Action105
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project: Annotated[Project2, Field(title="Project")]
    repository: Repository | None = None
    sender: SimpleUser


class Action106(Enum):
    deleted = "deleted"


class Creator38(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type212 | None = None
    url: AnyUrl | None = None


class Project3(BaseModel):
    body: str
    """
    Body of the project
    """
    columns_url: AnyUrl
    created_at: datetime
    creator: Annotated[Creator38, Field(title="User")]
    html_url: AnyUrl
    id: int
    name: str
    """
    Name of the project
    """
    node_id: str
    number: int
    owner_url: AnyUrl
    state: State97
    """
    State of the project; either 'open' or 'closed'
    """
    updated_at: datetime
    url: AnyUrl


class WebhookProjectDeleted(BaseModel):
    action: Action106
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project: Annotated[Project3, Field(title="Project")]
    repository: NullableRepository | None = None
    sender: SimpleUser | None = None


class Action107(Enum):
    edited = "edited"


class Body4(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the body if the action was `edited`.
    """


class Name3(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The changes to the project if the action was `edited`.
    """


class Changes19(BaseModel):
    """
    The changes to the project if the action was `edited`.
    """

    body: Body4 | None = None
    name: Name3 | None = None


class Creator39(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type212 | None = None
    url: AnyUrl | None = None


class Project4(BaseModel):
    body: str
    """
    Body of the project
    """
    columns_url: AnyUrl
    created_at: datetime
    creator: Annotated[Creator39, Field(title="User")]
    html_url: AnyUrl
    id: int
    name: str
    """
    Name of the project
    """
    node_id: str
    number: int
    owner_url: AnyUrl
    state: State97
    """
    State of the project; either 'open' or 'closed'
    """
    updated_at: datetime
    url: AnyUrl


class WebhookProjectEdited(BaseModel):
    action: Action107
    changes: Changes19 | None = None
    """
    The changes to the project if the action was `edited`.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project: Annotated[Project4, Field(title="Project")]
    repository: Repository | None = None
    sender: SimpleUser | None = None


class Action108(Enum):
    reopened = "reopened"


class Creator40(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type212 | None = None
    url: AnyUrl | None = None


class Project5(BaseModel):
    body: str
    """
    Body of the project
    """
    columns_url: AnyUrl
    created_at: datetime
    creator: Annotated[Creator40, Field(title="User")]
    html_url: AnyUrl
    id: int
    name: str
    """
    Name of the project
    """
    node_id: str
    number: int
    owner_url: AnyUrl
    state: State97
    """
    State of the project; either 'open' or 'closed'
    """
    updated_at: datetime
    url: AnyUrl


class WebhookProjectReopened(BaseModel):
    action: Action108
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    project: Annotated[Project5, Field(title="Project")]
    repository: Repository | None = None
    sender: SimpleUser


class Action109(Enum):
    archived = "archived"


class ArchivedAt(BaseModel):
    from_: Annotated[datetime | None, Field(alias="from")] = None
    to: datetime | None = None


class Changes20(BaseModel):
    archived_at: ArchivedAt | None = None


class WebhookProjectsV2ItemArchived(BaseModel):
    action: Action109
    changes: Changes20
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    projects_v2_item: ProjectsV2Item
    sender: SimpleUser


class Action110(Enum):
    converted = "converted"


class ContentType1(BaseModel):
    from_: Annotated[str | None, Field(alias="from")] = None
    to: str | None = None


class Changes21(BaseModel):
    content_type: ContentType1 | None = None


class WebhookProjectsV2ItemConverted(BaseModel):
    action: Action110
    changes: Changes21
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    projects_v2_item: ProjectsV2Item
    sender: SimpleUser


class Action111(Enum):
    created = "created"


class WebhookProjectsV2ItemCreated(BaseModel):
    action: Action111
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    projects_v2_item: ProjectsV2Item
    sender: SimpleUser


class Action112(Enum):
    deleted = "deleted"


class WebhookProjectsV2ItemDeleted(BaseModel):
    action: Action112
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    projects_v2_item: ProjectsV2Item
    sender: SimpleUser


class Action113(Enum):
    edited = "edited"


class FieldValue(BaseModel):
    field_node_id: str | None = None
    field_type: str | None = None


class Change(BaseModel):
    field_value: FieldValue


class Body5(BaseModel):
    from_: Annotated[str | None, Field(alias="from")] = None
    to: str | None = None


class Change1(BaseModel):
    body: Body5


class WebhookProjectsV2ItemEdited(BaseModel):
    action: Action113
    changes: Change | Change1 | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    projects_v2_item: ProjectsV2Item
    sender: SimpleUser


class Action114(Enum):
    reordered = "reordered"


class PreviousProjectsV2ItemNodeId(BaseModel):
    from_: Annotated[str | None, Field(alias="from")] = None
    to: str | None = None


class Changes22(BaseModel):
    previous_projects_v2_item_node_id: PreviousProjectsV2ItemNodeId | None = None


class WebhookProjectsV2ItemReordered(BaseModel):
    action: Action114
    changes: Changes22
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    projects_v2_item: ProjectsV2Item
    sender: SimpleUser


class Action115(Enum):
    restored = "restored"


class Changes23(BaseModel):
    archived_at: ArchivedAt | None = None


class WebhookProjectsV2ItemRestored(BaseModel):
    action: Action115
    changes: Changes23
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    projects_v2_item: ProjectsV2Item
    sender: SimpleUser


class WebhookPublic(BaseModel):
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action116(Enum):
    assigned = "assigned"


class Assignee44(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type212 | None = None
    url: AnyUrl | None = None


class Comments1(BaseModel):
    href: str


class Commits(BaseModel):
    href: str


class Issue20(BaseModel):
    href: str


class ReviewComment1(BaseModel):
    href: str


class ReviewComments(BaseModel):
    href: str


class Self1(BaseModel):
    href: str


class Statuses26(BaseModel):
    href: str


class FieldLinks16(BaseModel):
    comments: Annotated[Comments1, Field(title="Link")]
    commits: Annotated[Commits, Field(title="Link")]
    html: Annotated[Html2, Field(title="Link")]
    issue: Annotated[Issue20, Field(title="Link")]
    review_comment: Annotated[ReviewComment1, Field(title="Link")]
    review_comments: Annotated[ReviewComments, Field(title="Link")]
    self: Annotated[Self1, Field(title="Link")]
    statuses: Annotated[Statuses26, Field(title="Link")]


class ActiveLockReason21Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type218(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee45(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type218 | None = None
    url: AnyUrl | None = None


class Assignee46(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type218 | None = None
    url: AnyUrl | None = None


class Type220(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type220 | None = None
    url: AnyUrl | None = None


class AutoMerge1(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class MergeCommitTitle5(Enum):
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner40(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type220 | None = None
    url: AnyUrl | None = None


class Permissions49(BaseModel):
    admin: bool
    maintain: bool | None = None
    pull: bool
    push: bool
    triage: bool | None = None


class Repo11(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle5 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner40, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User55(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type220 | None = None
    url: AnyUrl | None = None


class Base6(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo11, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User55, Field(title="User")]


class Owner41(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type220 | None = None
    url: AnyUrl | None = None


class Repo12(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle5 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner41, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User56(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type220 | None = None
    url: AnyUrl | None = None


class Head6(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo12, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User56, Field(title="User")]


class MergedBy(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type220 | None = None
    url: AnyUrl | None = None


class Type226(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator41(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type226 | None = None
    url: AnyUrl | None = None


class State102(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone31(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator41, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State102
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type226 | None = None
    url: AnyUrl | None = None


class Parent7(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer1(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent7 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent8(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent8 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State103(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User57(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type226 | None = None
    url: AnyUrl | None = None


class PullRequest31(BaseModel):
    field_links: Annotated[FieldLinks16, Field(alias="_links")]
    active_lock_reason: ActiveLockReason21Enum
    additions: int | None = None
    assignee: Annotated[Assignee45, Field(title="User")]
    assignees: Sequence[Assignee46]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge1, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base6
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head6
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy | None, Field(title="User")] = None
    milestone: Annotated[Milestone31, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer | RequestedReviewer1]
    requested_teams: Sequence[RequestedTeam]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State103
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User57, Field(title="User")]


class WebhookPullRequestAssigned(BaseModel):
    action: Action116
    assignee: Annotated[Assignee44, Field(title="User")]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest31, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser


class Action117(Enum):
    auto_merge_disabled = "auto_merge_disabled"


class FieldLinks17(BaseModel):
    comments: Annotated[Comments1, Field(title="Link")]
    commits: Annotated[Commits, Field(title="Link")]
    html: Annotated[Html2, Field(title="Link")]
    issue: Annotated[Issue20, Field(title="Link")]
    review_comment: Annotated[ReviewComment1, Field(title="Link")]
    review_comments: Annotated[ReviewComments, Field(title="Link")]
    self: Annotated[Self1, Field(title="Link")]
    statuses: Annotated[Statuses26, Field(title="Link")]


class ActiveLockReason22Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type229(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee47(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class Assignee48(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class EnabledBy1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class AutoMerge2(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy1, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner42(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class Repo13(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle5 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner42, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User58(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class Base7(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo13, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User58, Field(title="User")]


class Owner43(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class Repo14(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle5 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner43, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User59(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class Head7(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo14, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User59, Field(title="User")]


class MergedBy1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class Creator42(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type229 | None = None
    url: AnyUrl | None = None


class State104(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone32(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator42, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State104
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type238(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class RequestedReviewer2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type238 | None = None
    url: AnyUrl | None = None


class Parent9(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer3(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent9 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent10(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam1(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent10 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State105(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User60(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type238 | None = None
    url: AnyUrl | None = None


class PullRequest32(BaseModel):
    field_links: Annotated[FieldLinks17, Field(alias="_links")]
    active_lock_reason: ActiveLockReason22Enum
    additions: int | None = None
    assignee: Annotated[Assignee47, Field(title="User")]
    assignees: Sequence[Assignee48]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge2, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base7
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head7
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy1 | None, Field(title="User")] = None
    milestone: Annotated[Milestone32, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer2 | RequestedReviewer3]
    requested_teams: Sequence[RequestedTeam1]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State105
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User60, Field(title="User")]


class WebhookPullRequestAutoMergeDisabled(BaseModel):
    action: Action117
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest32, Field(title="Pull Request")]
    reason: str
    repository: Repository
    sender: SimpleUser


class Action118(Enum):
    auto_merge_enabled = "auto_merge_enabled"


class FieldLinks18(BaseModel):
    comments: Annotated[Comments1, Field(title="Link")]
    commits: Annotated[Commits, Field(title="Link")]
    html: Annotated[Html2, Field(title="Link")]
    issue: Annotated[Issue20, Field(title="Link")]
    review_comment: Annotated[ReviewComment1, Field(title="Link")]
    review_comments: Annotated[ReviewComments, Field(title="Link")]
    self: Annotated[Self1, Field(title="Link")]
    statuses: Annotated[Statuses26, Field(title="Link")]


class ActiveLockReason23Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type240(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee49(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class Assignee50(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class EnabledBy2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class AutoMerge3(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy2, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner44(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class Repo15(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle5 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner44, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User61(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class Base8(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo15, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User61, Field(title="User")]


class Owner45(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class Repo16(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle5 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner45, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User62(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class Head8(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo16, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User62, Field(title="User")]


class MergedBy2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type240 | None = None
    url: AnyUrl | None = None


class Type248(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator43(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type248 | None = None
    url: AnyUrl | None = None


class State106(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone33(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator43, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State106
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type248 | None = None
    url: AnyUrl | None = None


class Parent11(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer5(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent11 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent12(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam2(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent12 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State107(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User63(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type248 | None = None
    url: AnyUrl | None = None


class PullRequest33(BaseModel):
    field_links: Annotated[FieldLinks18, Field(alias="_links")]
    active_lock_reason: ActiveLockReason23Enum
    additions: int | None = None
    assignee: Annotated[Assignee49, Field(title="User")]
    assignees: Sequence[Assignee50]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge3, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base8
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head8
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy2 | None, Field(title="User")] = None
    milestone: Annotated[Milestone33, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer4 | RequestedReviewer5]
    requested_teams: Sequence[RequestedTeam2]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State107
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User63, Field(title="User")]


class WebhookPullRequestAutoMergeEnabled(BaseModel):
    action: Action118
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest33, Field(title="Pull Request")]
    reason: str | None = None
    repository: Repository
    sender: SimpleUser


class Action119(Enum):
    closed = "closed"


class Comments4(BaseModel):
    href: str | None = None


class Commits3(BaseModel):
    href: str | None = None


class Html6(BaseModel):
    href: str | None = None


class Issue23(BaseModel):
    href: str | None = None


class ReviewComment4(BaseModel):
    href: str | None = None


class ReviewComments3(BaseModel):
    href: str | None = None


class Self4(BaseModel):
    href: str | None = None


class Statuses29(BaseModel):
    href: str | None = None


class FieldLinks19(BaseModel):
    comments: Comments4 | None = None
    commits: Commits3 | None = None
    html: Html6 | None = None
    issue: Issue23 | None = None
    review_comment: ReviewComment4 | None = None
    review_comments: ReviewComments3 | None = None
    self: Self4 | None = None
    statuses: Statuses29 | None = None


class ActiveLockReason24Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee51(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type248 | None = None
    url: AnyUrl | None = None


class Assignee52(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type248 | None = None
    url: AnyUrl | None = None


class Type253(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type253 | None = None
    url: AnyUrl | None = None


class AutoMerge4(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy3, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class MergeCommitMessage11(Enum):
    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle11(Enum):
    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner46(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class SquashMergeCommitMessage11(Enum):
    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class SquashMergeCommitTitle11(Enum):
    PR_TITLE = "PR_TITLE"
    COMMIT_OR_PR_TITLE = "COMMIT_OR_PR_TITLE"


class Repo17(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage11 | None = None
    merge_commit_title: MergeCommitTitle11 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner46 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage11 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle11 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class User64(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Base9(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo17 | None = None
    sha: str | None = None
    user: User64 | None = None


class Repo18(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage11 | None = None
    merge_commit_title: MergeCommitTitle11 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner46 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage11 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle11 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Head9(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo18 | None = None
    sha: str | None = None
    user: User64 | None = None


class MergedBy3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type253 | None = None
    url: AnyUrl | None = None


class Type259(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator44(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type259 | None = None
    url: AnyUrl | None = None


class State108(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone34(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator44, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State108
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type259 | None = None
    url: AnyUrl | None = None


class Parent13(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer7(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent13 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent14(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam3(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent14 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State109(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    closed = "closed"
    open = "open"


class PullRequest34(BaseModel):
    field_links: Annotated[FieldLinks19, Field(alias="_links")]
    active_lock_reason: ActiveLockReason24Enum
    additions: int | None = None
    assignee: Annotated[Assignee51, Field(title="User")]
    assignees: Sequence[Assignee52]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge4, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base9
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head9
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy3 | None, Field(title="User")] = None
    milestone: Annotated[Milestone34, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer6 | RequestedReviewer7]
    requested_teams: Sequence[RequestedTeam3]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State109
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User64, Field(title="User")]


class WebhookPullRequestClosed(BaseModel):
    action: Action119
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: PullRequest34
    repository: Repository
    sender: SimpleUser


class Action120(Enum):
    converted_to_draft = "converted_to_draft"


class FieldLinks20(BaseModel):
    comments: Comments4 | None = None
    commits: Commits3 | None = None
    html: Html6 | None = None
    issue: Issue23 | None = None
    review_comment: ReviewComment4 | None = None
    review_comments: ReviewComments3 | None = None
    self: Self4 | None = None
    statuses: Statuses29 | None = None


class ActiveLockReason25Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type262(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee53(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type262 | None = None
    url: AnyUrl | None = None


class Assignee54(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type262 | None = None
    url: AnyUrl | None = None


class EnabledBy4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type262 | None = None
    url: AnyUrl | None = None


class AutoMerge5(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy4, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Repo19(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage11 | None = None
    merge_commit_title: MergeCommitTitle11 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: Any | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner46 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage11 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle11 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Base10(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo19 | None = None
    sha: str | None = None
    user: User64 | None = None


class Repo20(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage11 | None = None
    merge_commit_title: MergeCommitTitle11 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: Any | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner46 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage11 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle11 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Head10(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo20 | None = None
    sha: str | None = None
    user: User64 | None = None


class MergedBy4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type262 | None = None
    url: AnyUrl | None = None


class Creator45(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type262 | None = None
    url: AnyUrl | None = None


class State110(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone35(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator45, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State110
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type262 | None = None
    url: AnyUrl | None = None


class Parent15(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer9(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent15 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent16(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam4(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent16 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State111(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class Type272(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Merged(Enum):
    boolean_False = False


class PullRequest35(BaseModel):
    field_links: Annotated[FieldLinks20, Field(alias="_links")]
    active_lock_reason: ActiveLockReason25Enum
    additions: int | None = None
    assignee: Annotated[Assignee53, Field(title="User")]
    assignees: Sequence[Assignee54]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge5, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base10
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head10
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy4 | None, Field(title="User")] = None
    milestone: Annotated[Milestone35, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer8 | RequestedReviewer9]
    requested_teams: Sequence[RequestedTeam4]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State111
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User64, Field(title="User")]


class WebhookPullRequestConvertedToDraft(BaseModel):
    action: Action120
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: PullRequest35
    repository: Repository
    sender: SimpleUser


class Action121(Enum):
    demilestoned = "demilestoned"


class Comments6(BaseModel):
    href: str


class Commits5(BaseModel):
    href: str


class Html8(BaseModel):
    href: str


class Issue25(BaseModel):
    href: str


class ReviewComment6(BaseModel):
    href: str


class ReviewComments5(BaseModel):
    href: str


class Self6(BaseModel):
    href: str


class Statuses31(BaseModel):
    href: str


class FieldLinks21(BaseModel):
    comments: Annotated[Comments6, Field(title="Link")]
    commits: Annotated[Commits5, Field(title="Link")]
    html: Annotated[Html8, Field(title="Link")]
    issue: Annotated[Issue25, Field(title="Link")]
    review_comment: Annotated[ReviewComment6, Field(title="Link")]
    review_comments: Annotated[ReviewComments5, Field(title="Link")]
    self: Annotated[Self6, Field(title="Link")]
    statuses: Annotated[Statuses31, Field(title="Link")]


class ActiveLockReason26Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee55(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type272 | None = None
    url: AnyUrl | None = None


class Assignee56(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type272 | None = None
    url: AnyUrl | None = None


class Type275(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type275 | None = None
    url: AnyUrl | None = None


class AutoMerge6(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy5, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class MergeCommitMessage15(Enum):
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle15(Enum):
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner50(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type275 | None = None
    url: AnyUrl | None = None


class SquashMergeCommitMessage15(Enum):
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class SquashMergeCommitTitle15(Enum):
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """

    PR_TITLE = "PR_TITLE"
    COMMIT_OR_PR_TITLE = "COMMIT_OR_PR_TITLE"


class Repo21(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner50, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage15 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User70(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type275 | None = None
    url: AnyUrl | None = None


class Base11(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo21, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User70, Field(title="User")]


class Owner51(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type275 | None = None
    url: AnyUrl | None = None


class Repo22(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner51, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage15 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User71(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type275 | None = None
    url: AnyUrl | None = None


class Head11(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo22, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User71, Field(title="User")]


class Type280(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class MergedBy5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type280 | None = None
    url: AnyUrl | None = None


class Creator46(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type280 | None = None
    url: AnyUrl | None = None


class State112(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone36(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator46, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State112
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type282(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class RequestedReviewer10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type282 | None = None
    url: AnyUrl | None = None


class Parent17(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer11(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent17 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent18(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam5(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent18 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State113(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class Type283(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User72(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type283 | None = None
    url: AnyUrl | None = None


class PullRequest36(BaseModel):
    field_links: Annotated[FieldLinks21, Field(alias="_links")]
    active_lock_reason: ActiveLockReason26Enum
    additions: int | None = None
    assignee: Annotated[Assignee55, Field(title="User")]
    assignees: Sequence[Assignee56]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge6, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base11
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head11
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy5 | None, Field(title="User")] = None
    milestone: Annotated[Milestone36, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer10 | RequestedReviewer11]
    requested_teams: Sequence[RequestedTeam5]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State113
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User72, Field(title="User")]


class WebhookPullRequestDemilestoned(BaseModel):
    action: Action121
    enterprise: Enterprise | None = None
    milestone: Milestone2 | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest36, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser | None = None


class Action122(Enum):
    edited = "edited"


class Ref(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Sha(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Base12(BaseModel):
    ref: Ref
    sha: Sha


class Body6(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the body if the action was `edited`.
    """


class Changes24(BaseModel):
    """
    The changes to the comment if the action was `edited`.
    """

    base: Base12 | None = None
    body: Body6 | None = None
    title: Title2 | None = None


class FieldLinks22(BaseModel):
    comments: Annotated[Comments6, Field(title="Link")]
    commits: Annotated[Commits5, Field(title="Link")]
    html: Annotated[Html8, Field(title="Link")]
    issue: Annotated[Issue25, Field(title="Link")]
    review_comment: Annotated[ReviewComment6, Field(title="Link")]
    review_comments: Annotated[ReviewComments5, Field(title="Link")]
    self: Annotated[Self6, Field(title="Link")]
    statuses: Annotated[Statuses31, Field(title="Link")]


class ActiveLockReason27Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee57(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type283 | None = None
    url: AnyUrl | None = None


class Assignee58(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type283 | None = None
    url: AnyUrl | None = None


class Type286(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type286 | None = None
    url: AnyUrl | None = None


class AutoMerge7(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy6, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner52(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type286 | None = None
    url: AnyUrl | None = None


class Repo23(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner52, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage15 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User73(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type286 | None = None
    url: AnyUrl | None = None


class Base13(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo23, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User73, Field(title="User")]


class Owner53(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type286 | None = None
    url: AnyUrl | None = None


class SquashMergeCommitMessage18(Enum):
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"
    BLANK_1 = "BLANK"


class Repo24(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner53, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage18 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User74(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type286 | None = None
    url: AnyUrl | None = None


class Head12(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo24, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User74, Field(title="User")]


class Type291(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class MergedBy6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type291 | None = None
    url: AnyUrl | None = None


class Creator47(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type291 | None = None
    url: AnyUrl | None = None


class State114(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone37(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator47, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State114
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer12(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type291 | None = None
    url: AnyUrl | None = None


class Parent19(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer13(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent19 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent20(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam6(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent20 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State115(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User75(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type291 | None = None
    url: AnyUrl | None = None


class PullRequest37(BaseModel):
    field_links: Annotated[FieldLinks22, Field(alias="_links")]
    active_lock_reason: ActiveLockReason27Enum
    additions: int | None = None
    assignee: Annotated[Assignee57, Field(title="User")]
    assignees: Sequence[Assignee58]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge7, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base13
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head12
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy6 | None, Field(title="User")] = None
    milestone: Annotated[Milestone37, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer12 | RequestedReviewer13]
    requested_teams: Sequence[RequestedTeam6]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State115
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User75, Field(title="User")]


class WebhookPullRequestEdited(BaseModel):
    action: Action122
    changes: Changes24
    """
    The changes to the comment if the action was `edited`.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest37, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser | None = None


class Action123(Enum):
    labeled = "labeled"


class FieldLinks23(BaseModel):
    comments: Annotated[Comments6, Field(title="Link")]
    commits: Annotated[Commits5, Field(title="Link")]
    html: Annotated[Html8, Field(title="Link")]
    issue: Annotated[Issue25, Field(title="Link")]
    review_comment: Annotated[ReviewComment6, Field(title="Link")]
    review_comments: Annotated[ReviewComments5, Field(title="Link")]
    self: Annotated[Self6, Field(title="Link")]
    statuses: Annotated[Statuses31, Field(title="Link")]


class ActiveLockReason28Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee59(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type291 | None = None
    url: AnyUrl | None = None


class Assignee60(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type291 | None = None
    url: AnyUrl | None = None


class Type297(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy7(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type297 | None = None
    url: AnyUrl | None = None


class AutoMerge8(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy7, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner54(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type297 | None = None
    url: AnyUrl | None = None


class SquashMergeCommitMessage19(Enum):
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class Repo25(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner54, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage19 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User76(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type297 | None = None
    url: AnyUrl | None = None


class Base14(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo25, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User76, Field(title="User")]


class Owner55(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type297 | None = None
    url: AnyUrl | None = None


class Repo26(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner55, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage19 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User77(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type297 | None = None
    url: AnyUrl | None = None


class Head13(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo26, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User77, Field(title="User")]


class Type302(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class MergedBy7(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type302 | None = None
    url: AnyUrl | None = None


class Creator48(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type302 | None = None
    url: AnyUrl | None = None


class State116(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone38(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator48, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State116
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer14(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type302 | None = None
    url: AnyUrl | None = None


class Parent21(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer15(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent21 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent22(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam7(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent22 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State117(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User78(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type302 | None = None
    url: AnyUrl | None = None


class PullRequest38(BaseModel):
    field_links: Annotated[FieldLinks23, Field(alias="_links")]
    active_lock_reason: ActiveLockReason28Enum
    additions: int | None = None
    assignee: Annotated[Assignee59, Field(title="User")]
    assignees: Sequence[Assignee60]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge8, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base14
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head13
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy7 | None, Field(title="User")] = None
    milestone: Annotated[Milestone38, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer14 | RequestedReviewer15]
    requested_teams: Sequence[RequestedTeam7]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State117
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User78, Field(title="User")]


class WebhookPullRequestLabeled(BaseModel):
    action: Action123
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    label: Annotated[Label8 | None, Field(title="Label")] = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest38, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser


class Action124(Enum):
    locked = "locked"


class FieldLinks24(BaseModel):
    comments: Annotated[Comments6, Field(title="Link")]
    commits: Annotated[Commits5, Field(title="Link")]
    html: Annotated[Html8, Field(title="Link")]
    issue: Annotated[Issue25, Field(title="Link")]
    review_comment: Annotated[ReviewComment6, Field(title="Link")]
    review_comments: Annotated[ReviewComments5, Field(title="Link")]
    self: Annotated[Self6, Field(title="Link")]
    statuses: Annotated[Statuses31, Field(title="Link")]


class ActiveLockReason29Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type306(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee61(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type306 | None = None
    url: AnyUrl | None = None


class Type307(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee62(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type307 | None = None
    url: AnyUrl | None = None


class Type308(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type308 | None = None
    url: AnyUrl | None = None


class AutoMerge9(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy8, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner56(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type308 | None = None
    url: AnyUrl | None = None


class Repo27(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner56, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage19 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User79(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type308 | None = None
    url: AnyUrl | None = None


class Base15(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo27, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User79, Field(title="User")]


class Owner57(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type308 | None = None
    url: AnyUrl | None = None


class Repo28(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner57, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage19 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User80(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type308 | None = None
    url: AnyUrl | None = None


class Head14(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo28, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User80, Field(title="User")]


class Type313(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class MergedBy8(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type313 | None = None
    url: AnyUrl | None = None


class Type314(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Creator49(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type314 | None = None
    url: AnyUrl | None = None


class State118(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone39(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator49, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State118
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type315(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class RequestedReviewer16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type315 | None = None
    url: AnyUrl | None = None


class Parent23(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer17(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent23 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent24(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam8(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent24 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State119(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User81(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type315 | None = None
    url: AnyUrl | None = None


class PullRequest39(BaseModel):
    field_links: Annotated[FieldLinks24, Field(alias="_links")]
    active_lock_reason: ActiveLockReason29Enum
    additions: int | None = None
    assignee: Annotated[Assignee61, Field(title="User")]
    assignees: Sequence[Assignee62]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge9, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base15
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head14
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy8 | None, Field(title="User")] = None
    milestone: Annotated[Milestone39, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer16 | RequestedReviewer17]
    requested_teams: Sequence[RequestedTeam8]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State119
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User81, Field(title="User")]


class WebhookPullRequestLocked(BaseModel):
    action: Action124
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest39, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser


class Action125(Enum):
    milestoned = "milestoned"


class FieldLinks25(BaseModel):
    comments: Annotated[Comments6, Field(title="Link")]
    commits: Annotated[Commits5, Field(title="Link")]
    html: Annotated[Html8, Field(title="Link")]
    issue: Annotated[Issue25, Field(title="Link")]
    review_comment: Annotated[ReviewComment6, Field(title="Link")]
    review_comments: Annotated[ReviewComments5, Field(title="Link")]
    self: Annotated[Self6, Field(title="Link")]
    statuses: Annotated[Statuses31, Field(title="Link")]


class ActiveLockReason30Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee63(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type315 | None = None
    url: AnyUrl | None = None


class Assignee64(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type315 | None = None
    url: AnyUrl | None = None


class Type319(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type319 | None = None
    url: AnyUrl | None = None


class AutoMerge10(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy9, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner58(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type319 | None = None
    url: AnyUrl | None = None


class Repo29(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner58, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage19 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User82(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type319 | None = None
    url: AnyUrl | None = None


class Base16(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo29, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User82, Field(title="User")]


class Owner59(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type319 | None = None
    url: AnyUrl | None = None


class Repo30(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage15 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle15 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner59, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage19 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle15 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User83(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type319 | None = None
    url: AnyUrl | None = None


class Head15(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo30, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User83, Field(title="User")]


class Type324(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class MergedBy9(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type324 | None = None
    url: AnyUrl | None = None


class Creator50(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type324 | None = None
    url: AnyUrl | None = None


class State120(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone40(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator50, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State120
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type326(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class RequestedReviewer18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type326 | None = None
    url: AnyUrl | None = None


class Parent25(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer19(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent25 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent26(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam9(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent26 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State121(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class Type327(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User84(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type327 | None = None
    url: AnyUrl | None = None


class PullRequest40(BaseModel):
    field_links: Annotated[FieldLinks25, Field(alias="_links")]
    active_lock_reason: ActiveLockReason30Enum
    additions: int | None = None
    assignee: Annotated[Assignee63, Field(title="User")]
    assignees: Sequence[Assignee64]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge10, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base16
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head15
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy9 | None, Field(title="User")] = None
    milestone: Annotated[Milestone40, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer18 | RequestedReviewer19]
    requested_teams: Sequence[RequestedTeam9]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State121
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User84, Field(title="User")]


class WebhookPullRequestMilestoned(BaseModel):
    action: Action125
    enterprise: Enterprise | None = None
    milestone: Milestone2 | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest40, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser | None = None


class Action126(Enum):
    opened = "opened"


class Comments11(BaseModel):
    href: str | None = None


class Commits10(BaseModel):
    href: str | None = None


class Html13(BaseModel):
    href: str | None = None


class Issue30(BaseModel):
    href: str | None = None


class ReviewComment11(BaseModel):
    href: str | None = None


class ReviewComments10(BaseModel):
    href: str | None = None


class Self11(BaseModel):
    href: str | None = None


class Statuses36(BaseModel):
    href: str | None = None


class FieldLinks26(BaseModel):
    comments: Comments11 | None = None
    commits: Commits10 | None = None
    html: Html13 | None = None
    issue: Issue30 | None = None
    review_comment: ReviewComment11 | None = None
    review_comments: ReviewComments10 | None = None
    self: Self11 | None = None
    statuses: Statuses36 | None = None


class ActiveLockReason31Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type328(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee65(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type328 | None = None
    url: AnyUrl | None = None


class Assignee66(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type328 | None = None
    url: AnyUrl | None = None


class EnabledBy10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type328 | None = None
    url: AnyUrl | None = None


class AutoMerge11(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy10, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner60(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Repo31(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner60 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class User85(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Base17(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo31 | None = None
    sha: str | None = None
    user: User85 | None = None


class MergeCommitMessage26(Enum):
    """
    The default value for a merge commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle26(Enum):
    """
    The default value for a merge commit message title.
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Repo32(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner60 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Head16(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo32 | None = None
    sha: str | None = None
    user: User85 | None = None


class MergedBy10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type328 | None = None
    url: AnyUrl | None = None


class Type336(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator51(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type336 | None = None
    url: AnyUrl | None = None


class State122(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone41(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator51, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State122
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type337(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class RequestedReviewer20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type337 | None = None
    url: AnyUrl | None = None


class Parent27(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer21(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent27 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent28(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam10(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent28 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State123(Enum):
    open = "open"
    closed = "closed"


class Type338(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class PullRequest41(BaseModel):
    field_links: Annotated[FieldLinks26, Field(alias="_links")]
    active_lock_reason: ActiveLockReason31Enum
    additions: int | None = None
    assignee: Annotated[Assignee65, Field(title="User")]
    assignees: Sequence[Assignee66]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge11, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base17
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head16
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy10 | None, Field(title="User")] = None
    milestone: Annotated[Milestone41, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer20 | RequestedReviewer21]
    requested_teams: Sequence[RequestedTeam10]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State123
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User85, Field(title="User")]


class WebhookPullRequestOpened(BaseModel):
    action: Action126
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: PullRequest41
    repository: Repository
    sender: SimpleUser


class Action127(Enum):
    ready_for_review = "ready_for_review"


class FieldLinks27(BaseModel):
    comments: Comments11 | None = None
    commits: Commits10 | None = None
    html: Html13 | None = None
    issue: Issue30 | None = None
    review_comment: ReviewComment11 | None = None
    review_comments: ReviewComments10 | None = None
    self: Self11 | None = None
    statuses: Statuses36 | None = None


class ActiveLockReason32Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type339(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee67(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type339 | None = None
    url: AnyUrl | None = None


class Assignee68(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type339 | None = None
    url: AnyUrl | None = None


class EnabledBy11(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type339 | None = None
    url: AnyUrl | None = None


class AutoMerge12(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy11, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class MergeCommitMessage27(Enum):
    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle27(Enum):
    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class SquashMergeCommitMessage27(Enum):
    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class SquashMergeCommitTitle27(Enum):
    PR_TITLE = "PR_TITLE"
    COMMIT_OR_PR_TITLE = "COMMIT_OR_PR_TITLE"


class Repo33(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage27 | None = None
    merge_commit_title: MergeCommitTitle27 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner60 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage27 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle27 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Base18(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo33 | None = None
    sha: str | None = None
    user: User85 | None = None


class Repo34(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage27 | None = None
    merge_commit_title: MergeCommitTitle27 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner60 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage27 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle27 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Head17(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo34 | None = None
    sha: str | None = None
    user: User85 | None = None


class MergedBy11(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type339 | None = None
    url: AnyUrl | None = None


class Type347(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator52(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type347 | None = None
    url: AnyUrl | None = None


class State124(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone42(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator52, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State124
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type348(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class RequestedReviewer22(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type348 | None = None
    url: AnyUrl | None = None


class Parent29(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer23(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent29 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent30(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam11(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent30 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State125(Enum):
    open = "open"
    closed = "closed"


class Type349(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class PullRequest42(BaseModel):
    field_links: Annotated[FieldLinks27, Field(alias="_links")]
    active_lock_reason: ActiveLockReason32Enum
    additions: int | None = None
    assignee: Annotated[Assignee67, Field(title="User")]
    assignees: Sequence[Assignee68]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge12, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base18
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head17
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy11 | None, Field(title="User")] = None
    milestone: Annotated[Milestone42, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer22 | RequestedReviewer23]
    requested_teams: Sequence[RequestedTeam11]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State125
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User85, Field(title="User")]


class WebhookPullRequestReadyForReview(BaseModel):
    action: Action127
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: PullRequest42
    repository: Repository
    sender: SimpleUser


class Action128(Enum):
    reopened = "reopened"


class FieldLinks28(BaseModel):
    comments: Comments11 | None = None
    commits: Commits10 | None = None
    html: Html13 | None = None
    issue: Issue30 | None = None
    review_comment: ReviewComment11 | None = None
    review_comments: ReviewComments10 | None = None
    self: Self11 | None = None
    statuses: Statuses36 | None = None


class ActiveLockReason33Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type350(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee69(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type350 | None = None
    url: AnyUrl | None = None


class Assignee70(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type350 | None = None
    url: AnyUrl | None = None


class EnabledBy12(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type350 | None = None
    url: AnyUrl | None = None


class AutoMerge13(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy12, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Repo35(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage27 | None = None
    merge_commit_title: MergeCommitTitle27 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: Any | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner60 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage27 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle27 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Base19(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo35 | None = None
    sha: str | None = None
    user: User85 | None = None


class Repo36(BaseModel):
    allow_auto_merge: bool | None = None
    allow_forking: bool | None = None
    allow_merge_commit: bool | None = None
    allow_rebase_merge: bool | None = None
    allow_squash_merge: bool | None = None
    allow_update_branch: bool | None = None
    archive_url: str | None = None
    archived: bool | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    clone_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    created_at: str | None = None
    default_branch: str | None = None
    delete_branch_on_merge: bool | None = None
    deployments_url: str | None = None
    description: str | None = None
    disabled: bool | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks: int | None = None
    forks_count: int | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    git_url: str | None = None
    has_downloads: bool | None = None
    has_issues: bool | None = None
    has_pages: bool | None = None
    has_projects: bool | None = None
    has_wiki: bool | None = None
    homepage: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    is_template: bool | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    language: str | None = None
    languages_url: str | None = None
    license: Mapping[str, Any] | None = None
    merge_commit_message: MergeCommitMessage27 | None = None
    merge_commit_title: MergeCommitTitle27 | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    mirror_url: Any | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    open_issues: int | None = None
    open_issues_count: int | None = None
    owner: Owner60 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    pushed_at: str | None = None
    releases_url: str | None = None
    size: int | None = None
    squash_merge_commit_message: SquashMergeCommitMessage27 | None = None
    squash_merge_commit_title: SquashMergeCommitTitle27 | None = None
    ssh_url: str | None = None
    stargazers_count: int | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    svn_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    topics: Sequence[str] | None = None
    trees_url: str | None = None
    updated_at: str | None = None
    url: str | None = None
    use_squash_pr_title_as_default: bool | None = None
    visibility: str | None = None
    watchers: int | None = None
    watchers_count: int | None = None
    web_commit_signoff_required: bool | None = None


class Head18(BaseModel):
    label: str | None = None
    ref: str | None = None
    repo: Repo36 | None = None
    sha: str | None = None
    user: User85 | None = None


class MergedBy12(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type350 | None = None
    url: AnyUrl | None = None


class Creator53(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type350 | None = None
    url: AnyUrl | None = None


class State126(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone43(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator53, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State126
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type359(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class RequestedReviewer24(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type359 | None = None
    url: AnyUrl | None = None


class Parent31(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer25(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent31 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent32(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam12(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent32 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State127(Enum):
    open = "open"
    closed = "closed"


class PullRequest43(BaseModel):
    field_links: Annotated[FieldLinks28, Field(alias="_links")]
    active_lock_reason: ActiveLockReason33Enum
    additions: int | None = None
    assignee: Annotated[Assignee69, Field(title="User")]
    assignees: Sequence[Assignee70]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge13, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base19
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head18
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy12 | None, Field(title="User")] = None
    milestone: Annotated[Milestone43, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer24 | RequestedReviewer25]
    requested_teams: Sequence[RequestedTeam12]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State127
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User85, Field(title="User")]


class WebhookPullRequestReopened(BaseModel):
    action: Action128
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: PullRequest43
    repository: Repository
    sender: SimpleUser


class Action129(Enum):
    created = "created"


class Html16(BaseModel):
    href: str


class PullRequest44(BaseModel):
    href: str


class Self14(BaseModel):
    href: str


class FieldLinks29(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest44, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]


class StartSide2Enum(Enum):
    """
    The side of the first line of the range for a multi-line comment.
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class Type361(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class User94(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type361 | None = None
    url: AnyUrl | None = None


class Comment7(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """

    field_links: Annotated[FieldLinks29, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the comment.
    """
    commit_id: str
    """
    The SHA of the commit to which the comment applies.
    """
    created_at: datetime
    diff_hunk: str
    """
    The diff of the line that the comment refers to.
    """
    html_url: AnyUrl
    """
    HTML URL for the pull request review comment.
    """
    id: int
    """
    The ID of the pull request review comment.
    """
    in_reply_to_id: int | None = None
    """
    The comment ID to reply to.
    """
    line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    node_id: str
    """
    The node ID of the pull request review comment.
    """
    original_commit_id: str
    """
    The SHA of the original commit to which the comment applies.
    """
    original_line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    original_position: int
    """
    The index of the original line in the diff to which the comment applies.
    """
    original_start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    path: str
    """
    The relative path of the file to which the comment applies.
    """
    position: int
    """
    The line index in the diff to which the comment applies.
    """
    pull_request_review_id: int
    """
    The ID of the pull request review to which the comment belongs.
    """
    pull_request_url: AnyUrl
    """
    URL for the pull request that the review comment belongs to.
    """
    reactions: Annotated[Reactions46, Field(title="Reactions")]
    side: Side1
    """
    The side of the first line of the range for a multi-line comment.
    """
    start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    start_side: StartSide2Enum
    """
    The side of the first line of the range for a multi-line comment.
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the pull request review comment
    """
    user: Annotated[User94, Field(title="User")]


class Comments14(BaseModel):
    href: str


class Commits13(BaseModel):
    href: str


class Issue33(BaseModel):
    href: str


class ReviewComment14(BaseModel):
    href: str


class ReviewComments13(BaseModel):
    href: str


class Statuses39(BaseModel):
    href: str


class FieldLinks30(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason34Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type362(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee71(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type362 | None = None
    url: AnyUrl | None = None


class Assignee72(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type362 | None = None
    url: AnyUrl | None = None


class Type364(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy13(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type364 | None = None
    url: AnyUrl | None = None


class AutoMerge14(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy13, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class MergeCommitMessage31(Enum):
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle31(Enum):
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner66(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type364 | None = None
    url: AnyUrl | None = None


class SquashMergeCommitMessage31(Enum):
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class SquashMergeCommitTitle31(Enum):
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """

    PR_TITLE = "PR_TITLE"
    COMMIT_OR_PR_TITLE = "COMMIT_OR_PR_TITLE"


class Repo37(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner66, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User95(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type364 | None = None
    url: AnyUrl | None = None


class Base20(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo37, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User95, Field(title="User")]


class Owner67(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type364 | None = None
    url: AnyUrl | None = None


class Repo38(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner67, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User96(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type364 | None = None
    url: AnyUrl | None = None


class Head19(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo38, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User96, Field(title="User")]


class Type369(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator54(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type369 | None = None
    url: AnyUrl | None = None


class State128(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone44(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator54, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State128
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer26(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type369 | None = None
    url: AnyUrl | None = None


class Parent33(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer27(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent33 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent34(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam13(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent34 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State129(Enum):
    open = "open"
    closed = "closed"


class User97(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type369 | None = None
    url: AnyUrl | None = None


class PullRequest45(BaseModel):
    field_links: Annotated[FieldLinks30, Field(alias="_links")]
    active_lock_reason: ActiveLockReason34Enum
    assignee: Annotated[Assignee71, Field(title="User")]
    assignees: Sequence[Assignee72]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[
        AutoMerge14 | None, Field(title="PullRequestAutoMerge")
    ] = None
    """
    The status of auto merging a pull request.
    """
    base: Base20
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool | None = None
    head: Head19
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone44, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer26 | RequestedReviewer27]
    requested_teams: Sequence[RequestedTeam13]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State129
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User97, Field(title="User")]


class WebhookPullRequestReviewCommentCreated(BaseModel):
    action: Action129
    comment: Annotated[Comment7, Field(title="Pull Request Review Comment")]
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: PullRequest45
    repository: Repository
    sender: SimpleUser


class Action130(Enum):
    deleted = "deleted"


class PullRequest46(BaseModel):
    href: str


class FieldLinks31(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest46, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]


class StartSide3Enum(Enum):
    """
    The side of the first line of the range for a multi-line comment.
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class Type372(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class User98(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class Comment8(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """

    field_links: Annotated[FieldLinks31, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the comment.
    """
    commit_id: str
    """
    The SHA of the commit to which the comment applies.
    """
    created_at: datetime
    diff_hunk: str
    """
    The diff of the line that the comment refers to.
    """
    html_url: AnyUrl
    """
    HTML URL for the pull request review comment.
    """
    id: int
    """
    The ID of the pull request review comment.
    """
    in_reply_to_id: int | None = None
    """
    The comment ID to reply to.
    """
    line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    node_id: str
    """
    The node ID of the pull request review comment.
    """
    original_commit_id: str
    """
    The SHA of the original commit to which the comment applies.
    """
    original_line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    original_position: int
    """
    The index of the original line in the diff to which the comment applies.
    """
    original_start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    path: str
    """
    The relative path of the file to which the comment applies.
    """
    position: int
    """
    The line index in the diff to which the comment applies.
    """
    pull_request_review_id: int
    """
    The ID of the pull request review to which the comment belongs.
    """
    pull_request_url: AnyUrl
    """
    URL for the pull request that the review comment belongs to.
    """
    reactions: Annotated[Reactions46, Field(title="Reactions")]
    side: Side1
    """
    The side of the first line of the range for a multi-line comment.
    """
    start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    start_side: StartSide3Enum
    """
    The side of the first line of the range for a multi-line comment.
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the pull request review comment
    """
    user: Annotated[User98, Field(title="User")]


class FieldLinks32(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason35Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee73(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class Assignee74(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class EnabledBy14(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class AutoMerge15(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy14, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner68(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class Repo39(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner68, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User99(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class Base21(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo39, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User99, Field(title="User")]


class Owner69(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class Repo40(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner69, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User100(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class Head20(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo40, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User100, Field(title="User")]


class Creator55(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class State130(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone45(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator55, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State130
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer28(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type372 | None = None
    url: AnyUrl | None = None


class Parent35(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer29(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent35 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent36(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam14(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent36 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State131(Enum):
    open = "open"
    closed = "closed"


class Type382(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User101(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type382 | None = None
    url: AnyUrl | None = None


class PullRequest47(BaseModel):
    field_links: Annotated[FieldLinks32, Field(alias="_links")]
    active_lock_reason: ActiveLockReason35Enum
    assignee: Annotated[Assignee73, Field(title="User")]
    assignees: Sequence[Assignee74]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[
        AutoMerge15 | None, Field(title="PullRequestAutoMerge")
    ] = None
    """
    The status of auto merging a pull request.
    """
    base: Base21
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool | None = None
    head: Head20
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone45, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer28 | RequestedReviewer29]
    requested_teams: Sequence[RequestedTeam14]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State131
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User101, Field(title="User")]


class WebhookPullRequestReviewCommentDeleted(BaseModel):
    action: Action130
    comment: Annotated[Comment8, Field(title="Pull Request Review Comment")]
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: PullRequest47
    repository: Repository
    sender: SimpleUser


class Action131(Enum):
    edited = "edited"


class Body7(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the body.
    """


class Changes25(BaseModel):
    """
    The changes to the comment.
    """

    body: Body7 | None = None


class PullRequest48(BaseModel):
    href: str


class FieldLinks33(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest48, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]


class StartSide4Enum(Enum):
    """
    The side of the first line of the range for a multi-line comment.
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class Type383(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class User102(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class Comment9(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """

    field_links: Annotated[FieldLinks33, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the comment.
    """
    commit_id: str
    """
    The SHA of the commit to which the comment applies.
    """
    created_at: datetime
    diff_hunk: str
    """
    The diff of the line that the comment refers to.
    """
    html_url: AnyUrl
    """
    HTML URL for the pull request review comment.
    """
    id: int
    """
    The ID of the pull request review comment.
    """
    in_reply_to_id: int | None = None
    """
    The comment ID to reply to.
    """
    line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    node_id: str
    """
    The node ID of the pull request review comment.
    """
    original_commit_id: str
    """
    The SHA of the original commit to which the comment applies.
    """
    original_line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    original_position: int
    """
    The index of the original line in the diff to which the comment applies.
    """
    original_start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    path: str
    """
    The relative path of the file to which the comment applies.
    """
    position: int
    """
    The line index in the diff to which the comment applies.
    """
    pull_request_review_id: int
    """
    The ID of the pull request review to which the comment belongs.
    """
    pull_request_url: AnyUrl
    """
    URL for the pull request that the review comment belongs to.
    """
    reactions: Annotated[Reactions46, Field(title="Reactions")]
    side: Side1
    """
    The side of the first line of the range for a multi-line comment.
    """
    start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    start_side: StartSide4Enum
    """
    The side of the first line of the range for a multi-line comment.
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the pull request review comment
    """
    user: Annotated[User102, Field(title="User")]


class FieldLinks34(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason36Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee75(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class Assignee76(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class EnabledBy15(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class AutoMerge16(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy15, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner70(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class Repo41(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner70, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User103(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class Base22(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo41, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User103, Field(title="User")]


class Owner71(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class Repo42(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner71, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User104(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type383 | None = None
    url: AnyUrl | None = None


class Head21(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo42, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User104, Field(title="User")]


class Type391(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator56(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type391 | None = None
    url: AnyUrl | None = None


class State132(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone46(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator56, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State132
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type392(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class RequestedReviewer30(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type392 | None = None
    url: AnyUrl | None = None


class Parent37(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer31(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent37 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent38(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam15(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent38 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State133(Enum):
    open = "open"
    closed = "closed"


class Type393(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User105(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type393 | None = None
    url: AnyUrl | None = None


class PullRequest49(BaseModel):
    field_links: Annotated[FieldLinks34, Field(alias="_links")]
    active_lock_reason: ActiveLockReason36Enum
    assignee: Annotated[Assignee75, Field(title="User")]
    assignees: Sequence[Assignee76]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[
        AutoMerge16 | None, Field(title="PullRequestAutoMerge")
    ] = None
    """
    The status of auto merging a pull request.
    """
    base: Base22
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool | None = None
    head: Head21
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone46, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer30 | RequestedReviewer31]
    requested_teams: Sequence[RequestedTeam15]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State133
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User105, Field(title="User")]


class WebhookPullRequestReviewCommentEdited(BaseModel):
    action: Action131
    changes: Changes25
    """
    The changes to the comment.
    """
    comment: Annotated[Comment9, Field(title="Pull Request Review Comment")]
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: PullRequest49
    repository: Repository
    sender: SimpleUser


class Action132(Enum):
    dismissed = "dismissed"


class FieldLinks35(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason37Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee77(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type393 | None = None
    url: AnyUrl | None = None


class Assignee78(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type393 | None = None
    url: AnyUrl | None = None


class Type396(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type396 | None = None
    url: AnyUrl | None = None


class AutoMerge17(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy16, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner72(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type396 | None = None
    url: AnyUrl | None = None


class Repo43(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner72, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User106(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type396 | None = None
    url: AnyUrl | None = None


class Base23(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo43, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User106, Field(title="User")]


class Owner73(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type396 | None = None
    url: AnyUrl | None = None


class Repo44(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner73, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage31 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle31 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User107(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type396 | None = None
    url: AnyUrl | None = None


class Head22(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo44, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User107, Field(title="User")]


class Creator57(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type396 | None = None
    url: AnyUrl | None = None


class State134(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone47(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator57, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State134
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type402(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class RequestedReviewer32(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type402 | None = None
    url: AnyUrl | None = None


class Parent39(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer33(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent39 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent40(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam16(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent40 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State135(Enum):
    open = "open"
    closed = "closed"


class User108(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type402 | None = None
    url: AnyUrl | None = None


class PullRequest50(BaseModel):
    field_links: Annotated[FieldLinks35, Field(alias="_links")]
    active_lock_reason: ActiveLockReason37Enum
    assignee: Annotated[Assignee77, Field(title="User")]
    assignees: Sequence[Assignee78]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge17, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base23
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool
    head: Head22
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone47, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer32 | RequestedReviewer33]
    requested_teams: Sequence[RequestedTeam16]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State135
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User108, Field(title="User")]


class PullRequest51(BaseModel):
    href: str


class FieldLinks36(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest51, Field(title="Link")]


class State136(Enum):
    dismissed = "dismissed"
    approved = "approved"
    changes_requested = "changes_requested"


class User109(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type402 | None = None
    url: AnyUrl | None = None


class Review(BaseModel):
    """
    The review that was affected.
    """

    field_links: Annotated[FieldLinks36, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the review.
    """
    commit_id: str
    """
    A commit SHA for the review.
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the review
    """
    node_id: str
    pull_request_url: AnyUrl
    state: State136
    submitted_at: datetime
    user: Annotated[User109, Field(title="User")]


class WebhookPullRequestReviewDismissed(BaseModel):
    action: Action132
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest50, Field(title="Simple Pull Request")]
    repository: Repository
    review: Review
    """
    The review that was affected.
    """
    sender: SimpleUser


class Action133(Enum):
    edited = "edited"


class Body8(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the body if the action was `edited`.
    """


class Changes26(BaseModel):
    body: Body8 | None = None


class FieldLinks37(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason38Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee79(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type402 | None = None
    url: AnyUrl | None = None


class Assignee80(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type402 | None = None
    url: AnyUrl | None = None


class Type407(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy17(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type407 | None = None
    url: AnyUrl | None = None


class AutoMerge18(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy17, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner74(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type407 | None = None
    url: AnyUrl | None = None


class Repo45(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner74, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class User110(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type407 | None = None
    url: AnyUrl | None = None


class Base24(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo45, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User110, Field(title="User")]


class Owner75(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type407 | None = None
    url: AnyUrl | None = None


class Repo46(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner75, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class User111(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type407 | None = None
    url: AnyUrl | None = None


class Head23(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo46, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User111, Field(title="User")]


class Type412(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator58(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type412 | None = None
    url: AnyUrl | None = None


class State137(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone48(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator58, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State137
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer34(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type412 | None = None
    url: AnyUrl | None = None


class Parent41(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer35(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent41 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent42(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam17(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent42 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State138(Enum):
    open = "open"
    closed = "closed"


class User112(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type412 | None = None
    url: AnyUrl | None = None


class PullRequest52(BaseModel):
    field_links: Annotated[FieldLinks37, Field(alias="_links")]
    active_lock_reason: ActiveLockReason38Enum
    assignee: Annotated[Assignee79, Field(title="User")]
    assignees: Sequence[Assignee80]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge18, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base24
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool
    head: Head23
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone48, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer34 | RequestedReviewer35]
    requested_teams: Sequence[RequestedTeam17]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State138
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User112, Field(title="User")]


class PullRequest53(BaseModel):
    href: str


class FieldLinks38(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest53, Field(title="Link")]


class Type415(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class User113(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Review1(BaseModel):
    """
    The review that was affected.
    """

    field_links: Annotated[FieldLinks38, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the review.
    """
    commit_id: str
    """
    A commit SHA for the review.
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the review
    """
    node_id: str
    pull_request_url: AnyUrl
    state: str
    submitted_at: datetime
    user: Annotated[User113, Field(title="User")]


class WebhookPullRequestReviewEdited(BaseModel):
    action: Action133
    changes: Changes26
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest52, Field(title="Simple Pull Request")]
    repository: Repository
    review: Review1
    """
    The review that was affected.
    """
    sender: SimpleUser


class Action134(Enum):
    review_request_removed = "review_request_removed"


class FieldLinks39(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason39Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee81(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Assignee82(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class EnabledBy18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class AutoMerge19(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy18, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner76(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class SquashMergeCommitMessage39(Enum):
    """
    The default value for a squash merge commit message.
    """

    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class SquashMergeCommitTitle39(Enum):
    """
    The default value for a squash merge commit title.
    """

    PR_TITLE = "PR_TITLE"
    COMMIT_OR_PR_TITLE = "COMMIT_OR_PR_TITLE"


class Repo47(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner76, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage39 | None = None
    """
    The default value for a squash merge commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle39 | None = None
    """
    The default value for a squash merge commit title.
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User114(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Base25(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo47, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User114, Field(title="User")]


class Owner77(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class SquashMergeCommitMessage40(Enum):
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    COMMIT_MESSAGES = "COMMIT_MESSAGES"
    BLANK = "BLANK"


class SquashMergeCommitTitle40(Enum):
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """

    PR_TITLE = "PR_TITLE"
    COMMIT_OR_PR_TITLE = "COMMIT_OR_PR_TITLE"


class Repo48(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner77, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User115(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Head24(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo48, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User115, Field(title="User")]


class MergedBy13(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Creator59(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class State139(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone49(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator59, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State139
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer36(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Parent43(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer37(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent43 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent44(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam18(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent44 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class State140(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User116(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class PullRequest54(BaseModel):
    field_links: Annotated[FieldLinks39, Field(alias="_links")]
    active_lock_reason: ActiveLockReason39Enum
    additions: int | None = None
    assignee: Annotated[Assignee81, Field(title="User")]
    assignees: Sequence[Assignee82]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge19, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base25
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head24
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy13 | None, Field(title="User")] = None
    milestone: Annotated[Milestone49, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer36 | RequestedReviewer37]
    requested_teams: Sequence[RequestedTeam18]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State140
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User116, Field(title="User")]


class RequestedReviewer38(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class WebhookPullRequestReviewRequestRemovedItem(BaseModel):
    action: Action134
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest54, Field(title="Pull Request")]
    repository: Repository
    requested_reviewer: Annotated[RequestedReviewer38, Field(title="User")]
    sender: SimpleUser


class FieldLinks40(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason40Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee83(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Assignee84(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class EnabledBy19(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class AutoMerge20(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy19, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner78(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Repo49(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner78, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User117(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Base26(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo49, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User117, Field(title="User")]


class Owner79(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Repo50(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner79, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User118(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Head25(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo50, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User118, Field(title="User")]


class MergedBy14(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Creator60(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class State141(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone50(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator60, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State141
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer39(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class Parent45(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer40(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent45 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent46(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam19(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent46 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class State142(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User119(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type415 | None = None
    url: AnyUrl | None = None


class PullRequest55(BaseModel):
    field_links: Annotated[FieldLinks40, Field(alias="_links")]
    active_lock_reason: ActiveLockReason40Enum
    additions: int | None = None
    assignee: Annotated[Assignee83, Field(title="User")]
    assignees: Sequence[Assignee84]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge20, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base26
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head25
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy14 | None, Field(title="User")] = None
    milestone: Annotated[Milestone50, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer39 | RequestedReviewer40]
    requested_teams: Sequence[RequestedTeam19]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State142
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User119, Field(title="User")]


class Parent47(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam20(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent47 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class WebhookPullRequestReviewRequestRemovedItem1(BaseModel):
    action: Action134
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest55, Field(title="Pull Request")]
    repository: Repository
    requested_team: Annotated[RequestedTeam20, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """
    sender: SimpleUser


class WebhookPullRequestReviewRequestRemoved(BaseModel):
    __root__: Annotated[
        WebhookPullRequestReviewRequestRemovedItem
        | WebhookPullRequestReviewRequestRemovedItem1,
        Field(title="pull_request review_request_removed event"),
    ]


class Action136(Enum):
    review_requested = "review_requested"


class FieldLinks41(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason41Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type439(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee85(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type439 | None = None
    url: AnyUrl | None = None


class Assignee86(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type439 | None = None
    url: AnyUrl | None = None


class Type441(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type441 | None = None
    url: AnyUrl | None = None


class AutoMerge21(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy20, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner80(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type441 | None = None
    url: AnyUrl | None = None


class Repo51(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner80, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User120(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type441 | None = None
    url: AnyUrl | None = None


class Base27(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo51, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User120, Field(title="User")]


class Owner81(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type441 | None = None
    url: AnyUrl | None = None


class Repo52(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner81, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User121(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type441 | None = None
    url: AnyUrl | None = None


class Head26(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo52, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User121, Field(title="User")]


class MergedBy15(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type441 | None = None
    url: AnyUrl | None = None


class Type447(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator61(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type447 | None = None
    url: AnyUrl | None = None


class State143(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone51(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator61, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State143
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type448(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class RequestedReviewer41(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type448 | None = None
    url: AnyUrl | None = None


class Parent48(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer42(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent48 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent49(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam21(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent49 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State144(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class Type449(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User122(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type449 | None = None
    url: AnyUrl | None = None


class PullRequest56(BaseModel):
    field_links: Annotated[FieldLinks41, Field(alias="_links")]
    active_lock_reason: ActiveLockReason41Enum
    additions: int | None = None
    assignee: Annotated[Assignee85, Field(title="User")]
    assignees: Sequence[Assignee86]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge21, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base27
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head26
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy15 | None, Field(title="User")] = None
    milestone: Annotated[Milestone51, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer41 | RequestedReviewer42]
    requested_teams: Sequence[RequestedTeam21]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State144
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User122, Field(title="User")]


class RequestedReviewer43(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type449 | None = None
    url: AnyUrl | None = None


class WebhookPullRequestReviewRequestedItem(BaseModel):
    action: Action136
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest56, Field(title="Pull Request")]
    repository: Repository
    requested_reviewer: Annotated[RequestedReviewer43, Field(title="User")]
    sender: SimpleUser


class FieldLinks42(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason42Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee87(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type449 | None = None
    url: AnyUrl | None = None


class Assignee88(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type449 | None = None
    url: AnyUrl | None = None


class Type453(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy21(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type453 | None = None
    url: AnyUrl | None = None


class AutoMerge22(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy21, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner82(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type453 | None = None
    url: AnyUrl | None = None


class Repo53(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner82, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User123(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type453 | None = None
    url: AnyUrl | None = None


class Base28(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo53, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User123, Field(title="User")]


class Owner83(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type453 | None = None
    url: AnyUrl | None = None


class Repo54(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner83, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User124(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type453 | None = None
    url: AnyUrl | None = None


class Head27(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo54, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User124, Field(title="User")]


class MergedBy16(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type453 | None = None
    url: AnyUrl | None = None


class Type459(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator62(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type459 | None = None
    url: AnyUrl | None = None


class State145(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone52(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator62, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State145
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type460(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class RequestedReviewer44(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type460 | None = None
    url: AnyUrl | None = None


class Parent50(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer45(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent50 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent51(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam22(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent51 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State146(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class Type461(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class User125(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type461 | None = None
    url: AnyUrl | None = None


class PullRequest57(BaseModel):
    field_links: Annotated[FieldLinks42, Field(alias="_links")]
    active_lock_reason: ActiveLockReason42Enum
    additions: int | None = None
    assignee: Annotated[Assignee87, Field(title="User")]
    assignees: Sequence[Assignee88]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge22, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base28
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head27
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy16 | None, Field(title="User")] = None
    milestone: Annotated[Milestone52, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer44 | RequestedReviewer45]
    requested_teams: Sequence[RequestedTeam22]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State146
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User125, Field(title="User")]


class Parent52(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam23(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent52 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookPullRequestReviewRequestedItem1(BaseModel):
    action: Action136
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest57, Field(title="Pull Request")]
    repository: Repository
    requested_team: Annotated[RequestedTeam23, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """
    sender: SimpleUser


class WebhookPullRequestReviewRequested(BaseModel):
    __root__: Annotated[
        WebhookPullRequestReviewRequestedItem | WebhookPullRequestReviewRequestedItem1,
        Field(title="pull_request review_requested event"),
    ]


class Action138(Enum):
    submitted = "submitted"


class FieldLinks43(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason43Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee89(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type461 | None = None
    url: AnyUrl | None = None


class Assignee90(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type461 | None = None
    url: AnyUrl | None = None


class Type464(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy22(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type464 | None = None
    url: AnyUrl | None = None


class AutoMerge23(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy22, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner84(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type464 | None = None
    url: AnyUrl | None = None


class Repo55(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner84, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User126(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type464 | None = None
    url: AnyUrl | None = None


class Base29(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo55, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User126, Field(title="User")]


class Owner85(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type464 | None = None
    url: AnyUrl | None = None


class Repo56(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner85, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User127(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type464 | None = None
    url: AnyUrl | None = None


class Head28(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo56, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User127, Field(title="User")]


class Type469(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator63(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type469 | None = None
    url: AnyUrl | None = None


class State147(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone53(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator63, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State147
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer46(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type469 | None = None
    url: AnyUrl | None = None


class Parent53(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer47(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent53 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent54(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam24(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent54 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State148(Enum):
    open = "open"
    closed = "closed"


class User128(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type469 | None = None
    url: AnyUrl | None = None


class PullRequest58(BaseModel):
    field_links: Annotated[FieldLinks43, Field(alias="_links")]
    active_lock_reason: ActiveLockReason43Enum
    assignee: Annotated[Assignee89, Field(title="User")]
    assignees: Sequence[Assignee90]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge23, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base29
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool
    head: Head28
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone53, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer46 | RequestedReviewer47]
    requested_teams: Sequence[RequestedTeam24]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State148
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User128, Field(title="User")]


class PullRequest59(BaseModel):
    href: str


class FieldLinks44(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest59, Field(title="Link")]


class Type472(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class User129(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class Review2(BaseModel):
    """
    The review that was affected.
    """

    field_links: Annotated[FieldLinks44, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the review.
    """
    commit_id: str
    """
    A commit SHA for the review.
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the review
    """
    node_id: str
    pull_request_url: AnyUrl
    state: str
    submitted_at: datetime
    user: Annotated[User129, Field(title="User")]


class WebhookPullRequestReviewSubmitted(BaseModel):
    action: Action138
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest58, Field(title="Simple Pull Request")]
    repository: Repository
    review: Review2
    """
    The review that was affected.
    """
    sender: SimpleUser


class Action139(Enum):
    resolved = "resolved"


class FieldLinks45(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason44Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee91(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class Assignee92(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class EnabledBy23(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class AutoMerge24(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy23, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner86(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class Repo57(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner86, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User130(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class Base30(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo57, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User130, Field(title="User")]


class Owner87(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class Repo58(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner87, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User131(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class Head29(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo58, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User131, Field(title="User")]


class Creator64(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type472 | None = None
    url: AnyUrl | None = None


class State149(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone54(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator64, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State149
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class Type481(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class RequestedReviewer48(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type481 | None = None
    url: AnyUrl | None = None


class Parent55(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer49(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent55 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent56(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam25(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent56 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State150(Enum):
    open = "open"
    closed = "closed"


class User132(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type481 | None = None
    url: AnyUrl | None = None


class PullRequest60(BaseModel):
    field_links: Annotated[FieldLinks45, Field(alias="_links")]
    active_lock_reason: ActiveLockReason44Enum
    assignee: Annotated[Assignee91, Field(title="User")]
    assignees: Sequence[Assignee92]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge24, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base30
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool
    head: Head29
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone54, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer48 | RequestedReviewer49]
    requested_teams: Sequence[RequestedTeam25]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State150
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User132, Field(title="User")]


class PullRequest61(BaseModel):
    href: str


class FieldLinks46(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest61, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]


class StartSide5Enum(Enum):
    """
    The side of the first line of the range for a multi-line comment.
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class User133(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type481 | None = None
    url: AnyUrl | None = None


class Comment10(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """

    field_links: Annotated[FieldLinks46, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the comment.
    """
    commit_id: str
    """
    The SHA of the commit to which the comment applies.
    """
    created_at: datetime
    diff_hunk: str
    """
    The diff of the line that the comment refers to.
    """
    html_url: AnyUrl
    """
    HTML URL for the pull request review comment.
    """
    id: int
    """
    The ID of the pull request review comment.
    """
    in_reply_to_id: int | None = None
    """
    The comment ID to reply to.
    """
    line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    node_id: str
    """
    The node ID of the pull request review comment.
    """
    original_commit_id: str
    """
    The SHA of the original commit to which the comment applies.
    """
    original_line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    original_position: int
    """
    The index of the original line in the diff to which the comment applies.
    """
    original_start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    path: str
    """
    The relative path of the file to which the comment applies.
    """
    position: int
    """
    The line index in the diff to which the comment applies.
    """
    pull_request_review_id: int
    """
    The ID of the pull request review to which the comment belongs.
    """
    pull_request_url: AnyUrl
    """
    URL for the pull request that the review comment belongs to.
    """
    reactions: Annotated[Reactions46, Field(title="Reactions")]
    side: Side1
    """
    The side of the first line of the range for a multi-line comment.
    """
    start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    start_side: StartSide5Enum
    """
    The side of the first line of the range for a multi-line comment.
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the pull request review comment
    """
    user: Annotated[User133, Field(title="User")]


class Thread1(BaseModel):
    comments: Sequence[Comment10]
    node_id: str


class WebhookPullRequestReviewThreadResolved(BaseModel):
    action: Action139
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest60, Field(title="Simple Pull Request")]
    repository: Repository
    sender: SimpleUser | None = None
    thread: Thread1


class Action140(Enum):
    unresolved = "unresolved"


class FieldLinks47(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason45Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type484(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee93(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class Assignee94(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class EnabledBy24(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class AutoMerge25(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy24, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner88(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class Repo59(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner88, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User134(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class Base31(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo59, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User134, Field(title="User")]


class Owner89(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class Repo60(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner89, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User135(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class Head30(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo60, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User135, Field(title="User")]


class Creator65(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class State151(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone55(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator65, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State151
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer50(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class Parent57(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer51(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent57 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent58(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam26(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent58 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State152(Enum):
    open = "open"
    closed = "closed"


class User136(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class PullRequest62(BaseModel):
    field_links: Annotated[FieldLinks47, Field(alias="_links")]
    active_lock_reason: ActiveLockReason45Enum
    assignee: Annotated[Assignee93, Field(title="User")]
    assignees: Sequence[Assignee94]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge25, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base31
    body: str
    closed_at: str
    comments_url: AnyUrl
    commits_url: AnyUrl
    created_at: str
    diff_url: AnyUrl
    draft: bool
    head: Head30
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    merge_commit_sha: str
    merged_at: str
    milestone: Annotated[Milestone55, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    patch_url: AnyUrl
    requested_reviewers: Sequence[RequestedReviewer50 | RequestedReviewer51]
    requested_teams: Sequence[RequestedTeam26]
    review_comment_url: str
    review_comments_url: AnyUrl
    state: State152
    statuses_url: AnyUrl
    title: str
    updated_at: str
    url: AnyUrl
    user: Annotated[User136, Field(title="User")]


class PullRequest63(BaseModel):
    href: str


class FieldLinks48(BaseModel):
    html: Annotated[Html16, Field(title="Link")]
    pull_request: Annotated[PullRequest63, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]


class StartSide6Enum(Enum):
    """
    The side of the first line of the range for a multi-line comment.
    """

    LEFT = "LEFT"
    RIGHT = "RIGHT"


class User137(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type484 | None = None
    url: AnyUrl | None = None


class Comment11(BaseModel):
    """
    The [comment](https://docs.github.com/en/rest/reference/pulls#comments) itself.
    """

    field_links: Annotated[FieldLinks48, Field(alias="_links")]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    body: str
    """
    The text of the comment.
    """
    commit_id: str
    """
    The SHA of the commit to which the comment applies.
    """
    created_at: datetime
    diff_hunk: str
    """
    The diff of the line that the comment refers to.
    """
    html_url: AnyUrl
    """
    HTML URL for the pull request review comment.
    """
    id: int
    """
    The ID of the pull request review comment.
    """
    in_reply_to_id: int | None = None
    """
    The comment ID to reply to.
    """
    line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    node_id: str
    """
    The node ID of the pull request review comment.
    """
    original_commit_id: str
    """
    The SHA of the original commit to which the comment applies.
    """
    original_line: int
    """
    The line of the blob to which the comment applies. The last line of the range for a multi-line comment
    """
    original_position: int
    """
    The index of the original line in the diff to which the comment applies.
    """
    original_start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    path: str
    """
    The relative path of the file to which the comment applies.
    """
    position: int
    """
    The line index in the diff to which the comment applies.
    """
    pull_request_review_id: int
    """
    The ID of the pull request review to which the comment belongs.
    """
    pull_request_url: AnyUrl
    """
    URL for the pull request that the review comment belongs to.
    """
    reactions: Annotated[Reactions46, Field(title="Reactions")]
    side: Side1
    """
    The side of the first line of the range for a multi-line comment.
    """
    start_line: int
    """
    The first line of the range for a multi-line comment.
    """
    start_side: StartSide6Enum
    """
    The side of the first line of the range for a multi-line comment.
    """
    updated_at: datetime
    url: AnyUrl
    """
    URL for the pull request review comment
    """
    user: Annotated[User137, Field(title="User")]


class Thread2(BaseModel):
    comments: Sequence[Comment11]
    node_id: str


class WebhookPullRequestReviewThreadUnresolved(BaseModel):
    action: Action140
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest62, Field(title="Simple Pull Request")]
    repository: Repository
    sender: SimpleUser | None = None
    thread: Thread2


class Action141(Enum):
    synchronize = "synchronize"


class FieldLinks49(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason46Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type495(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Assignee95(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type495 | None = None
    url: AnyUrl | None = None


class Assignee96(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type495 | None = None
    url: AnyUrl | None = None


class Type497(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy25(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type497 | None = None
    url: AnyUrl | None = None


class AutoMerge26(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy25, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner90(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type497 | None = None
    url: AnyUrl | None = None


class Repo61(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage31 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle31 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner90, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User138(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type497 | None = None
    url: AnyUrl | None = None


class Base32(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo61, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User138, Field(title="User")]


class MergeCommitMessage50(Enum):
    """
    The default value for a merge commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle50(Enum):
    """
    The default value for a merge commit message title.
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner91(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type497 | None = None
    url: AnyUrl | None = None


class Repo62(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage50 | None = None
    """
    The default value for a merge commit message.
    """
    merge_commit_title: MergeCommitTitle50 | None = None
    """
    The default value for a merge commit message title.
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner91, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User139(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type497 | None = None
    url: AnyUrl | None = None


class Head31(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo62, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User139, Field(title="User")]


class MergedBy17(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type497 | None = None
    url: AnyUrl | None = None


class Type503(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator66(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type503 | None = None
    url: AnyUrl | None = None


class State153(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone56(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator66, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State153
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer52(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type503 | None = None
    url: AnyUrl | None = None


class Parent59(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer53(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent59 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent60(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam27(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent60 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State154(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User140(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type503 | None = None
    url: AnyUrl | None = None


class PullRequest64(BaseModel):
    field_links: Annotated[FieldLinks49, Field(alias="_links")]
    active_lock_reason: ActiveLockReason46Enum
    additions: int | None = None
    assignee: Annotated[Assignee95, Field(title="User")]
    assignees: Sequence[Assignee96]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge26, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base32
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head31
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy17 | None, Field(title="User")] = None
    milestone: Annotated[Milestone56, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer52 | RequestedReviewer53]
    requested_teams: Sequence[RequestedTeam27]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State154
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User140, Field(title="User")]


class WebhookPullRequestSynchronize(BaseModel):
    action: Action141
    after: str
    before: str
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest64, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser


class Action142(Enum):
    unassigned = "unassigned"


class Assignee97(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type503 | None = None
    url: AnyUrl | None = None


class FieldLinks50(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason47Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee98(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type503 | None = None
    url: AnyUrl | None = None


class Assignee99(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type503 | None = None
    url: AnyUrl | None = None


class Type509(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy26(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type509 | None = None
    url: AnyUrl | None = None


class AutoMerge27(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy26, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class MergeCommitMessage51(Enum):
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle51(Enum):
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner92(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type509 | None = None
    url: AnyUrl | None = None


class Repo63(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage51 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle51 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner92, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User141(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type509 | None = None
    url: AnyUrl | None = None


class Base33(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo63, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User141, Field(title="User")]


class Owner93(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type509 | None = None
    url: AnyUrl | None = None


class Repo64(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage51 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle51 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner93, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User142(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type509 | None = None
    url: AnyUrl | None = None


class Head32(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo64, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User142, Field(title="User")]


class Type514(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class MergedBy18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type514 | None = None
    url: AnyUrl | None = None


class Creator67(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type514 | None = None
    url: AnyUrl | None = None


class State155(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone57(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator67, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State155
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer54(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type514 | None = None
    url: AnyUrl | None = None


class Parent61(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer55(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent61 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent62(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam28(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent62 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State156(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User143(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type514 | None = None
    url: AnyUrl | None = None


class PullRequest65(BaseModel):
    field_links: Annotated[FieldLinks50, Field(alias="_links")]
    active_lock_reason: ActiveLockReason47Enum
    additions: int | None = None
    assignee: Annotated[Assignee98, Field(title="User")]
    assignees: Sequence[Assignee99]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge27, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base33
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head32
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy18 | None, Field(title="User")] = None
    milestone: Annotated[Milestone57, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer54 | RequestedReviewer55]
    requested_teams: Sequence[RequestedTeam28]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State156
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User143, Field(title="User")]


class WebhookPullRequestUnassigned(BaseModel):
    action: Action142
    assignee: Annotated[Assignee97 | None, Field(title="User")] = None
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest65, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser | None = None


class Action143(Enum):
    unlabeled = "unlabeled"


class FieldLinks51(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason48Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Assignee100(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type514 | None = None
    url: AnyUrl | None = None


class Assignee101(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type514 | None = None
    url: AnyUrl | None = None


class Type520(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class EnabledBy27(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type520 | None = None
    url: AnyUrl | None = None


class AutoMerge28(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy27, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class Owner94(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type520 | None = None
    url: AnyUrl | None = None


class Repo65(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage51 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle51 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner94, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User144(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type520 | None = None
    url: AnyUrl | None = None


class Base34(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo65, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User144, Field(title="User")]


class MergeCommitMessage54(Enum):
    """
    The default value for a merge commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle54(Enum):
    """
    The default value for a merge commit message title.
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner95(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type520 | None = None
    url: AnyUrl | None = None


class Repo66(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage54 | None = None
    """
    The default value for a merge commit message.
    """
    merge_commit_title: MergeCommitTitle54 | None = None
    """
    The default value for a merge commit message title.
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner95, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User145(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type520 | None = None
    url: AnyUrl | None = None


class Head33(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo66, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User145, Field(title="User")]


class MergedBy19(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type520 | None = None
    url: AnyUrl | None = None


class Type526(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"
    Mannequin = "Mannequin"


class Creator68(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type526 | None = None
    url: AnyUrl | None = None


class State157(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone58(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator68, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State157
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer56(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type526 | None = None
    url: AnyUrl | None = None


class Parent63(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer57(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    parent: Parent63 | None = None
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Parent64(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam29(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent64 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State158(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User146(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type526 | None = None
    url: AnyUrl | None = None


class PullRequest66(BaseModel):
    field_links: Annotated[FieldLinks51, Field(alias="_links")]
    active_lock_reason: ActiveLockReason48Enum
    additions: int | None = None
    assignee: Annotated[Assignee100, Field(title="User")]
    assignees: Sequence[Assignee101]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge28, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base34
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head33
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy19 | None, Field(title="User")] = None
    milestone: Annotated[Milestone58, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer56 | RequestedReviewer57]
    requested_teams: Sequence[RequestedTeam29]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State158
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User146, Field(title="User")]


class WebhookPullRequestUnlabeled(BaseModel):
    action: Action143
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    label: Annotated[Label8 | None, Field(title="Label")] = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest66, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser


class Action144(Enum):
    unlocked = "unlocked"


class FieldLinks52(BaseModel):
    comments: Annotated[Comments14, Field(title="Link")]
    commits: Annotated[Commits13, Field(title="Link")]
    html: Annotated[Html16, Field(title="Link")]
    issue: Annotated[Issue33, Field(title="Link")]
    review_comment: Annotated[ReviewComment14, Field(title="Link")]
    review_comments: Annotated[ReviewComments13, Field(title="Link")]
    self: Annotated[Self14, Field(title="Link")]
    statuses: Annotated[Statuses39, Field(title="Link")]


class ActiveLockReason49Enum(Enum):
    resolved = "resolved"
    off_topic = "off-topic"
    too_heated = "too heated"
    spam = "spam"


class Type529(Enum):
    Bot = "Bot"
    User = "User"
    Organization = "Organization"


class Assignee102(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Assignee103(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class EnabledBy28(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class AutoMerge29(BaseModel):
    """
    The status of auto merging a pull request.
    """

    commit_message: str
    """
    Commit message for the merge commit.
    """
    commit_title: str
    """
    Title for the merge commit message.
    """
    enabled_by: Annotated[EnabledBy28, Field(title="User")]
    merge_method: MergeMethod
    """
    The merge method to use.
    """


class MergeCommitMessage55(Enum):
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """

    PR_BODY = "PR_BODY"
    PR_TITLE = "PR_TITLE"
    BLANK = "BLANK"


class MergeCommitTitle55(Enum):
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """

    PR_TITLE = "PR_TITLE"
    MERGE_MESSAGE = "MERGE_MESSAGE"


class Owner96(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repo67(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage55 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle55 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner96, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User147(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Base35(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo67, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User147, Field(title="User")]


class Owner97(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repo68(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merge_commit_message: MergeCommitMessage55 | None = None
    """
    The default value for a merge commit message.

    - `PR_TITLE` - default to the pull request's title.
    - `PR_BODY` - default to the pull request's body.
    - `BLANK` - default to a blank commit message.
    """
    merge_commit_title: MergeCommitTitle55 | None = None
    """
    The default value for a merge commit title.

    - `PR_TITLE` - default to the pull request's title.
    - `MERGE_MESSAGE` - default to the classic title for a merge message (e.g., Merge pull request #123 from branch-name).
    """
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner97, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    squash_merge_commit_message: SquashMergeCommitMessage40 | None = None
    """
    The default value for a squash merge commit message:

    - `PR_BODY` - default to the pull request's body.
    - `COMMIT_MESSAGES` - default to the branch's commit messages.
    - `BLANK` - default to a blank commit message.
    """
    squash_merge_commit_title: SquashMergeCommitTitle40 | None = None
    """
    The default value for a squash merge commit title:

    - `PR_TITLE` - default to the pull request's title.
    - `COMMIT_OR_PR_TITLE` - default to the commit's title (if only one commit) or the pull request's title (when more than one commit).
    """
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    use_squash_pr_title_as_default: bool | None = False
    """
    Whether a squash merge commit can use the pull request title as default. **This property has been deprecated. Please use `squash_merge_commit_title` instead.
    """
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class User148(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Head34(BaseModel):
    label: str
    ref: str
    repo: Annotated[Repo68, Field(title="Repository")]
    """
    A git repository
    """
    sha: str
    user: Annotated[User148, Field(title="User")]


class MergedBy20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Creator69(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class State159(Enum):
    """
    The state of the milestone.
    """

    open = "open"
    closed = "closed"


class Milestone59(BaseModel):
    """
    A collection of related issues and pull requests.
    """

    closed_at: datetime
    closed_issues: int
    created_at: datetime
    creator: Annotated[Creator69, Field(title="User")]
    description: str
    due_on: datetime
    html_url: AnyUrl
    id: int
    labels_url: AnyUrl
    node_id: str
    number: int
    """
    The number of the milestone.
    """
    open_issues: int
    state: State159
    """
    The state of the milestone.
    """
    title: str
    """
    The title of the milestone.
    """
    updated_at: datetime
    url: AnyUrl


class RequestedReviewer58(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Parent65(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedReviewer59(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent65 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class Parent66(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class RequestedTeam30(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent66 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class State160(Enum):
    """
    State of this Pull Request. Either `open` or `closed`.
    """

    open = "open"
    closed = "closed"


class User149(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class PullRequest67(BaseModel):
    field_links: Annotated[FieldLinks52, Field(alias="_links")]
    active_lock_reason: ActiveLockReason49Enum
    additions: int | None = None
    assignee: Annotated[Assignee102, Field(title="User")]
    assignees: Sequence[Assignee103]
    author_association: Annotated[AuthorAssociation, Field(title="AuthorAssociation")]
    """
    How the author is associated with the repository.
    """
    auto_merge: Annotated[AutoMerge29, Field(title="PullRequestAutoMerge")]
    """
    The status of auto merging a pull request.
    """
    base: Base35
    body: str
    changed_files: int | None = None
    closed_at: datetime
    comments: int | None = None
    comments_url: AnyUrl
    commits: int | None = None
    commits_url: AnyUrl
    created_at: datetime
    deletions: int | None = None
    diff_url: AnyUrl
    draft: bool
    """
    Indicates whether or not the pull request is a draft.
    """
    head: Head34
    html_url: AnyUrl
    id: int
    issue_url: AnyUrl
    labels: Sequence[Label8]
    locked: bool
    maintainer_can_modify: bool | None = None
    """
    Indicates whether maintainers can modify the pull request.
    """
    merge_commit_sha: str
    mergeable: bool | None = None
    mergeable_state: str | None = None
    merged: bool | None = None
    merged_at: datetime
    merged_by: Annotated[MergedBy20 | None, Field(title="User")] = None
    milestone: Annotated[Milestone59, Field(title="Milestone")]
    """
    A collection of related issues and pull requests.
    """
    node_id: str
    number: int
    """
    Number uniquely identifying the pull request within its repository.
    """
    patch_url: AnyUrl
    rebaseable: bool | None = None
    requested_reviewers: Sequence[RequestedReviewer58 | RequestedReviewer59]
    requested_teams: Sequence[RequestedTeam30]
    review_comment_url: str
    review_comments: int | None = None
    review_comments_url: AnyUrl
    state: State160
    """
    State of this Pull Request. Either `open` or `closed`.
    """
    statuses_url: AnyUrl
    title: str
    """
    The title of the pull request.
    """
    updated_at: datetime
    url: AnyUrl
    user: Annotated[User149, Field(title="User")]


class WebhookPullRequestUnlocked(BaseModel):
    action: Action144
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    number: int
    """
    The pull request number.
    """
    organization: OrganizationSimple | None = None
    pull_request: Annotated[PullRequest67, Field(title="Pull Request")]
    repository: Repository
    sender: SimpleUser


class Author12(BaseModel):
    """
    Metaproperties for Git author/committer information.
    """

    date: datetime | None = None
    email: EmailStr
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class Commit7(BaseModel):
    added: Sequence[str] | None = None
    """
    An array of files added in the commit.
    """
    author: Annotated[Author12, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    committer: Annotated[Committer5, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    distinct: bool
    """
    Whether this commit is distinct from any that have been pushed before.
    """
    id: str
    message: str
    """
    The commit message.
    """
    modified: Sequence[str] | None = None
    """
    An array of files modified by the commit.
    """
    removed: Sequence[str] | None = None
    """
    An array of files removed in the commit.
    """
    timestamp: datetime
    """
    The ISO 8601 timestamp of the commit.
    """
    tree_id: str
    url: AnyUrl
    """
    URL that points to the commit API resource.
    """


class HeadCommit2(BaseModel):
    added: Sequence[str] | None = None
    """
    An array of files added in the commit.
    """
    author: Annotated[Author12, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    committer: Annotated[Committer5, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    distinct: bool
    """
    Whether this commit is distinct from any that have been pushed before.
    """
    id: str
    message: str
    """
    The commit message.
    """
    modified: Sequence[str] | None = None
    """
    An array of files modified by the commit.
    """
    removed: Sequence[str] | None = None
    """
    An array of files removed in the commit.
    """
    timestamp: datetime
    """
    The ISO 8601 timestamp of the commit.
    """
    tree_id: str
    url: AnyUrl
    """
    URL that points to the commit API resource.
    """


class Pusher1(BaseModel):
    """
    Metaproperties for Git author/committer information.
    """

    date: datetime | None = None
    email: EmailStr | None = None
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class Owner98(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repository8(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner98, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int
    web_commit_signoff_required: bool | None = None
    """
    Whether to require contributors to sign off on web-based commits
    """


class WebhookPush(BaseModel):
    after: str
    """
    The SHA of the most recent commit on `ref` after the push.
    """
    base_ref: str
    before: str
    """
    The SHA of the most recent commit on `ref` before the push.
    """
    commits: Sequence[Commit7]
    """
    An array of commit objects describing the pushed commits. (Pushed commits are all commits that are included in the `compare` between the `before` commit and the `after` commit.) The array includes a maximum of 20 commits. If necessary, you can use the [Commits API](https://docs.github.com/en/rest/reference/repos#commits) to fetch additional commits. This limit is applied to timeline events only and isn't applied to webhook deliveries.
    """
    compare: str
    """
    URL that shows the changes in this `ref` update, from the `before` commit to the `after` commit. For a newly created `ref` that is directly based on the default branch, this is the comparison between the head of the default branch and the `after` commit. Otherwise, this shows all commits until the `after` commit.
    """
    created: bool
    """
    Whether this push created the `ref`.
    """
    deleted: bool
    """
    Whether this push deleted the `ref`.
    """
    enterprise: Enterprise | None = None
    forced: bool
    """
    Whether this push was a force push of the `ref`.
    """
    head_commit: Annotated[HeadCommit2, Field(title="Commit")]
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    pusher: Annotated[Pusher1, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    ref: str
    """
    The full git ref that was pushed. Example: `refs/heads/main` or `refs/tags/v3.14.1`.
    """
    repository: Annotated[Repository8, Field(title="Repository")]
    """
    A git repository
    """
    sender: SimpleUser | None = None


class Action145(Enum):
    published = "published"


class Owner99(BaseModel):
    avatar_url: str
    events_url: str
    followers_url: str
    following_url: str
    gists_url: str
    gravatar_id: str
    html_url: str
    id: int
    login: str
    node_id: str
    organizations_url: str
    received_events_url: str
    repos_url: str
    site_admin: bool
    starred_url: str
    subscriptions_url: str
    type: str
    url: str


class Author14(BaseModel):
    avatar_url: str
    events_url: str
    followers_url: str
    following_url: str
    gists_url: str
    gravatar_id: str
    html_url: str
    id: int
    login: str
    node_id: str
    organizations_url: str
    received_events_url: str
    repos_url: str
    site_admin: bool
    starred_url: str
    subscriptions_url: str
    type: str
    url: str


class Tag3(BaseModel):
    digest: str | None = None
    name: str | None = None


class ContainerMetadata2(BaseModel):
    labels: Mapping[str, Any] | None = None
    manifest: Mapping[str, Any] | None = None
    tag: Tag3 | None = None


class NpmMetadata1(BaseModel):
    name: str | None = None
    version: str | None = None
    npm_user: str | None = None
    author: str | Mapping[str, Any] | None = None
    bugs: str | Mapping[str, Any] | None = None
    dependencies: Mapping[str, Any] | None = None
    dev_dependencies: Mapping[str, Any] | None = None
    peer_dependencies: Mapping[str, Any] | None = None
    optional_dependencies: Mapping[str, Any] | None = None
    description: str | None = None
    dist: str | Mapping[str, Any] | None = None
    git_head: str | None = None
    homepage: str | None = None
    license: str | None = None
    main: str | None = None
    repository: str | Mapping[str, Any] | None = None
    scripts: Mapping[str, Any] | None = None
    id: str | None = None
    node_version: str | None = None
    npm_version: str | None = None
    has_shrinkwrap: bool | None = None
    maintainers: Sequence[str] | None = None
    contributors: Sequence[str] | None = None
    engines: Mapping[str, Any] | None = None
    keywords: Sequence[str] | None = None
    files: Sequence[str] | None = None
    bin: Mapping[str, Any] | None = None
    man: Mapping[str, Any] | None = None
    directories: str | Mapping[str, Any] | None = None
    os: Sequence[str] | None = None
    cpu: Sequence[str] | None = None
    readme: str | None = None
    installation_command: str | None = None
    release_id: int | None = None
    commit_oid: str | None = None
    published_via_actions: bool | None = None
    deleted_by_id: int | None = None


class NugetMetadatum1(BaseModel):
    id: str | Mapping[str, Any] | int | None = None
    name: str | None = None
    value: bool | str | int | ValueItem | None = None


class PackageFile2(BaseModel):
    content_type: str
    created_at: str
    download_url: str
    id: int
    md5: str
    name: str
    sha1: str
    sha256: str
    size: int
    state: str
    updated_at: str


class Author15(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Release3(BaseModel):
    author: Author15 | None = None
    created_at: str | None = None
    draft: bool | None = None
    html_url: str | None = None
    id: int | None = None
    name: str | None = None
    prerelease: bool | None = None
    published_at: str | None = None
    tag_name: str | None = None
    target_commitish: str | None = None
    url: str | None = None


class PackageVersion4(BaseModel):
    author: Author14 | None = None
    body: str | Mapping[str, Any] | None = None
    body_html: str | None = None
    container_metadata: ContainerMetadata2 | None = None
    created_at: str | None = None
    description: str
    docker_metadata: Sequence | None = None
    draft: bool | None = None
    html_url: str
    id: int
    installation_command: str
    manifest: str | None = None
    metadata: Sequence[Mapping[str, Any]]
    name: str
    npm_metadata: NpmMetadata1 | None = None
    nuget_metadata: Sequence[NugetMetadatum1] | None = None
    package_files: Sequence[PackageFile2]
    package_url: str
    prerelease: bool | None = None
    release: Release3 | None = None
    rubygems_metadata: Sequence | None = None
    summary: str
    tag_name: str | None = None
    target_commitish: str | None = None
    target_oid: str | None = None
    updated_at: str | None = None
    version: str


class Registry2(BaseModel):
    about_url: str | None = None
    name: str | None = None
    type: str | None = None
    url: str | None = None
    vendor: str | None = None


class RegistryPackage(BaseModel):
    created_at: str
    description: str
    ecosystem: str
    html_url: str
    id: int
    name: str
    namespace: str
    owner: Owner99
    package_type: str
    package_version: PackageVersion4
    registry: Registry2
    updated_at: str


class WebhookRegistryPackagePublished(BaseModel):
    action: Action145
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    registry_package: RegistryPackage
    repository: Repository | None = None
    sender: SimpleUser


class Author16(BaseModel):
    avatar_url: str
    events_url: str
    followers_url: str
    following_url: str
    gists_url: str
    gravatar_id: str
    html_url: str
    id: int
    login: str
    node_id: str
    organizations_url: str
    received_events_url: str
    repos_url: str
    site_admin: bool
    starred_url: str
    subscriptions_url: str
    type: str
    url: str


class PackageFile3(BaseModel):
    content_type: str | None = None
    created_at: str | None = None
    download_url: str | None = None
    id: int | None = None
    md5: str | None = None
    name: str | None = None
    sha1: str | None = None
    sha256: str | None = None
    size: int | None = None
    state: str | None = None
    updated_at: str | None = None


class Release4(BaseModel):
    author: Author16
    created_at: str
    draft: bool
    html_url: str
    id: int
    name: str
    prerelease: bool
    published_at: str
    tag_name: str
    target_commitish: str
    url: str


class PackageVersion5(BaseModel):
    author: Author16
    body: str
    body_html: str
    created_at: str
    description: str
    docker_metadata: Sequence[Any] | None = None
    draft: bool | None = None
    html_url: str
    id: int
    installation_command: str
    manifest: str | None = None
    metadata: Sequence
    name: str
    package_files: Sequence[PackageFile3]
    package_url: str
    prerelease: bool | None = None
    release: Release4 | None = None
    rubygems_metadata: Sequence | None = None
    summary: str
    tag_name: str | None = None
    target_commitish: str
    target_oid: str
    updated_at: str
    version: str


class RegistryPackage1(BaseModel):
    created_at: str
    description: Any
    ecosystem: str
    html_url: str
    id: int
    name: str
    namespace: str
    owner: Owner99
    package_type: str
    package_version: PackageVersion5
    registry: Mapping[str, Any]
    updated_at: str


class WebhookRegistryPackageUpdated(BaseModel):
    action: str
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    registry_package: RegistryPackage1
    repository: Repository | None = None
    sender: SimpleUser


class Action146(Enum):
    created = "created"


class State161(Enum):
    """
    State of the release asset.
    """

    uploaded = "uploaded"


class Uploader(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Asset(BaseModel):
    """
    Data related to a release.
    """

    browser_download_url: AnyUrl
    content_type: str
    created_at: datetime
    download_count: int
    id: int
    label: str
    name: str
    """
    The file name of the asset.
    """
    node_id: str
    size: int
    state: State161
    """
    State of the release asset.
    """
    updated_at: datetime
    uploader: Annotated[Uploader | None, Field(title="User")] = None
    url: AnyUrl


class Author18(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Release5(BaseModel):
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """

    assets: Sequence[Asset]
    assets_url: AnyUrl
    author: Annotated[Author18, Field(title="User")]
    body: str
    created_at: datetime
    discussion_url: AnyUrl | None = None
    draft: bool
    """
    Whether the release is a draft or published
    """
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    prerelease: bool
    """
    Whether the release is identified as a prerelease or a full release.
    """
    published_at: datetime
    reactions: Annotated[Reactions46 | None, Field(title="Reactions")] = None
    tag_name: str
    """
    The name of the tag.
    """
    tarball_url: AnyUrl
    target_commitish: str
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    upload_url: str
    url: AnyUrl
    zipball_url: AnyUrl


class WebhookReleaseCreated(BaseModel):
    action: Action146
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    release: Annotated[Release5, Field(title="Release")]
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """
    repository: Repository
    sender: SimpleUser


class Action147(Enum):
    deleted = "deleted"


class Uploader1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Asset1(BaseModel):
    """
    Data related to a release.
    """

    browser_download_url: AnyUrl
    content_type: str
    created_at: datetime
    download_count: int
    id: int
    label: str
    name: str
    """
    The file name of the asset.
    """
    node_id: str
    size: int
    state: State161
    """
    State of the release asset.
    """
    updated_at: datetime
    uploader: Annotated[Uploader1 | None, Field(title="User")] = None
    url: AnyUrl


class Author19(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Release6(BaseModel):
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """

    assets: Sequence[Asset1]
    assets_url: AnyUrl
    author: Annotated[Author19, Field(title="User")]
    body: str
    created_at: datetime
    discussion_url: AnyUrl | None = None
    draft: bool
    """
    Whether the release is a draft or published
    """
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    prerelease: bool
    """
    Whether the release is identified as a prerelease or a full release.
    """
    published_at: datetime
    reactions: Annotated[Reactions46 | None, Field(title="Reactions")] = None
    tag_name: str
    """
    The name of the tag.
    """
    tarball_url: AnyUrl
    target_commitish: str
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    upload_url: str
    url: AnyUrl
    zipball_url: AnyUrl


class WebhookReleaseDeleted(BaseModel):
    action: Action147
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    release: Annotated[Release6, Field(title="Release")]
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """
    repository: Repository
    sender: SimpleUser


class Action148(Enum):
    edited = "edited"


class Name4(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the name if the action was `edited`.
    """


class Changes27(BaseModel):
    body: Body8 | None = None
    name: Name4 | None = None


class Uploader2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Asset2(BaseModel):
    """
    Data related to a release.
    """

    browser_download_url: AnyUrl
    content_type: str
    created_at: datetime
    download_count: int
    id: int
    label: str
    name: str
    """
    The file name of the asset.
    """
    node_id: str
    size: int
    state: State161
    """
    State of the release asset.
    """
    updated_at: datetime
    uploader: Annotated[Uploader2 | None, Field(title="User")] = None
    url: AnyUrl


class Author20(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Release7(BaseModel):
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """

    assets: Sequence[Asset2]
    assets_url: AnyUrl
    author: Annotated[Author20, Field(title="User")]
    body: str
    created_at: datetime
    discussion_url: AnyUrl | None = None
    draft: bool
    """
    Whether the release is a draft or published
    """
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    prerelease: bool
    """
    Whether the release is identified as a prerelease or a full release.
    """
    published_at: datetime
    reactions: Annotated[Reactions46 | None, Field(title="Reactions")] = None
    tag_name: str
    """
    The name of the tag.
    """
    tarball_url: AnyUrl
    target_commitish: str
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    upload_url: str
    url: AnyUrl
    zipball_url: AnyUrl


class WebhookReleaseEdited(BaseModel):
    action: Action148
    changes: Changes27
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    release: Annotated[Release7, Field(title="Release")]
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """
    repository: Repository
    sender: SimpleUser | None = None


class Action149(Enum):
    prereleased = "prereleased"


class Uploader3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Asset3(BaseModel):
    """
    Data related to a release.
    """

    browser_download_url: AnyUrl
    content_type: str
    created_at: datetime
    download_count: int
    id: int
    label: str
    name: str
    """
    The file name of the asset.
    """
    node_id: str
    size: int
    state: State161
    """
    State of the release asset.
    """
    updated_at: datetime
    uploader: Annotated[Uploader3 | None, Field(title="User")] = None
    url: AnyUrl


class Author21(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Prerelease(Enum):
    """
    Whether the release is identified as a prerelease or a full release.
    """

    boolean_True = True


class Release8(BaseModel):
    assets: Sequence[Asset3]
    assets_url: AnyUrl
    author: Annotated[Author21, Field(title="User")]
    body: str
    created_at: datetime
    discussion_url: AnyUrl | None = None
    draft: bool
    """
    Whether the release is a draft or published
    """
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    prerelease: bool
    """
    Whether the release is identified as a prerelease or a full release.
    """
    published_at: datetime
    reactions: Annotated[Reactions46 | None, Field(title="Reactions")] = None
    tag_name: str
    """
    The name of the tag.
    """
    tarball_url: AnyUrl
    target_commitish: str
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    upload_url: str
    url: AnyUrl
    zipball_url: AnyUrl


class WebhookReleasePrereleased(BaseModel):
    action: Action149
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    release: Release8
    repository: Repository
    sender: SimpleUser | None = None


class Action150(Enum):
    published = "published"


class Uploader4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Asset4(BaseModel):
    """
    Data related to a release.
    """

    browser_download_url: AnyUrl
    content_type: str
    created_at: datetime
    download_count: int
    id: int
    label: str
    name: str
    """
    The file name of the asset.
    """
    node_id: str
    size: int
    state: State161
    """
    State of the release asset.
    """
    updated_at: datetime
    uploader: Annotated[Uploader4 | None, Field(title="User")] = None
    url: AnyUrl


class Release9(BaseModel):
    assets: Sequence[Asset4]
    assets_url: AnyUrl
    author: Annotated[Author21, Field(title="User")]
    body: str
    created_at: datetime
    discussion_url: AnyUrl | None = None
    draft: bool
    """
    Whether the release is a draft or published
    """
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    prerelease: bool
    """
    Whether the release is identified as a prerelease or a full release.
    """
    published_at: datetime
    reactions: Annotated[Reactions46 | None, Field(title="Reactions")] = None
    tag_name: str
    """
    The name of the tag.
    """
    tarball_url: AnyUrl
    target_commitish: str
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    upload_url: str
    url: AnyUrl
    zipball_url: AnyUrl


class WebhookReleasePublished(BaseModel):
    action: Action150
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    release: Release9
    repository: Repository
    sender: SimpleUser | None = None


class Action151(Enum):
    released = "released"


class Uploader5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Asset5(BaseModel):
    """
    Data related to a release.
    """

    browser_download_url: AnyUrl
    content_type: str
    created_at: datetime
    download_count: int
    id: int
    label: str
    name: str
    """
    The file name of the asset.
    """
    node_id: str
    size: int
    state: State161
    """
    State of the release asset.
    """
    updated_at: datetime
    uploader: Annotated[Uploader5 | None, Field(title="User")] = None
    url: AnyUrl


class Author23(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Release10(BaseModel):
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """

    assets: Sequence[Asset5]
    assets_url: AnyUrl
    author: Annotated[Author23, Field(title="User")]
    body: str
    created_at: datetime
    discussion_url: AnyUrl | None = None
    draft: bool
    """
    Whether the release is a draft or published
    """
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    prerelease: bool
    """
    Whether the release is identified as a prerelease or a full release.
    """
    published_at: datetime
    reactions: Annotated[Reactions46 | None, Field(title="Reactions")] = None
    tag_name: str
    """
    The name of the tag.
    """
    tarball_url: AnyUrl
    target_commitish: str
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    upload_url: str
    url: AnyUrl
    zipball_url: AnyUrl


class WebhookReleaseReleased(BaseModel):
    action: Action151
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    release: Annotated[Release10, Field(title="Release")]
    """
    The [release](https://docs.github.com/en/rest/reference/repos/#get-a-release) object.
    """
    repository: Repository
    sender: SimpleUser | None = None


class Action152(Enum):
    unpublished = "unpublished"


class Uploader6(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Asset6(BaseModel):
    """
    Data related to a release.
    """

    browser_download_url: AnyUrl
    content_type: str
    created_at: datetime
    download_count: int
    id: int
    label: str
    name: str
    """
    The file name of the asset.
    """
    node_id: str
    size: int
    state: State161
    """
    State of the release asset.
    """
    updated_at: datetime
    uploader: Annotated[Uploader6 | None, Field(title="User")] = None
    url: AnyUrl


class Author24(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Release11(BaseModel):
    assets: Sequence[Asset6]
    assets_url: AnyUrl
    author: Annotated[Author24, Field(title="User")]
    body: str
    created_at: datetime
    discussion_url: AnyUrl | None = None
    draft: bool
    """
    Whether the release is a draft or published
    """
    html_url: AnyUrl
    id: int
    name: str
    node_id: str
    prerelease: bool
    """
    Whether the release is identified as a prerelease or a full release.
    """
    published_at: datetime
    reactions: Annotated[Reactions46 | None, Field(title="Reactions")] = None
    tag_name: str
    """
    The name of the tag.
    """
    tarball_url: AnyUrl
    target_commitish: str
    """
    Specifies the commitish value that determines where the Git tag is created from.
    """
    upload_url: str
    url: AnyUrl
    zipball_url: AnyUrl


class WebhookReleaseUnpublished(BaseModel):
    action: Action152
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    release: Release11
    repository: Repository
    sender: SimpleUser | None = None


class Action153(Enum):
    archived = "archived"


class WebhookRepositoryArchived(BaseModel):
    action: Action153
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action154(Enum):
    created = "created"


class WebhookRepositoryCreated(BaseModel):
    action: Action154
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action155(Enum):
    deleted = "deleted"


class WebhookRepositoryDeleted(BaseModel):
    action: Action155
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class WebhookRepositoryDispatchSample(BaseModel):
    action: str
    branch: str
    client_payload: Mapping[str, Any]
    enterprise: Enterprise | None = None
    installation: SimpleInstallation
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action156(Enum):
    edited = "edited"


class DefaultBranch(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Description2(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Homepage(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Topics(BaseModel):
    from_: Annotated[Sequence[str] | None, Field(alias="from")] = None


class Changes28(BaseModel):
    default_branch: DefaultBranch | None = None
    description: Description2 | None = None
    homepage: Homepage | None = None
    topics: Topics | None = None


class WebhookRepositoryEdited(BaseModel):
    action: Action156
    changes: Changes28
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Status18(Enum):
    success = "success"
    cancelled = "cancelled"
    failure = "failure"


class WebhookRepositoryImport(BaseModel):
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    status: Status18


class Action157(Enum):
    privatized = "privatized"


class WebhookRepositoryPrivatized(BaseModel):
    action: Action157
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action158(Enum):
    publicized = "publicized"


class WebhookRepositoryPublicized(BaseModel):
    action: Action158
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action159(Enum):
    renamed = "renamed"


class Name5(BaseModel):
    from_: Annotated[str, Field(alias="from")]


class Repository9(BaseModel):
    name: Name5


class Changes29(BaseModel):
    repository: Repository9


class WebhookRepositoryRenamed(BaseModel):
    action: Action159
    changes: Changes29
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action160(Enum):
    transferred = "transferred"


class Organization(BaseModel):
    avatar_url: AnyUrl
    description: str
    events_url: AnyUrl
    hooks_url: AnyUrl
    html_url: AnyUrl | None = None
    id: int
    issues_url: AnyUrl
    login: str
    members_url: str
    node_id: str
    public_members_url: str
    repos_url: AnyUrl
    url: AnyUrl


class User150(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class From3(BaseModel):
    organization: Annotated[Organization | None, Field(title="Organization")] = None
    user: Annotated[User150 | None, Field(title="User")] = None


class Owner101(BaseModel):
    from_: Annotated[From3, Field(alias="from")]


class Changes30(BaseModel):
    owner: Owner101


class WebhookRepositoryTransferred(BaseModel):
    action: Action160
    changes: Changes30
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action161(Enum):
    unarchived = "unarchived"


class WebhookRepositoryUnarchived(BaseModel):
    action: Action161
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action162(Enum):
    create = "create"


class Dismisser(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class State168(Enum):
    open = "open"


class Alert6(BaseModel):
    affected_package_name: str
    affected_range: str
    created_at: str
    dismiss_reason: str | None = None
    dismissed_at: str | None = None
    dismisser: Annotated[Dismisser | None, Field(title="User")] = None
    external_identifier: str
    external_reference: AnyUrl
    fix_reason: str | None = None
    fixed_at: datetime | None = None
    fixed_in: str | None = None
    ghsa_id: str
    id: int
    node_id: str
    number: int
    severity: str
    state: State168


class WebhookRepositoryVulnerabilityAlertCreate(BaseModel):
    action: Action162
    alert: Alert6
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action163(Enum):
    dismiss = "dismiss"


class Dismisser1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class State169(Enum):
    dismissed = "dismissed"


class Alert7(BaseModel):
    affected_package_name: str
    affected_range: str
    created_at: str
    dismiss_comment: str | None = None
    dismiss_reason: str | None = None
    dismissed_at: str | None = None
    dismisser: Annotated[Dismisser1 | None, Field(title="User")] = None
    external_identifier: str
    external_reference: AnyUrl
    fix_reason: str | None = None
    fixed_at: datetime | None = None
    fixed_in: str | None = None
    ghsa_id: str
    id: int
    node_id: str
    number: int
    severity: str
    state: State169


class WebhookRepositoryVulnerabilityAlertDismiss(BaseModel):
    action: Action163
    alert: Alert7
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action164(Enum):
    reopen = "reopen"


class Dismisser2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class State170(Enum):
    open = "open"


class Alert8(BaseModel):
    affected_package_name: str
    affected_range: str
    created_at: str
    dismiss_reason: str | None = None
    dismissed_at: str | None = None
    dismisser: Annotated[Dismisser2 | None, Field(title="User")] = None
    external_identifier: str
    external_reference: AnyUrl
    fix_reason: str | None = None
    fixed_at: datetime | None = None
    fixed_in: str | None = None
    ghsa_id: str
    id: int
    node_id: str
    number: int
    severity: str
    state: State170


class WebhookRepositoryVulnerabilityAlertReopen(BaseModel):
    action: Action164
    alert: Alert8
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action165(Enum):
    resolve = "resolve"


class Dismisser3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class State171(Enum):
    fixed = "fixed"
    open = "open"


class Alert9(BaseModel):
    affected_package_name: str
    affected_range: str
    created_at: str
    dismiss_reason: str | None = None
    dismissed_at: str | None = None
    dismisser: Annotated[Dismisser3 | None, Field(title="User")] = None
    external_identifier: str
    external_reference: AnyUrl
    fix_reason: str | None = None
    fixed_at: datetime | None = None
    fixed_in: str | None = None
    ghsa_id: str
    id: int
    node_id: str
    number: int
    severity: str
    state: State171


class WebhookRepositoryVulnerabilityAlertResolve(BaseModel):
    action: Action165
    alert: Alert9
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Action166(Enum):
    created = "created"


class WebhookSecretScanningAlertCreated(BaseModel):
    action: Action166
    alert: SecretScanningAlert
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser | None = None


class WebhookSecretScanningAlertLocationCreated(BaseModel):
    action: Action166 | None = None
    alert: SecretScanningAlert
    installation: SimpleInstallation | None = None
    location: SecretScanningLocation
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class WebhookSecretScanningAlertLocationCreatedFormEncoded(BaseModel):
    payload: str
    """
    A URL-encoded string of the secret_scanning_alert_location.created JSON payload. The decoded payload is a JSON object.
    """


class Action168(Enum):
    reopened = "reopened"


class WebhookSecretScanningAlertReopened(BaseModel):
    action: Action168
    alert: SecretScanningAlert
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser | None = None


class Action169(Enum):
    resolved = "resolved"


class ResolutionEnum(Enum):
    """
    **Required when the `state` is `resolved`.** The reason for resolving the alert.
    """

    false_positive = "false_positive"
    wont_fix = "wont_fix"
    revoked = "revoked"
    used_in_tests = "used_in_tests"
    pattern_deleted = "pattern_deleted"
    pattern_edited = "pattern_edited"


class Alert10(BaseModel):
    created_at: datetime | None = None
    """
    The time that the alert was created in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    html_url: AnyUrl | None = None
    """
    The GitHub URL of the alert resource.
    """
    locations_url: AnyUrl | None = None
    """
    The REST API URL of the code locations for this alert.
    """
    number: int | None = None
    """
    The security alert number.
    """
    push_protection_bypassed: bool | None = None
    """
    Whether push protection was bypassed for the detected secret.
    """
    push_protection_bypassed_at: datetime | None = None
    """
    The time that push protection was bypassed in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    push_protection_bypassed_by: NullableSimpleUser | None = None
    resolution: ResolutionEnum | None = None
    """
    **Required when the `state` is `resolved`.** The reason for resolving the alert.
    """
    resolved_at: datetime | None = None
    """
    The time that the alert was resolved in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    resolved_by: NullableSimpleUser | None = None
    resolution_comment: str | None = None
    """
    An optional comment to resolve an alert.
    """
    secret: str | None = None
    """
    The secret that was detected.
    """
    secret_type: str | None = None
    """
    The type of secret that secret scanning detected.
    """
    secret_type_display_name: str | None = None
    """
    User-friendly name for the detected secret, matching the `secret_type`.
    For a list of built-in patterns, see "[Secret scanning patterns](https://docs.github.com/code-security/secret-scanning/secret-scanning-patterns#supported-secrets-for-advanced-security)."
    """
    state: SecretScanningAlertState | None = None
    updated_at: datetime | None = None
    """
    The time that the alert was last updated in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
    """
    url: AnyUrl | None = None
    """
    The REST API URL of the alert resource.
    """


class WebhookSecretScanningAlertResolved(BaseModel):
    action: Action169
    alert: Alert10
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser | None = None


class Action170(Enum):
    revoked = "revoked"


class WebhookSecretScanningAlertRevoked(BaseModel):
    action: Action170
    alert: SecretScanningAlert
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser | None = None


class Action171(Enum):
    performed = "performed"


class Cvss1(BaseModel):
    score: float
    vector_string: str


class Cwe1(BaseModel):
    cwe_id: str
    name: str


class Identifier1(BaseModel):
    type: str
    value: str


class Reference1(BaseModel):
    url: AnyUrl


class FirstPatchedVersion1(BaseModel):
    identifier: str


class Package4(BaseModel):
    ecosystem: str
    name: str


class Vulnerability1(BaseModel):
    first_patched_version: FirstPatchedVersion1
    package: Package4
    severity: str
    vulnerable_version_range: str


class SecurityAdvisory(BaseModel):
    """
    The details of the security advisory, including summary, description, and severity.
    """

    cvss: Cvss1
    cwes: Sequence[Cwe1]
    description: str
    ghsa_id: str
    identifiers: Sequence[Identifier1]
    published_at: str
    references: Sequence[Reference1]
    severity: str
    summary: str
    updated_at: str
    vulnerabilities: Sequence[Vulnerability1]
    withdrawn_at: str


class WebhookSecurityAdvisoryPerformed(BaseModel):
    action: Action171
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    security_advisory: SecurityAdvisory
    """
    The details of the security advisory, including summary, description, and severity.
    """
    sender: SimpleUser | None = None


class Action172(Enum):
    published = "published"


class Vulnerability2(BaseModel):
    first_patched_version: FirstPatchedVersion1
    package: Package4
    severity: str
    vulnerable_version_range: str


class SecurityAdvisory1(BaseModel):
    """
    The details of the security advisory, including summary, description, and severity.
    """

    cvss: Cvss1
    cwes: Sequence[Cwe1]
    description: str
    ghsa_id: str
    identifiers: Sequence[Identifier1]
    published_at: str
    references: Sequence[Reference1]
    severity: str
    summary: str
    updated_at: str
    vulnerabilities: Sequence[Vulnerability2]
    withdrawn_at: str


class WebhookSecurityAdvisoryPublished(BaseModel):
    action: Action172
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    security_advisory: SecurityAdvisory1
    """
    The details of the security advisory, including summary, description, and severity.
    """
    sender: SimpleUser | None = None


class Action173(Enum):
    updated = "updated"


class Vulnerability3(BaseModel):
    first_patched_version: FirstPatchedVersion1
    package: Package4
    severity: str
    vulnerable_version_range: str


class SecurityAdvisory2(BaseModel):
    """
    The details of the security advisory, including summary, description, and severity.
    """

    cvss: Cvss1
    cwes: Sequence[Cwe1]
    description: str
    ghsa_id: str
    identifiers: Sequence[Identifier1]
    published_at: str
    references: Sequence[Reference1]
    severity: str
    summary: str
    updated_at: str
    vulnerabilities: Sequence[Vulnerability3]
    withdrawn_at: str


class WebhookSecurityAdvisoryUpdated(BaseModel):
    action: Action173
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    security_advisory: SecurityAdvisory2
    """
    The details of the security advisory, including summary, description, and severity.
    """
    sender: SimpleUser | None = None


class Action174(Enum):
    withdrawn = "withdrawn"


class Vulnerability4(BaseModel):
    first_patched_version: FirstPatchedVersion1
    package: Package4
    severity: str
    vulnerable_version_range: str


class SecurityAdvisory3(BaseModel):
    """
    The details of the security advisory, including summary, description, and severity.
    """

    cvss: Cvss1
    cwes: Sequence[Cwe1]
    description: str
    ghsa_id: str
    identifiers: Sequence[Identifier1]
    published_at: str
    references: Sequence[Reference1]
    severity: str
    summary: str
    updated_at: str
    vulnerabilities: Sequence[Vulnerability4]
    withdrawn_at: str


class WebhookSecurityAdvisoryWithdrawn(BaseModel):
    action: Action174
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    security_advisory: SecurityAdvisory3
    """
    The details of the security advisory, including summary, description, and severity.
    """
    sender: SimpleUser | None = None


class From4(BaseModel):
    security_and_analysis: SecurityAndAnalysis | None = None


class Changes31(BaseModel):
    from_: Annotated[From4 | None, Field(alias="from")] = None


class WebhookSecurityAndAnalysis(BaseModel):
    changes: Changes31
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: FullRepository
    sender: SimpleUser | None = None


class Action175(Enum):
    cancelled = "cancelled"


class Maintainer(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Sponsor(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorable(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Tier(BaseModel):
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """

    created_at: str
    description: str
    is_custom_ammount: bool | None = None
    is_custom_amount: bool | None = None
    is_one_time: bool
    monthly_price_in_cents: int
    monthly_price_in_dollars: int
    name: str
    node_id: str


class Sponsorship(BaseModel):
    created_at: str
    maintainer: Maintainer | None = None
    node_id: str
    privacy_level: str
    sponsor: Annotated[Sponsor, Field(title="User")]
    sponsorable: Annotated[Sponsorable, Field(title="User")]
    tier: Annotated[Tier, Field(title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class WebhookSponsorshipCancelled(BaseModel):
    action: Action175
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser
    sponsorship: Sponsorship


class Action176(Enum):
    created = "created"


class Sponsor1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorable1(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorship1(BaseModel):
    created_at: str
    maintainer: Maintainer | None = None
    node_id: str
    privacy_level: str
    sponsor: Annotated[Sponsor1, Field(title="User")]
    sponsorable: Annotated[Sponsorable1, Field(title="User")]
    tier: Annotated[Tier, Field(title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class WebhookSponsorshipCreated(BaseModel):
    action: Action176
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser
    sponsorship: Sponsorship1


class Action177(Enum):
    edited = "edited"


class PrivacyLevel(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The `edited` event types include the details about the change when someone edits a sponsorship to change the privacy.
    """


class Changes32(BaseModel):
    privacy_level: PrivacyLevel | None = None


class Sponsor2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorable2(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorship2(BaseModel):
    created_at: str
    maintainer: Maintainer | None = None
    node_id: str
    privacy_level: str
    sponsor: Annotated[Sponsor2, Field(title="User")]
    sponsorable: Annotated[Sponsorable2, Field(title="User")]
    tier: Annotated[Tier, Field(title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class WebhookSponsorshipEdited(BaseModel):
    action: Action177
    changes: Changes32
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser
    sponsorship: Sponsorship2


class Action178(Enum):
    pending_cancellation = "pending_cancellation"


class Sponsor3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorable3(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorship3(BaseModel):
    created_at: str
    maintainer: Maintainer | None = None
    node_id: str
    privacy_level: str
    sponsor: Annotated[Sponsor3, Field(title="User")]
    sponsorable: Annotated[Sponsorable3, Field(title="User")]
    tier: Annotated[Tier, Field(title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class WebhookSponsorshipPendingCancellation(BaseModel):
    action: Action178
    effective_date: str | None = None
    """
    The `pending_cancellation` and `pending_tier_change` event types will include the date the cancellation or tier change will take effect.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser
    sponsorship: Sponsorship3


class Action179(Enum):
    pending_tier_change = "pending_tier_change"


class From5(BaseModel):
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """

    created_at: str
    description: str
    is_custom_ammount: bool | None = None
    is_custom_amount: bool | None = None
    is_one_time: bool
    monthly_price_in_cents: int
    monthly_price_in_dollars: int
    name: str
    node_id: str


class Tier4(BaseModel):
    from_: Annotated[From5, Field(alias="from", title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class Changes33(BaseModel):
    tier: Tier4


class Sponsor4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorable4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Tier5(BaseModel):
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """

    created_at: str
    description: str
    is_custom_ammount: bool | None = None
    is_custom_amount: bool | None = None
    is_one_time: bool
    monthly_price_in_cents: int
    monthly_price_in_dollars: int
    name: str
    node_id: str


class Sponsorship4(BaseModel):
    created_at: str
    maintainer: Maintainer | None = None
    node_id: str
    privacy_level: str
    sponsor: Annotated[Sponsor4, Field(title="User")]
    sponsorable: Annotated[Sponsorable4, Field(title="User")]
    tier: Annotated[Tier5, Field(title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class WebhookSponsorshipPendingTierChange(BaseModel):
    action: Action179
    changes: Changes33
    effective_date: str | None = None
    """
    The `pending_cancellation` and `pending_tier_change` event types will include the date the cancellation or tier change will take effect.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser
    sponsorship: Sponsorship4


class Action180(Enum):
    tier_changed = "tier_changed"


class Tier6(BaseModel):
    from_: Annotated[From5, Field(alias="from", title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class Changes34(BaseModel):
    tier: Tier6


class Sponsor5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Sponsorable5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Tier7(BaseModel):
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """

    created_at: str
    description: str
    is_custom_ammount: bool | None = None
    is_custom_amount: bool | None = None
    is_one_time: bool
    monthly_price_in_cents: int
    monthly_price_in_dollars: int
    name: str
    node_id: str


class Sponsorship5(BaseModel):
    created_at: str
    maintainer: Maintainer | None = None
    node_id: str
    privacy_level: str
    sponsor: Annotated[Sponsor5, Field(title="User")]
    sponsorable: Annotated[Sponsorable5, Field(title="User")]
    tier: Annotated[Tier7, Field(title="Sponsorship Tier")]
    """
    The `tier_changed` and `pending_tier_change` will include the original tier before the change or pending change. For more information, see the pending tier change payload.
    """


class WebhookSponsorshipTierChanged(BaseModel):
    action: Action180
    changes: Changes34
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser
    sponsorship: Sponsorship5


class Action181(Enum):
    created = "created"


class WebhookStarCreated(BaseModel):
    action: Action181
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    starred_at: str
    """
    The time the star was created. This is a timestamp in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`. Will be `null` for the `deleted` action.
    """


class Action182(Enum):
    deleted = "deleted"


class WebhookStarDeleted(BaseModel):
    action: Action182
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    starred_at: Any
    """
    The time the star was created. This is a timestamp in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`. Will be `null` for the `deleted` action.
    """


class Commit8(BaseModel):
    sha: str
    url: AnyUrl


class Branch(BaseModel):
    commit: Commit8
    name: str
    protected: bool


class Author25(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int | None = None
    login: str | None = None
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Author26(BaseModel):
    date: datetime | None = None
    email: EmailStr
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class Committer9(BaseModel):
    date: datetime | None = None
    email: EmailStr
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class Reason(Enum):
    expired_key = "expired_key"
    not_signing_key = "not_signing_key"
    gpgverify_error = "gpgverify_error"
    gpgverify_unavailable = "gpgverify_unavailable"
    unsigned = "unsigned"
    unknown_signature_type = "unknown_signature_type"
    no_user = "no_user"
    unverified_email = "unverified_email"
    bad_email = "bad_email"
    unknown_key = "unknown_key"
    malformed_signature = "malformed_signature"
    invalid = "invalid"
    valid = "valid"
    bad_cert = "bad_cert"
    ocsp_pending = "ocsp_pending"


class Verification4(BaseModel):
    payload: str
    reason: Reason
    signature: str
    verified: bool


class Commit10(BaseModel):
    author: Author26
    comment_count: int
    committer: Committer9
    message: str
    tree: Tree4
    url: AnyUrl
    verification: Verification4


class Committer10(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int | None = None
    login: str | None = None
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Parent67(BaseModel):
    html_url: AnyUrl
    sha: str
    url: AnyUrl


class Commit9(BaseModel):
    author: Annotated[Author25, Field(title="User")]
    comments_url: AnyUrl
    commit: Commit10
    committer: Annotated[Committer10, Field(title="User")]
    html_url: AnyUrl
    node_id: str
    parents: Sequence[Parent67]
    sha: str
    url: AnyUrl


class State172(Enum):
    """
    The new state. Can be `pending`, `success`, `failure`, or `error`.
    """

    pending = "pending"
    success = "success"
    failure = "failure"
    error = "error"


class WebhookStatus(BaseModel):
    avatar_url: AnyUrl | None = None
    branches: Sequence[Branch]
    """
    An array of branch objects containing the status' SHA. Each branch contains the given SHA, but the SHA may or may not be the head of the branch. The array includes a maximum of 10 branches.
    """
    commit: Commit9
    context: str
    created_at: str
    description: str
    """
    The optional human-readable description added to the status.
    """
    enterprise: Enterprise | None = None
    id: int
    """
    The unique identifier of the status.
    """
    installation: SimpleInstallation | None = None
    name: str
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    sha: str
    """
    The Commit SHA.
    """
    state: State172
    """
    The new state. Can be `pending`, `success`, `failure`, or `error`.
    """
    target_url: str
    """
    The optional link added to the status.
    """
    updated_at: str


class Parent68(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team4(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent68 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookTeamAdd(BaseModel):
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    team: Annotated[Team4, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class Action183(Enum):
    added_to_repository = "added_to_repository"


class Owner102(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repository10(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner102, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class Parent69(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team5(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent69 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookTeamAddedToRepository(BaseModel):
    action: Action183
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    repository: Annotated[Repository10 | None, Field(title="Repository")] = None
    """
    A git repository
    """
    sender: SimpleUser | None = None
    team: Annotated[Team5, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class Action184(Enum):
    created = "created"


class Owner103(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repository11(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner103, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class Parent70(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team6(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent70 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookTeamCreated(BaseModel):
    action: Action184
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    repository: Annotated[Repository11 | None, Field(title="Repository")] = None
    """
    A git repository
    """
    sender: SimpleUser
    team: Annotated[Team6, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class Action185(Enum):
    deleted = "deleted"


class Owner104(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repository12(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner104, Field(title="User")]
    permissions: Permissions49 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class Parent71(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team7(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent71 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy1 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookTeamDeleted(BaseModel):
    action: Action185
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    repository: Annotated[Repository12 | None, Field(title="Repository")] = None
    """
    A git repository
    """
    sender: SimpleUser | None = None
    team: Annotated[Team7, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class Action186(Enum):
    edited = "edited"


class Description3(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the description if the action was `edited`.
    """


class Name6(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the name if the action was `edited`.
    """


class Privacy133(BaseModel):
    from_: Annotated[str, Field(alias="from")]
    """
    The previous version of the team's privacy if the action was `edited`.
    """


class From7(BaseModel):
    admin: bool | None = None
    """
    The previous version of the team member's `admin` permission on a repository, if the action was `edited`.
    """
    pull: bool | None = None
    """
    The previous version of the team member's `pull` permission on a repository, if the action was `edited`.
    """
    push: bool | None = None
    """
    The previous version of the team member's `push` permission on a repository, if the action was `edited`.
    """


class Permissions111(BaseModel):
    from_: Annotated[From7, Field(alias="from")]


class Repository13(BaseModel):
    permissions: Permissions111


class Changes35(BaseModel):
    """
    The changes to the team if the action was `edited`.
    """

    description: Description3 | None = None
    name: Name6 | None = None
    privacy: Privacy133 | None = None
    repository: Repository13 | None = None


class Owner105(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Permissions112(BaseModel):
    admin: bool
    maintain: bool | None = None
    pull: bool
    push: bool
    triage: bool | None = None


class Repository14(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner105, Field(title="User")]
    permissions: Permissions112 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class Privacy134(Enum):
    open = "open"
    closed = "closed"
    secret = "secret"


class Parent72(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy134
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team8(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent72 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy134 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookTeamEdited(BaseModel):
    action: Action186
    changes: Changes35
    """
    The changes to the team if the action was `edited`.
    """
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    repository: Annotated[Repository14 | None, Field(title="Repository")] = None
    """
    A git repository
    """
    sender: SimpleUser
    team: Annotated[Team8, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class Action187(Enum):
    removed_from_repository = "removed_from_repository"


class Owner106(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repository15(BaseModel):
    """
    A git repository
    """

    allow_auto_merge: bool | None = False
    """
    Whether to allow auto-merge for pull requests.
    """
    allow_forking: bool | None = None
    """
    Whether to allow private forks
    """
    allow_merge_commit: bool | None = True
    """
    Whether to allow merge commits for pull requests.
    """
    allow_rebase_merge: bool | None = True
    """
    Whether to allow rebase merges for pull requests.
    """
    allow_squash_merge: bool | None = True
    """
    Whether to allow squash merges for pull requests.
    """
    allow_update_branch: bool | None = None
    archive_url: str
    archived: bool
    """
    Whether the repository is archived.
    """
    assignees_url: str
    blobs_url: str
    branches_url: str
    clone_url: AnyUrl
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    created_at: int | datetime
    default_branch: str
    """
    The default branch of the repository.
    """
    delete_branch_on_merge: bool | None = False
    """
    Whether to delete head branches when pull requests are merged
    """
    deployments_url: AnyUrl
    description: str
    disabled: bool | None = None
    """
    Returns whether or not this repository is disabled.
    """
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks: int
    forks_count: int
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    git_url: AnyUrl
    has_downloads: bool
    """
    Whether downloads are enabled.
    """
    has_issues: bool
    """
    Whether issues are enabled.
    """
    has_pages: bool
    has_projects: bool
    """
    Whether projects are enabled.
    """
    has_wiki: bool
    """
    Whether the wiki is enabled.
    """
    homepage: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    is_template: bool | None = None
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    language: str
    languages_url: AnyUrl
    license: Annotated[License4, Field(title="License")]
    master_branch: str | None = None
    merges_url: AnyUrl
    milestones_url: str
    mirror_url: AnyUrl
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    open_issues: int
    open_issues_count: int
    organization: str | None = None
    owner: Annotated[Owner106, Field(title="User")]
    permissions: Permissions112 | None = None
    private: bool
    """
    Whether the repository is private or public.
    """
    public: bool | None = None
    pulls_url: str
    pushed_at: int | datetime
    releases_url: str
    role_name: str | None = None
    size: int
    ssh_url: str
    stargazers: int | None = None
    stargazers_count: int
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    svn_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    topics: Sequence[str]
    trees_url: str
    updated_at: datetime
    url: AnyUrl
    visibility: Visibility5
    watchers: int
    watchers_count: int


class Parent73(BaseModel):
    description: str
    """
    Description of the team
    """
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the team
    """
    members_url: str
    name: str
    """
    Name of the team
    """
    node_id: str
    permission: str
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy134
    repositories_url: AnyUrl
    slug: str
    url: AnyUrl
    """
    URL for the team
    """


class Team9(BaseModel):
    """
    Groups of organization members that gives permissions on specified repositories.
    """

    deleted: bool | None = None
    description: str | None = None
    """
    Description of the team
    """
    html_url: AnyUrl | None = None
    id: int
    """
    Unique identifier of the team
    """
    members_url: str | None = None
    name: str
    """
    Name of the team
    """
    node_id: str | None = None
    parent: Parent73 | None = None
    permission: str | None = None
    """
    Permission that the team will have for its repositories
    """
    privacy: Privacy134 | None = None
    repositories_url: AnyUrl | None = None
    slug: str | None = None
    url: AnyUrl | None = None
    """
    URL for the team
    """


class WebhookTeamRemovedFromRepository(BaseModel):
    action: Action187
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple
    repository: Annotated[Repository15 | None, Field(title="Repository")] = None
    """
    A git repository
    """
    sender: SimpleUser
    team: Annotated[Team9, Field(title="Team")]
    """
    Groups of organization members that gives permissions on specified repositories.
    """


class Action188(Enum):
    created = "created"


class User151(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class WebhookUserCreated(BaseModel):
    action: Action188
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository | None = None
    sender: SimpleUser | None = None
    user: Annotated[User151 | None, Field(title="User")] = None


class Action189(Enum):
    started = "started"


class WebhookWatchStarted(BaseModel):
    action: Action189
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser


class Inputs(BaseModel):
    name: str | None = None
    number: str | None = None


class WebhookWorkflowDispatch(BaseModel):
    enterprise: Enterprise | None = None
    inputs: Inputs
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    ref: str
    repository: Repository
    sender: SimpleUser
    workflow: str


class Action190(Enum):
    completed = "completed"


class Conclusion9Enum(Enum):
    success = "success"
    failure = "failure"
    skipped = "skipped"
    cancelled = "cancelled"
    action_required = "action_required"
    neutral = "neutral"
    timed_out = "timed_out"


class Conclusion9(Enum):
    success = "success"
    failure = "failure"
    skipped = "skipped"
    cancelled = "cancelled"
    action_required = "action_required"
    neutral = "neutral"
    timed_out = "timed_out"


class Status19(Enum):
    """
    The current status of the job. Can be `queued`, `in_progress`, or `completed`.
    """

    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"
    waiting = "waiting"


class Conclusion10Enum(Enum):
    failure = "failure"
    skipped = "skipped"
    success = "success"
    cancelled = "cancelled"


class Status20(Enum):
    in_progress = "in_progress"
    completed = "completed"
    queued = "queued"


class Step1(BaseModel):
    completed_at: str
    conclusion: Conclusion10Enum
    name: str
    number: int
    started_at: str
    status: Status20


class WorkflowJob(BaseModel):
    check_run_url: AnyUrl
    completed_at: str
    conclusion: Conclusion9
    head_sha: str
    html_url: AnyUrl
    id: int
    labels: Sequence[str]
    """
    Custom labels for the job. Specified by the [`"runs-on"` attribute](https://docs.github.com/en/actions/reference/workflow-syntax-for-github-actions#jobsjob_idruns-on) in the workflow YAML.
    """
    name: str
    node_id: str
    run_attempt: int
    run_id: float
    run_url: AnyUrl
    runner_group_id: int
    """
    The ID of the runner group that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    runner_group_name: str
    """
    The name of the runner group that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    runner_id: int
    """
    The ID of the runner that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    runner_name: str
    """
    The name of the runner that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    started_at: str
    status: Status19
    """
    The current status of the job. Can be `queued`, `in_progress`, or `completed`.
    """
    steps: Sequence[Step1]
    url: AnyUrl


class WebhookWorkflowJobCompleted(BaseModel):
    action: Action190
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow_job: WorkflowJob


class Action191(Enum):
    in_progress = "in_progress"


class Conclusion11Enum(Enum):
    success = "success"
    failure = "failure"
    cancelled = "cancelled"
    neutral = "neutral"


class Conclusion12Enum(Enum):
    failure = "failure"
    skipped = "skipped"
    success = "success"
    cancelled = "cancelled"


class Conclusion12(BaseModel):
    __root__: Conclusion12Enum | None = None


class Status22(Enum):
    in_progress = "in_progress"
    completed = "completed"
    pending = "pending"
    queued = "queued"


class Step2(BaseModel):
    completed_at: str
    conclusion: str
    name: str
    number: int
    started_at: str
    status: Status22


class WorkflowJob1(BaseModel):
    check_run_url: AnyUrl
    completed_at: str
    conclusion: Conclusion11Enum
    head_sha: str
    html_url: AnyUrl
    id: int
    labels: Sequence[str]
    """
    Custom labels for the job. Specified by the [`"runs-on"` attribute](https://docs.github.com/en/actions/reference/workflow-syntax-for-github-actions#jobsjob_idruns-on) in the workflow YAML.
    """
    name: str
    node_id: str
    run_attempt: int
    run_id: float
    run_url: AnyUrl
    runner_group_id: int
    """
    The ID of the runner group that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    runner_group_name: str
    """
    The name of the runner group that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    runner_id: int
    """
    The ID of the runner that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    runner_name: str
    """
    The name of the runner that is running this job. This will be `null` as long as `workflow_job[status]` is `queued`.
    """
    started_at: str
    status: Status20
    """
    The current status of the job. Can be `queued`, `in_progress`, or `completed`.
    """
    steps: Sequence[Step2]
    url: AnyUrl


class WebhookWorkflowJobInProgress(BaseModel):
    action: Action191
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow_job: WorkflowJob1


class Action192(Enum):
    queued = "queued"


class Status23(Enum):
    queued = "queued"
    in_progress = "in_progress"
    completed = "completed"
    waiting = "waiting"


class Conclusion13Enum(Enum):
    failure = "failure"
    skipped = "skipped"
    success = "success"
    cancelled = "cancelled"


class Status24(Enum):
    completed = "completed"
    in_progress = "in_progress"
    queued = "queued"
    pending = "pending"


class Step3(BaseModel):
    completed_at: str
    conclusion: Conclusion13Enum
    name: str
    number: int
    started_at: str
    status: Status24


class WorkflowJob2(BaseModel):
    check_run_url: AnyUrl
    completed_at: str
    conclusion: str
    head_sha: str
    html_url: AnyUrl
    id: int
    labels: Sequence[str]
    name: str
    node_id: str
    run_attempt: int
    run_id: float
    run_url: AnyUrl
    runner_group_id: int
    runner_group_name: str
    runner_id: int
    runner_name: str
    started_at: datetime
    status: Status23
    steps: Sequence[Step3]
    url: AnyUrl


class WebhookWorkflowJobQueued(BaseModel):
    action: Action192
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow_job: WorkflowJob2


class Action193(Enum):
    completed = "completed"


class Actor3(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class Conclusion14Enum(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    skipped = "skipped"


class Conclusion14(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    skipped = "skipped"


class Author27(BaseModel):
    email: str | None = None
    name: str | None = None


class Committer11(BaseModel):
    email: str | None = None
    name: str | None = None


class HeadCommit3(BaseModel):
    author: Author27 | None = None
    committer: Committer11 | None = None
    id: str | None = None
    message: str | None = None
    timestamp: str | None = None
    tree_id: str | None = None


class Owner107(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class HeadRepository2(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: str | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner107 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Repo69(BaseModel):
    id: int
    name: str
    url: AnyUrl


class Base36(BaseModel):
    ref: str
    repo: Annotated[Repo69, Field(title="Repo Ref")]
    sha: str


class Head35(BaseModel):
    ref: str
    repo: Annotated[Repo69, Field(title="Repo Ref")]
    sha: str


class PullRequest68(BaseModel):
    base: Base36
    head: Head35
    id: float
    number: float
    url: AnyUrl


class Repository16(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: str | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner107 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Status25(Enum):
    requested = "requested"
    in_progress = "in_progress"
    completed = "completed"
    queued = "queued"
    pending = "pending"
    waiting = "waiting"


class TriggeringActor2(BaseModel):
    avatar_url: str | None = None
    events_url: str | None = None
    followers_url: str | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: str | None = None
    id: int | None = None
    login: str | None = None
    node_id: str | None = None
    organizations_url: str | None = None
    received_events_url: str | None = None
    repos_url: str | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: str | None = None
    type: str | None = None
    url: str | None = None


class WorkflowRun4(BaseModel):
    actor: Annotated[Actor3, Field(title="User")]
    artifacts_url: AnyUrl
    cancel_url: AnyUrl
    check_suite_id: int
    check_suite_node_id: str
    check_suite_url: AnyUrl
    conclusion: Conclusion14
    created_at: datetime
    event: str
    head_branch: str
    head_commit: Annotated[HeadCommit3, Field(title="SimpleCommit")]
    head_repository: Annotated[HeadRepository2, Field(title="Repository Lite")]
    head_sha: str
    html_url: AnyUrl
    id: int
    jobs_url: AnyUrl
    logs_url: AnyUrl
    name: str
    node_id: str
    path: str
    previous_attempt_url: AnyUrl
    pull_requests: Sequence[PullRequest68]
    referenced_workflows: Sequence[ReferencedWorkflow1] | None = None
    repository: Annotated[Repository16, Field(title="Repository Lite")]
    rerun_url: AnyUrl
    run_attempt: int
    run_number: int
    run_started_at: datetime
    status: Status25
    triggering_actor: Annotated[TriggeringActor2, Field(title="User")]
    updated_at: datetime
    url: AnyUrl
    workflow_id: int
    workflow_url: AnyUrl


class WebhookWorkflowRunCompleted(BaseModel):
    action: Action193
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow: Annotated[Workflow1, Field(title="Workflow")]
    workflow_run: WorkflowRun4


class Action194(Enum):
    in_progress = "in_progress"


class Conclusion15Enum(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    skipped = "skipped"


class Conclusion15(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    skipped = "skipped"
    stale = "stale"


class HeadCommit4(BaseModel):
    author: Author27 | None = None
    committer: Committer11 | None = None
    id: str | None = None
    message: str | None = None
    timestamp: str | None = None
    tree_id: str | None = None


class HeadRepository3(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: str | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner107 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Base37(BaseModel):
    ref: str
    repo: Annotated[Repo69, Field(title="Repo Ref")]
    sha: str


class Head36(BaseModel):
    ref: str
    repo: Annotated[Repo69, Field(title="Repo Ref")]
    sha: str


class PullRequest69(BaseModel):
    base: Base37
    head: Head36
    id: float
    number: float
    url: AnyUrl


class Repository17(BaseModel):
    archive_url: str | None = None
    assignees_url: str | None = None
    blobs_url: str | None = None
    branches_url: str | None = None
    collaborators_url: str | None = None
    comments_url: str | None = None
    commits_url: str | None = None
    compare_url: str | None = None
    contents_url: str | None = None
    contributors_url: str | None = None
    deployments_url: str | None = None
    description: str | None = None
    downloads_url: str | None = None
    events_url: str | None = None
    fork: bool | None = None
    forks_url: str | None = None
    full_name: str | None = None
    git_commits_url: str | None = None
    git_refs_url: str | None = None
    git_tags_url: str | None = None
    hooks_url: str | None = None
    html_url: str | None = None
    id: int | None = None
    issue_comment_url: str | None = None
    issue_events_url: str | None = None
    issues_url: str | None = None
    keys_url: str | None = None
    labels_url: str | None = None
    languages_url: str | None = None
    merges_url: str | None = None
    milestones_url: str | None = None
    name: str | None = None
    node_id: str | None = None
    notifications_url: str | None = None
    owner: Owner107 | None = None
    private: bool | None = None
    pulls_url: str | None = None
    releases_url: str | None = None
    stargazers_url: str | None = None
    statuses_url: str | None = None
    subscribers_url: str | None = None
    subscription_url: str | None = None
    tags_url: str | None = None
    teams_url: str | None = None
    trees_url: str | None = None
    url: str | None = None


class Status26(Enum):
    requested = "requested"
    in_progress = "in_progress"
    completed = "completed"
    queued = "queued"
    pending = "pending"


class WorkflowRun5(BaseModel):
    actor: Annotated[Actor3, Field(title="User")]
    artifacts_url: AnyUrl
    cancel_url: AnyUrl
    check_suite_id: int
    check_suite_node_id: str
    check_suite_url: AnyUrl
    conclusion: Conclusion15
    created_at: datetime
    event: str
    head_branch: str
    head_commit: Annotated[HeadCommit4, Field(title="SimpleCommit")]
    head_repository: Annotated[HeadRepository3, Field(title="Repository Lite")]
    head_sha: str
    html_url: AnyUrl
    id: int
    jobs_url: AnyUrl
    logs_url: AnyUrl
    name: str
    node_id: str
    path: str
    previous_attempt_url: AnyUrl
    pull_requests: Sequence[PullRequest69]
    referenced_workflows: Sequence[ReferencedWorkflow1] | None = None
    repository: Annotated[Repository17, Field(title="Repository Lite")]
    rerun_url: AnyUrl
    run_attempt: int
    run_number: int
    run_started_at: datetime
    status: Status26
    triggering_actor: Annotated[TriggeringActor2, Field(title="User")]
    updated_at: datetime
    url: AnyUrl
    workflow_id: int
    workflow_url: AnyUrl


class WebhookWorkflowRunInProgress(BaseModel):
    action: Action194
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow: Annotated[Workflow1, Field(title="Workflow")]
    workflow_run: WorkflowRun5


class Action195(Enum):
    requested = "requested"


class Actor5(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Conclusion16Enum(Enum):
    success = "success"
    failure = "failure"
    neutral = "neutral"
    cancelled = "cancelled"
    timed_out = "timed_out"
    action_required = "action_required"
    stale = "stale"
    skipped = "skipped"
    startup_failure = "startup_failure"


class Author29(BaseModel):
    """
    Metaproperties for Git author/committer information.
    """

    date: datetime | None = None
    email: EmailStr
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class Committer13(BaseModel):
    """
    Metaproperties for Git author/committer information.
    """

    date: datetime | None = None
    email: EmailStr
    name: str
    """
    The git author's name.
    """
    username: str | None = None


class HeadCommit5(BaseModel):
    author: Annotated[Author29, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    committer: Annotated[Committer13, Field(title="Committer")]
    """
    Metaproperties for Git author/committer information.
    """
    id: str
    message: str
    timestamp: str
    tree_id: str


class Owner111(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class HeadRepository4(BaseModel):
    archive_url: str
    assignees_url: str
    blobs_url: str
    branches_url: str
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    deployments_url: AnyUrl
    description: str
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    languages_url: AnyUrl
    merges_url: AnyUrl
    milestones_url: str
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    owner: Annotated[Owner111, Field(title="User")]
    private: bool
    """
    Whether the repository is private or public.
    """
    pulls_url: str
    releases_url: str
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    trees_url: str
    url: AnyUrl


class Base38(BaseModel):
    ref: str
    repo: Annotated[Repo69, Field(title="Repo Ref")]
    sha: str


class Head37(BaseModel):
    ref: str
    repo: Annotated[Repo69, Field(title="Repo Ref")]
    sha: str


class PullRequest70(BaseModel):
    base: Base38
    head: Head37
    id: float
    number: float
    url: AnyUrl


class Owner112(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class Repository18(BaseModel):
    archive_url: str
    assignees_url: str
    blobs_url: str
    branches_url: str
    collaborators_url: str
    comments_url: str
    commits_url: str
    compare_url: str
    contents_url: str
    contributors_url: AnyUrl
    deployments_url: AnyUrl
    description: str
    downloads_url: AnyUrl
    events_url: AnyUrl
    fork: bool
    forks_url: AnyUrl
    full_name: str
    git_commits_url: str
    git_refs_url: str
    git_tags_url: str
    hooks_url: AnyUrl
    html_url: AnyUrl
    id: int
    """
    Unique identifier of the repository
    """
    issue_comment_url: str
    issue_events_url: str
    issues_url: str
    keys_url: str
    labels_url: str
    languages_url: AnyUrl
    merges_url: AnyUrl
    milestones_url: str
    name: str
    """
    The name of the repository.
    """
    node_id: str
    notifications_url: str
    owner: Annotated[Owner112, Field(title="User")]
    private: bool
    """
    Whether the repository is private or public.
    """
    pulls_url: str
    releases_url: str
    stargazers_url: AnyUrl
    statuses_url: str
    subscribers_url: AnyUrl
    subscription_url: AnyUrl
    tags_url: AnyUrl
    teams_url: AnyUrl
    trees_url: str
    url: AnyUrl


class Status27(Enum):
    requested = "requested"
    in_progress = "in_progress"
    completed = "completed"
    queued = "queued"
    pending = "pending"
    waiting = "waiting"


class TriggeringActor4(BaseModel):
    avatar_url: AnyUrl | None = None
    deleted: bool | None = None
    email: str | None = None
    events_url: str | None = None
    followers_url: AnyUrl | None = None
    following_url: str | None = None
    gists_url: str | None = None
    gravatar_id: str | None = None
    html_url: AnyUrl | None = None
    id: int
    login: str
    name: str | None = None
    node_id: str | None = None
    organizations_url: AnyUrl | None = None
    received_events_url: AnyUrl | None = None
    repos_url: AnyUrl | None = None
    site_admin: bool | None = None
    starred_url: str | None = None
    subscriptions_url: AnyUrl | None = None
    type: Type529 | None = None
    url: AnyUrl | None = None


class WorkflowRun6(BaseModel):
    actor: Annotated[Actor5, Field(title="User")]
    artifacts_url: AnyUrl
    cancel_url: AnyUrl
    check_suite_id: int
    check_suite_node_id: str
    check_suite_url: AnyUrl
    conclusion: Conclusion16Enum
    created_at: datetime
    event: str
    head_branch: str
    head_commit: Annotated[HeadCommit5, Field(title="SimpleCommit")]
    head_repository: Annotated[HeadRepository4, Field(title="Repository Lite")]
    head_sha: str
    html_url: AnyUrl
    id: int
    jobs_url: AnyUrl
    logs_url: AnyUrl
    name: str
    node_id: str
    path: str
    previous_attempt_url: AnyUrl
    pull_requests: Sequence[PullRequest70]
    referenced_workflows: Sequence[ReferencedWorkflow1] | None = None
    repository: Annotated[Repository18, Field(title="Repository Lite")]
    rerun_url: AnyUrl
    run_attempt: int
    run_number: int
    run_started_at: datetime
    status: Status27
    triggering_actor: Annotated[TriggeringActor4, Field(title="User")]
    updated_at: datetime
    url: AnyUrl
    workflow_id: int
    workflow_url: AnyUrl
    display_title: str


class WebhookWorkflowRunRequested(BaseModel):
    action: Action195
    enterprise: Enterprise | None = None
    installation: SimpleInstallation | None = None
    organization: OrganizationSimple | None = None
    repository: Repository
    sender: SimpleUser
    workflow: Annotated[Workflow1, Field(title="Workflow")]
    workflow_run: Annotated[WorkflowRun6, Field(title="Workflow Run")]
